#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libderiv.h"
#include <libint/hrr_header.h>

#include "d1hrr_header.h"

extern void d1vrr_order_f0hg(Libderiv_t *, prim_data *);

  /* Computes derivatives of (f0|hg) integrals */

void d1hrr_order_f0hg(Libderiv_t *Libderiv, int num_prim_comb)
{
 prim_data *Data = Libderiv->PrimQuartet;
 double *int_stack = Libderiv->int_stack;
 double *zero_stack = Libderiv->zero_stack;
 int i,j;
 double tmp, *target;

 Libderiv->deriv_classes[3][5][11] = int_stack + 0;
 Libderiv->deriv_classes[3][6][11] = int_stack + 210;
 Libderiv->deriv_classes[3][7][11] = int_stack + 490;
 Libderiv->deriv_classes[3][8][11] = int_stack + 850;
 Libderiv->deriv_classes[3][9][11] = int_stack + 1300;
 Libderiv->deriv_classes[3][5][10] = int_stack + 1850;
 Libderiv->deriv_classes[3][6][10] = int_stack + 2060;
 Libderiv->deriv_classes[3][7][10] = int_stack + 2340;
 Libderiv->deriv_classes[3][8][10] = int_stack + 2700;
 Libderiv->deriv_classes[3][9][10] = int_stack + 3150;
 Libderiv->deriv_classes[3][5][9] = int_stack + 3700;
 Libderiv->deriv_classes[3][6][9] = int_stack + 3910;
 Libderiv->deriv_classes[3][7][9] = int_stack + 4190;
 Libderiv->deriv_classes[3][8][9] = int_stack + 4550;
 Libderiv->deriv_classes[3][9][9] = int_stack + 5000;
 Libderiv->deriv_classes[3][5][8] = int_stack + 5550;
 Libderiv->deriv_classes[3][6][8] = int_stack + 5760;
 Libderiv->deriv_classes[3][7][8] = int_stack + 6040;
 Libderiv->deriv_classes[3][8][8] = int_stack + 6400;
 Libderiv->deriv_classes[3][9][8] = int_stack + 6850;
 Libderiv->deriv_classes[3][5][7] = int_stack + 7400;
 Libderiv->deriv_classes[3][6][7] = int_stack + 7610;
 Libderiv->deriv_classes[3][7][7] = int_stack + 7890;
 Libderiv->deriv_classes[3][8][7] = int_stack + 8250;
 Libderiv->deriv_classes[3][9][7] = int_stack + 8700;
 Libderiv->dvrr_classes[3][5] = int_stack + 9250;
 Libderiv->deriv_classes[3][5][6] = int_stack + 9460;
 Libderiv->dvrr_classes[3][6] = int_stack + 9670;
 Libderiv->deriv_classes[3][6][6] = int_stack + 9950;
 Libderiv->dvrr_classes[3][7] = int_stack + 10230;
 Libderiv->deriv_classes[3][7][6] = int_stack + 10590;
 Libderiv->dvrr_classes[3][8] = int_stack + 10950;
 Libderiv->deriv_classes[3][8][6] = int_stack + 11400;
 Libderiv->deriv_classes[3][9][6] = int_stack + 11850;
 Libderiv->deriv_classes[3][5][2] = int_stack + 12400;
 Libderiv->deriv_classes[3][6][2] = int_stack + 12610;
 Libderiv->deriv_classes[3][7][2] = int_stack + 12890;
 Libderiv->deriv_classes[3][8][2] = int_stack + 13250;
 Libderiv->deriv_classes[3][9][2] = int_stack + 13700;
 Libderiv->deriv_classes[3][5][1] = int_stack + 14250;
 Libderiv->deriv_classes[3][6][1] = int_stack + 14460;
 Libderiv->deriv_classes[3][7][1] = int_stack + 14740;
 Libderiv->deriv_classes[3][8][1] = int_stack + 15100;
 Libderiv->deriv_classes[3][9][1] = int_stack + 15550;
 Libderiv->deriv_classes[3][5][0] = int_stack + 16100;
 Libderiv->deriv_classes[3][6][0] = int_stack + 16310;
 Libderiv->deriv_classes[3][7][0] = int_stack + 16590;
 Libderiv->deriv_classes[3][8][0] = int_stack + 16950;
 Libderiv->deriv_classes[3][9][0] = int_stack + 17400;
 memset(int_stack,0,143600);

 Libderiv->dvrr_stack = int_stack + 61070;
 for(i=0;i<num_prim_comb;i++) {
   d1vrr_order_f0hg(Libderiv, Data);
   Data++;
 }

 /*--- compute (f0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+17950,int_stack+9670,int_stack+9250,10);
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+18580,int_stack+10230,int_stack+9670,10);
 /*--- compute (f0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+19420,int_stack+18580,int_stack+17950,10);
 /*--- compute (f0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+20680,int_stack+10950,int_stack+10230,10);
 /*--- compute (f0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+21760,int_stack+20680,int_stack+18580,10);
 /*--- compute (f0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+23440,int_stack+21760,int_stack+19420,10);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+25540,int_stack+210,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+9250,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+26170,int_stack+490,int_stack+210, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+9670,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+27010,int_stack+26170,int_stack+25540, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+17950,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+28270,int_stack+850,int_stack+490, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+10230,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+29350,int_stack+28270,int_stack+26170, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+18580,10);
 /*--- compute (f0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+31030,int_stack+29350,int_stack+27010, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+19420,10);
 /*--- compute (f0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+25540,int_stack+1300,int_stack+850, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+10950,10);
 /*--- compute (f0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+33130,int_stack+25540,int_stack+28270, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+20680,10);
 /*--- compute (f0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+25540,int_stack+33130,int_stack+29350, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+21760,10);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+33130,int_stack+2060,int_stack+1850, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+9250, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+33760,int_stack+2340,int_stack+2060, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+9670, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+34600,int_stack+33760,int_stack+33130, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+17950, 0.0, zero_stack,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+28340,int_stack+2700,int_stack+2340, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+10230, 0.0, zero_stack,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+0,int_stack+28340,int_stack+33760, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+18580, 0.0, zero_stack,10);
 /*--- compute (f0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+35860,int_stack+0,int_stack+34600, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+19420, 0.0, zero_stack,10);
 /*--- compute (f0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+33130,int_stack+3150,int_stack+2700, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+10950, 0.0, zero_stack,10);
 /*--- compute (f0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+37960,int_stack+33130,int_stack+28340, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+20680, 0.0, zero_stack,10);
 /*--- compute (f0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+40120,int_stack+37960,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+21760, 0.0, zero_stack,10);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+0,int_stack+3910,int_stack+3700, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+9250, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+630,int_stack+4190,int_stack+3910, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+9670, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+1470,int_stack+630,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+17950, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+2730,int_stack+4550,int_stack+4190, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+10230, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+37960,int_stack+2730,int_stack+630, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+18580, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+28340,int_stack+37960,int_stack+1470, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+19420, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+0,int_stack+5000,int_stack+4550, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+10950, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+33130,int_stack+0,int_stack+2730, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+20680, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+0,int_stack+33130,int_stack+37960, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+21760, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+37960,int_stack+5760,int_stack+5550, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+9250, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+38590,int_stack+6040,int_stack+5760, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+9670, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+33130,int_stack+38590,int_stack+37960, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+17950, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+34390,int_stack+6400,int_stack+6040, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+10230, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+2800,int_stack+34390,int_stack+38590, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+18580, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+37960,int_stack+2800,int_stack+33130, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+19420, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+4480,int_stack+6850,int_stack+6400, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+10950, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+42920,int_stack+4480,int_stack+34390, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+20680, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+4480,int_stack+42920,int_stack+2800, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+21760, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+2800,int_stack+7610,int_stack+7400, 0.0, zero_stack, 1.0, int_stack+9250, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+3430,int_stack+7890,int_stack+7610, 0.0, zero_stack, 1.0, int_stack+9670, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+42920,int_stack+3430,int_stack+2800, 0.0, zero_stack, 1.0, int_stack+17950, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+44180,int_stack+8250,int_stack+7890, 0.0, zero_stack, 1.0, int_stack+10230, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+33130,int_stack+44180,int_stack+3430, 0.0, zero_stack, 1.0, int_stack+18580, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+45260,int_stack+33130,int_stack+42920, 0.0, zero_stack, 1.0, int_stack+19420, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+2800,int_stack+8700,int_stack+8250, 0.0, zero_stack, 1.0, int_stack+10950, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+47360,int_stack+2800,int_stack+44180, 0.0, zero_stack, 1.0, int_stack+20680, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+49520,int_stack+47360,int_stack+33130, 0.0, zero_stack, 1.0, int_stack+21760, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+33130,int_stack+9950,int_stack+9460, 1.0, int_stack+9250, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+33760,int_stack+10590,int_stack+9950, 1.0, int_stack+9670, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+34600,int_stack+33760,int_stack+33130, 1.0, int_stack+17950, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+47360,int_stack+11400,int_stack+10590, 1.0, int_stack+10230, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+2800,int_stack+47360,int_stack+33760, 1.0, int_stack+18580, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+42920,int_stack+2800,int_stack+34600, 1.0, int_stack+19420, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+17950,int_stack+11850,int_stack+11400, 1.0, int_stack+10950, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+33130,int_stack+17950,int_stack+47360, 1.0, int_stack+20680, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+17950,int_stack+33130,int_stack+2800, 1.0, int_stack+21760, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+2800,int_stack+12610,int_stack+12400,10);
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+3430,int_stack+12890,int_stack+12610,10);
 /*--- compute (f0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+33130,int_stack+3430,int_stack+2800,10);
 /*--- compute (f0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+34390,int_stack+13250,int_stack+12890,10);
 /*--- compute (f0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+47360,int_stack+34390,int_stack+3430,10);
 /*--- compute (f0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+20750,int_stack+47360,int_stack+33130,10);
 /*--- compute (f0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+2800,int_stack+13700,int_stack+13250,10);
 /*--- compute (f0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+7280,int_stack+2800,int_stack+34390,10);
 /*--- compute (f0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+9440,int_stack+7280,int_stack+47360,10);
 /*--- compute (f0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+47360,int_stack+14460,int_stack+14250,10);
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+47990,int_stack+14740,int_stack+14460,10);
 /*--- compute (f0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+7280,int_stack+47990,int_stack+47360,10);
 /*--- compute (f0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+2800,int_stack+15100,int_stack+14740,10);
 /*--- compute (f0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+33130,int_stack+2800,int_stack+47990,10);
 /*--- compute (f0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+47360,int_stack+33130,int_stack+7280,10);
 /*--- compute (f0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+7280,int_stack+15550,int_stack+15100,10);
 /*--- compute (f0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+12240,int_stack+7280,int_stack+2800,10);
 /*--- compute (f0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+52320,int_stack+12240,int_stack+33130,10);
 /*--- compute (f0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+33130,int_stack+16310,int_stack+16100,10);
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+33760,int_stack+16590,int_stack+16310,10);
 /*--- compute (f0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+34600,int_stack+33760,int_stack+33130,10);
 /*--- compute (f0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+12240,int_stack+16950,int_stack+16590,10);
 /*--- compute (f0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+2800,int_stack+12240,int_stack+33760,10);
 /*--- compute (f0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+13320,int_stack+2800,int_stack+34600,10);
 /*--- compute (f0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+33130,int_stack+17400,int_stack+16950,10);
 /*--- compute (f0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+7280,int_stack+33130,int_stack+12240,10);
 /*--- compute (f0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+55120,int_stack+7280,int_stack+2800,10);
 /*--- compute (f0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+57920,int_stack+25540,int_stack+31030, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+23440,10);
     Libderiv->ABCD[11] = int_stack + 57920;
 /*--- compute (f0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+30440,int_stack+40120,int_stack+35860, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+23440, 0.0, zero_stack,10);
     Libderiv->ABCD[10] = int_stack + 30440;
 /*--- compute (f0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+33590,int_stack+0,int_stack+28340, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+23440, 0.0, zero_stack, 0.0, zero_stack,10);
     Libderiv->ABCD[9] = int_stack + 33590;
 /*--- compute (f0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+0,int_stack+4480,int_stack+37960, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+23440, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
     Libderiv->ABCD[8] = int_stack + 0;
 /*--- compute (f0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+3150,int_stack+49520,int_stack+45260, 0.0, zero_stack, 1.0, int_stack+23440, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
     Libderiv->ABCD[7] = int_stack + 3150;
 /*--- compute (f0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+25540,int_stack+17950,int_stack+42920, 1.0, int_stack+23440, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
     Libderiv->ABCD[6] = int_stack + 25540;
 /*--- compute (f0|hg) ---*/
   hrr3_build_hg(Libderiv->CD,int_stack+15420,int_stack+9440,int_stack+20750,10);
     Libderiv->ABCD[2] = int_stack + 15420;
 /*--- compute (f0|hg) ---*/
   hrr3_build_hg(Libderiv->CD,int_stack+6300,int_stack+52320,int_stack+47360,10);
     Libderiv->ABCD[1] = int_stack + 6300;
 /*--- compute (f0|hg) ---*/
   hrr3_build_hg(Libderiv->CD,int_stack+9450,int_stack+55120,int_stack+13320,10);
     Libderiv->ABCD[0] = int_stack + 9450;

}
