#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libderiv.h"
#include <libint/hrr_header.h>

#include "d1hrr_header.h"

extern void d1vrr_order_p0hh(Libderiv_t *, prim_data *);

  /* Computes derivatives of (p0|hh) integrals */

void d1hrr_order_p0hh(Libderiv_t *Libderiv, int num_prim_comb)
{
 prim_data *Data = Libderiv->PrimQuartet;
 double *int_stack = Libderiv->int_stack;
 double *zero_stack = Libderiv->zero_stack;
 int i,j;
 double tmp, *target;

 Libderiv->deriv_classes[1][5][11] = int_stack + 0;
 Libderiv->deriv_classes[1][6][11] = int_stack + 63;
 Libderiv->deriv_classes[1][7][11] = int_stack + 147;
 Libderiv->deriv_classes[1][8][11] = int_stack + 255;
 Libderiv->deriv_classes[1][9][11] = int_stack + 390;
 Libderiv->deriv_classes[1][10][11] = int_stack + 555;
 Libderiv->deriv_classes[1][5][10] = int_stack + 753;
 Libderiv->deriv_classes[1][6][10] = int_stack + 816;
 Libderiv->deriv_classes[1][7][10] = int_stack + 900;
 Libderiv->deriv_classes[1][8][10] = int_stack + 1008;
 Libderiv->deriv_classes[1][9][10] = int_stack + 1143;
 Libderiv->deriv_classes[1][10][10] = int_stack + 1308;
 Libderiv->deriv_classes[1][5][9] = int_stack + 1506;
 Libderiv->deriv_classes[1][6][9] = int_stack + 1569;
 Libderiv->deriv_classes[1][7][9] = int_stack + 1653;
 Libderiv->deriv_classes[1][8][9] = int_stack + 1761;
 Libderiv->deriv_classes[1][9][9] = int_stack + 1896;
 Libderiv->deriv_classes[1][10][9] = int_stack + 2061;
 Libderiv->deriv_classes[1][5][8] = int_stack + 2259;
 Libderiv->deriv_classes[1][6][8] = int_stack + 2322;
 Libderiv->deriv_classes[1][7][8] = int_stack + 2406;
 Libderiv->deriv_classes[1][8][8] = int_stack + 2514;
 Libderiv->deriv_classes[1][9][8] = int_stack + 2649;
 Libderiv->deriv_classes[1][10][8] = int_stack + 2814;
 Libderiv->deriv_classes[1][5][7] = int_stack + 3012;
 Libderiv->deriv_classes[1][6][7] = int_stack + 3075;
 Libderiv->deriv_classes[1][7][7] = int_stack + 3159;
 Libderiv->deriv_classes[1][8][7] = int_stack + 3267;
 Libderiv->deriv_classes[1][9][7] = int_stack + 3402;
 Libderiv->deriv_classes[1][10][7] = int_stack + 3567;
 Libderiv->dvrr_classes[1][5] = int_stack + 3765;
 Libderiv->deriv_classes[1][5][6] = int_stack + 3828;
 Libderiv->dvrr_classes[1][6] = int_stack + 3891;
 Libderiv->deriv_classes[1][6][6] = int_stack + 3975;
 Libderiv->dvrr_classes[1][7] = int_stack + 4059;
 Libderiv->deriv_classes[1][7][6] = int_stack + 4167;
 Libderiv->dvrr_classes[1][8] = int_stack + 4275;
 Libderiv->deriv_classes[1][8][6] = int_stack + 4410;
 Libderiv->dvrr_classes[1][9] = int_stack + 4545;
 Libderiv->deriv_classes[1][9][6] = int_stack + 4710;
 Libderiv->deriv_classes[1][10][6] = int_stack + 4875;
 Libderiv->deriv_classes[1][5][2] = int_stack + 5073;
 Libderiv->deriv_classes[1][6][2] = int_stack + 5136;
 Libderiv->deriv_classes[1][7][2] = int_stack + 5220;
 Libderiv->deriv_classes[1][8][2] = int_stack + 5328;
 Libderiv->deriv_classes[1][9][2] = int_stack + 5463;
 Libderiv->deriv_classes[1][10][2] = int_stack + 5628;
 Libderiv->deriv_classes[1][5][1] = int_stack + 5826;
 Libderiv->deriv_classes[1][6][1] = int_stack + 5889;
 Libderiv->deriv_classes[1][7][1] = int_stack + 5973;
 Libderiv->deriv_classes[1][8][1] = int_stack + 6081;
 Libderiv->deriv_classes[1][9][1] = int_stack + 6216;
 Libderiv->deriv_classes[1][10][1] = int_stack + 6381;
 Libderiv->deriv_classes[1][5][0] = int_stack + 6579;
 Libderiv->deriv_classes[1][6][0] = int_stack + 6642;
 Libderiv->deriv_classes[1][7][0] = int_stack + 6726;
 Libderiv->deriv_classes[1][8][0] = int_stack + 6834;
 Libderiv->deriv_classes[1][9][0] = int_stack + 6969;
 Libderiv->deriv_classes[1][10][0] = int_stack + 7134;
 memset(int_stack,0,58656);

 Libderiv->dvrr_stack = int_stack + 26799;
 for(i=0;i<num_prim_comb;i++) {
   d1vrr_order_p0hh(Libderiv, Data);
   Data++;
 }

 /*--- compute (p0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+7332,int_stack+3891,int_stack+3765,3);
 /*--- compute (p0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+7521,int_stack+4059,int_stack+3891,3);
 /*--- compute (p0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+7773,int_stack+7521,int_stack+7332,3);
 /*--- compute (p0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+8151,int_stack+4275,int_stack+4059,3);
 /*--- compute (p0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+8475,int_stack+8151,int_stack+7521,3);
 /*--- compute (p0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+8979,int_stack+8475,int_stack+7773,3);
 /*--- compute (p0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+9609,int_stack+4545,int_stack+4275,3);
 /*--- compute (p0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+10014,int_stack+9609,int_stack+8151,3);
 /*--- compute (p0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+10662,int_stack+10014,int_stack+8475,3);
 /*--- compute (p0|hg) ---*/
   hrr3_build_hg(Libderiv->CD,int_stack+11502,int_stack+10662,int_stack+8979,3);
 /*--- compute (p0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+12447,int_stack+63,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+3765,3);
 /*--- compute (p0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+12636,int_stack+147,int_stack+63, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+3891,3);
 /*--- compute (p0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+12888,int_stack+12636,int_stack+12447, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+7332,3);
 /*--- compute (p0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+13266,int_stack+255,int_stack+147, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+4059,3);
 /*--- compute (p0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+13590,int_stack+13266,int_stack+12636, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+7521,3);
 /*--- compute (p0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+14094,int_stack+13590,int_stack+12888, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+7773,3);
 /*--- compute (p0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+12447,int_stack+390,int_stack+255, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+4275,3);
 /*--- compute (p0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+14724,int_stack+12447,int_stack+13266, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+8151,3);
 /*--- compute (p0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+15372,int_stack+14724,int_stack+13590, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+8475,3);
 /*--- compute (p0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+12852,int_stack+15372,int_stack+14094, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+8979,3);
 /*--- compute (p0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+13797,int_stack+555,int_stack+390, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+4545,3);
 /*--- compute (p0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+16212,int_stack+13797,int_stack+12447, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+9609,3);
 /*--- compute (p0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+17022,int_stack+16212,int_stack+14724, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+10014,3);
 /*--- compute (p0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+13797,int_stack+17022,int_stack+15372, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+10662,3);
 /*--- compute (p0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+12447,int_stack+816,int_stack+753, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+3765, 0.0, zero_stack,3);
 /*--- compute (p0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+15057,int_stack+900,int_stack+816, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+3891, 0.0, zero_stack,3);
 /*--- compute (p0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+15309,int_stack+15057,int_stack+12447, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+7332, 0.0, zero_stack,3);
 /*--- compute (p0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+12447,int_stack+1008,int_stack+900, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+4059, 0.0, zero_stack,3);
 /*--- compute (p0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+15687,int_stack+12447,int_stack+15057, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+7521, 0.0, zero_stack,3);
 /*--- compute (p0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+16191,int_stack+15687,int_stack+15309, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+7773, 0.0, zero_stack,3);
 /*--- compute (p0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+15057,int_stack+1143,int_stack+1008, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+4275, 0.0, zero_stack,3);
 /*--- compute (p0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+16821,int_stack+15057,int_stack+12447, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+8151, 0.0, zero_stack,3);
 /*--- compute (p0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+17469,int_stack+16821,int_stack+15687, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+8475, 0.0, zero_stack,3);
 /*--- compute (p0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+0,int_stack+17469,int_stack+16191, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+8979, 0.0, zero_stack,3);
 /*--- compute (p0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+15462,int_stack+1308,int_stack+1143, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+4545, 0.0, zero_stack,3);
 /*--- compute (p0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+15957,int_stack+15462,int_stack+15057, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+9609, 0.0, zero_stack,3);
 /*--- compute (p0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+18309,int_stack+15957,int_stack+16821, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+10014, 0.0, zero_stack,3);
 /*--- compute (p0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+15057,int_stack+18309,int_stack+17469, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+10662, 0.0, zero_stack,3);
 /*--- compute (p0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+16317,int_stack+1569,int_stack+1506, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+3765, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+16506,int_stack+1653,int_stack+1569, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+3891, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+16758,int_stack+16506,int_stack+16317, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+7332, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+17136,int_stack+1761,int_stack+1653, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+4059, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+17460,int_stack+17136,int_stack+16506, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+7521, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+17964,int_stack+17460,int_stack+16758, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+7773, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+12447,int_stack+1896,int_stack+1761, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+4275, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+16317,int_stack+12447,int_stack+17136, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+8151, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+18594,int_stack+16317,int_stack+17460, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+8475, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+16965,int_stack+18594,int_stack+17964, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+8979, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+17910,int_stack+2061,int_stack+1896, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+4545, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+945,int_stack+17910,int_stack+12447, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+9609, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+19434,int_stack+945,int_stack+16317, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+10014, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+945,int_stack+19434,int_stack+18594, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+10662, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+16317,int_stack+2322,int_stack+2259, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+3765, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+16506,int_stack+2406,int_stack+2322, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+3891, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+12447,int_stack+16506,int_stack+16317, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+7332, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+17910,int_stack+2514,int_stack+2406, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+4059, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+18234,int_stack+17910,int_stack+16506, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+7521, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+16317,int_stack+18234,int_stack+12447, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+7773, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+12447,int_stack+2649,int_stack+2514, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+4275, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+18738,int_stack+12447,int_stack+17910, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+8151, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+19386,int_stack+18738,int_stack+18234, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+8475, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+20226,int_stack+19386,int_stack+16317, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+8979, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+16317,int_stack+2814,int_stack+2649, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+4545, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+17910,int_stack+16317,int_stack+12447, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+9609, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+21171,int_stack+17910,int_stack+18738, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+10014, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+17910,int_stack+21171,int_stack+19386, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+10662, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+21171,int_stack+3075,int_stack+3012, 0.0, zero_stack, 1.0, int_stack+3765, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+21360,int_stack+3159,int_stack+3075, 0.0, zero_stack, 1.0, int_stack+3891, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+21612,int_stack+21360,int_stack+21171, 0.0, zero_stack, 1.0, int_stack+7332, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+21990,int_stack+3267,int_stack+3159, 0.0, zero_stack, 1.0, int_stack+4059, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+22314,int_stack+21990,int_stack+21360, 0.0, zero_stack, 1.0, int_stack+7521, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+19170,int_stack+22314,int_stack+21612, 0.0, zero_stack, 1.0, int_stack+7773, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+12447,int_stack+3402,int_stack+3267, 0.0, zero_stack, 1.0, int_stack+4275, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+16317,int_stack+12447,int_stack+21990, 0.0, zero_stack, 1.0, int_stack+8151, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+21171,int_stack+16317,int_stack+22314, 0.0, zero_stack, 1.0, int_stack+8475, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+22011,int_stack+21171,int_stack+19170, 0.0, zero_stack, 1.0, int_stack+8979, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+19170,int_stack+3567,int_stack+3402, 0.0, zero_stack, 1.0, int_stack+4545, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+2205,int_stack+19170,int_stack+12447, 0.0, zero_stack, 1.0, int_stack+9609, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+22956,int_stack+2205,int_stack+16317, 0.0, zero_stack, 1.0, int_stack+10014, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+2205,int_stack+22956,int_stack+21171, 0.0, zero_stack, 1.0, int_stack+10662, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+21171,int_stack+3975,int_stack+3828, 1.0, int_stack+3765, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+21360,int_stack+4167,int_stack+3975, 1.0, int_stack+3891, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+21612,int_stack+21360,int_stack+21171, 1.0, int_stack+7332, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+22956,int_stack+4410,int_stack+4167, 1.0, int_stack+4059, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+23280,int_stack+22956,int_stack+21360, 1.0, int_stack+7521, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+23784,int_stack+23280,int_stack+21612, 1.0, int_stack+7773, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+12447,int_stack+4710,int_stack+4410, 1.0, int_stack+4275, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+16317,int_stack+12447,int_stack+22956, 1.0, int_stack+8151, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+21171,int_stack+16317,int_stack+23280, 1.0, int_stack+8475, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+7332,int_stack+21171,int_stack+23784, 1.0, int_stack+8979, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+22956,int_stack+4875,int_stack+4710, 1.0, int_stack+4545, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+23451,int_stack+22956,int_stack+12447, 1.0, int_stack+9609, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+8277,int_stack+23451,int_stack+16317, 1.0, int_stack+10014, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+22956,int_stack+8277,int_stack+21171, 1.0, int_stack+10662, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+21171,int_stack+5136,int_stack+5073,3);
 /*--- compute (p0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+21360,int_stack+5220,int_stack+5136,3);
 /*--- compute (p0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+21612,int_stack+21360,int_stack+21171,3);
 /*--- compute (p0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+8277,int_stack+5328,int_stack+5220,3);
 /*--- compute (p0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+8601,int_stack+8277,int_stack+21360,3);
 /*--- compute (p0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+9105,int_stack+8601,int_stack+21612,3);
 /*--- compute (p0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+12447,int_stack+5463,int_stack+5328,3);
 /*--- compute (p0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+16317,int_stack+12447,int_stack+8277,3);
 /*--- compute (p0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+21171,int_stack+16317,int_stack+8601,3);
 /*--- compute (p0|hg) ---*/
   hrr3_build_hg(Libderiv->CD,int_stack+9735,int_stack+21171,int_stack+9105,3);
 /*--- compute (p0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+8277,int_stack+5628,int_stack+5463,3);
 /*--- compute (p0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+8772,int_stack+8277,int_stack+12447,3);
 /*--- compute (p0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+3465,int_stack+8772,int_stack+16317,3);
 /*--- compute (p0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+8277,int_stack+3465,int_stack+21171,3);
 /*--- compute (p0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+21171,int_stack+5889,int_stack+5826,3);
 /*--- compute (p0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+21360,int_stack+5973,int_stack+5889,3);
 /*--- compute (p0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+21612,int_stack+21360,int_stack+21171,3);
 /*--- compute (p0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+3465,int_stack+6081,int_stack+5973,3);
 /*--- compute (p0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+3789,int_stack+3465,int_stack+21360,3);
 /*--- compute (p0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+4293,int_stack+3789,int_stack+21612,3);
 /*--- compute (p0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+12447,int_stack+6216,int_stack+6081,3);
 /*--- compute (p0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+16317,int_stack+12447,int_stack+3465,3);
 /*--- compute (p0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+21171,int_stack+16317,int_stack+3789,3);
 /*--- compute (p0|hg) ---*/
   hrr3_build_hg(Libderiv->CD,int_stack+4923,int_stack+21171,int_stack+4293,3);
 /*--- compute (p0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+3465,int_stack+6381,int_stack+6216,3);
 /*--- compute (p0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+3960,int_stack+3465,int_stack+12447,3);
 /*--- compute (p0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+24216,int_stack+3960,int_stack+16317,3);
 /*--- compute (p0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+3465,int_stack+24216,int_stack+21171,3);
 /*--- compute (p0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+21171,int_stack+6642,int_stack+6579,3);
 /*--- compute (p0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+21360,int_stack+6726,int_stack+6642,3);
 /*--- compute (p0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+21612,int_stack+21360,int_stack+21171,3);
 /*--- compute (p0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+24216,int_stack+6834,int_stack+6726,3);
 /*--- compute (p0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+24540,int_stack+24216,int_stack+21360,3);
 /*--- compute (p0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+25044,int_stack+24540,int_stack+21612,3);
 /*--- compute (p0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+12447,int_stack+6969,int_stack+6834,3);
 /*--- compute (p0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+16317,int_stack+12447,int_stack+24216,3);
 /*--- compute (p0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+21171,int_stack+16317,int_stack+24540,3);
 /*--- compute (p0|hg) ---*/
   hrr3_build_hg(Libderiv->CD,int_stack+5868,int_stack+21171,int_stack+25044,3);
 /*--- compute (p0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+24216,int_stack+7134,int_stack+6969,3);
 /*--- compute (p0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+24711,int_stack+24216,int_stack+12447,3);
 /*--- compute (p0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+25521,int_stack+24711,int_stack+16317,3);
 /*--- compute (p0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+24216,int_stack+25521,int_stack+21171,3);
 /*--- compute (p0|hh) ---*/
   d1hrr3_build_hh(Libderiv->CD,int_stack+25476,int_stack+13797,int_stack+12852, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+11502,3);
     Libderiv->ABCD[11] = int_stack + 25476;
 /*--- compute (p0|hh) ---*/
   d1hrr3_build_hh(Libderiv->CD,int_stack+12447,int_stack+15057,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+11502, 0.0, zero_stack,3);
     Libderiv->ABCD[10] = int_stack + 12447;
 /*--- compute (p0|hh) ---*/
   d1hrr3_build_hh(Libderiv->CD,int_stack+13770,int_stack+945,int_stack+16965, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+11502, 0.0, zero_stack, 0.0, zero_stack,3);
     Libderiv->ABCD[9] = int_stack + 13770;
 /*--- compute (p0|hh) ---*/
   d1hrr3_build_hh(Libderiv->CD,int_stack+0,int_stack+17910,int_stack+20226, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+11502, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
     Libderiv->ABCD[8] = int_stack + 0;
 /*--- compute (p0|hh) ---*/
   d1hrr3_build_hh(Libderiv->CD,int_stack+15093,int_stack+2205,int_stack+22011, 0.0, zero_stack, 1.0, int_stack+11502, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
     Libderiv->ABCD[7] = int_stack + 15093;
 /*--- compute (p0|hh) ---*/
   d1hrr3_build_hh(Libderiv->CD,int_stack+1323,int_stack+22956,int_stack+7332, 1.0, int_stack+11502, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
     Libderiv->ABCD[6] = int_stack + 1323;
 /*--- compute (p0|hh) ---*/
   hrr3_build_hh(Libderiv->CD,int_stack+16416,int_stack+8277,int_stack+9735,3);
     Libderiv->ABCD[2] = int_stack + 16416;
 /*--- compute (p0|hh) ---*/
   hrr3_build_hh(Libderiv->CD,int_stack+17739,int_stack+3465,int_stack+4923,3);
     Libderiv->ABCD[1] = int_stack + 17739;
 /*--- compute (p0|hh) ---*/
   hrr3_build_hh(Libderiv->CD,int_stack+2646,int_stack+24216,int_stack+5868,3);
     Libderiv->ABCD[0] = int_stack + 2646;

}
