#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_dpii(Libint_t*, prim_data*);

  /* Computes quartets of (dp|ii) integrals */

REALTYPE *hrr_order_dpii(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[2][6] = int_stack + 0;
 Libint->vrr_classes[2][7] = int_stack + 168;
 Libint->vrr_classes[2][8] = int_stack + 384;
 Libint->vrr_classes[2][9] = int_stack + 654;
 Libint->vrr_classes[2][10] = int_stack + 984;
 Libint->vrr_classes[2][11] = int_stack + 1380;
 Libint->vrr_classes[2][12] = int_stack + 1848;
 Libint->vrr_classes[3][6] = int_stack + 2394;
 Libint->vrr_classes[3][7] = int_stack + 2674;
 Libint->vrr_classes[3][8] = int_stack + 3034;
 Libint->vrr_classes[3][9] = int_stack + 3484;
 Libint->vrr_classes[3][10] = int_stack + 4034;
 Libint->vrr_classes[3][11] = int_stack + 4694;
 Libint->vrr_classes[3][12] = int_stack + 5474;
 memset(int_stack,0,6384*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 6384;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_dpii(Libint, Data);
   Data++;
 }
 /*--- compute (d0|ip) ---*/
 hrr3_build_ip(Libint->CD,int_stack+6384,int_stack+168,int_stack+0,6);
 /*--- compute (d0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+6888,int_stack+384,int_stack+168,6);
 /*--- compute (d0|id) ---*/
 hrr3_build_id(Libint->CD,int_stack+7536,int_stack+6888,int_stack+6384,6);
 /*--- compute (d0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+8544,int_stack+654,int_stack+384,6);
 /*--- compute (d0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+9354,int_stack+8544,int_stack+6888,6);
 /*--- compute (d0|if) ---*/
 hrr3_build_if(Libint->CD,int_stack+10650,int_stack+9354,int_stack+7536,6);
 /*--- compute (d0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+6384,int_stack+984,int_stack+654,6);
 /*--- compute (d0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+12330,int_stack+6384,int_stack+8544,6);
 /*--- compute (d0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+13950,int_stack+12330,int_stack+9354,6);
 /*--- compute (d0|ig) ---*/
 hrr3_build_ig(Libint->CD,int_stack+7374,int_stack+13950,int_stack+10650,6);
 /*--- compute (d0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+9894,int_stack+1380,int_stack+984,6);
 /*--- compute (d0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+16110,int_stack+9894,int_stack+6384,6);
 /*--- compute (d0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+18090,int_stack+16110,int_stack+12330,6);
 /*--- compute (d0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+20790,int_stack+18090,int_stack+13950,6);
 /*--- compute (d0|ih) ---*/
 hrr3_build_ih(Libint->CD,int_stack+11082,int_stack+20790,int_stack+7374,6);
 /*--- compute (d0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+6384,int_stack+1848,int_stack+1380,6);
 /*--- compute (d0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+0,int_stack+6384,int_stack+9894,6);
 /*--- compute (d0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+6384,int_stack+0,int_stack+16110,6);
 /*--- compute (d0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+24030,int_stack+6384,int_stack+18090,6);
 /*--- compute (d0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+6384,int_stack+24030,int_stack+20790,6);
 /*--- compute (d0|ii) ---*/
 hrr3_build_ii(Libint->CD,int_stack+14610,int_stack+6384,int_stack+11082,6);
 /*--- compute (f0|ip) ---*/
 hrr3_build_ip(Libint->CD,int_stack+6384,int_stack+2674,int_stack+2394,10);
 /*--- compute (f0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+7224,int_stack+3034,int_stack+2674,10);
 /*--- compute (f0|id) ---*/
 hrr3_build_id(Libint->CD,int_stack+8304,int_stack+7224,int_stack+6384,10);
 /*--- compute (f0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+9984,int_stack+3484,int_stack+3034,10);
 /*--- compute (f0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+11334,int_stack+9984,int_stack+7224,10);
 /*--- compute (f0|if) ---*/
 hrr3_build_if(Libint->CD,int_stack+0,int_stack+11334,int_stack+8304,10);
 /*--- compute (f0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+6384,int_stack+4034,int_stack+3484,10);
 /*--- compute (f0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+19314,int_stack+6384,int_stack+9984,10);
 /*--- compute (f0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+22014,int_stack+19314,int_stack+11334,10);
 /*--- compute (f0|ig) ---*/
 hrr3_build_ig(Libint->CD,int_stack+8034,int_stack+22014,int_stack+0,10);
 /*--- compute (f0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+0,int_stack+4694,int_stack+4034,10);
 /*--- compute (f0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+25614,int_stack+0,int_stack+6384,10);
 /*--- compute (f0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+28914,int_stack+25614,int_stack+19314,10);
 /*--- compute (f0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+33414,int_stack+28914,int_stack+22014,10);
 /*--- compute (f0|ih) ---*/
 hrr3_build_ih(Libint->CD,int_stack+19314,int_stack+33414,int_stack+8034,10);
 /*--- compute (f0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+6384,int_stack+5474,int_stack+4694,10);
 /*--- compute (f0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+8724,int_stack+6384,int_stack+0,10);
 /*--- compute (f0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+0,int_stack+8724,int_stack+25614,10);
 /*--- compute (f0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+5500,int_stack+0,int_stack+28914,10);
 /*--- compute (f0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+25194,int_stack+5500,int_stack+33414,10);
 /*--- compute (f0|ii) ---*/
 hrr3_build_ii(Libint->CD,int_stack+0,int_stack+25194,int_stack+19314,10);
 /*--- compute (dp|ii) ---*/
 hrr1_build_dp(Libint->AB,int_stack+19314,int_stack+0,int_stack+14610,784);
 return int_stack+19314;}
