#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_fdih(Libint_t*, prim_data*);

  /* Computes quartets of (fd|ih) integrals */

REALTYPE *hrr_order_fdih(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[3][6] = int_stack + 0;
 Libint->vrr_classes[3][7] = int_stack + 280;
 Libint->vrr_classes[3][8] = int_stack + 640;
 Libint->vrr_classes[3][9] = int_stack + 1090;
 Libint->vrr_classes[3][10] = int_stack + 1640;
 Libint->vrr_classes[3][11] = int_stack + 2300;
 Libint->vrr_classes[4][6] = int_stack + 3080;
 Libint->vrr_classes[4][7] = int_stack + 3500;
 Libint->vrr_classes[4][8] = int_stack + 4040;
 Libint->vrr_classes[4][9] = int_stack + 4715;
 Libint->vrr_classes[4][10] = int_stack + 5540;
 Libint->vrr_classes[4][11] = int_stack + 6530;
 Libint->vrr_classes[5][6] = int_stack + 7700;
 Libint->vrr_classes[5][7] = int_stack + 8288;
 Libint->vrr_classes[5][8] = int_stack + 9044;
 Libint->vrr_classes[5][9] = int_stack + 9989;
 Libint->vrr_classes[5][10] = int_stack + 11144;
 Libint->vrr_classes[5][11] = int_stack + 12530;
 memset(int_stack,0,14168*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 14168;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_fdih(Libint, Data);
   Data++;
 }
 /*--- compute (f0|ip) ---*/
 hrr3_build_ip(Libint->CD,int_stack+14168,int_stack+280,int_stack+0,10);
 /*--- compute (f0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+15008,int_stack+640,int_stack+280,10);
 /*--- compute (f0|id) ---*/
 hrr3_build_id(Libint->CD,int_stack+16088,int_stack+15008,int_stack+14168,10);
 /*--- compute (f0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+17768,int_stack+1090,int_stack+640,10);
 /*--- compute (f0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+19118,int_stack+17768,int_stack+15008,10);
 /*--- compute (f0|if) ---*/
 hrr3_build_if(Libint->CD,int_stack+21278,int_stack+19118,int_stack+16088,10);
 /*--- compute (f0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+14168,int_stack+1640,int_stack+1090,10);
 /*--- compute (f0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+24078,int_stack+14168,int_stack+17768,10);
 /*--- compute (f0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+26778,int_stack+24078,int_stack+19118,10);
 /*--- compute (f0|ig) ---*/
 hrr3_build_ig(Libint->CD,int_stack+15818,int_stack+26778,int_stack+21278,10);
 /*--- compute (f0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+20018,int_stack+2300,int_stack+1640,10);
 /*--- compute (f0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+30378,int_stack+20018,int_stack+14168,10);
 /*--- compute (f0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+33678,int_stack+30378,int_stack+24078,10);
 /*--- compute (f0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+20018,int_stack+33678,int_stack+26778,10);
 /*--- compute (f0|ih) ---*/
 hrr3_build_ih(Libint->CD,int_stack+25418,int_stack+20018,int_stack+15818,10);
 /*--- compute (g0|ip) ---*/
 hrr3_build_ip(Libint->CD,int_stack+14168,int_stack+3500,int_stack+3080,15);
 /*--- compute (g0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+15428,int_stack+4040,int_stack+3500,15);
 /*--- compute (g0|id) ---*/
 hrr3_build_id(Libint->CD,int_stack+17048,int_stack+15428,int_stack+14168,15);
 /*--- compute (g0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+19568,int_stack+4715,int_stack+4040,15);
 /*--- compute (g0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+21593,int_stack+19568,int_stack+15428,15);
 /*--- compute (g0|if) ---*/
 hrr3_build_if(Libint->CD,int_stack+31298,int_stack+21593,int_stack+17048,15);
 /*--- compute (g0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+14168,int_stack+5540,int_stack+4715,15);
 /*--- compute (g0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+0,int_stack+14168,int_stack+19568,15);
 /*--- compute (g0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+35498,int_stack+0,int_stack+21593,15);
 /*--- compute (g0|ig) ---*/
 hrr3_build_ig(Libint->CD,int_stack+16643,int_stack+35498,int_stack+31298,15);
 /*--- compute (g0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+31298,int_stack+6530,int_stack+5540,15);
 /*--- compute (g0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+40898,int_stack+31298,int_stack+14168,15);
 /*--- compute (g0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+45848,int_stack+40898,int_stack+0,15);
 /*--- compute (g0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+52598,int_stack+45848,int_stack+35498,15);
 /*--- compute (g0|ih) ---*/
 hrr3_build_ih(Libint->CD,int_stack+31298,int_stack+52598,int_stack+16643,15);
 /*--- compute (fp|ih) ---*/
 hrr1_build_fp(Libint->AB,int_stack+40118,int_stack+31298,int_stack+25418,588);
 /*--- compute (h0|ip) ---*/
 hrr3_build_ip(Libint->CD,int_stack+0,int_stack+8288,int_stack+7700,21);
 /*--- compute (h0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+1764,int_stack+9044,int_stack+8288,21);
 /*--- compute (h0|id) ---*/
 hrr3_build_id(Libint->CD,int_stack+4032,int_stack+1764,int_stack+0,21);
 /*--- compute (h0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+14168,int_stack+9989,int_stack+9044,21);
 /*--- compute (h0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+17003,int_stack+14168,int_stack+1764,21);
 /*--- compute (h0|if) ---*/
 hrr3_build_if(Libint->CD,int_stack+21539,int_stack+17003,int_stack+4032,21);
 /*--- compute (h0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+0,int_stack+11144,int_stack+9989,21);
 /*--- compute (h0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+3465,int_stack+0,int_stack+14168,21);
 /*--- compute (h0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+57758,int_stack+3465,int_stack+17003,21);
 /*--- compute (h0|ig) ---*/
 hrr3_build_ig(Libint->CD,int_stack+65318,int_stack+57758,int_stack+21539,21);
 /*--- compute (h0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+14168,int_stack+12530,int_stack+11144,21);
 /*--- compute (h0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+18326,int_stack+14168,int_stack+0,21);
 /*--- compute (h0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+74138,int_stack+18326,int_stack+3465,21);
 /*--- compute (h0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+0,int_stack+74138,int_stack+57758,21);
 /*--- compute (h0|ih) ---*/
 hrr3_build_ih(Libint->CD,int_stack+11340,int_stack+0,int_stack+65318,21);
 /*--- compute (gp|ih) ---*/
 hrr1_build_gp(Libint->AB,int_stack+57758,int_stack+11340,int_stack+31298,588);
 /*--- compute (fd|ih) ---*/
 hrr1_build_fd(Libint->AB,int_stack+0,int_stack+57758,int_stack+40118,588);
 return int_stack+0;}
