#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_fpih(Libint_t*, prim_data*);

  /* Computes quartets of (fp|ih) integrals */

REALTYPE *hrr_order_fpih(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[3][6] = int_stack + 0;
 Libint->vrr_classes[3][7] = int_stack + 280;
 Libint->vrr_classes[3][8] = int_stack + 640;
 Libint->vrr_classes[3][9] = int_stack + 1090;
 Libint->vrr_classes[3][10] = int_stack + 1640;
 Libint->vrr_classes[3][11] = int_stack + 2300;
 Libint->vrr_classes[4][6] = int_stack + 3080;
 Libint->vrr_classes[4][7] = int_stack + 3500;
 Libint->vrr_classes[4][8] = int_stack + 4040;
 Libint->vrr_classes[4][9] = int_stack + 4715;
 Libint->vrr_classes[4][10] = int_stack + 5540;
 Libint->vrr_classes[4][11] = int_stack + 6530;
 memset(int_stack,0,7700*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 7700;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_fpih(Libint, Data);
   Data++;
 }
 /*--- compute (f0|ip) ---*/
 hrr3_build_ip(Libint->CD,int_stack+7700,int_stack+280,int_stack+0,10);
 /*--- compute (f0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+8540,int_stack+640,int_stack+280,10);
 /*--- compute (f0|id) ---*/
 hrr3_build_id(Libint->CD,int_stack+9620,int_stack+8540,int_stack+7700,10);
 /*--- compute (f0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+11300,int_stack+1090,int_stack+640,10);
 /*--- compute (f0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+12650,int_stack+11300,int_stack+8540,10);
 /*--- compute (f0|if) ---*/
 hrr3_build_if(Libint->CD,int_stack+14810,int_stack+12650,int_stack+9620,10);
 /*--- compute (f0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+7700,int_stack+1640,int_stack+1090,10);
 /*--- compute (f0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+17610,int_stack+7700,int_stack+11300,10);
 /*--- compute (f0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+20310,int_stack+17610,int_stack+12650,10);
 /*--- compute (f0|ig) ---*/
 hrr3_build_ig(Libint->CD,int_stack+9350,int_stack+20310,int_stack+14810,10);
 /*--- compute (f0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+13550,int_stack+2300,int_stack+1640,10);
 /*--- compute (f0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+23910,int_stack+13550,int_stack+7700,10);
 /*--- compute (f0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+27210,int_stack+23910,int_stack+17610,10);
 /*--- compute (f0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+13550,int_stack+27210,int_stack+20310,10);
 /*--- compute (f0|ih) ---*/
 hrr3_build_ih(Libint->CD,int_stack+18950,int_stack+13550,int_stack+9350,10);
 /*--- compute (g0|ip) ---*/
 hrr3_build_ip(Libint->CD,int_stack+7700,int_stack+3500,int_stack+3080,15);
 /*--- compute (g0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+8960,int_stack+4040,int_stack+3500,15);
 /*--- compute (g0|id) ---*/
 hrr3_build_id(Libint->CD,int_stack+10580,int_stack+8960,int_stack+7700,15);
 /*--- compute (g0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+13100,int_stack+4715,int_stack+4040,15);
 /*--- compute (g0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+15125,int_stack+13100,int_stack+8960,15);
 /*--- compute (g0|if) ---*/
 hrr3_build_if(Libint->CD,int_stack+24830,int_stack+15125,int_stack+10580,15);
 /*--- compute (g0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+7700,int_stack+5540,int_stack+4715,15);
 /*--- compute (g0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+0,int_stack+7700,int_stack+13100,15);
 /*--- compute (g0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+29030,int_stack+0,int_stack+15125,15);
 /*--- compute (g0|ig) ---*/
 hrr3_build_ig(Libint->CD,int_stack+10175,int_stack+29030,int_stack+24830,15);
 /*--- compute (g0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+24830,int_stack+6530,int_stack+5540,15);
 /*--- compute (g0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+34430,int_stack+24830,int_stack+7700,15);
 /*--- compute (g0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+39380,int_stack+34430,int_stack+0,15);
 /*--- compute (g0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+0,int_stack+39380,int_stack+29030,15);
 /*--- compute (g0|ih) ---*/
 hrr3_build_ih(Libint->CD,int_stack+24830,int_stack+0,int_stack+10175,15);
 /*--- compute (fp|ih) ---*/
 hrr1_build_fp(Libint->AB,int_stack+0,int_stack+24830,int_stack+18950,588);
 return int_stack+0;}
