#include <stdio.h>
#include <stdlib.h>
#include "libint.h"
#include "hrr_header.h"

extern "C" {
REALTYPE *(*build_eri[7][7][7][7])(Libint_t *, int);
int libint_stack_size[7];

/* This function initializes a matrix of pointers to routines */
/* for computing ERI classes up to (qs|qs) - the base of the library */

void init_libint_base()
{
  build_eri[0][0][1][0] = hrr_order_00p0;
  build_eri[0][0][2][0] = hrr_order_00d0;
  build_eri[0][0][1][1] = hrr_order_00pp;
  build_eri[0][0][3][0] = hrr_order_00f0;
  build_eri[0][0][2][1] = hrr_order_00dp;
  build_eri[0][0][4][0] = hrr_order_00g0;
  build_eri[0][0][3][1] = hrr_order_00fp;
  build_eri[0][0][2][2] = hrr_order_00dd;
  build_eri[0][0][5][0] = hrr_order_00h0;
  build_eri[0][0][4][1] = hrr_order_00gp;
  build_eri[0][0][3][2] = hrr_order_00fd;
  build_eri[0][0][6][0] = hrr_order_00i0;
  build_eri[0][0][5][1] = hrr_order_00hp;
  build_eri[0][0][4][2] = hrr_order_00gd;
  build_eri[0][0][3][3] = hrr_order_00ff;
  build_eri[0][0][6][1] = hrr_order_00ip;
  build_eri[0][0][5][2] = hrr_order_00hd;
  build_eri[0][0][4][3] = hrr_order_00gf;
  build_eri[0][0][6][2] = hrr_order_00id;
  build_eri[0][0][5][3] = hrr_order_00hf;
  build_eri[0][0][4][4] = hrr_order_00gg;
  build_eri[0][0][6][3] = hrr_order_00if;
  build_eri[0][0][5][4] = hrr_order_00hg;
  build_eri[0][0][6][4] = hrr_order_00ig;
  build_eri[0][0][5][5] = hrr_order_00hh;
  build_eri[0][0][6][5] = hrr_order_00ih;
  build_eri[0][0][6][6] = hrr_order_00ii;
  build_eri[1][0][1][0] = hrr_order_p0p0;
  build_eri[1][0][2][0] = hrr_order_p0d0;
  build_eri[1][0][1][1] = hrr_order_p0pp;
  build_eri[1][0][3][0] = hrr_order_p0f0;
  build_eri[1][0][2][1] = hrr_order_p0dp;
  build_eri[1][0][4][0] = hrr_order_p0g0;
  build_eri[1][0][3][1] = hrr_order_p0fp;
  build_eri[1][0][2][2] = hrr_order_p0dd;
  build_eri[1][0][5][0] = hrr_order_p0h0;
  build_eri[1][0][4][1] = hrr_order_p0gp;
  build_eri[1][0][3][2] = hrr_order_p0fd;
  build_eri[1][0][6][0] = hrr_order_p0i0;
  build_eri[1][0][5][1] = hrr_order_p0hp;
  build_eri[1][0][4][2] = hrr_order_p0gd;
  build_eri[1][0][3][3] = hrr_order_p0ff;
  build_eri[1][0][6][1] = hrr_order_p0ip;
  build_eri[1][0][5][2] = hrr_order_p0hd;
  build_eri[1][0][4][3] = hrr_order_p0gf;
  build_eri[1][0][6][2] = hrr_order_p0id;
  build_eri[1][0][5][3] = hrr_order_p0hf;
  build_eri[1][0][4][4] = hrr_order_p0gg;
  build_eri[1][0][6][3] = hrr_order_p0if;
  build_eri[1][0][5][4] = hrr_order_p0hg;
  build_eri[1][0][6][4] = hrr_order_p0ig;
  build_eri[1][0][5][5] = hrr_order_p0hh;
  build_eri[1][0][6][5] = hrr_order_p0ih;
  build_eri[1][0][6][6] = hrr_order_p0ii;
  build_eri[2][0][2][0] = hrr_order_d0d0;
  build_eri[2][0][1][1] = hrr_order_d0pp;
  build_eri[2][0][3][0] = hrr_order_d0f0;
  build_eri[2][0][2][1] = hrr_order_d0dp;
  build_eri[2][0][4][0] = hrr_order_d0g0;
  build_eri[2][0][3][1] = hrr_order_d0fp;
  build_eri[2][0][2][2] = hrr_order_d0dd;
  build_eri[2][0][5][0] = hrr_order_d0h0;
  build_eri[2][0][4][1] = hrr_order_d0gp;
  build_eri[2][0][3][2] = hrr_order_d0fd;
  build_eri[2][0][6][0] = hrr_order_d0i0;
  build_eri[2][0][5][1] = hrr_order_d0hp;
  build_eri[2][0][4][2] = hrr_order_d0gd;
  build_eri[2][0][3][3] = hrr_order_d0ff;
  build_eri[2][0][6][1] = hrr_order_d0ip;
  build_eri[2][0][5][2] = hrr_order_d0hd;
  build_eri[2][0][4][3] = hrr_order_d0gf;
  build_eri[2][0][6][2] = hrr_order_d0id;
  build_eri[2][0][5][3] = hrr_order_d0hf;
  build_eri[2][0][4][4] = hrr_order_d0gg;
  build_eri[2][0][6][3] = hrr_order_d0if;
  build_eri[2][0][5][4] = hrr_order_d0hg;
  build_eri[2][0][6][4] = hrr_order_d0ig;
  build_eri[2][0][5][5] = hrr_order_d0hh;
  build_eri[2][0][6][5] = hrr_order_d0ih;
  build_eri[2][0][6][6] = hrr_order_d0ii;
  build_eri[1][1][2][0] = hrr_order_ppd0;
  build_eri[1][1][1][1] = hrr_order_pppp;
  build_eri[1][1][3][0] = hrr_order_ppf0;
  build_eri[1][1][2][1] = hrr_order_ppdp;
  build_eri[1][1][4][0] = hrr_order_ppg0;
  build_eri[1][1][3][1] = hrr_order_ppfp;
  build_eri[1][1][2][2] = hrr_order_ppdd;
  build_eri[1][1][5][0] = hrr_order_pph0;
  build_eri[1][1][4][1] = hrr_order_ppgp;
  build_eri[1][1][3][2] = hrr_order_ppfd;
  build_eri[1][1][6][0] = hrr_order_ppi0;
  build_eri[1][1][5][1] = hrr_order_pphp;
  build_eri[1][1][4][2] = hrr_order_ppgd;
  build_eri[1][1][3][3] = hrr_order_ppff;
  build_eri[1][1][6][1] = hrr_order_ppip;
  build_eri[1][1][5][2] = hrr_order_pphd;
  build_eri[1][1][4][3] = hrr_order_ppgf;
  build_eri[1][1][6][2] = hrr_order_ppid;
  build_eri[1][1][5][3] = hrr_order_pphf;
  build_eri[1][1][4][4] = hrr_order_ppgg;
  build_eri[1][1][6][3] = hrr_order_ppif;
  build_eri[1][1][5][4] = hrr_order_pphg;
  build_eri[1][1][6][4] = hrr_order_ppig;
  build_eri[1][1][5][5] = hrr_order_pphh;
  build_eri[1][1][6][5] = hrr_order_ppih;
  build_eri[1][1][6][6] = hrr_order_ppii;
  build_eri[3][0][3][0] = hrr_order_f0f0;
  build_eri[3][0][2][1] = hrr_order_f0dp;
  build_eri[3][0][4][0] = hrr_order_f0g0;
  build_eri[3][0][3][1] = hrr_order_f0fp;
  build_eri[3][0][2][2] = hrr_order_f0dd;
  build_eri[3][0][5][0] = hrr_order_f0h0;
  build_eri[3][0][4][1] = hrr_order_f0gp;
  build_eri[3][0][3][2] = hrr_order_f0fd;
  build_eri[3][0][6][0] = hrr_order_f0i0;
  build_eri[3][0][5][1] = hrr_order_f0hp;
  build_eri[3][0][4][2] = hrr_order_f0gd;
  build_eri[3][0][3][3] = hrr_order_f0ff;
  build_eri[3][0][6][1] = hrr_order_f0ip;
  build_eri[3][0][5][2] = hrr_order_f0hd;
  build_eri[3][0][4][3] = hrr_order_f0gf;
  build_eri[3][0][6][2] = hrr_order_f0id;
  build_eri[3][0][5][3] = hrr_order_f0hf;
  build_eri[3][0][4][4] = hrr_order_f0gg;
  build_eri[3][0][6][3] = hrr_order_f0if;
  build_eri[3][0][5][4] = hrr_order_f0hg;
  build_eri[3][0][6][4] = hrr_order_f0ig;
  build_eri[3][0][5][5] = hrr_order_f0hh;
  build_eri[3][0][6][5] = hrr_order_f0ih;
  build_eri[3][0][6][6] = hrr_order_f0ii;
  build_eri[2][1][3][0] = hrr_order_dpf0;
  build_eri[2][1][2][1] = hrr_order_dpdp;
  build_eri[2][1][4][0] = hrr_order_dpg0;
  build_eri[2][1][3][1] = hrr_order_dpfp;
  build_eri[2][1][2][2] = hrr_order_dpdd;
  build_eri[2][1][5][0] = hrr_order_dph0;
  build_eri[2][1][4][1] = hrr_order_dpgp;
  build_eri[2][1][3][2] = hrr_order_dpfd;
  build_eri[2][1][6][0] = hrr_order_dpi0;
  build_eri[2][1][5][1] = hrr_order_dphp;
  build_eri[2][1][4][2] = hrr_order_dpgd;
  build_eri[2][1][3][3] = hrr_order_dpff;
  build_eri[2][1][6][1] = hrr_order_dpip;
  build_eri[2][1][5][2] = hrr_order_dphd;
  build_eri[2][1][4][3] = hrr_order_dpgf;
  build_eri[2][1][6][2] = hrr_order_dpid;
  build_eri[2][1][5][3] = hrr_order_dphf;
  build_eri[2][1][4][4] = hrr_order_dpgg;
  build_eri[2][1][6][3] = hrr_order_dpif;
  build_eri[2][1][5][4] = hrr_order_dphg;
  build_eri[2][1][6][4] = hrr_order_dpig;
  build_eri[2][1][5][5] = hrr_order_dphh;
  build_eri[2][1][6][5] = hrr_order_dpih;
  build_eri[2][1][6][6] = hrr_order_dpii;
  build_eri[4][0][4][0] = hrr_order_g0g0;
  build_eri[4][0][3][1] = hrr_order_g0fp;
  build_eri[4][0][2][2] = hrr_order_g0dd;
  build_eri[4][0][5][0] = hrr_order_g0h0;
  build_eri[4][0][4][1] = hrr_order_g0gp;
  build_eri[4][0][3][2] = hrr_order_g0fd;
  build_eri[4][0][6][0] = hrr_order_g0i0;
  build_eri[4][0][5][1] = hrr_order_g0hp;
  build_eri[4][0][4][2] = hrr_order_g0gd;
  build_eri[4][0][3][3] = hrr_order_g0ff;
  build_eri[4][0][6][1] = hrr_order_g0ip;
  build_eri[4][0][5][2] = hrr_order_g0hd;
  build_eri[4][0][4][3] = hrr_order_g0gf;
  build_eri[4][0][6][2] = hrr_order_g0id;
  build_eri[4][0][5][3] = hrr_order_g0hf;
  build_eri[4][0][4][4] = hrr_order_g0gg;
  build_eri[4][0][6][3] = hrr_order_g0if;
  build_eri[4][0][5][4] = hrr_order_g0hg;
  build_eri[4][0][6][4] = hrr_order_g0ig;
  build_eri[4][0][5][5] = hrr_order_g0hh;
  build_eri[4][0][6][5] = hrr_order_g0ih;
  build_eri[4][0][6][6] = hrr_order_g0ii;
  build_eri[3][1][4][0] = hrr_order_fpg0;
  build_eri[3][1][3][1] = hrr_order_fpfp;
  build_eri[3][1][2][2] = hrr_order_fpdd;
  build_eri[3][1][5][0] = hrr_order_fph0;
  build_eri[3][1][4][1] = hrr_order_fpgp;
  build_eri[3][1][3][2] = hrr_order_fpfd;
  build_eri[3][1][6][0] = hrr_order_fpi0;
  build_eri[3][1][5][1] = hrr_order_fphp;
  build_eri[3][1][4][2] = hrr_order_fpgd;
  build_eri[3][1][3][3] = hrr_order_fpff;
  build_eri[3][1][6][1] = hrr_order_fpip;
  build_eri[3][1][5][2] = hrr_order_fphd;
  build_eri[3][1][4][3] = hrr_order_fpgf;
  build_eri[3][1][6][2] = hrr_order_fpid;
  build_eri[3][1][5][3] = hrr_order_fphf;
  build_eri[3][1][4][4] = hrr_order_fpgg;
  build_eri[3][1][6][3] = hrr_order_fpif;
  build_eri[3][1][5][4] = hrr_order_fphg;
  build_eri[3][1][6][4] = hrr_order_fpig;
  build_eri[3][1][5][5] = hrr_order_fphh;
  build_eri[3][1][6][5] = hrr_order_fpih;
  build_eri[3][1][6][6] = hrr_order_fpii;
  build_eri[2][2][4][0] = hrr_order_ddg0;
  build_eri[2][2][3][1] = hrr_order_ddfp;
  build_eri[2][2][2][2] = hrr_order_dddd;
  build_eri[2][2][5][0] = hrr_order_ddh0;
  build_eri[2][2][4][1] = hrr_order_ddgp;
  build_eri[2][2][3][2] = hrr_order_ddfd;
  build_eri[2][2][6][0] = hrr_order_ddi0;
  build_eri[2][2][5][1] = hrr_order_ddhp;
  build_eri[2][2][4][2] = hrr_order_ddgd;
  build_eri[2][2][3][3] = hrr_order_ddff;
  build_eri[2][2][6][1] = hrr_order_ddip;
  build_eri[2][2][5][2] = hrr_order_ddhd;
  build_eri[2][2][4][3] = hrr_order_ddgf;
  build_eri[2][2][6][2] = hrr_order_ddid;
  build_eri[2][2][5][3] = hrr_order_ddhf;
  build_eri[2][2][4][4] = hrr_order_ddgg;
  build_eri[2][2][6][3] = hrr_order_ddif;
  build_eri[2][2][5][4] = hrr_order_ddhg;
  build_eri[2][2][6][4] = hrr_order_ddig;
  build_eri[2][2][5][5] = hrr_order_ddhh;
  build_eri[2][2][6][5] = hrr_order_ddih;
  build_eri[2][2][6][6] = hrr_order_ddii;
  build_eri[5][0][5][0] = hrr_order_h0h0;
  build_eri[5][0][4][1] = hrr_order_h0gp;
  build_eri[5][0][3][2] = hrr_order_h0fd;
  build_eri[5][0][6][0] = hrr_order_h0i0;
  build_eri[5][0][5][1] = hrr_order_h0hp;
  build_eri[5][0][4][2] = hrr_order_h0gd;
  build_eri[5][0][3][3] = hrr_order_h0ff;
  build_eri[5][0][6][1] = hrr_order_h0ip;
  build_eri[5][0][5][2] = hrr_order_h0hd;
  build_eri[5][0][4][3] = hrr_order_h0gf;
  build_eri[5][0][6][2] = hrr_order_h0id;
  build_eri[5][0][5][3] = hrr_order_h0hf;
  build_eri[5][0][4][4] = hrr_order_h0gg;
  build_eri[5][0][6][3] = hrr_order_h0if;
  build_eri[5][0][5][4] = hrr_order_h0hg;
  build_eri[5][0][6][4] = hrr_order_h0ig;
  build_eri[5][0][5][5] = hrr_order_h0hh;
  build_eri[5][0][6][5] = hrr_order_h0ih;
  build_eri[5][0][6][6] = hrr_order_h0ii;
  build_eri[4][1][5][0] = hrr_order_gph0;
  build_eri[4][1][4][1] = hrr_order_gpgp;
  build_eri[4][1][3][2] = hrr_order_gpfd;
  build_eri[4][1][6][0] = hrr_order_gpi0;
  build_eri[4][1][5][1] = hrr_order_gphp;
  build_eri[4][1][4][2] = hrr_order_gpgd;
  build_eri[4][1][3][3] = hrr_order_gpff;
  build_eri[4][1][6][1] = hrr_order_gpip;
  build_eri[4][1][5][2] = hrr_order_gphd;
  build_eri[4][1][4][3] = hrr_order_gpgf;
  build_eri[4][1][6][2] = hrr_order_gpid;
  build_eri[4][1][5][3] = hrr_order_gphf;
  build_eri[4][1][4][4] = hrr_order_gpgg;
  build_eri[4][1][6][3] = hrr_order_gpif;
  build_eri[4][1][5][4] = hrr_order_gphg;
  build_eri[4][1][6][4] = hrr_order_gpig;
  build_eri[4][1][5][5] = hrr_order_gphh;
  build_eri[4][1][6][5] = hrr_order_gpih;
  build_eri[4][1][6][6] = hrr_order_gpii;
  build_eri[3][2][5][0] = hrr_order_fdh0;
  build_eri[3][2][4][1] = hrr_order_fdgp;
  build_eri[3][2][3][2] = hrr_order_fdfd;
  build_eri[3][2][6][0] = hrr_order_fdi0;
  build_eri[3][2][5][1] = hrr_order_fdhp;
  build_eri[3][2][4][2] = hrr_order_fdgd;
  build_eri[3][2][3][3] = hrr_order_fdff;
  build_eri[3][2][6][1] = hrr_order_fdip;
  build_eri[3][2][5][2] = hrr_order_fdhd;
  build_eri[3][2][4][3] = hrr_order_fdgf;
  build_eri[3][2][6][2] = hrr_order_fdid;
  build_eri[3][2][5][3] = hrr_order_fdhf;
  build_eri[3][2][4][4] = hrr_order_fdgg;
  build_eri[3][2][6][3] = hrr_order_fdif;
  build_eri[3][2][5][4] = hrr_order_fdhg;
  build_eri[3][2][6][4] = hrr_order_fdig;
  build_eri[3][2][5][5] = hrr_order_fdhh;
  build_eri[3][2][6][5] = hrr_order_fdih;
  build_eri[3][2][6][6] = hrr_order_fdii;
  build_eri[6][0][6][0] = hrr_order_i0i0;
  build_eri[6][0][5][1] = hrr_order_i0hp;
  build_eri[6][0][4][2] = hrr_order_i0gd;
  build_eri[6][0][3][3] = hrr_order_i0ff;
  build_eri[6][0][6][1] = hrr_order_i0ip;
  build_eri[6][0][5][2] = hrr_order_i0hd;
  build_eri[6][0][4][3] = hrr_order_i0gf;
  build_eri[6][0][6][2] = hrr_order_i0id;
  build_eri[6][0][5][3] = hrr_order_i0hf;
  build_eri[6][0][4][4] = hrr_order_i0gg;
  build_eri[6][0][6][3] = hrr_order_i0if;
  build_eri[6][0][5][4] = hrr_order_i0hg;
  build_eri[6][0][6][4] = hrr_order_i0ig;
  build_eri[6][0][5][5] = hrr_order_i0hh;
  build_eri[6][0][6][5] = hrr_order_i0ih;
  build_eri[6][0][6][6] = hrr_order_i0ii;
  build_eri[5][1][6][0] = hrr_order_hpi0;
  build_eri[5][1][5][1] = hrr_order_hphp;
  build_eri[5][1][4][2] = hrr_order_hpgd;
  build_eri[5][1][3][3] = hrr_order_hpff;
  build_eri[5][1][6][1] = hrr_order_hpip;
  build_eri[5][1][5][2] = hrr_order_hphd;
  build_eri[5][1][4][3] = hrr_order_hpgf;
  build_eri[5][1][6][2] = hrr_order_hpid;
  build_eri[5][1][5][3] = hrr_order_hphf;
  build_eri[5][1][4][4] = hrr_order_hpgg;
  build_eri[5][1][6][3] = hrr_order_hpif;
  build_eri[5][1][5][4] = hrr_order_hphg;
  build_eri[5][1][6][4] = hrr_order_hpig;
  build_eri[5][1][5][5] = hrr_order_hphh;
  build_eri[5][1][6][5] = hrr_order_hpih;
  build_eri[5][1][6][6] = hrr_order_hpii;
  build_eri[4][2][6][0] = hrr_order_gdi0;
  build_eri[4][2][5][1] = hrr_order_gdhp;
  build_eri[4][2][4][2] = hrr_order_gdgd;
  build_eri[4][2][3][3] = hrr_order_gdff;
  build_eri[4][2][6][1] = hrr_order_gdip;
  build_eri[4][2][5][2] = hrr_order_gdhd;
  build_eri[4][2][4][3] = hrr_order_gdgf;
  build_eri[4][2][6][2] = hrr_order_gdid;
  build_eri[4][2][5][3] = hrr_order_gdhf;
  build_eri[4][2][4][4] = hrr_order_gdgg;
  build_eri[4][2][6][3] = hrr_order_gdif;
  build_eri[4][2][5][4] = hrr_order_gdhg;
  build_eri[4][2][6][4] = hrr_order_gdig;
  build_eri[4][2][5][5] = hrr_order_gdhh;
  build_eri[4][2][6][5] = hrr_order_gdih;
  build_eri[4][2][6][6] = hrr_order_gdii;
  build_eri[3][3][6][0] = hrr_order_ffi0;
  build_eri[3][3][5][1] = hrr_order_ffhp;
  build_eri[3][3][4][2] = hrr_order_ffgd;
  build_eri[3][3][3][3] = hrr_order_ffff;
  build_eri[3][3][6][1] = hrr_order_ffip;
  build_eri[3][3][5][2] = hrr_order_ffhd;
  build_eri[3][3][4][3] = hrr_order_ffgf;
  build_eri[3][3][6][2] = hrr_order_ffid;
  build_eri[3][3][5][3] = hrr_order_ffhf;
  build_eri[3][3][4][4] = hrr_order_ffgg;
  build_eri[3][3][6][3] = hrr_order_ffif;
  build_eri[3][3][5][4] = hrr_order_ffhg;
  build_eri[3][3][6][4] = hrr_order_ffig;
  build_eri[3][3][5][5] = hrr_order_ffhh;
  build_eri[3][3][6][5] = hrr_order_ffih;
  build_eri[3][3][6][6] = hrr_order_ffii;
  build_eri[6][1][6][1] = hrr_order_ipip;
  build_eri[6][1][5][2] = hrr_order_iphd;
  build_eri[6][1][4][3] = hrr_order_ipgf;
  build_eri[6][1][6][2] = hrr_order_ipid;
  build_eri[6][1][5][3] = hrr_order_iphf;
  build_eri[6][1][4][4] = hrr_order_ipgg;
  build_eri[6][1][6][3] = hrr_order_ipif;
  build_eri[6][1][5][4] = hrr_order_iphg;
  build_eri[6][1][6][4] = hrr_order_ipig;
  build_eri[6][1][5][5] = hrr_order_iphh;
  build_eri[6][1][6][5] = hrr_order_ipih;
  build_eri[6][1][6][6] = hrr_order_ipii;
  build_eri[5][2][6][1] = hrr_order_hdip;
  build_eri[5][2][5][2] = hrr_order_hdhd;
  build_eri[5][2][4][3] = hrr_order_hdgf;
  build_eri[5][2][6][2] = hrr_order_hdid;
  build_eri[5][2][5][3] = hrr_order_hdhf;
  build_eri[5][2][4][4] = hrr_order_hdgg;
  build_eri[5][2][6][3] = hrr_order_hdif;
  build_eri[5][2][5][4] = hrr_order_hdhg;
  build_eri[5][2][6][4] = hrr_order_hdig;
  build_eri[5][2][5][5] = hrr_order_hdhh;
  build_eri[5][2][6][5] = hrr_order_hdih;
  build_eri[5][2][6][6] = hrr_order_hdii;
  build_eri[4][3][6][1] = hrr_order_gfip;
  build_eri[4][3][5][2] = hrr_order_gfhd;
  build_eri[4][3][4][3] = hrr_order_gfgf;
  build_eri[4][3][6][2] = hrr_order_gfid;
  build_eri[4][3][5][3] = hrr_order_gfhf;
  build_eri[4][3][4][4] = hrr_order_gfgg;
  build_eri[4][3][6][3] = hrr_order_gfif;
  build_eri[4][3][5][4] = hrr_order_gfhg;
  build_eri[4][3][6][4] = hrr_order_gfig;
  build_eri[4][3][5][5] = hrr_order_gfhh;
  build_eri[4][3][6][5] = hrr_order_gfih;
  build_eri[4][3][6][6] = hrr_order_gfii;
  build_eri[6][2][6][2] = hrr_order_idid;
  build_eri[6][2][5][3] = hrr_order_idhf;
  build_eri[6][2][4][4] = hrr_order_idgg;
  build_eri[6][2][6][3] = hrr_order_idif;
  build_eri[6][2][5][4] = hrr_order_idhg;
  build_eri[6][2][6][4] = hrr_order_idig;
  build_eri[6][2][5][5] = hrr_order_idhh;
  build_eri[6][2][6][5] = hrr_order_idih;
  build_eri[6][2][6][6] = hrr_order_idii;
  build_eri[5][3][6][2] = hrr_order_hfid;
  build_eri[5][3][5][3] = hrr_order_hfhf;
  build_eri[5][3][4][4] = hrr_order_hfgg;
  build_eri[5][3][6][3] = hrr_order_hfif;
  build_eri[5][3][5][4] = hrr_order_hfhg;
  build_eri[5][3][6][4] = hrr_order_hfig;
  build_eri[5][3][5][5] = hrr_order_hfhh;
  build_eri[5][3][6][5] = hrr_order_hfih;
  build_eri[5][3][6][6] = hrr_order_hfii;
  build_eri[4][4][6][2] = hrr_order_ggid;
  build_eri[4][4][5][3] = hrr_order_gghf;
  build_eri[4][4][4][4] = hrr_order_gggg;
  build_eri[4][4][6][3] = hrr_order_ggif;
  build_eri[4][4][5][4] = hrr_order_gghg;
  build_eri[4][4][6][4] = hrr_order_ggig;
  build_eri[4][4][5][5] = hrr_order_gghh;
  build_eri[4][4][6][5] = hrr_order_ggih;
  build_eri[4][4][6][6] = hrr_order_ggii;
  build_eri[6][3][6][3] = hrr_order_ifif;
  build_eri[6][3][5][4] = hrr_order_ifhg;
  build_eri[6][3][6][4] = hrr_order_ifig;
  build_eri[6][3][5][5] = hrr_order_ifhh;
  build_eri[6][3][6][5] = hrr_order_ifih;
  build_eri[6][3][6][6] = hrr_order_ifii;
  build_eri[5][4][6][3] = hrr_order_hgif;
  build_eri[5][4][5][4] = hrr_order_hghg;
  build_eri[5][4][6][4] = hrr_order_hgig;
  build_eri[5][4][5][5] = hrr_order_hghh;
  build_eri[5][4][6][5] = hrr_order_hgih;
  build_eri[5][4][6][6] = hrr_order_hgii;
  build_eri[6][4][6][4] = hrr_order_igig;
  build_eri[6][4][5][5] = hrr_order_ighh;
  build_eri[6][4][6][5] = hrr_order_igih;
  build_eri[6][4][6][6] = hrr_order_igii;
  build_eri[5][5][6][4] = hrr_order_hhig;
  build_eri[5][5][5][5] = hrr_order_hhhh;
  build_eri[5][5][6][5] = hrr_order_hhih;
  build_eri[5][5][6][6] = hrr_order_hhii;
  build_eri[6][5][6][5] = hrr_order_ihih;
  build_eri[6][5][6][6] = hrr_order_ihii;
  build_eri[6][6][6][6] = hrr_order_iiii;

  libint_stack_size[0] = 1;
  libint_stack_size[1] = 222;
  libint_stack_size[2] = 3193;
  libint_stack_size[3] = 34956;
  libint_stack_size[4] = 219445;
  libint_stack_size[5] = 759382;
  libint_stack_size[6] = 2984709;
}
/* These functions initialize library objects */
/* Library objects operate independently of each other */
int init_libint(Libint_t *libint, int max_am, int max_num_prim_quartets)
{
  int memory = 0;

  if (max_am >= LIBINT_MAX_AM) return -1;
  libint->int_stack = (REALTYPE *) malloc(libint_stack_size[max_am]*sizeof(REALTYPE));
  memory += libint_stack_size[max_am];
  libint->PrimQuartet = (prim_data *) malloc(max_num_prim_quartets*sizeof(prim_data));
  memory += max_num_prim_quartets*sizeof(prim_data)/sizeof(REALTYPE);
  return memory;
}

void free_libint(Libint_t *libint)
{
  if (libint->int_stack != NULL) {
    free(libint->int_stack);
    libint->int_stack = NULL;
  }
  if (libint->PrimQuartet != NULL) {
    free(libint->PrimQuartet);
    libint->PrimQuartet = NULL;
  }

  return;
}

int libint_storage_required(int max_am, int max_num_prim_quartets)
{
  int memory = 0;

  if (max_am >= LIBINT_MAX_AM) return -1;
  memory += libint_stack_size[max_am];
  memory += max_num_prim_quartets*sizeof(prim_data)/sizeof(REALTYPE);
  return memory;
}

}
