#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_00dd(Libr12_t *, prim_data *);

  /* Computes (00|dd) integrals for linear R12-methods */

void hrr_grt_order_00dd(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->gvrr_classes[1][2] = int_stack + 0;
 Libr12->t2vrr_classes[0][2] = int_stack + 18;
 Libr12->gvrr_classes[1][3] = int_stack + 24;
 Libr12->t2vrr_classes[0][3] = int_stack + 54;
 Libr12->t2vrr_classes[0][4] = int_stack + 64;
 Libr12->t1vrr_classes[0][2] = int_stack + 79;
 Libr12->t1vrr_classes[0][3] = int_stack + 85;
 Libr12->t1vrr_classes[0][4] = int_stack + 95;
 Libr12->rvrr_classes[0][2] = int_stack + 110;
 Libr12->rvrr_classes[0][3] = int_stack + 116;
 Libr12->rvrr_classes[0][4] = int_stack + 126;
 Libr12->gvrr_classes[0][2] = int_stack + 141;
 Libr12->gvrr_classes[0][3] = int_stack + 147;
 Libr12->gvrr_classes[0][4] = int_stack + 157;
 memset(int_stack,0,172*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 172;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_00dd(Libr12, Data);
   Data++;
 }

 /*--- compute (00|dp) ---*/
   hrr3_build_dp(Libr12->ShellQuartet.CD,int_stack+172, int_stack+147, int_stack+141, 1);
 /*--- compute (p0|dp) ---*/
   hrr3_build_dp(Libr12->ShellQuartet.CD,int_stack+190, int_stack+24, int_stack+0, 3);
 /*--- compute (00|fp) ---*/
   hrr3_build_fp(Libr12->ShellQuartet.CD,int_stack+244, int_stack+157, int_stack+147, 1);
 /*--- compute (00|[r12,T2]|dp) ---*/
   t2hrr3_build_dp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+274, int_stack+54, int_stack+18, int_stack+147, int_stack+0, int_stack+141, 0, 0);
 /*--- compute (00|[r12,T2]|fp) ---*/
   t2hrr3_build_fp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+292, int_stack+64, int_stack+54, int_stack+157, int_stack+24, int_stack+147, 0, 0);
 /*--- compute (00|[r12,T1]|dp) ---*/
   hrr3_build_dp(Libr12->ShellQuartet.CD,int_stack+141, int_stack+85, int_stack+79, 1);
 /*--- compute (00|[r12,T1]|fp) ---*/
   hrr3_build_fp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+95, int_stack+85, 1);
 /*--- compute (00||dp) ---*/
   hrr3_build_dp(Libr12->ShellQuartet.CD,int_stack+30, int_stack+116, int_stack+110, 1);
 /*--- compute (00||fp) ---*/
   hrr3_build_fp(Libr12->ShellQuartet.CD,int_stack+48, int_stack+126, int_stack+116, 1);
 /*--- compute (00|[r12,T2]|dd) ---*/
   t2hrr3_build_dd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+78, int_stack+292, int_stack+274, int_stack+244, int_stack+190, int_stack+172, 0, 0);
     Libr12->te_ptr[3] = int_stack + 78;
 /*--- compute (00|[r12,T1]|dd) ---*/
   hrr3_build_dd(Libr12->ShellQuartet.CD,int_stack+190, int_stack+0, int_stack+141, 1);
     Libr12->te_ptr[2] = int_stack + 190;
 /*--- compute (00||dd) ---*/
   hrr3_build_dd(Libr12->ShellQuartet.CD,int_stack+274, int_stack+48, int_stack+30, 1);
     Libr12->te_ptr[1] = int_stack + 274;
 /*--- compute (00|dd) ---*/
   hrr3_build_dd(Libr12->ShellQuartet.CD,int_stack+0, int_stack+244, int_stack+172, 1);
     Libr12->te_ptr[0] = int_stack + 0;

}
