#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_ddg0(Libr12_t *, prim_data *);

  /* Computes (dd|g0) integrals for linear R12-methods */

void hrr_grt_order_ddg0(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->t2vrr_classes[2][4] = int_stack + 0;
 Libr12->t2vrr_classes[3][4] = int_stack + 90;
 Libr12->t2vrr_classes[4][4] = int_stack + 240;
 Libr12->gvrr_classes[2][5] = int_stack + 465;
 Libr12->t1vrr_classes[2][4] = int_stack + 591;
 Libr12->gvrr_classes[3][5] = int_stack + 681;
 Libr12->t1vrr_classes[3][4] = int_stack + 891;
 Libr12->t1vrr_classes[4][4] = int_stack + 1041;
 Libr12->rvrr_classes[2][4] = int_stack + 1266;
 Libr12->rvrr_classes[3][4] = int_stack + 1356;
 Libr12->rvrr_classes[4][4] = int_stack + 1506;
 Libr12->gvrr_classes[2][4] = int_stack + 1731;
 Libr12->gvrr_classes[3][4] = int_stack + 1821;
 Libr12->gvrr_classes[4][4] = int_stack + 1971;
 memset(int_stack,0,2196*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 2196;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_ddg0(Libr12, Data);
   Data++;
 }

 /*--- compute (dp|[r12,T2]|g0) ---*/
   hrr1_build_dp(Libr12->ShellQuartet.AB,int_stack+2196, int_stack+90, int_stack+0, 15);
 /*--- compute (fp|[r12,T2]|g0) ---*/
   hrr1_build_fp(Libr12->ShellQuartet.AB,int_stack+2466, int_stack+240, int_stack+90, 15);
 /*--- compute (dp|g0) ---*/
   hrr1_build_dp(Libr12->ShellQuartet.AB,int_stack+0, int_stack+1821, int_stack+1731, 15);
 /*--- compute (dp|h0) ---*/
   hrr1_build_dp(Libr12->ShellQuartet.AB,int_stack+2916, int_stack+681, int_stack+465, 21);
 /*--- compute (fp|g0) ---*/
   hrr1_build_fp(Libr12->ShellQuartet.AB,int_stack+3294, int_stack+1971, int_stack+1821, 15);
 /*--- compute (dp|[r12,T1]|g0) ---*/
   t1hrr1_build_dp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+3744, int_stack+891, int_stack+591, int_stack+1821, int_stack+465, int_stack+1731, 4, 0);
 /*--- compute (fp|[r12,T1]|g0) ---*/
   t1hrr1_build_fp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+4014, int_stack+1041, int_stack+891, int_stack+1971, int_stack+681, int_stack+1821, 4, 0);
 /*--- compute (dp||g0) ---*/
   hrr1_build_dp(Libr12->ShellQuartet.AB,int_stack+1731, int_stack+1356, int_stack+1266, 15);
 /*--- compute (fp||g0) ---*/
   hrr1_build_fp(Libr12->ShellQuartet.AB,int_stack+270, int_stack+1506, int_stack+1356, 15);
 /*--- compute (dd|[r12,T2]|g0) ---*/
   hrr1_build_dd(Libr12->ShellQuartet.AB,int_stack+720, int_stack+2466, int_stack+2196, 15);
     Libr12->te_ptr[3] = int_stack + 720;
 /*--- compute (dd|[r12,T1]|g0) ---*/
   t1hrr1_build_dd(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+2001, int_stack+4014, int_stack+3744, int_stack+3294, int_stack+2916, int_stack+0, 4, 0);
     Libr12->te_ptr[2] = int_stack + 2001;
 /*--- compute (dd||g0) ---*/
   hrr1_build_dd(Libr12->ShellQuartet.AB,int_stack+3744, int_stack+270, int_stack+1731, 15);
     Libr12->te_ptr[1] = int_stack + 3744;
 /*--- compute (dd|g0) ---*/
   hrr1_build_dd(Libr12->ShellQuartet.AB,int_stack+4284, int_stack+3294, int_stack+0, 15);
     Libr12->te_ptr[0] = int_stack + 4284;

}
