#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_f0hd(Libr12_t *, prim_data *);

  /* Computes (f0|hd) integrals for linear R12-methods */

void hrr_grt_order_f0hd(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->gvrr_classes[4][5] = int_stack + 0;
 Libr12->t2vrr_classes[3][5] = int_stack + 315;
 Libr12->gvrr_classes[4][6] = int_stack + 525;
 Libr12->t2vrr_classes[3][6] = int_stack + 945;
 Libr12->t2vrr_classes[3][7] = int_stack + 1225;
 Libr12->t1vrr_classes[3][5] = int_stack + 1585;
 Libr12->t1vrr_classes[3][6] = int_stack + 1795;
 Libr12->t1vrr_classes[3][7] = int_stack + 2075;
 Libr12->rvrr_classes[3][5] = int_stack + 2435;
 Libr12->rvrr_classes[3][6] = int_stack + 2645;
 Libr12->rvrr_classes[3][7] = int_stack + 2925;
 Libr12->gvrr_classes[3][5] = int_stack + 3285;
 Libr12->gvrr_classes[3][6] = int_stack + 3495;
 Libr12->gvrr_classes[3][7] = int_stack + 3775;
 memset(int_stack,0,4135*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 4135;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_f0hd(Libr12, Data);
   Data++;
 }

 /*--- compute (f0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+4135, int_stack+3495, int_stack+3285, 10);
 /*--- compute (g0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+4765, int_stack+525, int_stack+0, 15);
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+5710, int_stack+3775, int_stack+3495, 10);
 /*--- compute (f0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+6550, int_stack+945, int_stack+315, int_stack+3495, int_stack+0, int_stack+3285, 3, 0);
 /*--- compute (f0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+7180, int_stack+1225, int_stack+945, int_stack+3775, int_stack+525, int_stack+3495, 3, 0);
 /*--- compute (f0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+3285, int_stack+1795, int_stack+1585, 10);
 /*--- compute (f0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+0, int_stack+2075, int_stack+1795, 10);
 /*--- compute (f0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+840, int_stack+2645, int_stack+2435, 10);
 /*--- compute (f0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+1470, int_stack+2925, int_stack+2645, 10);
 /*--- compute (f0|[r12,T2]|hd) ---*/
   t2hrr3_build_hd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+8020, int_stack+7180, int_stack+6550, int_stack+5710, int_stack+4765, int_stack+4135, 3, 0);
     Libr12->te_ptr[3] = int_stack + 8020;
 /*--- compute (f0|[r12,T1]|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+6550, int_stack+0, int_stack+3285, 10);
     Libr12->te_ptr[2] = int_stack + 6550;
 /*--- compute (f0||hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+2310, int_stack+1470, int_stack+840, 10);
     Libr12->te_ptr[1] = int_stack + 2310;
 /*--- compute (f0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+0, int_stack+5710, int_stack+4135, 10);
     Libr12->te_ptr[0] = int_stack + 0;

}
