#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_ffhh(Libr12_t *, prim_data *);

  /* Computes (ff|hh) integrals for linear R12-methods */

void hrr_grt_order_ffhh(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->t2vrr_classes[3][5] = int_stack + 0;
 Libr12->t2vrr_classes[3][6] = int_stack + 210;
 Libr12->t2vrr_classes[3][7] = int_stack + 490;
 Libr12->t2vrr_classes[3][8] = int_stack + 850;
 Libr12->t2vrr_classes[3][9] = int_stack + 1300;
 Libr12->t2vrr_classes[3][10] = int_stack + 1850;
 Libr12->t2vrr_classes[4][5] = int_stack + 2510;
 Libr12->t2vrr_classes[4][6] = int_stack + 2825;
 Libr12->t2vrr_classes[4][7] = int_stack + 3245;
 Libr12->t2vrr_classes[4][8] = int_stack + 3785;
 Libr12->t2vrr_classes[4][9] = int_stack + 4460;
 Libr12->t2vrr_classes[4][10] = int_stack + 5285;
 Libr12->t2vrr_classes[5][5] = int_stack + 6275;
 Libr12->t2vrr_classes[5][6] = int_stack + 6716;
 Libr12->t2vrr_classes[5][7] = int_stack + 7304;
 Libr12->t2vrr_classes[5][8] = int_stack + 8060;
 Libr12->t2vrr_classes[5][9] = int_stack + 9005;
 Libr12->t2vrr_classes[5][10] = int_stack + 10160;
 Libr12->gvrr_classes[7][5] = int_stack + 11546;
 Libr12->t2vrr_classes[6][5] = int_stack + 12302;
 Libr12->gvrr_classes[7][6] = int_stack + 12890;
 Libr12->t2vrr_classes[6][6] = int_stack + 13898;
 Libr12->gvrr_classes[7][7] = int_stack + 14682;
 Libr12->t2vrr_classes[6][7] = int_stack + 15978;
 Libr12->gvrr_classes[7][8] = int_stack + 16986;
 Libr12->t2vrr_classes[6][8] = int_stack + 18606;
 Libr12->gvrr_classes[7][9] = int_stack + 19866;
 Libr12->t2vrr_classes[6][9] = int_stack + 21846;
 Libr12->t2vrr_classes[6][10] = int_stack + 23386;
 Libr12->gvrr_classes[3][11] = int_stack + 25234;
 Libr12->t1vrr_classes[3][5] = int_stack + 26014;
 Libr12->t1vrr_classes[3][6] = int_stack + 26224;
 Libr12->t1vrr_classes[3][7] = int_stack + 26504;
 Libr12->t1vrr_classes[3][8] = int_stack + 26864;
 Libr12->t1vrr_classes[3][9] = int_stack + 27314;
 Libr12->t1vrr_classes[3][10] = int_stack + 27864;
 Libr12->gvrr_classes[4][11] = int_stack + 28524;
 Libr12->t1vrr_classes[4][5] = int_stack + 29694;
 Libr12->t1vrr_classes[4][6] = int_stack + 30009;
 Libr12->t1vrr_classes[4][7] = int_stack + 30429;
 Libr12->t1vrr_classes[4][8] = int_stack + 30969;
 Libr12->t1vrr_classes[4][9] = int_stack + 31644;
 Libr12->t1vrr_classes[4][10] = int_stack + 32469;
 Libr12->gvrr_classes[5][11] = int_stack + 33459;
 Libr12->t1vrr_classes[5][5] = int_stack + 35097;
 Libr12->t1vrr_classes[5][6] = int_stack + 35538;
 Libr12->t1vrr_classes[5][7] = int_stack + 36126;
 Libr12->t1vrr_classes[5][8] = int_stack + 36882;
 Libr12->t1vrr_classes[5][9] = int_stack + 37827;
 Libr12->t1vrr_classes[5][10] = int_stack + 38982;
 Libr12->t1vrr_classes[6][5] = int_stack + 40368;
 Libr12->t1vrr_classes[6][6] = int_stack + 40956;
 Libr12->t1vrr_classes[6][7] = int_stack + 41740;
 Libr12->t1vrr_classes[6][8] = int_stack + 42748;
 Libr12->t1vrr_classes[6][9] = int_stack + 44008;
 Libr12->t1vrr_classes[6][10] = int_stack + 45548;
 Libr12->rvrr_classes[3][5] = int_stack + 47396;
 Libr12->rvrr_classes[3][6] = int_stack + 47606;
 Libr12->rvrr_classes[3][7] = int_stack + 47886;
 Libr12->rvrr_classes[3][8] = int_stack + 48246;
 Libr12->rvrr_classes[3][9] = int_stack + 48696;
 Libr12->rvrr_classes[3][10] = int_stack + 49246;
 Libr12->rvrr_classes[4][5] = int_stack + 49906;
 Libr12->rvrr_classes[4][6] = int_stack + 50221;
 Libr12->rvrr_classes[4][7] = int_stack + 50641;
 Libr12->rvrr_classes[4][8] = int_stack + 51181;
 Libr12->rvrr_classes[4][9] = int_stack + 51856;
 Libr12->rvrr_classes[4][10] = int_stack + 52681;
 Libr12->rvrr_classes[5][5] = int_stack + 53671;
 Libr12->rvrr_classes[5][6] = int_stack + 54112;
 Libr12->rvrr_classes[5][7] = int_stack + 54700;
 Libr12->rvrr_classes[5][8] = int_stack + 55456;
 Libr12->rvrr_classes[5][9] = int_stack + 56401;
 Libr12->rvrr_classes[5][10] = int_stack + 57556;
 Libr12->rvrr_classes[6][5] = int_stack + 58942;
 Libr12->rvrr_classes[6][6] = int_stack + 59530;
 Libr12->rvrr_classes[6][7] = int_stack + 60314;
 Libr12->rvrr_classes[6][8] = int_stack + 61322;
 Libr12->rvrr_classes[6][9] = int_stack + 62582;
 Libr12->rvrr_classes[6][10] = int_stack + 64122;
 Libr12->gvrr_classes[3][5] = int_stack + 65970;
 Libr12->gvrr_classes[3][6] = int_stack + 66180;
 Libr12->gvrr_classes[3][7] = int_stack + 66460;
 Libr12->gvrr_classes[3][8] = int_stack + 66820;
 Libr12->gvrr_classes[3][9] = int_stack + 67270;
 Libr12->gvrr_classes[3][10] = int_stack + 67820;
 Libr12->gvrr_classes[4][5] = int_stack + 68480;
 Libr12->gvrr_classes[4][6] = int_stack + 68795;
 Libr12->gvrr_classes[4][7] = int_stack + 69215;
 Libr12->gvrr_classes[4][8] = int_stack + 69755;
 Libr12->gvrr_classes[4][9] = int_stack + 70430;
 Libr12->gvrr_classes[4][10] = int_stack + 71255;
 Libr12->gvrr_classes[5][5] = int_stack + 72245;
 Libr12->gvrr_classes[5][6] = int_stack + 72686;
 Libr12->gvrr_classes[5][7] = int_stack + 73274;
 Libr12->gvrr_classes[5][8] = int_stack + 74030;
 Libr12->gvrr_classes[5][9] = int_stack + 74975;
 Libr12->gvrr_classes[5][10] = int_stack + 76130;
 Libr12->gvrr_classes[6][5] = int_stack + 77516;
 Libr12->gvrr_classes[6][6] = int_stack + 78104;
 Libr12->gvrr_classes[6][7] = int_stack + 78888;
 Libr12->gvrr_classes[6][8] = int_stack + 79896;
 Libr12->gvrr_classes[6][9] = int_stack + 81156;
 Libr12->gvrr_classes[6][10] = int_stack + 82696;
 memset(int_stack,0,84544*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 84544;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_ffhh(Libr12, Data);
   Data++;
 }

 /*--- compute (f0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+84544, int_stack+66180, int_stack+65970, 10);
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+85174, int_stack+66460, int_stack+66180, 10);
 /*--- compute (f0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+86014, int_stack+85174, int_stack+84544, 10);
 /*--- compute (f0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+87274, int_stack+66820, int_stack+66460, 10);
 /*--- compute (f0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+88354, int_stack+87274, int_stack+85174, 10);
 /*--- compute (f0|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+90034, int_stack+88354, int_stack+86014, 10);
 /*--- compute (f0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+92134, int_stack+67270, int_stack+66820, 10);
 /*--- compute (f0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+93484, int_stack+92134, int_stack+87274, 10);
 /*--- compute (f0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+95644, int_stack+93484, int_stack+88354, 10);
 /*--- compute (f0|hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+98444, int_stack+95644, int_stack+90034, 10);
 /*--- compute (g0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+101594, int_stack+68795, int_stack+68480, 15);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+102539, int_stack+69215, int_stack+68795, 15);
 /*--- compute (g0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+103799, int_stack+102539, int_stack+101594, 15);
 /*--- compute (g0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+105689, int_stack+69755, int_stack+69215, 15);
 /*--- compute (g0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+107309, int_stack+105689, int_stack+102539, 15);
 /*--- compute (g0|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+109829, int_stack+107309, int_stack+103799, 15);
 /*--- compute (g0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+112979, int_stack+70430, int_stack+69755, 15);
 /*--- compute (g0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+115004, int_stack+112979, int_stack+105689, 15);
 /*--- compute (g0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+118244, int_stack+115004, int_stack+107309, 15);
 /*--- compute (g0|hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+122444, int_stack+118244, int_stack+109829, 15);
 /*--- compute (f0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+127169, int_stack+67820, int_stack+67270, 10);
 /*--- compute (f0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+128819, int_stack+127169, int_stack+92134, 10);
 /*--- compute (f0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+131519, int_stack+128819, int_stack+93484, 10);
 /*--- compute (f0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+135119, int_stack+131519, int_stack+95644, 10);
 /*--- compute (f0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+139319, int_stack+210, int_stack+0, int_stack+66180, int_stack+68480, int_stack+65970, 3, 0);
 /*--- compute (f0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+139949, int_stack+490, int_stack+210, int_stack+66460, int_stack+68795, int_stack+66180, 3, 0);
 /*--- compute (f0|[r12,T2]|hd) ---*/
   t2hrr3_build_hd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+140789, int_stack+139949, int_stack+139319, int_stack+85174, int_stack+101594, int_stack+84544, 3, 0);
 /*--- compute (f0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+142049, int_stack+850, int_stack+490, int_stack+66820, int_stack+69215, int_stack+66460, 3, 0);
 /*--- compute (f0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+143129, int_stack+142049, int_stack+139949, int_stack+87274, int_stack+102539, int_stack+85174, 3, 0);
 /*--- compute (f0|[r12,T2]|hf) ---*/
   t2hrr3_build_hf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+144809, int_stack+143129, int_stack+140789, int_stack+88354, int_stack+103799, int_stack+86014, 3, 0);
 /*--- compute (f0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+84544, int_stack+1300, int_stack+850, int_stack+67270, int_stack+69755, int_stack+66820, 3, 0);
 /*--- compute (f0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+139319, int_stack+84544, int_stack+142049, int_stack+92134, int_stack+105689, int_stack+87274, 3, 0);
 /*--- compute (f0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+146909, int_stack+139319, int_stack+143129, int_stack+93484, int_stack+107309, int_stack+88354, 3, 0);
 /*--- compute (f0|[r12,T2]|hg) ---*/
   t2hrr3_build_hg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+85894, int_stack+146909, int_stack+144809, int_stack+95644, int_stack+109829, int_stack+90034, 3, 0);
 /*--- compute (f0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+89044, int_stack+1850, int_stack+1300, int_stack+67820, int_stack+70430, int_stack+67270, 3, 0);
 /*--- compute (f0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+141479, int_stack+89044, int_stack+84544, int_stack+127169, int_stack+112979, int_stack+92134, 3, 0);
 /*--- compute (f0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+89044, int_stack+141479, int_stack+139319, int_stack+128819, int_stack+115004, int_stack+93484, 3, 0);
 /*--- compute (f0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+139319, int_stack+89044, int_stack+146909, int_stack+131519, int_stack+118244, int_stack+95644, 3, 0);
 /*--- compute (f0|[r12,T2]|hh) ---*/
   t2hrr3_build_hh(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+89044, int_stack+139319, int_stack+85894, int_stack+135119, int_stack+122444, int_stack+98444, 3, 0);
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+139319, int_stack+72686, int_stack+72245, 21);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+140642, int_stack+73274, int_stack+72686, 21);
 /*--- compute (h0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+142406, int_stack+140642, int_stack+139319, 21);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+145052, int_stack+74030, int_stack+73274, 21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+93454, int_stack+145052, int_stack+140642, 21);
 /*--- compute (h0|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+84544, int_stack+93454, int_stack+142406, 21);
 /*--- compute (h0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+147320, int_stack+74975, int_stack+74030, 21);
 /*--- compute (h0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+150155, int_stack+147320, int_stack+145052, 21);
 /*--- compute (h0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+154691, int_stack+150155, int_stack+93454, 21);
 /*--- compute (h0|hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+160571, int_stack+154691, int_stack+84544, 21);
 /*--- compute (g0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+71255, int_stack+70430, 15);
 /*--- compute (g0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+167186, int_stack+0, int_stack+112979, 15);
 /*--- compute (g0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+171236, int_stack+167186, int_stack+115004, 15);
 /*--- compute (g0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+176636, int_stack+171236, int_stack+118244, 15);
 /*--- compute (g0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+96982, int_stack+2825, int_stack+2510, int_stack+68795, int_stack+72245, int_stack+68480, 4, 0);
 /*--- compute (g0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+65970, int_stack+3245, int_stack+2825, int_stack+69215, int_stack+72686, int_stack+68795, 4, 0);
 /*--- compute (g0|[r12,T2]|hd) ---*/
   t2hrr3_build_hd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+182936, int_stack+65970, int_stack+96982, int_stack+102539, int_stack+139319, int_stack+101594, 4, 0);
 /*--- compute (g0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+184826, int_stack+3785, int_stack+3245, int_stack+69755, int_stack+73274, int_stack+69215, 4, 0);
 /*--- compute (g0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+186446, int_stack+184826, int_stack+65970, int_stack+105689, int_stack+140642, int_stack+102539, 4, 0);
 /*--- compute (g0|[r12,T2]|hf) ---*/
   t2hrr3_build_hf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+188966, int_stack+186446, int_stack+182936, int_stack+107309, int_stack+142406, int_stack+103799, 4, 0);
 /*--- compute (g0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+101594, int_stack+4460, int_stack+3785, int_stack+70430, int_stack+74030, int_stack+69755, 4, 0);
 /*--- compute (g0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+192116, int_stack+101594, int_stack+184826, int_stack+112979, int_stack+145052, int_stack+105689, 4, 0);
 /*--- compute (g0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+195356, int_stack+192116, int_stack+186446, int_stack+115004, int_stack+93454, int_stack+107309, 4, 0);
 /*--- compute (g0|[r12,T2]|hg) ---*/
   t2hrr3_build_hg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+182936, int_stack+195356, int_stack+188966, int_stack+118244, int_stack+84544, int_stack+109829, 4, 0);
 /*--- compute (g0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+187661, int_stack+5285, int_stack+4460, int_stack+71255, int_stack+74975, int_stack+70430, 4, 0);
 /*--- compute (g0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+103619, int_stack+187661, int_stack+101594, int_stack+0, int_stack+147320, int_stack+112979, 4, 0);
 /*--- compute (g0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+107669, int_stack+103619, int_stack+192116, int_stack+167186, int_stack+150155, int_stack+115004, 4, 0);
 /*--- compute (g0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+187661, int_stack+107669, int_stack+195356, int_stack+171236, int_stack+154691, int_stack+118244, 4, 0);
 /*--- compute (g0|[r12,T2]|hh) ---*/
   t2hrr3_build_hh(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+101594, int_stack+187661, int_stack+182936, int_stack+176636, int_stack+160571, int_stack+122444, 4, 0);
 /*--- compute (fp|[r12,T2]|hh) ---*/
   hrr1_build_fp(Libr12->ShellQuartet.AB,int_stack+182936, int_stack+101594, int_stack+89044, 441);
 /*--- compute (i0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+196166, int_stack+78104, int_stack+77516, 28);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+108209, int_stack+78888, int_stack+78104, 28);
 /*--- compute (i0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+110561, int_stack+108209, int_stack+196166, 28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+114089, int_stack+79896, int_stack+78888, 28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+117113, int_stack+114089, int_stack+108209, 28);
 /*--- compute (i0|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+197930, int_stack+117113, int_stack+110561, 28);
 /*--- compute (i0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+88954, int_stack+81156, int_stack+79896, 28);
 /*--- compute (i0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+203810, int_stack+88954, int_stack+114089, 28);
 /*--- compute (i0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+209858, int_stack+203810, int_stack+117113, 28);
 /*--- compute (i0|hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+217698, int_stack+209858, int_stack+197930, 28);
 /*--- compute (h0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+2475, int_stack+76130, int_stack+74975, 21);
 /*--- compute (h0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+226518, int_stack+2475, int_stack+147320, 21);
 /*--- compute (h0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+232188, int_stack+226518, int_stack+150155, 21);
 /*--- compute (h0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+239748, int_stack+232188, int_stack+154691, 21);
 /*--- compute (h0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+65970, int_stack+6716, int_stack+6275, int_stack+72686, int_stack+77516, int_stack+72245, 5, 0);
 /*--- compute (h0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+68480, int_stack+7304, int_stack+6716, int_stack+73274, int_stack+78104, int_stack+72686, 5, 0);
 /*--- compute (h0|[r12,T2]|hd) ---*/
   t2hrr3_build_hd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+248568, int_stack+68480, int_stack+65970, int_stack+140642, int_stack+196166, int_stack+139319, 5, 0);
 /*--- compute (h0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+251214, int_stack+8060, int_stack+7304, int_stack+74030, int_stack+78888, int_stack+73274, 5, 0);
 /*--- compute (h0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+253482, int_stack+251214, int_stack+68480, int_stack+145052, int_stack+108209, int_stack+140642, 5, 0);
 /*--- compute (h0|[r12,T2]|hf) ---*/
   t2hrr3_build_hf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+257010, int_stack+253482, int_stack+248568, int_stack+93454, int_stack+110561, int_stack+142406, 5, 0);
 /*--- compute (h0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+139319, int_stack+9005, int_stack+8060, int_stack+74975, int_stack+79896, int_stack+74030, 5, 0);
 /*--- compute (h0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+261420, int_stack+139319, int_stack+251214, int_stack+147320, int_stack+114089, int_stack+145052, 5, 0);
 /*--- compute (h0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+265956, int_stack+261420, int_stack+253482, int_stack+150155, int_stack+117113, int_stack+93454, 5, 0);
 /*--- compute (h0|[r12,T2]|hg) ---*/
   t2hrr3_build_hg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+248568, int_stack+265956, int_stack+257010, int_stack+154691, int_stack+197930, int_stack+84544, 5, 0);
 /*--- compute (h0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+84544, int_stack+10160, int_stack+9005, int_stack+76130, int_stack+81156, int_stack+74975, 5, 0);
 /*--- compute (h0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+255183, int_stack+84544, int_stack+139319, int_stack+2475, int_stack+88954, int_stack+147320, 5, 0);
 /*--- compute (h0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+139319, int_stack+255183, int_stack+261420, int_stack+226518, int_stack+203810, int_stack+150155, 5, 0);
 /*--- compute (h0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+255183, int_stack+139319, int_stack+265956, int_stack+232188, int_stack+209858, int_stack+154691, 5, 0);
 /*--- compute (h0|[r12,T2]|hh) ---*/
   t2hrr3_build_hh(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+139319, int_stack+255183, int_stack+248568, int_stack+239748, int_stack+217698, int_stack+160571, 5, 0);
 /*--- compute (gp|[r12,T2]|hh) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+248568, int_stack+139319, int_stack+101594, 441);
 /*--- compute (fd|[r12,T2]|hh) ---*/
   hrr1_build_fd(Libr12->ShellQuartet.AB,int_stack+268413, int_stack+248568, int_stack+182936, 441);
 /*--- compute (k0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+182936, int_stack+12890, int_stack+11546, 36);
 /*--- compute (k0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+185204, int_stack+14682, int_stack+12890, 36);
 /*--- compute (k0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+188228, int_stack+185204, int_stack+182936, 36);
 /*--- compute (k0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+101594, int_stack+16986, int_stack+14682, 36);
 /*--- compute (k0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+148580, int_stack+101594, int_stack+185204, 36);
 /*--- compute (k0|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+294873, int_stack+148580, int_stack+188228, 36);
 /*--- compute (k0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+154628, int_stack+19866, int_stack+16986, 36);
 /*--- compute (k0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+302433, int_stack+154628, int_stack+101594, 36);
 /*--- compute (k0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+310209, int_stack+302433, int_stack+148580, 36);
 /*--- compute (k0|hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+320289, int_stack+310209, int_stack+294873, 36);
 /*--- compute (i0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+92734, int_stack+82696, int_stack+81156, 28);
 /*--- compute (i0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+331629, int_stack+92734, int_stack+88954, 28);
 /*--- compute (i0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+339189, int_stack+331629, int_stack+203810, 28);
 /*--- compute (i0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+349269, int_stack+339189, int_stack+209858, 28);
 /*--- compute (i0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+192764, int_stack+13898, int_stack+12302, int_stack+78104, int_stack+11546, int_stack+77516, 6, 0);
 /*--- compute (i0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+105482, int_stack+15978, int_stack+13898, int_stack+78888, int_stack+12890, int_stack+78104, 6, 0);
 /*--- compute (i0|[r12,T2]|hd) ---*/
   t2hrr3_build_hd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+84544, int_stack+105482, int_stack+192764, int_stack+108209, int_stack+182936, int_stack+196166, 6, 0);
 /*--- compute (i0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+192764, int_stack+18606, int_stack+15978, int_stack+79896, int_stack+14682, int_stack+78888, 6, 0);
 /*--- compute (i0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+5940, int_stack+192764, int_stack+105482, int_stack+114089, int_stack+185204, int_stack+108209, 6, 0);
 /*--- compute (i0|[r12,T2]|hf) ---*/
   t2hrr3_build_hf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+10644, int_stack+5940, int_stack+84544, int_stack+117113, int_stack+188228, int_stack+110561, 6, 0);
 /*--- compute (i0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+84544, int_stack+21846, int_stack+18606, int_stack+81156, int_stack+16986, int_stack+79896, 6, 0);
 /*--- compute (i0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+105482, int_stack+84544, int_stack+192764, int_stack+88954, int_stack+101594, int_stack+114089, 6, 0);
 /*--- compute (i0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+182936, int_stack+105482, int_stack+5940, int_stack+203810, int_stack+148580, int_stack+117113, 6, 0);
 /*--- compute (i0|[r12,T2]|hg) ---*/
   t2hrr3_build_hg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+111530, int_stack+182936, int_stack+10644, int_stack+209858, int_stack+294873, int_stack+197930, 6, 0);
 /*--- compute (i0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+294873, int_stack+23386, int_stack+21846, int_stack+82696, int_stack+19866, int_stack+81156, 6, 0);
 /*--- compute (i0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+5940, int_stack+294873, int_stack+84544, int_stack+92734, int_stack+154628, int_stack+88954, 6, 0);
 /*--- compute (i0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+148580, int_stack+5940, int_stack+105482, int_stack+331629, int_stack+302433, int_stack+203810, 6, 0);
 /*--- compute (i0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+5940, int_stack+148580, int_stack+182936, int_stack+339189, int_stack+310209, int_stack+209858, 6, 0);
 /*--- compute (i0|[r12,T2]|hh) ---*/
   t2hrr3_build_hh(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+182936, int_stack+5940, int_stack+111530, int_stack+349269, int_stack+320289, int_stack+217698, 6, 0);
 /*--- compute (hp|[r12,T2]|hh) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+294873, int_stack+182936, int_stack+139319, 441);
 /*--- compute (gd|[r12,T2]|hh) ---*/
   hrr1_build_gd(Libr12->ShellQuartet.AB,int_stack+361029, int_stack+294873, int_stack+248568, 441);
 /*--- compute (f0|hh) ---*/
   hrr3_build_hh(Libr12->ShellQuartet.CD,int_stack+248568, int_stack+135119, int_stack+98444, 10);
 /*--- compute (g0|hh) ---*/
   hrr3_build_hh(Libr12->ShellQuartet.CD,int_stack+252978, int_stack+176636, int_stack+122444, 15);
 /*--- compute (fp|hh) ---*/
   hrr1_build_fp(Libr12->ShellQuartet.AB,int_stack+294873, int_stack+252978, int_stack+248568, 441);
 /*--- compute (h0|hh) ---*/
   hrr3_build_hh(Libr12->ShellQuartet.CD,int_stack+308103, int_stack+239748, int_stack+160571, 21);
 /*--- compute (gp|hh) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+317364, int_stack+308103, int_stack+252978, 441);
 /*--- compute (fd|hh) ---*/
   hrr1_build_fd(Libr12->ShellQuartet.AB,int_stack+139319, int_stack+317364, int_stack+294873, 441);
 /*--- compute (f0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+259593, int_stack+25234, int_stack+67820, 10);
 /*--- compute (f0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+261573, int_stack+259593, int_stack+127169, 10);
 /*--- compute (f0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+337209, int_stack+261573, int_stack+128819, 10);
 /*--- compute (f0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+259593, int_stack+337209, int_stack+131519, 10);
 /*--- compute (f0|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+337209, int_stack+259593, int_stack+135119, 10);
 /*--- compute (g0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+259593, int_stack+28524, int_stack+71255, 15);
 /*--- compute (g0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+262563, int_stack+259593, int_stack+0, 15);
 /*--- compute (g0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+182936, int_stack+262563, int_stack+167186, 15);
 /*--- compute (g0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+259593, int_stack+182936, int_stack+171236, 15);
 /*--- compute (g0|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+182936, int_stack+259593, int_stack+176636, 15);
 /*--- compute (fp|ih) ---*/
   hrr1_build_fp(Libr12->ShellQuartet.AB,int_stack+191756, int_stack+182936, int_stack+337209, 588);
 /*--- compute (h0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+259593, int_stack+33459, int_stack+76130, 21);
 /*--- compute (h0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+209396, int_stack+259593, int_stack+2475, 21);
 /*--- compute (h0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+0, int_stack+209396, int_stack+226518, 21);
 /*--- compute (h0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+9450, int_stack+0, int_stack+232188, 21);
 /*--- compute (h0|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+226518, int_stack+9450, int_stack+239748, 21);
 /*--- compute (gp|ih) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+65970, int_stack+226518, int_stack+182936, 588);
 /*--- compute (fd|ih) ---*/
   hrr1_build_fd(Libr12->ShellQuartet.AB,int_stack+92430, int_stack+65970, int_stack+191756, 588);
 /*--- compute (i0|hh) ---*/
   hrr3_build_hh(Libr12->ShellQuartet.CD,int_stack+0, int_stack+349269, int_stack+217698, 28);
 /*--- compute (hp|hh) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+400719, int_stack+0, int_stack+308103, 441);
 /*--- compute (gd|hh) ---*/
   hrr1_build_gd(Libr12->ShellQuartet.AB,int_stack+428502, int_stack+400719, int_stack+317364, 441);
 /*--- compute (f0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+12348, int_stack+26224, int_stack+26014, 10);
 /*--- compute (f0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+12978, int_stack+26504, int_stack+26224, 10);
 /*--- compute (f0|[r12,T1]|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+13818, int_stack+12978, int_stack+12348, 10);
 /*--- compute (f0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+15078, int_stack+26864, int_stack+26504, 10);
 /*--- compute (f0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+16158, int_stack+15078, int_stack+12978, 10);
 /*--- compute (f0|[r12,T1]|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+17838, int_stack+16158, int_stack+13818, 10);
 /*--- compute (f0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+12348, int_stack+27314, int_stack+26864, 10);
 /*--- compute (f0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+19938, int_stack+12348, int_stack+15078, 10);
 /*--- compute (f0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+22098, int_stack+19938, int_stack+16158, 10);
 /*--- compute (f0|[r12,T1]|hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+13698, int_stack+22098, int_stack+17838, 10);
 /*--- compute (f0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+16848, int_stack+27864, int_stack+27314, 10);
 /*--- compute (f0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+24898, int_stack+16848, int_stack+12348, 10);
 /*--- compute (f0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+238866, int_stack+24898, int_stack+19938, 10);
 /*--- compute (f0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+24898, int_stack+238866, int_stack+22098, 10);
 /*--- compute (f0|[r12,T1]|hh) ---*/
   hrr3_build_hh(Libr12->ShellQuartet.CD,int_stack+238866, int_stack+24898, int_stack+13698, 10);
 /*--- compute (g0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+243276, int_stack+30009, int_stack+29694, 15);
 /*--- compute (g0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+244221, int_stack+30429, int_stack+30009, 15);
 /*--- compute (g0|[r12,T1]|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+245481, int_stack+244221, int_stack+243276, 15);
 /*--- compute (g0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+12348, int_stack+30969, int_stack+30429, 15);
 /*--- compute (g0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+13968, int_stack+12348, int_stack+244221, 15);
 /*--- compute (g0|[r12,T1]|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+16488, int_stack+13968, int_stack+245481, 15);
 /*--- compute (g0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+243276, int_stack+31644, int_stack+30969, 15);
 /*--- compute (g0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+245301, int_stack+243276, int_stack+12348, 15);
 /*--- compute (g0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+19638, int_stack+245301, int_stack+13968, 15);
 /*--- compute (g0|[r12,T1]|hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+23838, int_stack+19638, int_stack+16488, 15);
 /*--- compute (g0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+12348, int_stack+32469, int_stack+31644, 15);
 /*--- compute (g0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+14823, int_stack+12348, int_stack+243276, 15);
 /*--- compute (g0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+28563, int_stack+14823, int_stack+245301, 15);
 /*--- compute (g0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+12348, int_stack+28563, int_stack+19638, 15);
 /*--- compute (g0|[r12,T1]|hh) ---*/
   hrr3_build_hh(Libr12->ShellQuartet.CD,int_stack+209396, int_stack+12348, int_stack+23838, 15);
 /*--- compute (fp|[r12,T1]|hh) ---*/
   t1hrr1_build_fp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+12348, int_stack+209396, int_stack+238866, int_stack+252978, int_stack+337209, int_stack+248568, 5, 5);
 /*--- compute (h0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+337209, int_stack+35538, int_stack+35097, 21);
 /*--- compute (h0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+338532, int_stack+36126, int_stack+35538, 21);
 /*--- compute (h0|[r12,T1]|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+340296, int_stack+338532, int_stack+337209, 21);
 /*--- compute (h0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+342942, int_stack+36882, int_stack+36126, 21);
 /*--- compute (h0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+345210, int_stack+342942, int_stack+338532, 21);
 /*--- compute (h0|[r12,T1]|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+348738, int_stack+345210, int_stack+340296, 21);
 /*--- compute (h0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+337209, int_stack+37827, int_stack+36882, 21);
 /*--- compute (h0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+353148, int_stack+337209, int_stack+342942, 21);
 /*--- compute (h0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+238866, int_stack+353148, int_stack+345210, 21);
 /*--- compute (h0|[r12,T1]|hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+340044, int_stack+238866, int_stack+348738, 21);
 /*--- compute (h0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+346659, int_stack+38982, int_stack+37827, 21);
 /*--- compute (h0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+244746, int_stack+346659, int_stack+337209, 21);
 /*--- compute (h0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+25578, int_stack+244746, int_stack+353148, 21);
 /*--- compute (h0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+259593, int_stack+25578, int_stack+238866, 21);
 /*--- compute (h0|[r12,T1]|hh) ---*/
   hrr3_build_hh(Libr12->ShellQuartet.CD,int_stack+238866, int_stack+259593, int_stack+340044, 21);
 /*--- compute (gp|[r12,T1]|hh) ---*/
   t1hrr1_build_gp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+337209, int_stack+238866, int_stack+209396, int_stack+308103, int_stack+182936, int_stack+252978, 5, 5);
 /*--- compute (fd|[r12,T1]|hh) ---*/
   t1hrr1_build_fd(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+468192, int_stack+337209, int_stack+12348, int_stack+317364, int_stack+191756, int_stack+294873, 5, 5);
 /*--- compute (i0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+294873, int_stack+40956, int_stack+40368, 28);
 /*--- compute (i0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+296637, int_stack+41740, int_stack+40956, 28);
 /*--- compute (i0|[r12,T1]|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+298989, int_stack+296637, int_stack+294873, 28);
 /*--- compute (i0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+302517, int_stack+42748, int_stack+41740, 28);
 /*--- compute (i0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+12348, int_stack+302517, int_stack+296637, 28);
 /*--- compute (i0|[r12,T1]|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+17052, int_stack+12348, int_stack+298989, 28);
 /*--- compute (i0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+294873, int_stack+44008, int_stack+42748, 28);
 /*--- compute (i0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+22932, int_stack+294873, int_stack+302517, 28);
 /*--- compute (i0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+298653, int_stack+22932, int_stack+12348, 28);
 /*--- compute (i0|[r12,T1]|hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+28980, int_stack+298653, int_stack+17052, 28);
 /*--- compute (i0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+12348, int_stack+45548, int_stack+44008, 28);
 /*--- compute (i0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+37800, int_stack+12348, int_stack+294873, 28);
 /*--- compute (i0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+12348, int_stack+37800, int_stack+22932, 28);
 /*--- compute (i0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+248127, int_stack+12348, int_stack+298653, 28);
 /*--- compute (i0|[r12,T1]|hh) ---*/
   hrr3_build_hh(Libr12->ShellQuartet.CD,int_stack+12348, int_stack+248127, int_stack+28980, 28);
 /*--- compute (hp|[r12,T1]|hh) ---*/
   t1hrr1_build_hp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+165779, int_stack+12348, int_stack+238866, int_stack+0, int_stack+226518, int_stack+308103, 5, 5);
 /*--- compute (gd|[r12,T1]|hh) ---*/
   t1hrr1_build_gd(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+0, int_stack+165779, int_stack+337209, int_stack+400719, int_stack+65970, int_stack+317364, 5, 5);
 /*--- compute (f0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+65970, int_stack+47606, int_stack+47396, 10);
 /*--- compute (f0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+66600, int_stack+47886, int_stack+47606, 10);
 /*--- compute (f0||hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+67440, int_stack+66600, int_stack+65970, 10);
 /*--- compute (f0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+68700, int_stack+48246, int_stack+47886, 10);
 /*--- compute (f0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+69780, int_stack+68700, int_stack+66600, 10);
 /*--- compute (f0||hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+71460, int_stack+69780, int_stack+67440, 10);
 /*--- compute (f0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+65970, int_stack+48696, int_stack+48246, 10);
 /*--- compute (f0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+73560, int_stack+65970, int_stack+68700, 10);
 /*--- compute (f0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+75720, int_stack+73560, int_stack+69780, 10);
 /*--- compute (f0||hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+67320, int_stack+75720, int_stack+71460, 10);
 /*--- compute (f0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+70470, int_stack+49246, int_stack+48696, 10);
 /*--- compute (f0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+78520, int_stack+70470, int_stack+65970, 10);
 /*--- compute (f0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+81220, int_stack+78520, int_stack+73560, 10);
 /*--- compute (f0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+70470, int_stack+81220, int_stack+75720, 10);
 /*--- compute (f0||hh) ---*/
   hrr3_build_hh(Libr12->ShellQuartet.CD,int_stack+74670, int_stack+70470, int_stack+67320, 10);
 /*--- compute (g0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+65970, int_stack+50221, int_stack+49906, 15);
 /*--- compute (g0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+66915, int_stack+50641, int_stack+50221, 15);
 /*--- compute (g0||hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+68175, int_stack+66915, int_stack+65970, 15);
 /*--- compute (g0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+70065, int_stack+51181, int_stack+50641, 15);
 /*--- compute (g0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+71685, int_stack+70065, int_stack+66915, 15);
 /*--- compute (g0||hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+79080, int_stack+71685, int_stack+68175, 15);
 /*--- compute (g0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+65970, int_stack+51856, int_stack+51181, 15);
 /*--- compute (g0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+82230, int_stack+65970, int_stack+70065, 15);
 /*--- compute (g0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+85470, int_stack+82230, int_stack+71685, 15);
 /*--- compute (g0||hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+67995, int_stack+85470, int_stack+79080, 15);
 /*--- compute (g0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+79080, int_stack+52681, int_stack+51856, 15);
 /*--- compute (g0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+400719, int_stack+79080, int_stack+65970, 15);
 /*--- compute (g0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+404769, int_stack+400719, int_stack+82230, 15);
 /*--- compute (g0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+79080, int_stack+404769, int_stack+85470, 15);
 /*--- compute (g0||hh) ---*/
   hrr3_build_hh(Libr12->ShellQuartet.CD,int_stack+400719, int_stack+79080, int_stack+67995, 15);
 /*--- compute (fp||hh) ---*/
   hrr1_build_fp(Libr12->ShellQuartet.AB,int_stack+79080, int_stack+400719, int_stack+74670, 441);
 /*--- compute (h0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+407334, int_stack+54112, int_stack+53671, 21);
 /*--- compute (h0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+408657, int_stack+54700, int_stack+54112, 21);
 /*--- compute (h0||hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+410421, int_stack+408657, int_stack+407334, 21);
 /*--- compute (h0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+413067, int_stack+55456, int_stack+54700, 21);
 /*--- compute (h0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+415335, int_stack+413067, int_stack+408657, 21);
 /*--- compute (h0||hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+418863, int_stack+415335, int_stack+410421, 21);
 /*--- compute (h0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+407334, int_stack+56401, int_stack+55456, 21);
 /*--- compute (h0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+423273, int_stack+407334, int_stack+413067, 21);
 /*--- compute (h0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+65970, int_stack+423273, int_stack+415335, 21);
 /*--- compute (h0||hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+410169, int_stack+65970, int_stack+418863, 21);
 /*--- compute (h0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+416784, int_stack+57556, int_stack+56401, 21);
 /*--- compute (h0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+71850, int_stack+416784, int_stack+407334, 21);
 /*--- compute (h0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+165779, int_stack+71850, int_stack+423273, 21);
 /*--- compute (h0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+416784, int_stack+165779, int_stack+65970, 21);
 /*--- compute (h0||hh) ---*/
   hrr3_build_hh(Libr12->ShellQuartet.CD,int_stack+65970, int_stack+416784, int_stack+410169, 21);
 /*--- compute (gp||hh) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+165779, int_stack+65970, int_stack+400719, 441);
 /*--- compute (fd||hh) ---*/
   hrr1_build_fd(Libr12->ShellQuartet.AB,int_stack+400719, int_stack+165779, int_stack+79080, 441);
 /*--- compute (i0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+75231, int_stack+59530, int_stack+58942, 28);
 /*--- compute (i0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+76995, int_stack+60314, int_stack+59530, 28);
 /*--- compute (i0||hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+79347, int_stack+76995, int_stack+75231, 28);
 /*--- compute (i0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+82875, int_stack+61322, int_stack+60314, 28);
 /*--- compute (i0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+85899, int_stack+82875, int_stack+76995, 28);
 /*--- compute (i0||hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+185624, int_stack+85899, int_stack+79347, 28);
 /*--- compute (i0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+75231, int_stack+62582, int_stack+61322, 28);
 /*--- compute (i0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+191504, int_stack+75231, int_stack+82875, 28);
 /*--- compute (i0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+197552, int_stack+191504, int_stack+85899, 28);
 /*--- compute (i0||hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+79011, int_stack+197552, int_stack+185624, 28);
 /*--- compute (i0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+185624, int_stack+64122, int_stack+62582, 28);
 /*--- compute (i0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+205392, int_stack+185624, int_stack+75231, 28);
 /*--- compute (i0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+212952, int_stack+205392, int_stack+191504, 28);
 /*--- compute (i0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+185624, int_stack+212952, int_stack+197552, 28);
 /*--- compute (i0||hh) ---*/
   hrr3_build_hh(Libr12->ShellQuartet.CD,int_stack+197384, int_stack+185624, int_stack+79011, 28);
 /*--- compute (hp||hh) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+209732, int_stack+197384, int_stack+65970, 441);
 /*--- compute (gd||hh) ---*/
   hrr1_build_gd(Libr12->ShellQuartet.AB,int_stack+39690, int_stack+209732, int_stack+165779, 441);
 /*--- compute (ff|[r12,T2]|hh) ---*/
   hrr1_build_ff(Libr12->ShellQuartet.AB,int_stack+165779, int_stack+361029, int_stack+268413, 441);
     Libr12->te_ptr[3] = int_stack + 165779;
 /*--- compute (ff|[r12,T1]|hh) ---*/
   t1hrr1_build_ff(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+209879, int_stack+0, int_stack+468192, int_stack+428502, int_stack+92430, int_stack+139319, 5, 5);
     Libr12->te_ptr[2] = int_stack + 209879;
 /*--- compute (ff||hh) ---*/
   hrr1_build_ff(Libr12->ShellQuartet.AB,int_stack+253979, int_stack+39690, int_stack+400719, 441);
     Libr12->te_ptr[1] = int_stack + 253979;
 /*--- compute (ff|hh) ---*/
   hrr1_build_ff(Libr12->ShellQuartet.AB,int_stack+0, int_stack+428502, int_stack+139319, 441);
     Libr12->te_ptr[0] = int_stack + 0;

}
