#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_hpgf(Libr12_t *, prim_data *);

  /* Computes (hp|gf) integrals for linear R12-methods */

void hrr_grt_order_hpgf(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->t2vrr_classes[5][4] = int_stack + 0;
 Libr12->t2vrr_classes[5][5] = int_stack + 315;
 Libr12->t2vrr_classes[5][6] = int_stack + 756;
 Libr12->t2vrr_classes[5][7] = int_stack + 1344;
 Libr12->gvrr_classes[7][4] = int_stack + 2100;
 Libr12->t2vrr_classes[6][4] = int_stack + 2640;
 Libr12->gvrr_classes[7][5] = int_stack + 3060;
 Libr12->t2vrr_classes[6][5] = int_stack + 3816;
 Libr12->gvrr_classes[7][6] = int_stack + 4404;
 Libr12->t2vrr_classes[6][6] = int_stack + 5412;
 Libr12->t2vrr_classes[6][7] = int_stack + 6196;
 Libr12->gvrr_classes[5][8] = int_stack + 7204;
 Libr12->t1vrr_classes[5][4] = int_stack + 8149;
 Libr12->t1vrr_classes[5][5] = int_stack + 8464;
 Libr12->t1vrr_classes[5][6] = int_stack + 8905;
 Libr12->t1vrr_classes[5][7] = int_stack + 9493;
 Libr12->t1vrr_classes[6][4] = int_stack + 10249;
 Libr12->t1vrr_classes[6][5] = int_stack + 10669;
 Libr12->t1vrr_classes[6][6] = int_stack + 11257;
 Libr12->t1vrr_classes[6][7] = int_stack + 12041;
 Libr12->rvrr_classes[5][4] = int_stack + 13049;
 Libr12->rvrr_classes[5][5] = int_stack + 13364;
 Libr12->rvrr_classes[5][6] = int_stack + 13805;
 Libr12->rvrr_classes[5][7] = int_stack + 14393;
 Libr12->rvrr_classes[6][4] = int_stack + 15149;
 Libr12->rvrr_classes[6][5] = int_stack + 15569;
 Libr12->rvrr_classes[6][6] = int_stack + 16157;
 Libr12->rvrr_classes[6][7] = int_stack + 16941;
 Libr12->gvrr_classes[5][4] = int_stack + 17949;
 Libr12->gvrr_classes[5][5] = int_stack + 18264;
 Libr12->gvrr_classes[5][6] = int_stack + 18705;
 Libr12->gvrr_classes[5][7] = int_stack + 19293;
 Libr12->gvrr_classes[6][4] = int_stack + 20049;
 Libr12->gvrr_classes[6][5] = int_stack + 20469;
 Libr12->gvrr_classes[6][6] = int_stack + 21057;
 Libr12->gvrr_classes[6][7] = int_stack + 21841;
 memset(int_stack,0,22849*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 22849;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_hpgf(Libr12, Data);
   Data++;
 }

 /*--- compute (h0|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+22849, int_stack+18264, int_stack+17949, 21);
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+23794, int_stack+18705, int_stack+18264, 21);
 /*--- compute (h0|gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+25117, int_stack+23794, int_stack+22849, 21);
 /*--- compute (i0|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+27007, int_stack+20469, int_stack+20049, 28);
 /*--- compute (i0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+28267, int_stack+21057, int_stack+20469, 28);
 /*--- compute (i0|gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+30031, int_stack+28267, int_stack+27007, 28);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+32551, int_stack+19293, int_stack+18705, 21);
 /*--- compute (h0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+34315, int_stack+32551, int_stack+23794, 21);
 /*--- compute (h0|[r12,T2]|gp) ---*/
   t2hrr3_build_gp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+36961, int_stack+315, int_stack+0, int_stack+18264, int_stack+20049, int_stack+17949, 5, 0);
 /*--- compute (h0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+37906, int_stack+756, int_stack+315, int_stack+18705, int_stack+20469, int_stack+18264, 5, 0);
 /*--- compute (h0|[r12,T2]|gd) ---*/
   t2hrr3_build_gd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+39229, int_stack+37906, int_stack+36961, int_stack+23794, int_stack+27007, int_stack+22849, 5, 0);
 /*--- compute (h0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+41119, int_stack+1344, int_stack+756, int_stack+19293, int_stack+21057, int_stack+18705, 5, 0);
 /*--- compute (h0|[r12,T2]|hd) ---*/
   t2hrr3_build_hd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+42883, int_stack+41119, int_stack+37906, int_stack+32551, int_stack+28267, int_stack+23794, 5, 0);
 /*--- compute (h0|[r12,T2]|gf) ---*/
   t2hrr3_build_gf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+45529, int_stack+42883, int_stack+39229, int_stack+34315, int_stack+30031, int_stack+25117, 5, 0);
 /*--- compute (k0|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+22849, int_stack+3060, int_stack+2100, 36);
 /*--- compute (k0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+36961, int_stack+4404, int_stack+3060, 36);
 /*--- compute (k0|gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+39229, int_stack+36961, int_stack+22849, 36);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+42469, int_stack+21841, int_stack+21057, 28);
 /*--- compute (i0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+48679, int_stack+42469, int_stack+28267, 28);
 /*--- compute (i0|[r12,T2]|gp) ---*/
   t2hrr3_build_gp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+17949, int_stack+3816, int_stack+2640, int_stack+20469, int_stack+2100, int_stack+20049, 6, 0);
 /*--- compute (i0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+5412, int_stack+3816, int_stack+21057, int_stack+3060, int_stack+20469, 6, 0);
 /*--- compute (i0|[r12,T2]|gd) ---*/
   t2hrr3_build_gd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1764, int_stack+0, int_stack+17949, int_stack+28267, int_stack+22849, int_stack+27007, 6, 0);
 /*--- compute (i0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+52207, int_stack+6196, int_stack+5412, int_stack+21841, int_stack+4404, int_stack+21057, 6, 0);
 /*--- compute (i0|[r12,T2]|hd) ---*/
   t2hrr3_build_hd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+20049, int_stack+52207, int_stack+0, int_stack+42469, int_stack+36961, int_stack+28267, 6, 0);
 /*--- compute (i0|[r12,T2]|gf) ---*/
   t2hrr3_build_gf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+52207, int_stack+20049, int_stack+1764, int_stack+48679, int_stack+39229, int_stack+30031, 6, 0);
 /*--- compute (h0|gf) ---*/
   hrr3_build_gf(Libr12->ShellQuartet.CD,int_stack+20049, int_stack+34315, int_stack+25117, 21);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+23199, int_stack+7204, int_stack+19293, 21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+25467, int_stack+23199, int_stack+32551, 21);
 /*--- compute (h0|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+36961, int_stack+25467, int_stack+34315, 21);
 /*--- compute (i0|gf) ---*/
   hrr3_build_gf(Libr12->ShellQuartet.CD,int_stack+32551, int_stack+48679, int_stack+30031, 28);
 /*--- compute (h0|[r12,T1]|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+48679, int_stack+8464, int_stack+8149, 21);
 /*--- compute (h0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+49624, int_stack+8905, int_stack+8464, 21);
 /*--- compute (h0|[r12,T1]|gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+23199, int_stack+49624, int_stack+48679, 21);
 /*--- compute (h0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+25089, int_stack+9493, int_stack+8905, 21);
 /*--- compute (h0|[r12,T1]|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+26853, int_stack+25089, int_stack+49624, 21);
 /*--- compute (h0|[r12,T1]|gf) ---*/
   hrr3_build_gf(Libr12->ShellQuartet.CD,int_stack+48679, int_stack+26853, int_stack+23199, 21);
 /*--- compute (i0|[r12,T1]|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+23199, int_stack+10669, int_stack+10249, 28);
 /*--- compute (i0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+24459, int_stack+11257, int_stack+10669, 28);
 /*--- compute (i0|[r12,T1]|gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+26223, int_stack+24459, int_stack+23199, 28);
 /*--- compute (i0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+28743, int_stack+12041, int_stack+11257, 28);
 /*--- compute (i0|[r12,T1]|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+41371, int_stack+28743, int_stack+24459, 28);
 /*--- compute (i0|[r12,T1]|gf) ---*/
   hrr3_build_gf(Libr12->ShellQuartet.CD,int_stack+0, int_stack+41371, int_stack+26223, 28);
 /*--- compute (h0||gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+41371, int_stack+13364, int_stack+13049, 21);
 /*--- compute (h0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+42316, int_stack+13805, int_stack+13364, 21);
 /*--- compute (h0||gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+43639, int_stack+42316, int_stack+41371, 21);
 /*--- compute (h0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+23199, int_stack+14393, int_stack+13805, 21);
 /*--- compute (h0||hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+24963, int_stack+23199, int_stack+42316, 21);
 /*--- compute (h0||gf) ---*/
   hrr3_build_gf(Libr12->ShellQuartet.CD,int_stack+27609, int_stack+24963, int_stack+43639, 21);
 /*--- compute (i0||gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+23199, int_stack+15569, int_stack+15149, 28);
 /*--- compute (i0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+24459, int_stack+16157, int_stack+15569, 28);
 /*--- compute (i0||gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+41371, int_stack+24459, int_stack+23199, 28);
 /*--- compute (i0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+4200, int_stack+16941, int_stack+16157, 28);
 /*--- compute (i0||hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+6552, int_stack+4200, int_stack+24459, 28);
 /*--- compute (i0||gf) ---*/
   hrr3_build_gf(Libr12->ShellQuartet.CD,int_stack+23199, int_stack+6552, int_stack+41371, 28);
 /*--- compute (hp|[r12,T2]|gf) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+4200, int_stack+52207, int_stack+45529, 150);
     Libr12->te_ptr[3] = int_stack + 4200;
 /*--- compute (hp|[r12,T1]|gf) ---*/
   t1hrr1_build_hp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+51829, int_stack+0, int_stack+48679, int_stack+32551, int_stack+36961, int_stack+20049, 4, 3);
     Libr12->te_ptr[2] = int_stack + 51829;
 /*--- compute (hp||gf) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+36751, int_stack+23199, int_stack+27609, 150);
     Libr12->te_ptr[1] = int_stack + 36751;
 /*--- compute (hp|gf) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+61279, int_stack+32551, int_stack+20049, 150);
     Libr12->te_ptr[0] = int_stack + 61279;

}
