#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_p0hd(Libr12_t *, prim_data *);

  /* Computes (p0|hd) integrals for linear R12-methods */

void hrr_grt_order_p0hd(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->gvrr_classes[2][5] = int_stack + 0;
 Libr12->t2vrr_classes[1][5] = int_stack + 126;
 Libr12->gvrr_classes[2][6] = int_stack + 189;
 Libr12->t2vrr_classes[1][6] = int_stack + 357;
 Libr12->t2vrr_classes[1][7] = int_stack + 441;
 Libr12->t1vrr_classes[1][5] = int_stack + 549;
 Libr12->t1vrr_classes[1][6] = int_stack + 612;
 Libr12->t1vrr_classes[1][7] = int_stack + 696;
 Libr12->rvrr_classes[1][5] = int_stack + 804;
 Libr12->rvrr_classes[1][6] = int_stack + 867;
 Libr12->rvrr_classes[1][7] = int_stack + 951;
 Libr12->gvrr_classes[1][5] = int_stack + 1059;
 Libr12->gvrr_classes[1][6] = int_stack + 1122;
 Libr12->gvrr_classes[1][7] = int_stack + 1206;
 memset(int_stack,0,1314*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 1314;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_p0hd(Libr12, Data);
   Data++;
 }

 /*--- compute (p0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+1314, int_stack+1122, int_stack+1059, 3);
 /*--- compute (d0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+1503, int_stack+189, int_stack+0, 6);
 /*--- compute (p0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+1881, int_stack+1206, int_stack+1122, 3);
 /*--- compute (p0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+2133, int_stack+357, int_stack+126, int_stack+1122, int_stack+0, int_stack+1059, 1, 0);
 /*--- compute (p0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+2322, int_stack+441, int_stack+357, int_stack+1206, int_stack+189, int_stack+1122, 1, 0);
 /*--- compute (p0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+1059, int_stack+612, int_stack+549, 3);
 /*--- compute (p0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+0, int_stack+696, int_stack+612, 3);
 /*--- compute (p0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+252, int_stack+867, int_stack+804, 3);
 /*--- compute (p0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+441, int_stack+951, int_stack+867, 3);
 /*--- compute (p0|[r12,T2]|hd) ---*/
   t2hrr3_build_hd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+2574, int_stack+2322, int_stack+2133, int_stack+1881, int_stack+1503, int_stack+1314, 1, 0);
     Libr12->te_ptr[3] = int_stack + 2574;
 /*--- compute (p0|[r12,T1]|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+1503, int_stack+0, int_stack+1059, 3);
     Libr12->te_ptr[2] = int_stack + 1503;
 /*--- compute (p0||hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+2133, int_stack+441, int_stack+252, 3);
     Libr12->te_ptr[1] = int_stack + 2133;
 /*--- compute (p0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+0, int_stack+1881, int_stack+1314, 3);
     Libr12->te_ptr[0] = int_stack + 0;

}
