#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_pphh(Libr12_t *, prim_data *);

  /* Computes (pp|hh) integrals for linear R12-methods */

void hrr_grt_order_pphh(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->t2vrr_classes[1][5] = int_stack + 0;
 Libr12->t2vrr_classes[1][6] = int_stack + 63;
 Libr12->t2vrr_classes[1][7] = int_stack + 147;
 Libr12->t2vrr_classes[1][8] = int_stack + 255;
 Libr12->t2vrr_classes[1][9] = int_stack + 390;
 Libr12->t2vrr_classes[1][10] = int_stack + 555;
 Libr12->gvrr_classes[3][5] = int_stack + 753;
 Libr12->t2vrr_classes[2][5] = int_stack + 963;
 Libr12->gvrr_classes[3][6] = int_stack + 1089;
 Libr12->t2vrr_classes[2][6] = int_stack + 1369;
 Libr12->gvrr_classes[3][7] = int_stack + 1537;
 Libr12->t2vrr_classes[2][7] = int_stack + 1897;
 Libr12->gvrr_classes[3][8] = int_stack + 2113;
 Libr12->t2vrr_classes[2][8] = int_stack + 2563;
 Libr12->gvrr_classes[3][9] = int_stack + 2833;
 Libr12->t2vrr_classes[2][9] = int_stack + 3383;
 Libr12->t2vrr_classes[2][10] = int_stack + 3713;
 Libr12->gvrr_classes[1][11] = int_stack + 4109;
 Libr12->t1vrr_classes[1][5] = int_stack + 4343;
 Libr12->t1vrr_classes[1][6] = int_stack + 4406;
 Libr12->t1vrr_classes[1][7] = int_stack + 4490;
 Libr12->t1vrr_classes[1][8] = int_stack + 4598;
 Libr12->t1vrr_classes[1][9] = int_stack + 4733;
 Libr12->t1vrr_classes[1][10] = int_stack + 4898;
 Libr12->t1vrr_classes[2][5] = int_stack + 5096;
 Libr12->t1vrr_classes[2][6] = int_stack + 5222;
 Libr12->t1vrr_classes[2][7] = int_stack + 5390;
 Libr12->t1vrr_classes[2][8] = int_stack + 5606;
 Libr12->t1vrr_classes[2][9] = int_stack + 5876;
 Libr12->t1vrr_classes[2][10] = int_stack + 6206;
 Libr12->rvrr_classes[1][5] = int_stack + 6602;
 Libr12->rvrr_classes[1][6] = int_stack + 6665;
 Libr12->rvrr_classes[1][7] = int_stack + 6749;
 Libr12->rvrr_classes[1][8] = int_stack + 6857;
 Libr12->rvrr_classes[1][9] = int_stack + 6992;
 Libr12->rvrr_classes[1][10] = int_stack + 7157;
 Libr12->rvrr_classes[2][5] = int_stack + 7355;
 Libr12->rvrr_classes[2][6] = int_stack + 7481;
 Libr12->rvrr_classes[2][7] = int_stack + 7649;
 Libr12->rvrr_classes[2][8] = int_stack + 7865;
 Libr12->rvrr_classes[2][9] = int_stack + 8135;
 Libr12->rvrr_classes[2][10] = int_stack + 8465;
 Libr12->gvrr_classes[1][5] = int_stack + 8861;
 Libr12->gvrr_classes[1][6] = int_stack + 8924;
 Libr12->gvrr_classes[1][7] = int_stack + 9008;
 Libr12->gvrr_classes[1][8] = int_stack + 9116;
 Libr12->gvrr_classes[1][9] = int_stack + 9251;
 Libr12->gvrr_classes[1][10] = int_stack + 9416;
 Libr12->gvrr_classes[2][5] = int_stack + 9614;
 Libr12->gvrr_classes[2][6] = int_stack + 9740;
 Libr12->gvrr_classes[2][7] = int_stack + 9908;
 Libr12->gvrr_classes[2][8] = int_stack + 10124;
 Libr12->gvrr_classes[2][9] = int_stack + 10394;
 Libr12->gvrr_classes[2][10] = int_stack + 10724;
 memset(int_stack,0,11120*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 11120;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_pphh(Libr12, Data);
   Data++;
 }

 /*--- compute (p0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+11120, int_stack+8924, int_stack+8861, 3);
 /*--- compute (p0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+11309, int_stack+9008, int_stack+8924, 3);
 /*--- compute (p0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+11561, int_stack+11309, int_stack+11120, 3);
 /*--- compute (p0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+11939, int_stack+9116, int_stack+9008, 3);
 /*--- compute (p0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+12263, int_stack+11939, int_stack+11309, 3);
 /*--- compute (p0|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+12767, int_stack+12263, int_stack+11561, 3);
 /*--- compute (p0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+13397, int_stack+9251, int_stack+9116, 3);
 /*--- compute (p0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+13802, int_stack+13397, int_stack+11939, 3);
 /*--- compute (p0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+14450, int_stack+13802, int_stack+12263, 3);
 /*--- compute (p0|hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+15290, int_stack+14450, int_stack+12767, 3);
 /*--- compute (d0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+16235, int_stack+9740, int_stack+9614, 6);
 /*--- compute (d0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+16613, int_stack+9908, int_stack+9740, 6);
 /*--- compute (d0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+17117, int_stack+16613, int_stack+16235, 6);
 /*--- compute (d0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+17873, int_stack+10124, int_stack+9908, 6);
 /*--- compute (d0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+18521, int_stack+17873, int_stack+16613, 6);
 /*--- compute (d0|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+19529, int_stack+18521, int_stack+17117, 6);
 /*--- compute (d0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+20789, int_stack+10394, int_stack+10124, 6);
 /*--- compute (d0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+21599, int_stack+20789, int_stack+17873, 6);
 /*--- compute (d0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+22895, int_stack+21599, int_stack+18521, 6);
 /*--- compute (d0|hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+24575, int_stack+22895, int_stack+19529, 6);
 /*--- compute (p0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+26465, int_stack+9416, int_stack+9251, 3);
 /*--- compute (p0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+26960, int_stack+26465, int_stack+13397, 3);
 /*--- compute (p0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+27770, int_stack+26960, int_stack+13802, 3);
 /*--- compute (p0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+28850, int_stack+27770, int_stack+14450, 3);
 /*--- compute (p0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+30110, int_stack+63, int_stack+0, int_stack+8924, int_stack+9614, int_stack+8861, 1, 0);
 /*--- compute (p0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+30299, int_stack+147, int_stack+63, int_stack+9008, int_stack+9740, int_stack+8924, 1, 0);
 /*--- compute (p0|[r12,T2]|hd) ---*/
   t2hrr3_build_hd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+30551, int_stack+30299, int_stack+30110, int_stack+11309, int_stack+16235, int_stack+11120, 1, 0);
 /*--- compute (p0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+30929, int_stack+255, int_stack+147, int_stack+9116, int_stack+9908, int_stack+9008, 1, 0);
 /*--- compute (p0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+31253, int_stack+30929, int_stack+30299, int_stack+11939, int_stack+16613, int_stack+11309, 1, 0);
 /*--- compute (p0|[r12,T2]|hf) ---*/
   t2hrr3_build_hf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+31757, int_stack+31253, int_stack+30551, int_stack+12263, int_stack+17117, int_stack+11561, 1, 0);
 /*--- compute (p0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+11120, int_stack+390, int_stack+255, int_stack+9251, int_stack+10124, int_stack+9116, 1, 0);
 /*--- compute (p0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+30110, int_stack+11120, int_stack+30929, int_stack+13397, int_stack+17873, int_stack+11939, 1, 0);
 /*--- compute (p0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+32387, int_stack+30110, int_stack+31253, int_stack+13802, int_stack+18521, int_stack+12263, 1, 0);
 /*--- compute (p0|[r12,T2]|hg) ---*/
   t2hrr3_build_hg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+11525, int_stack+32387, int_stack+31757, int_stack+14450, int_stack+19529, int_stack+12767, 1, 0);
 /*--- compute (p0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+12470, int_stack+555, int_stack+390, int_stack+9416, int_stack+10394, int_stack+9251, 1, 0);
 /*--- compute (p0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+30758, int_stack+12470, int_stack+11120, int_stack+26465, int_stack+20789, int_stack+13397, 1, 0);
 /*--- compute (p0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+12470, int_stack+30758, int_stack+30110, int_stack+26960, int_stack+21599, int_stack+13802, 1, 0);
 /*--- compute (p0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+30110, int_stack+12470, int_stack+32387, int_stack+27770, int_stack+22895, int_stack+14450, 1, 0);
 /*--- compute (p0|[r12,T2]|hh) ---*/
   t2hrr3_build_hh(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+12470, int_stack+30110, int_stack+11525, int_stack+28850, int_stack+24575, int_stack+15290, 1, 0);
 /*--- compute (f0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+30110, int_stack+1089, int_stack+753, 10);
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+30740, int_stack+1537, int_stack+1089, 10);
 /*--- compute (f0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+31580, int_stack+30740, int_stack+30110, 10);
 /*--- compute (f0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+32840, int_stack+2113, int_stack+1537, 10);
 /*--- compute (f0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+33920, int_stack+32840, int_stack+30740, 10);
 /*--- compute (f0|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+35600, int_stack+33920, int_stack+31580, 10);
 /*--- compute (f0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+11120, int_stack+2833, int_stack+2113, 10);
 /*--- compute (f0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+37700, int_stack+11120, int_stack+32840, 10);
 /*--- compute (f0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+39860, int_stack+37700, int_stack+33920, 10);
 /*--- compute (f0|hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+42660, int_stack+39860, int_stack+35600, 10);
 /*--- compute (d0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+13793, int_stack+10724, int_stack+10394, 6);
 /*--- compute (d0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+45810, int_stack+13793, int_stack+20789, 6);
 /*--- compute (d0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+47430, int_stack+45810, int_stack+21599, 6);
 /*--- compute (d0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+49590, int_stack+47430, int_stack+22895, 6);
 /*--- compute (d0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+52110, int_stack+1369, int_stack+963, int_stack+9740, int_stack+753, int_stack+9614, 2, 0);
 /*--- compute (d0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+52488, int_stack+1897, int_stack+1369, int_stack+9908, int_stack+1089, int_stack+9740, 2, 0);
 /*--- compute (d0|[r12,T2]|hd) ---*/
   t2hrr3_build_hd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+52488, int_stack+52110, int_stack+16613, int_stack+30110, int_stack+16235, 2, 0);
 /*--- compute (d0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+756, int_stack+2563, int_stack+1897, int_stack+10124, int_stack+1537, int_stack+9908, 2, 0);
 /*--- compute (d0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+52992, int_stack+756, int_stack+52488, int_stack+17873, int_stack+30740, int_stack+16613, 2, 0);
 /*--- compute (d0|[r12,T2]|hf) ---*/
   t2hrr3_build_hf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+30110, int_stack+52992, int_stack+0, int_stack+18521, int_stack+31580, int_stack+17117, 2, 0);
 /*--- compute (d0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+16235, int_stack+3383, int_stack+2563, int_stack+10394, int_stack+2113, int_stack+10124, 2, 0);
 /*--- compute (d0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+31370, int_stack+16235, int_stack+756, int_stack+20789, int_stack+32840, int_stack+17873, 2, 0);
 /*--- compute (d0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+31370, int_stack+52992, int_stack+21599, int_stack+33920, int_stack+18521, 2, 0);
 /*--- compute (d0|[r12,T2]|hg) ---*/
   t2hrr3_build_hg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+17045, int_stack+0, int_stack+30110, int_stack+22895, int_stack+35600, int_stack+19529, 2, 0);
 /*--- compute (d0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+30110, int_stack+3713, int_stack+3383, int_stack+10724, int_stack+2833, int_stack+10394, 2, 0);
 /*--- compute (d0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1680, int_stack+30110, int_stack+16235, int_stack+13793, int_stack+11120, int_stack+20789, 2, 0);
 /*--- compute (d0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+18935, int_stack+1680, int_stack+31370, int_stack+45810, int_stack+37700, int_stack+21599, 2, 0);
 /*--- compute (d0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+30110, int_stack+18935, int_stack+0, int_stack+47430, int_stack+39860, int_stack+22895, 2, 0);
 /*--- compute (d0|[r12,T2]|hh) ---*/
   t2hrr3_build_hh(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+30110, int_stack+17045, int_stack+49590, int_stack+42660, int_stack+24575, 2, 0);
 /*--- compute (p0|hh) ---*/
   hrr3_build_hh(Libr12->ShellQuartet.CD,int_stack+30110, int_stack+28850, int_stack+15290, 3);
 /*--- compute (p0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+31433, int_stack+4109, int_stack+9416, 3);
 /*--- compute (p0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+32027, int_stack+31433, int_stack+26465, 3);
 /*--- compute (p0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+33017, int_stack+32027, int_stack+26960, 3);
 /*--- compute (p0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+34367, int_stack+33017, int_stack+27770, 3);
 /*--- compute (p0|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+26465, int_stack+34367, int_stack+28850, 3);
 /*--- compute (d0|hh) ---*/
   hrr3_build_hh(Libr12->ShellQuartet.CD,int_stack+31433, int_stack+49590, int_stack+24575, 6);
 /*--- compute (p0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+28229, int_stack+4406, int_stack+4343, 3);
 /*--- compute (p0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+28418, int_stack+4490, int_stack+4406, 3);
 /*--- compute (p0|[r12,T1]|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+28670, int_stack+28418, int_stack+28229, 3);
 /*--- compute (p0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+29048, int_stack+4598, int_stack+4490, 3);
 /*--- compute (p0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+29372, int_stack+29048, int_stack+28418, 3);
 /*--- compute (p0|[r12,T1]|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+34079, int_stack+29372, int_stack+28670, 3);
 /*--- compute (p0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+28229, int_stack+4733, int_stack+4598, 3);
 /*--- compute (p0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+34709, int_stack+28229, int_stack+29048, 3);
 /*--- compute (p0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+35357, int_stack+34709, int_stack+29372, 3);
 /*--- compute (p0|[r12,T1]|hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+28634, int_stack+35357, int_stack+34079, 3);
 /*--- compute (p0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+34079, int_stack+4898, int_stack+4733, 3);
 /*--- compute (p0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+36197, int_stack+34079, int_stack+28229, 3);
 /*--- compute (p0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+37007, int_stack+36197, int_stack+34709, 3);
 /*--- compute (p0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+34079, int_stack+37007, int_stack+35357, 3);
 /*--- compute (p0|[r12,T1]|hh) ---*/
   hrr3_build_hh(Libr12->ShellQuartet.CD,int_stack+35339, int_stack+34079, int_stack+28634, 3);
 /*--- compute (d0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+34079, int_stack+5222, int_stack+5096, 6);
 /*--- compute (d0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+34457, int_stack+5390, int_stack+5222, 6);
 /*--- compute (d0|[r12,T1]|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+28229, int_stack+34457, int_stack+34079, 6);
 /*--- compute (d0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+28985, int_stack+5606, int_stack+5390, 6);
 /*--- compute (d0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+36662, int_stack+28985, int_stack+34457, 6);
 /*--- compute (d0|[r12,T1]|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+34079, int_stack+36662, int_stack+28229, 6);
 /*--- compute (d0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+37670, int_stack+5876, int_stack+5606, 6);
 /*--- compute (d0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+38480, int_stack+37670, int_stack+28985, 6);
 /*--- compute (d0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+28229, int_stack+38480, int_stack+36662, 6);
 /*--- compute (d0|[r12,T1]|hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+39776, int_stack+28229, int_stack+34079, 6);
 /*--- compute (d0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+34079, int_stack+6206, int_stack+5876, 6);
 /*--- compute (d0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+41666, int_stack+34079, int_stack+37670, 6);
 /*--- compute (d0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+43286, int_stack+41666, int_stack+38480, 6);
 /*--- compute (d0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+36662, int_stack+43286, int_stack+28229, 6);
 /*--- compute (d0|[r12,T1]|hh) ---*/
   hrr3_build_hh(Libr12->ShellQuartet.CD,int_stack+41666, int_stack+36662, int_stack+39776, 6);
 /*--- compute (p0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+36662, int_stack+6665, int_stack+6602, 3);
 /*--- compute (p0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+36851, int_stack+6749, int_stack+6665, 3);
 /*--- compute (p0||hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+37103, int_stack+36851, int_stack+36662, 3);
 /*--- compute (p0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+37481, int_stack+6857, int_stack+6749, 3);
 /*--- compute (p0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+37805, int_stack+37481, int_stack+36851, 3);
 /*--- compute (p0||hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+38309, int_stack+37805, int_stack+37103, 3);
 /*--- compute (p0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+36662, int_stack+6992, int_stack+6857, 3);
 /*--- compute (p0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+38939, int_stack+36662, int_stack+37481, 3);
 /*--- compute (p0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+39587, int_stack+38939, int_stack+37805, 3);
 /*--- compute (p0||hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+37067, int_stack+39587, int_stack+38309, 3);
 /*--- compute (p0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+38012, int_stack+7157, int_stack+6992, 3);
 /*--- compute (p0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+40427, int_stack+38012, int_stack+36662, 3);
 /*--- compute (p0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+28229, int_stack+40427, int_stack+38939, 3);
 /*--- compute (p0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+34079, int_stack+28229, int_stack+39587, 3);
 /*--- compute (p0||hh) ---*/
   hrr3_build_hh(Libr12->ShellQuartet.CD,int_stack+28229, int_stack+34079, int_stack+37067, 3);
 /*--- compute (d0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+34079, int_stack+7481, int_stack+7355, 6);
 /*--- compute (d0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+34457, int_stack+7649, int_stack+7481, 6);
 /*--- compute (d0||hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+36662, int_stack+34457, int_stack+34079, 6);
 /*--- compute (d0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+37418, int_stack+7865, int_stack+7649, 6);
 /*--- compute (d0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+38066, int_stack+37418, int_stack+34457, 6);
 /*--- compute (d0||hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+34079, int_stack+38066, int_stack+36662, 6);
 /*--- compute (d0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+39074, int_stack+8135, int_stack+7865, 6);
 /*--- compute (d0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+39884, int_stack+39074, int_stack+37418, 6);
 /*--- compute (d0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+44312, int_stack+39884, int_stack+38066, 6);
 /*--- compute (d0||hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+36662, int_stack+44312, int_stack+34079, 6);
 /*--- compute (d0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+34079, int_stack+8465, int_stack+8135, 6);
 /*--- compute (d0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+45992, int_stack+34079, int_stack+39074, 6);
 /*--- compute (d0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+47612, int_stack+45992, int_stack+39884, 6);
 /*--- compute (d0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+38552, int_stack+47612, int_stack+44312, 6);
 /*--- compute (d0||hh) ---*/
   hrr3_build_hh(Libr12->ShellQuartet.CD,int_stack+44312, int_stack+38552, int_stack+36662, 6);
 /*--- compute (pp|[r12,T2]|hh) ---*/
   hrr1_build_pp(Libr12->ShellQuartet.AB,int_stack+36662, int_stack+0, int_stack+12470, 441);
     Libr12->te_ptr[3] = int_stack + 36662;
 /*--- compute (pp|[r12,T1]|hh) ---*/
   t1hrr1_build_pp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+0, int_stack+41666, int_stack+35339, int_stack+31433, int_stack+26465, int_stack+30110, 5, 5);
     Libr12->te_ptr[2] = int_stack + 0;
 /*--- compute (pp||hh) ---*/
   hrr1_build_pp(Libr12->ShellQuartet.AB,int_stack+3969, int_stack+44312, int_stack+28229, 441);
     Libr12->te_ptr[1] = int_stack + 3969;
 /*--- compute (pp|hh) ---*/
   hrr1_build_pp(Libr12->ShellQuartet.AB,int_stack+7938, int_stack+31433, int_stack+30110, 441);
     Libr12->te_ptr[0] = int_stack + 7938;

}
