#include <stdio.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/vrr_header.h>
#include "r12_vrr_header.h"

void vrr_grt_order_d0fd(Libr12_t *Libr12, prim_data *Data)
{
 REALTYPE *r12vrr_stack = Libr12->r12vrr_stack;
 REALTYPE *tmp, *target_ptr;
 int i, am[2];

 /*--- compute (00|p0)^2 ---*/
 _BUILD_00p0(Data,r12vrr_stack+0, Data->F+2, Data->F+3, NULL, NULL, NULL);

 /*--- compute (00|p0)^1 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3, Data->F+1, Data->F+2, NULL, NULL, NULL);

 /*--- compute (p0|p0)^1 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+6, r12vrr_stack+3, r12vrr_stack+0, NULL, NULL, Data->F+2);

 /*--- compute (00|d0)^1 ---*/
 _BUILD_00d0(Data,r12vrr_stack+15, r12vrr_stack+3, r12vrr_stack+0, Data->F+1, Data->F+2, NULL);

 /*--- compute (00|p0)^0 ---*/
 _BUILD_00p0(Data,r12vrr_stack+21, Data->F+0, Data->F+1, NULL, NULL, NULL);

 /*--- compute (00|d0)^0 ---*/
 _BUILD_00d0(Data,r12vrr_stack+24, r12vrr_stack+21, r12vrr_stack+3, Data->F+0, Data->F+1, NULL);

 /*--- compute (00|p0)^3 ---*/
 _BUILD_00p0(Data,r12vrr_stack+30, Data->F+3, Data->F+4, NULL, NULL, NULL);

 /*--- compute (00|d0)^2 ---*/
 _BUILD_00d0(Data,r12vrr_stack+33, r12vrr_stack+0, r12vrr_stack+30, Data->F+2, Data->F+3, NULL);

 /*--- compute (p0|d0)^1 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+39, r12vrr_stack+15, r12vrr_stack+33, NULL, NULL, r12vrr_stack+0);

 /*--- compute (p0|d0)^0 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+57, r12vrr_stack+24, r12vrr_stack+15, NULL, NULL, r12vrr_stack+3);

 /*--- compute (d0|d0)^0 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+75, r12vrr_stack+57, r12vrr_stack+39, r12vrr_stack+24, r12vrr_stack+15, r12vrr_stack+6);

 /*--- compute (p0|00)^2 ---*/
 _BUILD_p000(Data,r12vrr_stack+111, Data->F+2, Data->F+3, NULL, NULL, NULL);

 /*--- compute (p0|p0)^2 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+114, r12vrr_stack+0, r12vrr_stack+30, NULL, NULL, Data->F+3);

 /*--- compute (d0|p0)^1 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+123, r12vrr_stack+6, r12vrr_stack+114, r12vrr_stack+3, r12vrr_stack+0, r12vrr_stack+111);

 /*--- compute (00|p0)^4 ---*/
 _BUILD_00p0(Data,r12vrr_stack+111, Data->F+4, Data->F+5, NULL, NULL, NULL);

 /*--- compute (00|d0)^3 ---*/
 _BUILD_00d0(Data,r12vrr_stack+6, r12vrr_stack+30, r12vrr_stack+111, Data->F+3, Data->F+4, NULL);

 /*--- compute (p0|d0)^2 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+141, r12vrr_stack+33, r12vrr_stack+6, NULL, NULL, r12vrr_stack+30);

 /*--- compute (d0|d0)^1 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+159, r12vrr_stack+39, r12vrr_stack+141, r12vrr_stack+15, r12vrr_stack+33, r12vrr_stack+114);

 /*--- compute (f0|d0)^0 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+195, r12vrr_stack+75, r12vrr_stack+159, r12vrr_stack+57, r12vrr_stack+39, r12vrr_stack+123);

 /*--- compute (00|f0)^2 ---*/
 _BUILD_00f0(Data,r12vrr_stack+114, r12vrr_stack+33, r12vrr_stack+6, r12vrr_stack+0, r12vrr_stack+30, NULL);

 /*--- compute (00|f0)^1 ---*/
 _BUILD_00f0(Data,r12vrr_stack+124, r12vrr_stack+15, r12vrr_stack+33, r12vrr_stack+3, r12vrr_stack+0, NULL);

 /*--- compute (p0|f0)^1 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+255, r12vrr_stack+124, r12vrr_stack+114, NULL, NULL, r12vrr_stack+33);

 /*--- compute (00|f0)^0 ---*/
 _BUILD_00f0(Data,r12vrr_stack+285, r12vrr_stack+24, r12vrr_stack+15, r12vrr_stack+21, r12vrr_stack+3, NULL);

 /*--- compute (p0|f0)^0 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+295, r12vrr_stack+285, r12vrr_stack+124, NULL, NULL, r12vrr_stack+15);

 /*--- compute (00|p0)^5 ---*/
 _BUILD_00p0(Data,r12vrr_stack+12, Data->F+5, Data->F+6, NULL, NULL, NULL);

 /*--- compute (00|d0)^4 ---*/
 _BUILD_00d0(Data,r12vrr_stack+0, r12vrr_stack+111, r12vrr_stack+12, Data->F+4, Data->F+5, NULL);

 /*--- compute (00|f0)^3 ---*/
 _BUILD_00f0(Data,r12vrr_stack+325, r12vrr_stack+6, r12vrr_stack+0, r12vrr_stack+30, r12vrr_stack+111, NULL);

 /*--- compute (p0|f0)^2 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+335, r12vrr_stack+114, r12vrr_stack+325, NULL, NULL, r12vrr_stack+6);

 /*--- compute (d0|f0)^1 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+365, r12vrr_stack+255, r12vrr_stack+335, r12vrr_stack+124, r12vrr_stack+114, r12vrr_stack+141);

 /*--- compute (d0|f0)^0 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+425, r12vrr_stack+295, r12vrr_stack+255, r12vrr_stack+285, r12vrr_stack+124, r12vrr_stack+39);
 tmp = r12vrr_stack + 425;
 target_ptr = Libr12->gvrr_classes[2][3];
 for(i=0;i<60;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|f0)^0 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+485, r12vrr_stack+425, r12vrr_stack+365, r12vrr_stack+295, r12vrr_stack+255, r12vrr_stack+159);
 tmp = r12vrr_stack + 485;
 target_ptr = Libr12->gvrr_classes[3][3];
 for(i=0;i<100;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|g0)^1 ---*/
 _BUILD_00g0(Data,r12vrr_stack+39, r12vrr_stack+124, r12vrr_stack+114, r12vrr_stack+15, r12vrr_stack+33, NULL);

 /*--- compute (00|g0)^0 ---*/
 _BUILD_00g0(Data,r12vrr_stack+134, r12vrr_stack+285, r12vrr_stack+124, r12vrr_stack+24, r12vrr_stack+15, NULL);

 /*--- compute (00|g0)^2 ---*/
 _BUILD_00g0(Data,r12vrr_stack+149, r12vrr_stack+114, r12vrr_stack+325, r12vrr_stack+33, r12vrr_stack+6, NULL);

 /*--- compute (p0|g0)^1 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+585, r12vrr_stack+39, r12vrr_stack+149, NULL, NULL, r12vrr_stack+114);

 /*--- compute (p0|g0)^0 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+630, r12vrr_stack+134, r12vrr_stack+39, NULL, NULL, r12vrr_stack+124);

 /*--- compute (d0|g0)^0 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+675, r12vrr_stack+630, r12vrr_stack+585, r12vrr_stack+134, r12vrr_stack+39, r12vrr_stack+255);
 tmp = r12vrr_stack + 675;
 target_ptr = Libr12->gvrr_classes[2][4];
 for(i=0;i<90;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^6 ---*/
 _BUILD_00p0(Data,r12vrr_stack+54, Data->F+6, Data->F+7, NULL, NULL, NULL);

 /*--- compute (00|d0)^5 ---*/
 _BUILD_00d0(Data,r12vrr_stack+15, r12vrr_stack+12, r12vrr_stack+54, Data->F+5, Data->F+6, NULL);

 /*--- compute (00|f0)^4 ---*/
 _BUILD_00f0(Data,r12vrr_stack+255, r12vrr_stack+0, r12vrr_stack+15, r12vrr_stack+111, r12vrr_stack+12, NULL);

 /*--- compute (00|g0)^3 ---*/
 _BUILD_00g0(Data,r12vrr_stack+265, r12vrr_stack+325, r12vrr_stack+255, r12vrr_stack+6, r12vrr_stack+0, NULL);

 /*--- compute (p0|g0)^2 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+765, r12vrr_stack+149, r12vrr_stack+265, NULL, NULL, r12vrr_stack+325);

 /*--- compute (d0|g0)^1 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+810, r12vrr_stack+585, r12vrr_stack+765, r12vrr_stack+39, r12vrr_stack+149, r12vrr_stack+335);

 /*--- compute (f0|g0)^0 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+900, r12vrr_stack+675, r12vrr_stack+810, r12vrr_stack+630, r12vrr_stack+585, r12vrr_stack+365);
 tmp = r12vrr_stack + 900;
 target_ptr = Libr12->gvrr_classes[3][4];
 for(i=0;i<150;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|h0)^1 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+335, r12vrr_stack+39, r12vrr_stack+149, r12vrr_stack+124, r12vrr_stack+114, NULL);

 /*--- compute (00|h0)^0 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+356, r12vrr_stack+134, r12vrr_stack+39, r12vrr_stack+285, r12vrr_stack+124, NULL);

 /*--- compute (00|h0)^2 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+377, r12vrr_stack+149, r12vrr_stack+265, r12vrr_stack+114, r12vrr_stack+325, NULL);

 /*--- compute (p0|h0)^1 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1050, r12vrr_stack+335, r12vrr_stack+377, NULL, NULL, r12vrr_stack+149);

 /*--- compute (p0|h0)^0 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1113, r12vrr_stack+356, r12vrr_stack+335, NULL, NULL, r12vrr_stack+39);

 /*--- compute (d0|h0)^0 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1176, r12vrr_stack+1113, r12vrr_stack+1050, r12vrr_stack+356, r12vrr_stack+335, r12vrr_stack+585);
 tmp = r12vrr_stack + 1176;
 target_ptr = Libr12->gvrr_classes[2][5];
 for(i=0;i<126;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^7 ---*/
 _BUILD_00p0(Data,r12vrr_stack+585, Data->F+7, Data->F+8, NULL, NULL, NULL);

 /*--- compute (00|d0)^6 ---*/
 _BUILD_00d0(Data,r12vrr_stack+6, r12vrr_stack+54, r12vrr_stack+585, Data->F+6, Data->F+7, NULL);

 /*--- compute (00|f0)^5 ---*/
 _BUILD_00f0(Data,r12vrr_stack+585, r12vrr_stack+15, r12vrr_stack+6, r12vrr_stack+12, r12vrr_stack+54, NULL);

 /*--- compute (00|g0)^4 ---*/
 _BUILD_00g0(Data,r12vrr_stack+595, r12vrr_stack+255, r12vrr_stack+585, r12vrr_stack+0, r12vrr_stack+15, NULL);

 /*--- compute (00|h0)^3 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+0, r12vrr_stack+265, r12vrr_stack+595, r12vrr_stack+325, r12vrr_stack+255, NULL);

 /*--- compute (p0|h0)^2 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1302, r12vrr_stack+377, r12vrr_stack+0, NULL, NULL, r12vrr_stack+265);

 /*--- compute (d0|h0)^1 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1365, r12vrr_stack+1050, r12vrr_stack+1302, r12vrr_stack+335, r12vrr_stack+377, r12vrr_stack+765);

 /*--- compute (f0|h0)^0 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1491, r12vrr_stack+1176, r12vrr_stack+1365, r12vrr_stack+1113, r12vrr_stack+1050, r12vrr_stack+810);

 /*--- compute (00|i0)^1 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+765, r12vrr_stack+335, r12vrr_stack+377, r12vrr_stack+39, r12vrr_stack+149, NULL);

 /*--- compute (00|i0)^0 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+793, r12vrr_stack+356, r12vrr_stack+335, r12vrr_stack+134, r12vrr_stack+39, NULL);

 /*--- compute (00|i0)^2 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+821, r12vrr_stack+377, r12vrr_stack+0, r12vrr_stack+149, r12vrr_stack+265, NULL);

 /*--- compute (p0|i0)^1 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1302, r12vrr_stack+765, r12vrr_stack+821, NULL, NULL, r12vrr_stack+377);

 /*--- compute (p0|i0)^0 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1386, r12vrr_stack+793, r12vrr_stack+765, NULL, NULL, r12vrr_stack+335);

 /*--- compute (d0|i0)^0 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1701, r12vrr_stack+1386, r12vrr_stack+1302, r12vrr_stack+793, r12vrr_stack+765, r12vrr_stack+1050);

 /*--- compute (00||p0)^0 ---*/
 _R_BUILD_00p0(Data,r12vrr_stack+1050, &(Data->ss_r12_ss), NULL, r12vrr_stack+21, Data->F+0, NULL, NULL);

 /*--- compute (00||d0)^0 ---*/
 _R_BUILD_00d0(Data,r12vrr_stack+1053, r12vrr_stack+1050, &(Data->ss_r12_ss), r12vrr_stack+24, r12vrr_stack+21, Data->F+0, NULL);

 /*--- compute (00||f0)^0 ---*/
 _R_BUILD_00f0(Data,r12vrr_stack+1059, r12vrr_stack+1053, r12vrr_stack+1050, r12vrr_stack+285, r12vrr_stack+24, r12vrr_stack+21, NULL);

 /*--- compute (p0||f0)^0 ---*/
 _R_BUILD_p0f0(Data,r12vrr_stack+255, r12vrr_stack+1059, NULL, r12vrr_stack+295, r12vrr_stack+285, NULL, r12vrr_stack+24);

 /*--- compute (00||g0)^0 ---*/
 _R_BUILD_00g0(Data,r12vrr_stack+1069, r12vrr_stack+1059, r12vrr_stack+1053, r12vrr_stack+134, r12vrr_stack+285, r12vrr_stack+24, NULL);

 /*--- compute (p0||g0)^0 ---*/
 _R_BUILD_p0g0(Data,r12vrr_stack+585, r12vrr_stack+1069, NULL, r12vrr_stack+630, r12vrr_stack+134, NULL, r12vrr_stack+285);

 /*--- compute (00||h0)^0 ---*/
 _R_BUILD_00h0(Data,r12vrr_stack+1470, r12vrr_stack+1069, r12vrr_stack+1059, r12vrr_stack+356, r12vrr_stack+134, r12vrr_stack+285, NULL);

 /*--- compute (p0||h0)^0 ---*/
 _R_BUILD_p0h0(Data,r12vrr_stack+765, r12vrr_stack+1470, NULL, r12vrr_stack+1113, r12vrr_stack+356, NULL, r12vrr_stack+134);

 /*--- compute (d0|[r12,T2]|f0)^0 ---*/
 _T2_BUILD_d0f0(Data,&(Libr12->ShellQuartet),r12vrr_stack+828, r12vrr_stack+425, r12vrr_stack+675, r12vrr_stack+485, r12vrr_stack+195, r12vrr_stack+75);
 tmp = r12vrr_stack + 828;
 target_ptr = Libr12->t2vrr_classes[2][3];
 for(i=0;i<60;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T2]|g0)^0 ---*/
 _T2_BUILD_d0g0(Data,&(Libr12->ShellQuartet),r12vrr_stack+149, r12vrr_stack+675, r12vrr_stack+1176, r12vrr_stack+900, r12vrr_stack+485, r12vrr_stack+425);
 tmp = r12vrr_stack + 149;
 target_ptr = Libr12->t2vrr_classes[2][4];
 for(i=0;i<90;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T2]|h0)^0 ---*/
 _T2_BUILD_d0h0(Data,&(Libr12->ShellQuartet),r12vrr_stack+1869, r12vrr_stack+1176, r12vrr_stack+1701, r12vrr_stack+1491, r12vrr_stack+900, r12vrr_stack+675);
 tmp = r12vrr_stack + 1869;
 target_ptr = Libr12->t2vrr_classes[2][5];
 for(i=0;i<126;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T1]|f0)^0 ---*/
 _T1_BUILD_d0f0(Data,&(Libr12->ShellQuartet),r12vrr_stack+1302, r12vrr_stack+425, r12vrr_stack+485, r12vrr_stack+675, r12vrr_stack+630, r12vrr_stack+295);
 tmp = r12vrr_stack + 1302;
 target_ptr = Libr12->t1vrr_classes[2][3];
 for(i=0;i<60;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T1]|g0)^0 ---*/
 _T1_BUILD_d0g0(Data,&(Libr12->ShellQuartet),r12vrr_stack+485, r12vrr_stack+675, r12vrr_stack+900, r12vrr_stack+1176, r12vrr_stack+1113, r12vrr_stack+630);
 tmp = r12vrr_stack + 485;
 target_ptr = Libr12->t1vrr_classes[2][4];
 for(i=0;i<90;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T1]|h0)^0 ---*/
 _T1_BUILD_d0h0(Data,&(Libr12->ShellQuartet),r12vrr_stack+888, r12vrr_stack+1176, r12vrr_stack+1491, r12vrr_stack+1701, r12vrr_stack+1386, r12vrr_stack+1113);
 tmp = r12vrr_stack + 888;
 target_ptr = Libr12->t1vrr_classes[2][5];
 for(i=0;i<126;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0||f0)^0 ---*/
 _R_BUILD_d0f0(Data,r12vrr_stack+1491, r12vrr_stack+255, r12vrr_stack+1059, r12vrr_stack+425, r12vrr_stack+295, r12vrr_stack+285, r12vrr_stack+57);
 tmp = r12vrr_stack + 1491;
 target_ptr = Libr12->rvrr_classes[2][3];
 for(i=0;i<60;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0||g0)^0 ---*/
 _R_BUILD_d0g0(Data,r12vrr_stack+1551, r12vrr_stack+585, r12vrr_stack+1069, r12vrr_stack+675, r12vrr_stack+630, r12vrr_stack+134, r12vrr_stack+295);
 tmp = r12vrr_stack + 1551;
 target_ptr = Libr12->rvrr_classes[2][4];
 for(i=0;i<90;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0||h0)^0 ---*/
 _R_BUILD_d0h0(Data,r12vrr_stack+1641, r12vrr_stack+765, r12vrr_stack+1470, r12vrr_stack+1176, r12vrr_stack+1113, r12vrr_stack+356, r12vrr_stack+630);
 tmp = r12vrr_stack + 1641;
 target_ptr = Libr12->rvrr_classes[2][5];
 for(i=0;i<126;i++)
   target_ptr[i] += tmp[i];


}

