#include <stdio.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/vrr_header.h>
#include "r12_vrr_header.h"

void vrr_grt_order_ddgf(Libr12_t *Libr12, prim_data *Data)
{
 REALTYPE *r12vrr_stack = Libr12->r12vrr_stack;
 REALTYPE *tmp, *target_ptr;
 int i, am[2];

 /*--- compute (00|p0)^2 ---*/
 _BUILD_00p0(Data,r12vrr_stack+0, Data->F+2, Data->F+3, NULL, NULL, NULL);

 /*--- compute (00|p0)^3 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3, Data->F+3, Data->F+4, NULL, NULL, NULL);

 /*--- compute (00|d0)^2 ---*/
 _BUILD_00d0(Data,r12vrr_stack+6, r12vrr_stack+0, r12vrr_stack+3, Data->F+2, Data->F+3, NULL);

 /*--- compute (00|p0)^1 ---*/
 _BUILD_00p0(Data,r12vrr_stack+12, Data->F+1, Data->F+2, NULL, NULL, NULL);

 /*--- compute (00|d0)^1 ---*/
 _BUILD_00d0(Data,r12vrr_stack+15, r12vrr_stack+12, r12vrr_stack+0, Data->F+1, Data->F+2, NULL);

 /*--- compute (p0|d0)^1 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+21, r12vrr_stack+15, r12vrr_stack+6, NULL, NULL, r12vrr_stack+0);

 /*--- compute (00|f0)^1 ---*/
 _BUILD_00f0(Data,r12vrr_stack+39, r12vrr_stack+15, r12vrr_stack+6, r12vrr_stack+12, r12vrr_stack+0, NULL);

 /*--- compute (00|p0)^0 ---*/
 _BUILD_00p0(Data,r12vrr_stack+49, Data->F+0, Data->F+1, NULL, NULL, NULL);

 /*--- compute (00|d0)^0 ---*/
 _BUILD_00d0(Data,r12vrr_stack+52, r12vrr_stack+49, r12vrr_stack+12, Data->F+0, Data->F+1, NULL);

 /*--- compute (00|f0)^0 ---*/
 _BUILD_00f0(Data,r12vrr_stack+58, r12vrr_stack+52, r12vrr_stack+15, r12vrr_stack+49, r12vrr_stack+12, NULL);

 /*--- compute (00|p0)^4 ---*/
 _BUILD_00p0(Data,r12vrr_stack+12, Data->F+4, Data->F+5, NULL, NULL, NULL);

 /*--- compute (00|d0)^3 ---*/
 _BUILD_00d0(Data,r12vrr_stack+68, r12vrr_stack+3, r12vrr_stack+12, Data->F+3, Data->F+4, NULL);

 /*--- compute (00|f0)^2 ---*/
 _BUILD_00f0(Data,r12vrr_stack+74, r12vrr_stack+6, r12vrr_stack+68, r12vrr_stack+0, r12vrr_stack+3, NULL);

 /*--- compute (p0|f0)^1 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+84, r12vrr_stack+39, r12vrr_stack+74, NULL, NULL, r12vrr_stack+6);

 /*--- compute (p0|f0)^0 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+114, r12vrr_stack+58, r12vrr_stack+39, NULL, NULL, r12vrr_stack+15);

 /*--- compute (d0|f0)^0 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+144, r12vrr_stack+114, r12vrr_stack+84, r12vrr_stack+58, r12vrr_stack+39, r12vrr_stack+21);

 /*--- compute (p0|p0)^2 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+204, r12vrr_stack+0, r12vrr_stack+3, NULL, NULL, Data->F+3);

 /*--- compute (p0|d0)^2 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+213, r12vrr_stack+6, r12vrr_stack+68, NULL, NULL, r12vrr_stack+3);

 /*--- compute (d0|d0)^1 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+231, r12vrr_stack+21, r12vrr_stack+213, r12vrr_stack+15, r12vrr_stack+6, r12vrr_stack+204);

 /*--- compute (00|p0)^5 ---*/
 _BUILD_00p0(Data,r12vrr_stack+267, Data->F+5, Data->F+6, NULL, NULL, NULL);

 /*--- compute (00|d0)^4 ---*/
 _BUILD_00d0(Data,r12vrr_stack+270, r12vrr_stack+12, r12vrr_stack+267, Data->F+4, Data->F+5, NULL);

 /*--- compute (00|f0)^3 ---*/
 _BUILD_00f0(Data,r12vrr_stack+276, r12vrr_stack+68, r12vrr_stack+270, r12vrr_stack+3, r12vrr_stack+12, NULL);

 /*--- compute (p0|f0)^2 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+286, r12vrr_stack+74, r12vrr_stack+276, NULL, NULL, r12vrr_stack+68);

 /*--- compute (d0|f0)^1 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+316, r12vrr_stack+84, r12vrr_stack+286, r12vrr_stack+39, r12vrr_stack+74, r12vrr_stack+213);

 /*--- compute (f0|f0)^0 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+376, r12vrr_stack+144, r12vrr_stack+316, r12vrr_stack+114, r12vrr_stack+84, r12vrr_stack+231);

 /*--- compute (00|g0)^2 ---*/
 _BUILD_00g0(Data,r12vrr_stack+476, r12vrr_stack+74, r12vrr_stack+276, r12vrr_stack+6, r12vrr_stack+68, NULL);

 /*--- compute (00|g0)^1 ---*/
 _BUILD_00g0(Data,r12vrr_stack+491, r12vrr_stack+39, r12vrr_stack+74, r12vrr_stack+15, r12vrr_stack+6, NULL);

 /*--- compute (p0|g0)^1 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+506, r12vrr_stack+491, r12vrr_stack+476, NULL, NULL, r12vrr_stack+74);

 /*--- compute (00|g0)^0 ---*/
 _BUILD_00g0(Data,r12vrr_stack+551, r12vrr_stack+58, r12vrr_stack+39, r12vrr_stack+52, r12vrr_stack+15, NULL);

 /*--- compute (p0|g0)^0 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+566, r12vrr_stack+551, r12vrr_stack+491, NULL, NULL, r12vrr_stack+39);

 /*--- compute (00|p0)^6 ---*/
 _BUILD_00p0(Data,r12vrr_stack+15, Data->F+6, Data->F+7, NULL, NULL, NULL);

 /*--- compute (00|d0)^5 ---*/
 _BUILD_00d0(Data,r12vrr_stack+611, r12vrr_stack+267, r12vrr_stack+15, Data->F+5, Data->F+6, NULL);

 /*--- compute (00|f0)^4 ---*/
 _BUILD_00f0(Data,r12vrr_stack+617, r12vrr_stack+270, r12vrr_stack+611, r12vrr_stack+12, r12vrr_stack+267, NULL);

 /*--- compute (00|g0)^3 ---*/
 _BUILD_00g0(Data,r12vrr_stack+627, r12vrr_stack+276, r12vrr_stack+617, r12vrr_stack+68, r12vrr_stack+270, NULL);

 /*--- compute (p0|g0)^2 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+642, r12vrr_stack+476, r12vrr_stack+627, NULL, NULL, r12vrr_stack+276);

 /*--- compute (d0|g0)^1 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+687, r12vrr_stack+506, r12vrr_stack+642, r12vrr_stack+491, r12vrr_stack+476, r12vrr_stack+286);

 /*--- compute (d0|g0)^0 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+777, r12vrr_stack+566, r12vrr_stack+506, r12vrr_stack+551, r12vrr_stack+491, r12vrr_stack+84);
 tmp = r12vrr_stack + 777;
 target_ptr = Libr12->gvrr_classes[2][4];
 for(i=0;i<90;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|g0)^0 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+867, r12vrr_stack+777, r12vrr_stack+687, r12vrr_stack+566, r12vrr_stack+506, r12vrr_stack+316);
 tmp = r12vrr_stack + 867;
 target_ptr = Libr12->gvrr_classes[3][4];
 for(i=0;i<150;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|h0)^1 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1017, r12vrr_stack+491, r12vrr_stack+476, r12vrr_stack+39, r12vrr_stack+74, NULL);

 /*--- compute (00|h0)^0 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1038, r12vrr_stack+551, r12vrr_stack+491, r12vrr_stack+58, r12vrr_stack+39, NULL);

 /*--- compute (00|h0)^2 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1059, r12vrr_stack+476, r12vrr_stack+627, r12vrr_stack+74, r12vrr_stack+276, NULL);

 /*--- compute (p0|h0)^1 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1080, r12vrr_stack+1017, r12vrr_stack+1059, NULL, NULL, r12vrr_stack+476);

 /*--- compute (p0|h0)^0 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1143, r12vrr_stack+1038, r12vrr_stack+1017, NULL, NULL, r12vrr_stack+491);

 /*--- compute (d0|h0)^0 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1206, r12vrr_stack+1143, r12vrr_stack+1080, r12vrr_stack+1038, r12vrr_stack+1017, r12vrr_stack+506);
 tmp = r12vrr_stack + 1206;
 target_ptr = Libr12->gvrr_classes[2][5];
 for(i=0;i<126;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^7 ---*/
 _BUILD_00p0(Data,r12vrr_stack+18, Data->F+7, Data->F+8, NULL, NULL, NULL);

 /*--- compute (00|d0)^6 ---*/
 _BUILD_00d0(Data,r12vrr_stack+39, r12vrr_stack+15, r12vrr_stack+18, Data->F+6, Data->F+7, NULL);

 /*--- compute (00|f0)^5 ---*/
 _BUILD_00f0(Data,r12vrr_stack+1332, r12vrr_stack+611, r12vrr_stack+39, r12vrr_stack+267, r12vrr_stack+15, NULL);

 /*--- compute (00|g0)^4 ---*/
 _BUILD_00g0(Data,r12vrr_stack+1342, r12vrr_stack+617, r12vrr_stack+1332, r12vrr_stack+270, r12vrr_stack+611, NULL);

 /*--- compute (00|h0)^3 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1357, r12vrr_stack+627, r12vrr_stack+1342, r12vrr_stack+276, r12vrr_stack+617, NULL);

 /*--- compute (p0|h0)^2 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1378, r12vrr_stack+1059, r12vrr_stack+1357, NULL, NULL, r12vrr_stack+627);

 /*--- compute (d0|h0)^1 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1441, r12vrr_stack+1080, r12vrr_stack+1378, r12vrr_stack+1017, r12vrr_stack+1059, r12vrr_stack+642);

 /*--- compute (f0|h0)^0 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1567, r12vrr_stack+1206, r12vrr_stack+1441, r12vrr_stack+1143, r12vrr_stack+1080, r12vrr_stack+687);
 tmp = r12vrr_stack + 1567;
 target_ptr = Libr12->gvrr_classes[3][5];
 for(i=0;i<210;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|i0)^1 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1777, r12vrr_stack+1017, r12vrr_stack+1059, r12vrr_stack+491, r12vrr_stack+476, NULL);

 /*--- compute (00|i0)^0 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1805, r12vrr_stack+1038, r12vrr_stack+1017, r12vrr_stack+551, r12vrr_stack+491, NULL);

 /*--- compute (00|i0)^2 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1833, r12vrr_stack+1059, r12vrr_stack+1357, r12vrr_stack+476, r12vrr_stack+627, NULL);

 /*--- compute (p0|i0)^1 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1861, r12vrr_stack+1777, r12vrr_stack+1833, NULL, NULL, r12vrr_stack+1059);

 /*--- compute (p0|i0)^0 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1945, r12vrr_stack+1805, r12vrr_stack+1777, NULL, NULL, r12vrr_stack+1017);

 /*--- compute (d0|i0)^0 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2029, r12vrr_stack+1945, r12vrr_stack+1861, r12vrr_stack+1805, r12vrr_stack+1777, r12vrr_stack+1080);
 tmp = r12vrr_stack + 2029;
 target_ptr = Libr12->gvrr_classes[2][6];
 for(i=0;i<168;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^8 ---*/
 _BUILD_00p0(Data,r12vrr_stack+491, Data->F+8, Data->F+9, NULL, NULL, NULL);

 /*--- compute (00|d0)^7 ---*/
 _BUILD_00d0(Data,r12vrr_stack+494, r12vrr_stack+18, r12vrr_stack+491, Data->F+7, Data->F+8, NULL);

 /*--- compute (00|f0)^6 ---*/
 _BUILD_00f0(Data,r12vrr_stack+2197, r12vrr_stack+39, r12vrr_stack+494, r12vrr_stack+15, r12vrr_stack+18, NULL);

 /*--- compute (00|g0)^5 ---*/
 _BUILD_00g0(Data,r12vrr_stack+2207, r12vrr_stack+1332, r12vrr_stack+2197, r12vrr_stack+611, r12vrr_stack+39, NULL);

 /*--- compute (00|h0)^4 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2222, r12vrr_stack+1342, r12vrr_stack+2207, r12vrr_stack+617, r12vrr_stack+1332, NULL);

 /*--- compute (00|i0)^3 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2243, r12vrr_stack+1357, r12vrr_stack+2222, r12vrr_stack+627, r12vrr_stack+1342, NULL);

 /*--- compute (p0|i0)^2 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2271, r12vrr_stack+1833, r12vrr_stack+2243, NULL, NULL, r12vrr_stack+1357);

 /*--- compute (d0|i0)^1 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2355, r12vrr_stack+1861, r12vrr_stack+2271, r12vrr_stack+1777, r12vrr_stack+1833, r12vrr_stack+1378);

 /*--- compute (f0|i0)^0 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2523, r12vrr_stack+2029, r12vrr_stack+2355, r12vrr_stack+1945, r12vrr_stack+1861, r12vrr_stack+1441);
 tmp = r12vrr_stack + 2523;
 target_ptr = Libr12->gvrr_classes[3][6];
 for(i=0;i<280;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|k0)^1 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+2803, r12vrr_stack+1777, r12vrr_stack+1833, r12vrr_stack+1017, r12vrr_stack+1059, NULL);

 /*--- compute (00|k0)^0 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+2839, r12vrr_stack+1805, r12vrr_stack+1777, r12vrr_stack+1038, r12vrr_stack+1017, NULL);

 /*--- compute (00|k0)^2 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+2875, r12vrr_stack+1833, r12vrr_stack+2243, r12vrr_stack+1059, r12vrr_stack+1357, NULL);

 /*--- compute (p0|k0)^1 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+2911, r12vrr_stack+2803, r12vrr_stack+2875, NULL, NULL, r12vrr_stack+1833);

 /*--- compute (p0|k0)^0 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+3019, r12vrr_stack+2839, r12vrr_stack+2803, NULL, NULL, r12vrr_stack+1777);

 /*--- compute (d0|k0)^0 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+3127, r12vrr_stack+3019, r12vrr_stack+2911, r12vrr_stack+2839, r12vrr_stack+2803, r12vrr_stack+1861);
 tmp = r12vrr_stack + 3127;
 target_ptr = Libr12->gvrr_classes[2][7];
 for(i=0;i<216;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^9 ---*/
 _BUILD_00p0(Data,r12vrr_stack+15, Data->F+9, Data->F+10, NULL, NULL, NULL);

 /*--- compute (00|d0)^8 ---*/
 _BUILD_00d0(Data,r12vrr_stack+500, r12vrr_stack+491, r12vrr_stack+15, Data->F+8, Data->F+9, NULL);

 /*--- compute (00|f0)^7 ---*/
 _BUILD_00f0(Data,r12vrr_stack+1017, r12vrr_stack+494, r12vrr_stack+500, r12vrr_stack+18, r12vrr_stack+491, NULL);

 /*--- compute (00|g0)^6 ---*/
 _BUILD_00g0(Data,r12vrr_stack+3343, r12vrr_stack+2197, r12vrr_stack+1017, r12vrr_stack+39, r12vrr_stack+494, NULL);

 /*--- compute (00|h0)^5 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+3358, r12vrr_stack+2207, r12vrr_stack+3343, r12vrr_stack+1332, r12vrr_stack+2197, NULL);

 /*--- compute (00|i0)^4 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+3379, r12vrr_stack+2222, r12vrr_stack+3358, r12vrr_stack+1342, r12vrr_stack+2207, NULL);

 /*--- compute (00|k0)^3 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+3407, r12vrr_stack+2243, r12vrr_stack+3379, r12vrr_stack+1357, r12vrr_stack+2222, NULL);

 /*--- compute (p0|k0)^2 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+3443, r12vrr_stack+2875, r12vrr_stack+3407, NULL, NULL, r12vrr_stack+2243);

 /*--- compute (d0|k0)^1 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+3551, r12vrr_stack+2911, r12vrr_stack+3443, r12vrr_stack+2803, r12vrr_stack+2875, r12vrr_stack+2271);

 /*--- compute (f0|k0)^0 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+3767, r12vrr_stack+3127, r12vrr_stack+3551, r12vrr_stack+3019, r12vrr_stack+2911, r12vrr_stack+2355);
 tmp = r12vrr_stack + 3767;
 target_ptr = Libr12->gvrr_classes[3][7];
 for(i=0;i<360;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|l0)^1 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+4127, r12vrr_stack+2803, r12vrr_stack+2875, r12vrr_stack+1777, r12vrr_stack+1833, NULL);

 /*--- compute (00|l0)^0 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+4172, r12vrr_stack+2839, r12vrr_stack+2803, r12vrr_stack+1805, r12vrr_stack+1777, NULL);

 /*--- compute (00|l0)^2 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+4217, r12vrr_stack+2875, r12vrr_stack+3407, r12vrr_stack+1833, r12vrr_stack+2243, NULL);

 /*--- compute (p0|l0)^1 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+4262, r12vrr_stack+4127, r12vrr_stack+4217, NULL, NULL, r12vrr_stack+2875);

 /*--- compute (p0|l0)^0 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+4397, r12vrr_stack+4172, r12vrr_stack+4127, NULL, NULL, r12vrr_stack+2803);

 /*--- compute (d0|l0)^0 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+4532, r12vrr_stack+4397, r12vrr_stack+4262, r12vrr_stack+4172, r12vrr_stack+4127, r12vrr_stack+2911);
 tmp = r12vrr_stack + 4532;
 target_ptr = Libr12->gvrr_classes[2][8];
 for(i=0;i<270;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|00)^3 ---*/
 _BUILD_p000(Data,r12vrr_stack+18, Data->F+3, Data->F+4, NULL, NULL, NULL);

 /*--- compute (p0|p0)^3 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+4172, r12vrr_stack+3, r12vrr_stack+12, NULL, NULL, Data->F+4);

 /*--- compute (d0|p0)^2 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+4181, r12vrr_stack+204, r12vrr_stack+4172, r12vrr_stack+0, r12vrr_stack+3, r12vrr_stack+18);

 /*--- compute (p0|d0)^3 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+4199, r12vrr_stack+68, r12vrr_stack+270, NULL, NULL, r12vrr_stack+12);

 /*--- compute (d0|d0)^2 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+2803, r12vrr_stack+213, r12vrr_stack+4199, r12vrr_stack+6, r12vrr_stack+68, r12vrr_stack+4172);

 /*--- compute (f0|d0)^1 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+4802, r12vrr_stack+231, r12vrr_stack+2803, r12vrr_stack+21, r12vrr_stack+213, r12vrr_stack+4181);

 /*--- compute (p0|f0)^3 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+4862, r12vrr_stack+276, r12vrr_stack+617, NULL, NULL, r12vrr_stack+270);

 /*--- compute (d0|f0)^2 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+4892, r12vrr_stack+286, r12vrr_stack+4862, r12vrr_stack+74, r12vrr_stack+276, r12vrr_stack+4199);

 /*--- compute (f0|f0)^1 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+4952, r12vrr_stack+316, r12vrr_stack+4892, r12vrr_stack+84, r12vrr_stack+286, r12vrr_stack+2803);

 /*--- compute (g0|f0)^0 ---*/
 _BUILD_g0f0(Data,r12vrr_stack+5052, r12vrr_stack+376, r12vrr_stack+4952, r12vrr_stack+144, r12vrr_stack+316, r12vrr_stack+4802);

 /*--- compute (p0|g0)^3 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+5202, r12vrr_stack+627, r12vrr_stack+1342, NULL, NULL, r12vrr_stack+617);

 /*--- compute (d0|g0)^2 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+5247, r12vrr_stack+642, r12vrr_stack+5202, r12vrr_stack+476, r12vrr_stack+627, r12vrr_stack+4862);

 /*--- compute (f0|g0)^1 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+5337, r12vrr_stack+687, r12vrr_stack+5247, r12vrr_stack+506, r12vrr_stack+642, r12vrr_stack+4892);

 /*--- compute (g0|g0)^0 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+5487, r12vrr_stack+867, r12vrr_stack+5337, r12vrr_stack+777, r12vrr_stack+687, r12vrr_stack+4952);
 tmp = r12vrr_stack + 5487;
 target_ptr = Libr12->gvrr_classes[4][4];
 for(i=0;i<225;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|h0)^3 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+5712, r12vrr_stack+1357, r12vrr_stack+2222, NULL, NULL, r12vrr_stack+1342);

 /*--- compute (d0|h0)^2 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+5775, r12vrr_stack+1378, r12vrr_stack+5712, r12vrr_stack+1059, r12vrr_stack+1357, r12vrr_stack+5202);

 /*--- compute (f0|h0)^1 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+5901, r12vrr_stack+1441, r12vrr_stack+5775, r12vrr_stack+1080, r12vrr_stack+1378, r12vrr_stack+5247);

 /*--- compute (g0|h0)^0 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+6111, r12vrr_stack+1567, r12vrr_stack+5901, r12vrr_stack+1206, r12vrr_stack+1441, r12vrr_stack+5337);
 tmp = r12vrr_stack + 6111;
 target_ptr = Libr12->gvrr_classes[4][5];
 for(i=0;i<315;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|i0)^3 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1059, r12vrr_stack+2243, r12vrr_stack+3379, NULL, NULL, r12vrr_stack+2222);

 /*--- compute (d0|i0)^2 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+6426, r12vrr_stack+2271, r12vrr_stack+1059, r12vrr_stack+1833, r12vrr_stack+2243, r12vrr_stack+5712);

 /*--- compute (f0|i0)^1 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+6594, r12vrr_stack+2355, r12vrr_stack+6426, r12vrr_stack+1861, r12vrr_stack+2271, r12vrr_stack+5775);

 /*--- compute (g0|i0)^0 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+6874, r12vrr_stack+2523, r12vrr_stack+6594, r12vrr_stack+2029, r12vrr_stack+2355, r12vrr_stack+5901);
 tmp = r12vrr_stack + 6874;
 target_ptr = Libr12->gvrr_classes[4][6];
 for(i=0;i<420;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^10 ---*/
 _BUILD_00p0(Data,r12vrr_stack+0, Data->F+10, Data->F+11, NULL, NULL, NULL);

 /*--- compute (00|d0)^9 ---*/
 _BUILD_00d0(Data,r12vrr_stack+6, r12vrr_stack+15, r12vrr_stack+0, Data->F+9, Data->F+10, NULL);

 /*--- compute (00|f0)^8 ---*/
 _BUILD_00f0(Data,r12vrr_stack+1833, r12vrr_stack+500, r12vrr_stack+6, r12vrr_stack+491, r12vrr_stack+15, NULL);

 /*--- compute (00|g0)^7 ---*/
 _BUILD_00g0(Data,r12vrr_stack+1843, r12vrr_stack+1017, r12vrr_stack+1833, r12vrr_stack+494, r12vrr_stack+500, NULL);

 /*--- compute (00|h0)^6 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1858, r12vrr_stack+3343, r12vrr_stack+1843, r12vrr_stack+2197, r12vrr_stack+1017, NULL);

 /*--- compute (00|i0)^5 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+21, r12vrr_stack+3358, r12vrr_stack+1858, r12vrr_stack+2207, r12vrr_stack+3343, NULL);

 /*--- compute (00|k0)^4 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+1879, r12vrr_stack+3379, r12vrr_stack+21, r12vrr_stack+2222, r12vrr_stack+3358, NULL);

 /*--- compute (p0|k0)^3 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+7294, r12vrr_stack+3407, r12vrr_stack+1879, NULL, NULL, r12vrr_stack+3379);

 /*--- compute (d0|k0)^2 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+7402, r12vrr_stack+3443, r12vrr_stack+7294, r12vrr_stack+2875, r12vrr_stack+3407, r12vrr_stack+1059);

 /*--- compute (f0|k0)^1 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+7618, r12vrr_stack+3551, r12vrr_stack+7402, r12vrr_stack+2911, r12vrr_stack+3443, r12vrr_stack+6426);

 /*--- compute (g0|k0)^0 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+7978, r12vrr_stack+3767, r12vrr_stack+7618, r12vrr_stack+3127, r12vrr_stack+3551, r12vrr_stack+6594);
 tmp = r12vrr_stack + 7978;
 target_ptr = Libr12->gvrr_classes[4][7];
 for(i=0;i<540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|l0)^3 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+506, r12vrr_stack+3407, r12vrr_stack+1879, r12vrr_stack+2243, r12vrr_stack+3379, NULL);

 /*--- compute (p0|l0)^2 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+2875, r12vrr_stack+4217, r12vrr_stack+506, NULL, NULL, r12vrr_stack+3407);

 /*--- compute (d0|l0)^1 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+8518, r12vrr_stack+4262, r12vrr_stack+2875, r12vrr_stack+4127, r12vrr_stack+4217, r12vrr_stack+3443);

 /*--- compute (f0|l0)^0 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+8788, r12vrr_stack+4532, r12vrr_stack+8518, r12vrr_stack+4397, r12vrr_stack+4262, r12vrr_stack+3551);
 tmp = r12vrr_stack + 8788;
 target_ptr = Libr12->gvrr_classes[3][8];
 for(i=0;i<450;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|00)^4 ---*/
 _BUILD_p000(Data,r12vrr_stack+4127, Data->F+4, Data->F+5, NULL, NULL, NULL);

 /*--- compute (d0|00)^3 ---*/
 _BUILD_d000(Data,r12vrr_stack+4130, r12vrr_stack+18, r12vrr_stack+4127, Data->F+3, Data->F+4, NULL);

 /*--- compute (p0|p0)^4 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+3010, r12vrr_stack+12, r12vrr_stack+267, NULL, NULL, Data->F+5);

 /*--- compute (d0|p0)^3 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+4136, r12vrr_stack+4172, r12vrr_stack+3010, r12vrr_stack+3, r12vrr_stack+12, r12vrr_stack+4127);

 /*--- compute (f0|p0)^2 ---*/
 _BUILD_f0p0(Data,r12vrr_stack+1915, r12vrr_stack+4181, r12vrr_stack+4136, r12vrr_stack+204, r12vrr_stack+4172, r12vrr_stack+4130);

 /*--- compute (p0|d0)^4 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+4154, r12vrr_stack+270, r12vrr_stack+611, NULL, NULL, r12vrr_stack+267);

 /*--- compute (d0|d0)^3 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+74, r12vrr_stack+4199, r12vrr_stack+4154, r12vrr_stack+68, r12vrr_stack+270, r12vrr_stack+3010);

 /*--- compute (f0|d0)^2 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+9238, r12vrr_stack+2803, r12vrr_stack+74, r12vrr_stack+213, r12vrr_stack+4199, r12vrr_stack+4136);

 /*--- compute (g0|d0)^1 ---*/
 _BUILD_g0d0(Data,r12vrr_stack+9298, r12vrr_stack+4802, r12vrr_stack+9238, r12vrr_stack+231, r12vrr_stack+2803, r12vrr_stack+1915);

 /*--- compute (p0|f0)^4 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+1915, r12vrr_stack+617, r12vrr_stack+1332, NULL, NULL, r12vrr_stack+611);

 /*--- compute (d0|f0)^3 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+4802, r12vrr_stack+4862, r12vrr_stack+1915, r12vrr_stack+276, r12vrr_stack+617, r12vrr_stack+4154);

 /*--- compute (f0|f0)^2 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+9388, r12vrr_stack+4892, r12vrr_stack+4802, r12vrr_stack+286, r12vrr_stack+4862, r12vrr_stack+74);

 /*--- compute (g0|f0)^1 ---*/
 _BUILD_g0f0(Data,r12vrr_stack+9488, r12vrr_stack+4952, r12vrr_stack+9388, r12vrr_stack+316, r12vrr_stack+4892, r12vrr_stack+9238);

 /*--- compute (h0|f0)^0 ---*/
 am[0] = 5;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+9638, r12vrr_stack+5052, r12vrr_stack+9488, r12vrr_stack+376, r12vrr_stack+4952, r12vrr_stack+9298);

 /*--- compute (p0|g0)^4 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+9238, r12vrr_stack+1342, r12vrr_stack+2207, NULL, NULL, r12vrr_stack+1332);

 /*--- compute (d0|g0)^3 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+4127, r12vrr_stack+5202, r12vrr_stack+9238, r12vrr_stack+627, r12vrr_stack+1342, r12vrr_stack+1915);

 /*--- compute (f0|g0)^2 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+4862, r12vrr_stack+5247, r12vrr_stack+4127, r12vrr_stack+642, r12vrr_stack+5202, r12vrr_stack+4802);

 /*--- compute (g0|g0)^1 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+9848, r12vrr_stack+5337, r12vrr_stack+4862, r12vrr_stack+687, r12vrr_stack+5247, r12vrr_stack+9388);

 /*--- compute (h0|g0)^0 ---*/
 am[0] = 5;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+10073, r12vrr_stack+5487, r12vrr_stack+9848, r12vrr_stack+867, r12vrr_stack+5337, r12vrr_stack+9488);
 tmp = r12vrr_stack + 10073;
 target_ptr = Libr12->gvrr_classes[5][4];
 for(i=0;i<315;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|h0)^4 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+5202, r12vrr_stack+2222, r12vrr_stack+3358, NULL, NULL, r12vrr_stack+2207);

 /*--- compute (d0|h0)^3 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+5265, r12vrr_stack+5712, r12vrr_stack+5202, r12vrr_stack+1357, r12vrr_stack+2222, r12vrr_stack+9238);

 /*--- compute (f0|h0)^2 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+9238, r12vrr_stack+5775, r12vrr_stack+5265, r12vrr_stack+1378, r12vrr_stack+5712, r12vrr_stack+4127);

 /*--- compute (g0|h0)^1 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+10388, r12vrr_stack+5901, r12vrr_stack+9238, r12vrr_stack+1441, r12vrr_stack+5775, r12vrr_stack+4862);

 /*--- compute (h0|h0)^0 ---*/
 am[0] = 5;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+10703, r12vrr_stack+6111, r12vrr_stack+10388, r12vrr_stack+1567, r12vrr_stack+5901, r12vrr_stack+9848);
 tmp = r12vrr_stack + 10703;
 target_ptr = Libr12->gvrr_classes[5][5];
 for(i=0;i<441;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|i0)^4 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+9848, r12vrr_stack+3379, r12vrr_stack+21, NULL, NULL, r12vrr_stack+3358);

 /*--- compute (d0|i0)^3 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+5712, r12vrr_stack+1059, r12vrr_stack+9848, r12vrr_stack+2243, r12vrr_stack+3379, r12vrr_stack+5202);

 /*--- compute (f0|i0)^2 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+11144, r12vrr_stack+6426, r12vrr_stack+5712, r12vrr_stack+2271, r12vrr_stack+1059, r12vrr_stack+5265);

 /*--- compute (g0|i0)^1 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+11424, r12vrr_stack+6594, r12vrr_stack+11144, r12vrr_stack+2355, r12vrr_stack+6426, r12vrr_stack+9238);

 /*--- compute (h0|i0)^0 ---*/
 am[0] = 5;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+11844, r12vrr_stack+6874, r12vrr_stack+11424, r12vrr_stack+2523, r12vrr_stack+6594, r12vrr_stack+10388);
 tmp = r12vrr_stack + 11844;
 target_ptr = Libr12->gvrr_classes[5][6];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^11 ---*/
 _BUILD_00p0(Data,r12vrr_stack+12, Data->F+11, Data->F+12, NULL, NULL, NULL);

 /*--- compute (00|d0)^10 ---*/
 _BUILD_00d0(Data,r12vrr_stack+10388, r12vrr_stack+0, r12vrr_stack+12, Data->F+10, Data->F+11, NULL);

 /*--- compute (00|f0)^9 ---*/
 _BUILD_00f0(Data,r12vrr_stack+10394, r12vrr_stack+6, r12vrr_stack+10388, r12vrr_stack+15, r12vrr_stack+0, NULL);

 /*--- compute (00|g0)^8 ---*/
 _BUILD_00g0(Data,r12vrr_stack+10404, r12vrr_stack+1833, r12vrr_stack+10394, r12vrr_stack+500, r12vrr_stack+6, NULL);

 /*--- compute (00|h0)^7 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+0, r12vrr_stack+1843, r12vrr_stack+10404, r12vrr_stack+1017, r12vrr_stack+1833, NULL);

 /*--- compute (00|i0)^6 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1777, r12vrr_stack+1858, r12vrr_stack+0, r12vrr_stack+3343, r12vrr_stack+1843, NULL);

 /*--- compute (00|k0)^5 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+2803, r12vrr_stack+21, r12vrr_stack+1777, r12vrr_stack+3358, r12vrr_stack+1858, NULL);

 /*--- compute (p0|k0)^4 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+10388, r12vrr_stack+1879, r12vrr_stack+2803, NULL, NULL, r12vrr_stack+21);

 /*--- compute (d0|k0)^3 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+9238, r12vrr_stack+7294, r12vrr_stack+10388, r12vrr_stack+3407, r12vrr_stack+1879, r12vrr_stack+9848);

 /*--- compute (f0|k0)^2 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+6426, r12vrr_stack+7402, r12vrr_stack+9238, r12vrr_stack+3443, r12vrr_stack+7294, r12vrr_stack+5712);

 /*--- compute (g0|k0)^1 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+12432, r12vrr_stack+7618, r12vrr_stack+6426, r12vrr_stack+3551, r12vrr_stack+7402, r12vrr_stack+11144);

 /*--- compute (h0|k0)^0 ---*/
 am[0] = 5;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+12972, r12vrr_stack+7978, r12vrr_stack+12432, r12vrr_stack+3767, r12vrr_stack+7618, r12vrr_stack+11424);

 /*--- compute (00|l0)^4 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+12432, r12vrr_stack+1879, r12vrr_stack+2803, r12vrr_stack+3379, r12vrr_stack+21, NULL);

 /*--- compute (p0|l0)^3 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+12477, r12vrr_stack+506, r12vrr_stack+12432, NULL, NULL, r12vrr_stack+1879);

 /*--- compute (d0|l0)^2 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+12612, r12vrr_stack+2875, r12vrr_stack+12477, r12vrr_stack+4217, r12vrr_stack+506, r12vrr_stack+7294);

 /*--- compute (f0|l0)^1 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+11144, r12vrr_stack+8518, r12vrr_stack+12612, r12vrr_stack+4262, r12vrr_stack+2875, r12vrr_stack+7402);

 /*--- compute (g0|l0)^0 ---*/
 am[0] = 4;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+13728, r12vrr_stack+8788, r12vrr_stack+11144, r12vrr_stack+4532, r12vrr_stack+8518, r12vrr_stack+7618);

 /*--- compute (00||p0)^0 ---*/
 _R_BUILD_00p0(Data,r12vrr_stack+8518, &(Data->ss_r12_ss), NULL, r12vrr_stack+49, Data->F+0, NULL, NULL);

 /*--- compute (00||d0)^0 ---*/
 _R_BUILD_00d0(Data,r12vrr_stack+8521, r12vrr_stack+8518, &(Data->ss_r12_ss), r12vrr_stack+52, r12vrr_stack+49, Data->F+0, NULL);

 /*--- compute (00||f0)^0 ---*/
 _R_BUILD_00f0(Data,r12vrr_stack+8527, r12vrr_stack+8521, r12vrr_stack+8518, r12vrr_stack+58, r12vrr_stack+52, r12vrr_stack+49, NULL);

 /*--- compute (00||g0)^0 ---*/
 _R_BUILD_00g0(Data,r12vrr_stack+8537, r12vrr_stack+8527, r12vrr_stack+8521, r12vrr_stack+551, r12vrr_stack+58, r12vrr_stack+52, NULL);

 /*--- compute (p0||g0)^0 ---*/
 _R_BUILD_p0g0(Data,r12vrr_stack+8552, r12vrr_stack+8537, NULL, r12vrr_stack+566, r12vrr_stack+551, NULL, r12vrr_stack+58);

 /*--- compute (d0||g0)^0 ---*/
 _R_BUILD_d0g0(Data,r12vrr_stack+8597, r12vrr_stack+8552, r12vrr_stack+8537, r12vrr_stack+777, r12vrr_stack+566, r12vrr_stack+551, r12vrr_stack+114);
 tmp = r12vrr_stack + 8597;
 target_ptr = Libr12->rvrr_classes[2][4];
 for(i=0;i<90;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0||g0)^0 ---*/
 _R_BUILD_f0g0(Data,r12vrr_stack+11144, r12vrr_stack+8597, r12vrr_stack+8552, r12vrr_stack+867, r12vrr_stack+777, r12vrr_stack+566, r12vrr_stack+144);
 tmp = r12vrr_stack + 11144;
 target_ptr = Libr12->rvrr_classes[3][4];
 for(i=0;i<150;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||h0)^0 ---*/
 _R_BUILD_00h0(Data,r12vrr_stack+1017, r12vrr_stack+8537, r12vrr_stack+8527, r12vrr_stack+1038, r12vrr_stack+551, r12vrr_stack+58, NULL);

 /*--- compute (p0||h0)^0 ---*/
 _R_BUILD_p0h0(Data,r12vrr_stack+8687, r12vrr_stack+1017, NULL, r12vrr_stack+1143, r12vrr_stack+1038, NULL, r12vrr_stack+551);

 /*--- compute (d0||h0)^0 ---*/
 _R_BUILD_d0h0(Data,r12vrr_stack+11294, r12vrr_stack+8687, r12vrr_stack+1017, r12vrr_stack+1206, r12vrr_stack+1143, r12vrr_stack+1038, r12vrr_stack+566);
 tmp = r12vrr_stack + 11294;
 target_ptr = Libr12->rvrr_classes[2][5];
 for(i=0;i<126;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0||h0)^0 ---*/
 _R_BUILD_f0h0(Data,r12vrr_stack+11420, r12vrr_stack+11294, r12vrr_stack+8687, r12vrr_stack+1567, r12vrr_stack+1206, r12vrr_stack+1143, r12vrr_stack+777);
 tmp = r12vrr_stack + 11420;
 target_ptr = Libr12->rvrr_classes[3][5];
 for(i=0;i<210;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||i0)^0 ---*/
 _R_BUILD_00i0(Data,r12vrr_stack+1777, r12vrr_stack+1017, r12vrr_stack+8537, r12vrr_stack+1805, r12vrr_stack+1038, r12vrr_stack+551, NULL);

 /*--- compute (p0||i0)^0 ---*/
 _R_BUILD_p0i0(Data,r12vrr_stack+1059, r12vrr_stack+1777, NULL, r12vrr_stack+1945, r12vrr_stack+1805, NULL, r12vrr_stack+1038);

 /*--- compute (d0||i0)^0 ---*/
 _R_BUILD_d0i0(Data,r12vrr_stack+11630, r12vrr_stack+1059, r12vrr_stack+1777, r12vrr_stack+2029, r12vrr_stack+1945, r12vrr_stack+1805, r12vrr_stack+1143);
 tmp = r12vrr_stack + 11630;
 target_ptr = Libr12->rvrr_classes[2][6];
 for(i=0;i<168;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0||i0)^0 ---*/
 _R_BUILD_f0i0(Data,r12vrr_stack+7294, r12vrr_stack+11630, r12vrr_stack+1059, r12vrr_stack+2523, r12vrr_stack+2029, r12vrr_stack+1945, r12vrr_stack+1206);
 tmp = r12vrr_stack + 7294;
 target_ptr = Libr12->rvrr_classes[3][6];
 for(i=0;i<280;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||k0)^0 ---*/
 am[0] = 0;  am[1] = 7;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+2803, r12vrr_stack+1777, r12vrr_stack+1017, r12vrr_stack+2839, r12vrr_stack+1805, r12vrr_stack+1038, NULL);

 /*--- compute (p0||k0)^0 ---*/
 am[0] = 1;  am[1] = 7;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+1017, r12vrr_stack+2803, NULL, r12vrr_stack+3019, r12vrr_stack+2839, NULL, r12vrr_stack+1805);

 /*--- compute (d0||k0)^0 ---*/
 am[0] = 2;  am[1] = 7;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+7574, r12vrr_stack+1017, r12vrr_stack+2803, r12vrr_stack+3127, r12vrr_stack+3019, r12vrr_stack+2839, r12vrr_stack+1945);
 tmp = r12vrr_stack + 7574;
 target_ptr = Libr12->rvrr_classes[2][7];
 for(i=0;i<216;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0||k0)^0 ---*/
 am[0] = 3;  am[1] = 7;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+12432, r12vrr_stack+7574, r12vrr_stack+1017, r12vrr_stack+3767, r12vrr_stack+3127, r12vrr_stack+3019, r12vrr_stack+2029);
 tmp = r12vrr_stack + 12432;
 target_ptr = Libr12->rvrr_classes[3][7];
 for(i=0;i<360;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T2]|g0)^0 ---*/
 _T2_BUILD_d0g0(Data,&(Libr12->ShellQuartet),r12vrr_stack+476, r12vrr_stack+777, r12vrr_stack+1206, r12vrr_stack+867, r12vrr_stack+376, r12vrr_stack+144);
 tmp = r12vrr_stack + 476;
 target_ptr = Libr12->t2vrr_classes[2][4];
 for(i=0;i<90;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T2]|h0)^0 ---*/
 _T2_BUILD_d0h0(Data,&(Libr12->ShellQuartet),r12vrr_stack+1017, r12vrr_stack+1206, r12vrr_stack+2029, r12vrr_stack+1567, r12vrr_stack+867, r12vrr_stack+777);
 tmp = r12vrr_stack + 1017;
 target_ptr = Libr12->t2vrr_classes[2][5];
 for(i=0;i<126;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T2]|i0)^0 ---*/
 _T2_BUILD_d0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+1777, r12vrr_stack+2029, r12vrr_stack+3127, r12vrr_stack+2523, r12vrr_stack+1567, r12vrr_stack+1206);
 tmp = r12vrr_stack + 1777;
 target_ptr = Libr12->t2vrr_classes[2][6];
 for(i=0;i<168;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T2]|k0)^0 ---*/
 am[0] = 2;  am[1] = 7;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+2803, r12vrr_stack+3127, r12vrr_stack+4532, r12vrr_stack+3767, r12vrr_stack+2523, r12vrr_stack+2029);
 tmp = r12vrr_stack + 2803;
 target_ptr = Libr12->t2vrr_classes[2][7];
 for(i=0;i<216;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T2]|g0)^0 ---*/
 _T2_BUILD_f0g0(Data,&(Libr12->ShellQuartet),r12vrr_stack+7790, r12vrr_stack+867, r12vrr_stack+1567, r12vrr_stack+5487, r12vrr_stack+5052, r12vrr_stack+376);
 tmp = r12vrr_stack + 7790;
 target_ptr = Libr12->t2vrr_classes[3][4];
 for(i=0;i<150;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T2]|h0)^0 ---*/
 _T2_BUILD_f0h0(Data,&(Libr12->ShellQuartet),r12vrr_stack+6426, r12vrr_stack+1567, r12vrr_stack+2523, r12vrr_stack+6111, r12vrr_stack+5487, r12vrr_stack+867);
 tmp = r12vrr_stack + 6426;
 target_ptr = Libr12->t2vrr_classes[3][5];
 for(i=0;i<210;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T2]|i0)^0 ---*/
 _T2_BUILD_f0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+5712, r12vrr_stack+2523, r12vrr_stack+3767, r12vrr_stack+6874, r12vrr_stack+6111, r12vrr_stack+1567);
 tmp = r12vrr_stack + 5712;
 target_ptr = Libr12->t2vrr_classes[3][6];
 for(i=0;i<280;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T2]|k0)^0 ---*/
 am[0] = 3;  am[1] = 7;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+9238, r12vrr_stack+3767, r12vrr_stack+8788, r12vrr_stack+7978, r12vrr_stack+6874, r12vrr_stack+2523);
 tmp = r12vrr_stack + 9238;
 target_ptr = Libr12->t2vrr_classes[3][7];
 for(i=0;i<360;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T2]|g0)^0 ---*/
 _T2_BUILD_g0g0(Data,&(Libr12->ShellQuartet),r12vrr_stack+9848, r12vrr_stack+5487, r12vrr_stack+6111, r12vrr_stack+10073, r12vrr_stack+9638, r12vrr_stack+5052);
 tmp = r12vrr_stack + 9848;
 target_ptr = Libr12->t2vrr_classes[4][4];
 for(i=0;i<225;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T2]|h0)^0 ---*/
 _T2_BUILD_g0h0(Data,&(Libr12->ShellQuartet),r12vrr_stack+10388, r12vrr_stack+6111, r12vrr_stack+6874, r12vrr_stack+10703, r12vrr_stack+10073, r12vrr_stack+5487);
 tmp = r12vrr_stack + 10388;
 target_ptr = Libr12->t2vrr_classes[4][5];
 for(i=0;i<315;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T2]|i0)^0 ---*/
 _T2_BUILD_g0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+3343, r12vrr_stack+6874, r12vrr_stack+7978, r12vrr_stack+11844, r12vrr_stack+10703, r12vrr_stack+6111);
 tmp = r12vrr_stack + 3343;
 target_ptr = Libr12->t2vrr_classes[4][6];
 for(i=0;i<420;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T2]|k0)^0 ---*/
 am[0] = 4;  am[1] = 7;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+4802, r12vrr_stack+7978, r12vrr_stack+13728, r12vrr_stack+12972, r12vrr_stack+11844, r12vrr_stack+6874);
 tmp = r12vrr_stack + 4802;
 target_ptr = Libr12->t2vrr_classes[4][7];
 for(i=0;i<540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T1]|g0)^0 ---*/
 _T1_BUILD_d0g0(Data,&(Libr12->ShellQuartet),r12vrr_stack+8687, r12vrr_stack+777, r12vrr_stack+867, r12vrr_stack+1206, r12vrr_stack+1143, r12vrr_stack+566);
 tmp = r12vrr_stack + 8687;
 target_ptr = Libr12->t1vrr_classes[2][4];
 for(i=0;i<90;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T1]|h0)^0 ---*/
 _T1_BUILD_d0h0(Data,&(Libr12->ShellQuartet),r12vrr_stack+566, r12vrr_stack+1206, r12vrr_stack+1567, r12vrr_stack+2029, r12vrr_stack+1945, r12vrr_stack+1143);
 tmp = r12vrr_stack + 566;
 target_ptr = Libr12->t1vrr_classes[2][5];
 for(i=0;i<126;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T1]|i0)^0 ---*/
 _T1_BUILD_d0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+12792, r12vrr_stack+2029, r12vrr_stack+2523, r12vrr_stack+3127, r12vrr_stack+3019, r12vrr_stack+1945);
 tmp = r12vrr_stack + 12792;
 target_ptr = Libr12->t1vrr_classes[2][6];
 for(i=0;i<168;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T1]|k0)^0 ---*/
 am[0] = 2;  am[1] = 7;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+6636, r12vrr_stack+3127, r12vrr_stack+3767, r12vrr_stack+4532, r12vrr_stack+4397, r12vrr_stack+3019);
 tmp = r12vrr_stack + 6636;
 target_ptr = Libr12->t1vrr_classes[2][7];
 for(i=0;i<216;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T1]|g0)^0 ---*/
 _T1_BUILD_f0g0(Data,&(Libr12->ShellQuartet),r12vrr_stack+9598, r12vrr_stack+867, r12vrr_stack+5487, r12vrr_stack+1567, r12vrr_stack+1206, r12vrr_stack+777);
 tmp = r12vrr_stack + 9598;
 target_ptr = Libr12->t1vrr_classes[3][4];
 for(i=0;i<150;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T1]|h0)^0 ---*/
 _T1_BUILD_f0h0(Data,&(Libr12->ShellQuartet),r12vrr_stack+0, r12vrr_stack+1567, r12vrr_stack+6111, r12vrr_stack+2523, r12vrr_stack+2029, r12vrr_stack+1206);
 tmp = r12vrr_stack + 0;
 target_ptr = Libr12->t1vrr_classes[3][5];
 for(i=0;i<210;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T1]|i0)^0 ---*/
 _T1_BUILD_f0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+4127, r12vrr_stack+2523, r12vrr_stack+6874, r12vrr_stack+3767, r12vrr_stack+3127, r12vrr_stack+2029);
 tmp = r12vrr_stack + 4127;
 target_ptr = Libr12->t1vrr_classes[3][6];
 for(i=0;i<280;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T1]|k0)^0 ---*/
 am[0] = 3;  am[1] = 7;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+14403, r12vrr_stack+3767, r12vrr_stack+7978, r12vrr_stack+8788, r12vrr_stack+4532, r12vrr_stack+3127);
 tmp = r12vrr_stack + 14403;
 target_ptr = Libr12->t1vrr_classes[3][7];
 for(i=0;i<360;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T1]|g0)^0 ---*/
 _T1_BUILD_g0g0(Data,&(Libr12->ShellQuartet),r12vrr_stack+4407, r12vrr_stack+5487, r12vrr_stack+10073, r12vrr_stack+6111, r12vrr_stack+1567, r12vrr_stack+867);
 tmp = r12vrr_stack + 4407;
 target_ptr = Libr12->t1vrr_classes[4][4];
 for(i=0;i<225;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T1]|h0)^0 ---*/
 _T1_BUILD_g0h0(Data,&(Libr12->ShellQuartet),r12vrr_stack+10073, r12vrr_stack+6111, r12vrr_stack+10703, r12vrr_stack+6874, r12vrr_stack+2523, r12vrr_stack+1567);
 tmp = r12vrr_stack + 10073;
 target_ptr = Libr12->t1vrr_classes[4][5];
 for(i=0;i<315;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T1]|i0)^0 ---*/
 _T1_BUILD_g0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+10703, r12vrr_stack+6874, r12vrr_stack+11844, r12vrr_stack+7978, r12vrr_stack+3767, r12vrr_stack+2523);
 tmp = r12vrr_stack + 10703;
 target_ptr = Libr12->t1vrr_classes[4][6];
 for(i=0;i<420;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T1]|k0)^0 ---*/
 am[0] = 4;  am[1] = 7;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+11798, r12vrr_stack+7978, r12vrr_stack+12972, r12vrr_stack+13728, r12vrr_stack+8788, r12vrr_stack+3767);
 tmp = r12vrr_stack + 11798;
 target_ptr = Libr12->t1vrr_classes[4][7];
 for(i=0;i<540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0||g0)^0 ---*/
 _R_BUILD_g0g0(Data,r12vrr_stack+8777, r12vrr_stack+11144, r12vrr_stack+8597, r12vrr_stack+5487, r12vrr_stack+867, r12vrr_stack+777, r12vrr_stack+376);
 tmp = r12vrr_stack + 8777;
 target_ptr = Libr12->rvrr_classes[4][4];
 for(i=0;i<225;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0||h0)^0 ---*/
 _R_BUILD_g0h0(Data,r12vrr_stack+12960, r12vrr_stack+11420, r12vrr_stack+11294, r12vrr_stack+6111, r12vrr_stack+1567, r12vrr_stack+1206, r12vrr_stack+867);
 tmp = r12vrr_stack + 12960;
 target_ptr = Libr12->rvrr_classes[4][5];
 for(i=0;i<315;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0||i0)^0 ---*/
 _R_BUILD_g0i0(Data,r12vrr_stack+11123, r12vrr_stack+7294, r12vrr_stack+11630, r12vrr_stack+6874, r12vrr_stack+2523, r12vrr_stack+2029, r12vrr_stack+1567);
 tmp = r12vrr_stack + 11123;
 target_ptr = Libr12->rvrr_classes[4][6];
 for(i=0;i<420;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0||k0)^0 ---*/
 am[0] = 4;  am[1] = 7;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+1945, r12vrr_stack+12432, r12vrr_stack+7574, r12vrr_stack+7978, r12vrr_stack+3767, r12vrr_stack+3127, r12vrr_stack+2523);
 tmp = r12vrr_stack + 1945;
 target_ptr = Libr12->rvrr_classes[4][7];
 for(i=0;i<540;i++)
   target_ptr[i] += tmp[i];


}

