#include <stdio.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/vrr_header.h>
#include "r12_vrr_header.h"

void vrr_grt_order_ddhf(Libr12_t *Libr12, prim_data *Data)
{
 REALTYPE *r12vrr_stack = Libr12->r12vrr_stack;
 REALTYPE *tmp, *target_ptr;
 int i, am[2];

 /*--- compute (00|p0)^3 ---*/
 _BUILD_00p0(Data,r12vrr_stack+0, Data->F+3, Data->F+4, NULL, NULL, NULL);

 /*--- compute (00|p0)^2 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3, Data->F+2, Data->F+3, NULL, NULL, NULL);

 /*--- compute (00|d0)^2 ---*/
 _BUILD_00d0(Data,r12vrr_stack+6, r12vrr_stack+3, r12vrr_stack+0, Data->F+2, Data->F+3, NULL);

 /*--- compute (00|p0)^4 ---*/
 _BUILD_00p0(Data,r12vrr_stack+12, Data->F+4, Data->F+5, NULL, NULL, NULL);

 /*--- compute (00|d0)^3 ---*/
 _BUILD_00d0(Data,r12vrr_stack+15, r12vrr_stack+0, r12vrr_stack+12, Data->F+3, Data->F+4, NULL);

 /*--- compute (00|f0)^2 ---*/
 _BUILD_00f0(Data,r12vrr_stack+21, r12vrr_stack+6, r12vrr_stack+15, r12vrr_stack+3, r12vrr_stack+0, NULL);

 /*--- compute (00|p0)^1 ---*/
 _BUILD_00p0(Data,r12vrr_stack+31, Data->F+1, Data->F+2, NULL, NULL, NULL);

 /*--- compute (00|d0)^1 ---*/
 _BUILD_00d0(Data,r12vrr_stack+34, r12vrr_stack+31, r12vrr_stack+3, Data->F+1, Data->F+2, NULL);

 /*--- compute (00|f0)^1 ---*/
 _BUILD_00f0(Data,r12vrr_stack+40, r12vrr_stack+34, r12vrr_stack+6, r12vrr_stack+31, r12vrr_stack+3, NULL);

 /*--- compute (p0|f0)^1 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+50, r12vrr_stack+40, r12vrr_stack+21, NULL, NULL, r12vrr_stack+6);

 /*--- compute (00|g0)^1 ---*/
 _BUILD_00g0(Data,r12vrr_stack+80, r12vrr_stack+40, r12vrr_stack+21, r12vrr_stack+34, r12vrr_stack+6, NULL);

 /*--- compute (00|p0)^0 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3, Data->F+0, Data->F+1, NULL, NULL, NULL);

 /*--- compute (00|d0)^0 ---*/
 _BUILD_00d0(Data,r12vrr_stack+95, r12vrr_stack+3, r12vrr_stack+31, Data->F+0, Data->F+1, NULL);

 /*--- compute (00|f0)^0 ---*/
 _BUILD_00f0(Data,r12vrr_stack+101, r12vrr_stack+95, r12vrr_stack+34, r12vrr_stack+3, r12vrr_stack+31, NULL);

 /*--- compute (00|g0)^0 ---*/
 _BUILD_00g0(Data,r12vrr_stack+111, r12vrr_stack+101, r12vrr_stack+40, r12vrr_stack+95, r12vrr_stack+34, NULL);

 /*--- compute (00|p0)^5 ---*/
 _BUILD_00p0(Data,r12vrr_stack+31, Data->F+5, Data->F+6, NULL, NULL, NULL);

 /*--- compute (00|d0)^4 ---*/
 _BUILD_00d0(Data,r12vrr_stack+34, r12vrr_stack+12, r12vrr_stack+31, Data->F+4, Data->F+5, NULL);

 /*--- compute (00|f0)^3 ---*/
 _BUILD_00f0(Data,r12vrr_stack+126, r12vrr_stack+15, r12vrr_stack+34, r12vrr_stack+0, r12vrr_stack+12, NULL);

 /*--- compute (00|g0)^2 ---*/
 _BUILD_00g0(Data,r12vrr_stack+136, r12vrr_stack+21, r12vrr_stack+126, r12vrr_stack+6, r12vrr_stack+15, NULL);

 /*--- compute (p0|g0)^1 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+151, r12vrr_stack+80, r12vrr_stack+136, NULL, NULL, r12vrr_stack+21);

 /*--- compute (p0|g0)^0 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+196, r12vrr_stack+111, r12vrr_stack+80, NULL, NULL, r12vrr_stack+40);

 /*--- compute (d0|g0)^0 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+241, r12vrr_stack+196, r12vrr_stack+151, r12vrr_stack+111, r12vrr_stack+80, r12vrr_stack+50);

 /*--- compute (p0|d0)^2 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+331, r12vrr_stack+6, r12vrr_stack+15, NULL, NULL, r12vrr_stack+0);

 /*--- compute (p0|f0)^2 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+349, r12vrr_stack+21, r12vrr_stack+126, NULL, NULL, r12vrr_stack+15);

 /*--- compute (d0|f0)^1 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+379, r12vrr_stack+50, r12vrr_stack+349, r12vrr_stack+40, r12vrr_stack+21, r12vrr_stack+331);

 /*--- compute (00|p0)^6 ---*/
 _BUILD_00p0(Data,r12vrr_stack+439, Data->F+6, Data->F+7, NULL, NULL, NULL);

 /*--- compute (00|d0)^5 ---*/
 _BUILD_00d0(Data,r12vrr_stack+442, r12vrr_stack+31, r12vrr_stack+439, Data->F+5, Data->F+6, NULL);

 /*--- compute (00|f0)^4 ---*/
 _BUILD_00f0(Data,r12vrr_stack+448, r12vrr_stack+34, r12vrr_stack+442, r12vrr_stack+12, r12vrr_stack+31, NULL);

 /*--- compute (00|g0)^3 ---*/
 _BUILD_00g0(Data,r12vrr_stack+458, r12vrr_stack+126, r12vrr_stack+448, r12vrr_stack+15, r12vrr_stack+34, NULL);

 /*--- compute (p0|g0)^2 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+473, r12vrr_stack+136, r12vrr_stack+458, NULL, NULL, r12vrr_stack+126);

 /*--- compute (d0|g0)^1 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+518, r12vrr_stack+151, r12vrr_stack+473, r12vrr_stack+80, r12vrr_stack+136, r12vrr_stack+349);

 /*--- compute (f0|g0)^0 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+608, r12vrr_stack+241, r12vrr_stack+518, r12vrr_stack+196, r12vrr_stack+151, r12vrr_stack+379);

 /*--- compute (00|h0)^2 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+758, r12vrr_stack+136, r12vrr_stack+458, r12vrr_stack+21, r12vrr_stack+126, NULL);

 /*--- compute (00|h0)^1 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+779, r12vrr_stack+80, r12vrr_stack+136, r12vrr_stack+40, r12vrr_stack+21, NULL);

 /*--- compute (p0|h0)^1 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+800, r12vrr_stack+779, r12vrr_stack+758, NULL, NULL, r12vrr_stack+136);

 /*--- compute (00|h0)^0 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+863, r12vrr_stack+111, r12vrr_stack+80, r12vrr_stack+101, r12vrr_stack+40, NULL);

 /*--- compute (p0|h0)^0 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+884, r12vrr_stack+863, r12vrr_stack+779, NULL, NULL, r12vrr_stack+80);

 /*--- compute (00|p0)^7 ---*/
 _BUILD_00p0(Data,r12vrr_stack+40, Data->F+7, Data->F+8, NULL, NULL, NULL);

 /*--- compute (00|d0)^6 ---*/
 _BUILD_00d0(Data,r12vrr_stack+43, r12vrr_stack+439, r12vrr_stack+40, Data->F+6, Data->F+7, NULL);

 /*--- compute (00|f0)^5 ---*/
 _BUILD_00f0(Data,r12vrr_stack+947, r12vrr_stack+442, r12vrr_stack+43, r12vrr_stack+31, r12vrr_stack+439, NULL);

 /*--- compute (00|g0)^4 ---*/
 _BUILD_00g0(Data,r12vrr_stack+957, r12vrr_stack+448, r12vrr_stack+947, r12vrr_stack+34, r12vrr_stack+442, NULL);

 /*--- compute (00|h0)^3 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+972, r12vrr_stack+458, r12vrr_stack+957, r12vrr_stack+126, r12vrr_stack+448, NULL);

 /*--- compute (p0|h0)^2 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+993, r12vrr_stack+758, r12vrr_stack+972, NULL, NULL, r12vrr_stack+458);

 /*--- compute (d0|h0)^1 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1056, r12vrr_stack+800, r12vrr_stack+993, r12vrr_stack+779, r12vrr_stack+758, r12vrr_stack+473);

 /*--- compute (d0|h0)^0 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1182, r12vrr_stack+884, r12vrr_stack+800, r12vrr_stack+863, r12vrr_stack+779, r12vrr_stack+151);
 tmp = r12vrr_stack + 1182;
 target_ptr = Libr12->gvrr_classes[2][5];
 for(i=0;i<126;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|h0)^0 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1308, r12vrr_stack+1182, r12vrr_stack+1056, r12vrr_stack+884, r12vrr_stack+800, r12vrr_stack+518);
 tmp = r12vrr_stack + 1308;
 target_ptr = Libr12->gvrr_classes[3][5];
 for(i=0;i<210;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|i0)^1 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1518, r12vrr_stack+779, r12vrr_stack+758, r12vrr_stack+80, r12vrr_stack+136, NULL);

 /*--- compute (00|i0)^0 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1546, r12vrr_stack+863, r12vrr_stack+779, r12vrr_stack+111, r12vrr_stack+80, NULL);

 /*--- compute (00|i0)^2 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1574, r12vrr_stack+758, r12vrr_stack+972, r12vrr_stack+136, r12vrr_stack+458, NULL);

 /*--- compute (p0|i0)^1 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1602, r12vrr_stack+1518, r12vrr_stack+1574, NULL, NULL, r12vrr_stack+758);

 /*--- compute (p0|i0)^0 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1686, r12vrr_stack+1546, r12vrr_stack+1518, NULL, NULL, r12vrr_stack+779);

 /*--- compute (d0|i0)^0 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1770, r12vrr_stack+1686, r12vrr_stack+1602, r12vrr_stack+1546, r12vrr_stack+1518, r12vrr_stack+800);
 tmp = r12vrr_stack + 1770;
 target_ptr = Libr12->gvrr_classes[2][6];
 for(i=0;i<168;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^8 ---*/
 _BUILD_00p0(Data,r12vrr_stack+80, Data->F+8, Data->F+9, NULL, NULL, NULL);

 /*--- compute (00|d0)^7 ---*/
 _BUILD_00d0(Data,r12vrr_stack+83, r12vrr_stack+40, r12vrr_stack+80, Data->F+7, Data->F+8, NULL);

 /*--- compute (00|f0)^6 ---*/
 _BUILD_00f0(Data,r12vrr_stack+1938, r12vrr_stack+43, r12vrr_stack+83, r12vrr_stack+439, r12vrr_stack+40, NULL);

 /*--- compute (00|g0)^5 ---*/
 _BUILD_00g0(Data,r12vrr_stack+1948, r12vrr_stack+947, r12vrr_stack+1938, r12vrr_stack+442, r12vrr_stack+43, NULL);

 /*--- compute (00|h0)^4 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1963, r12vrr_stack+957, r12vrr_stack+1948, r12vrr_stack+448, r12vrr_stack+947, NULL);

 /*--- compute (00|i0)^3 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1984, r12vrr_stack+972, r12vrr_stack+1963, r12vrr_stack+458, r12vrr_stack+957, NULL);

 /*--- compute (p0|i0)^2 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2012, r12vrr_stack+1574, r12vrr_stack+1984, NULL, NULL, r12vrr_stack+972);

 /*--- compute (d0|i0)^1 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2096, r12vrr_stack+1602, r12vrr_stack+2012, r12vrr_stack+1518, r12vrr_stack+1574, r12vrr_stack+993);

 /*--- compute (f0|i0)^0 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2264, r12vrr_stack+1770, r12vrr_stack+2096, r12vrr_stack+1686, r12vrr_stack+1602, r12vrr_stack+1056);
 tmp = r12vrr_stack + 2264;
 target_ptr = Libr12->gvrr_classes[3][6];
 for(i=0;i<280;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|k0)^1 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+2544, r12vrr_stack+1518, r12vrr_stack+1574, r12vrr_stack+779, r12vrr_stack+758, NULL);

 /*--- compute (00|k0)^0 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+2580, r12vrr_stack+1546, r12vrr_stack+1518, r12vrr_stack+863, r12vrr_stack+779, NULL);

 /*--- compute (00|k0)^2 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+2616, r12vrr_stack+1574, r12vrr_stack+1984, r12vrr_stack+758, r12vrr_stack+972, NULL);

 /*--- compute (p0|k0)^1 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+2652, r12vrr_stack+2544, r12vrr_stack+2616, NULL, NULL, r12vrr_stack+1574);

 /*--- compute (p0|k0)^0 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+2760, r12vrr_stack+2580, r12vrr_stack+2544, NULL, NULL, r12vrr_stack+1518);

 /*--- compute (d0|k0)^0 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+2868, r12vrr_stack+2760, r12vrr_stack+2652, r12vrr_stack+2580, r12vrr_stack+2544, r12vrr_stack+1602);
 tmp = r12vrr_stack + 2868;
 target_ptr = Libr12->gvrr_classes[2][7];
 for(i=0;i<216;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^9 ---*/
 _BUILD_00p0(Data,r12vrr_stack+439, Data->F+9, Data->F+10, NULL, NULL, NULL);

 /*--- compute (00|d0)^8 ---*/
 _BUILD_00d0(Data,r12vrr_stack+89, r12vrr_stack+80, r12vrr_stack+439, Data->F+8, Data->F+9, NULL);

 /*--- compute (00|f0)^7 ---*/
 _BUILD_00f0(Data,r12vrr_stack+779, r12vrr_stack+83, r12vrr_stack+89, r12vrr_stack+40, r12vrr_stack+80, NULL);

 /*--- compute (00|g0)^6 ---*/
 _BUILD_00g0(Data,r12vrr_stack+3084, r12vrr_stack+1938, r12vrr_stack+779, r12vrr_stack+43, r12vrr_stack+83, NULL);

 /*--- compute (00|h0)^5 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+3099, r12vrr_stack+1948, r12vrr_stack+3084, r12vrr_stack+947, r12vrr_stack+1938, NULL);

 /*--- compute (00|i0)^4 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+3120, r12vrr_stack+1963, r12vrr_stack+3099, r12vrr_stack+957, r12vrr_stack+1948, NULL);

 /*--- compute (00|k0)^3 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+3148, r12vrr_stack+1984, r12vrr_stack+3120, r12vrr_stack+972, r12vrr_stack+1963, NULL);

 /*--- compute (p0|k0)^2 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+3184, r12vrr_stack+2616, r12vrr_stack+3148, NULL, NULL, r12vrr_stack+1984);

 /*--- compute (d0|k0)^1 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+3292, r12vrr_stack+2652, r12vrr_stack+3184, r12vrr_stack+2544, r12vrr_stack+2616, r12vrr_stack+2012);

 /*--- compute (f0|k0)^0 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+3508, r12vrr_stack+2868, r12vrr_stack+3292, r12vrr_stack+2760, r12vrr_stack+2652, r12vrr_stack+2096);
 tmp = r12vrr_stack + 3508;
 target_ptr = Libr12->gvrr_classes[3][7];
 for(i=0;i<360;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|l0)^1 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+3868, r12vrr_stack+2544, r12vrr_stack+2616, r12vrr_stack+1518, r12vrr_stack+1574, NULL);

 /*--- compute (00|l0)^0 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+3913, r12vrr_stack+2580, r12vrr_stack+2544, r12vrr_stack+1546, r12vrr_stack+1518, NULL);

 /*--- compute (00|l0)^2 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+3958, r12vrr_stack+2616, r12vrr_stack+3148, r12vrr_stack+1574, r12vrr_stack+1984, NULL);

 /*--- compute (p0|l0)^1 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+4003, r12vrr_stack+3868, r12vrr_stack+3958, NULL, NULL, r12vrr_stack+2616);

 /*--- compute (p0|l0)^0 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+4138, r12vrr_stack+3913, r12vrr_stack+3868, NULL, NULL, r12vrr_stack+2544);

 /*--- compute (d0|l0)^0 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+4273, r12vrr_stack+4138, r12vrr_stack+4003, r12vrr_stack+3913, r12vrr_stack+3868, r12vrr_stack+2652);
 tmp = r12vrr_stack + 4273;
 target_ptr = Libr12->gvrr_classes[2][8];
 for(i=0;i<270;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^10 ---*/
 _BUILD_00p0(Data,r12vrr_stack+1518, Data->F+10, Data->F+11, NULL, NULL, NULL);

 /*--- compute (00|d0)^9 ---*/
 _BUILD_00d0(Data,r12vrr_stack+1521, r12vrr_stack+439, r12vrr_stack+1518, Data->F+9, Data->F+10, NULL);

 /*--- compute (00|f0)^8 ---*/
 _BUILD_00f0(Data,r12vrr_stack+40, r12vrr_stack+89, r12vrr_stack+1521, r12vrr_stack+80, r12vrr_stack+439, NULL);

 /*--- compute (00|g0)^7 ---*/
 _BUILD_00g0(Data,r12vrr_stack+1527, r12vrr_stack+779, r12vrr_stack+40, r12vrr_stack+83, r12vrr_stack+89, NULL);

 /*--- compute (00|h0)^6 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+4543, r12vrr_stack+3084, r12vrr_stack+1527, r12vrr_stack+1938, r12vrr_stack+779, NULL);

 /*--- compute (00|i0)^5 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+4564, r12vrr_stack+3099, r12vrr_stack+4543, r12vrr_stack+1948, r12vrr_stack+3084, NULL);

 /*--- compute (00|k0)^4 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+4592, r12vrr_stack+3120, r12vrr_stack+4564, r12vrr_stack+1963, r12vrr_stack+3099, NULL);

 /*--- compute (00|l0)^3 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+4628, r12vrr_stack+3148, r12vrr_stack+4592, r12vrr_stack+1984, r12vrr_stack+3120, NULL);

 /*--- compute (p0|l0)^2 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+4673, r12vrr_stack+3958, r12vrr_stack+4628, NULL, NULL, r12vrr_stack+3148);

 /*--- compute (d0|l0)^1 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+4808, r12vrr_stack+4003, r12vrr_stack+4673, r12vrr_stack+3868, r12vrr_stack+3958, r12vrr_stack+3184);

 /*--- compute (f0|l0)^0 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+5078, r12vrr_stack+4273, r12vrr_stack+4808, r12vrr_stack+4138, r12vrr_stack+4003, r12vrr_stack+3292);
 tmp = r12vrr_stack + 5078;
 target_ptr = Libr12->gvrr_classes[3][8];
 for(i=0;i<450;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|m0)^1 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+5528, r12vrr_stack+3868, r12vrr_stack+3958, r12vrr_stack+2544, r12vrr_stack+2616, NULL);

 /*--- compute (00|m0)^0 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+5583, r12vrr_stack+3913, r12vrr_stack+3868, r12vrr_stack+2580, r12vrr_stack+2544, NULL);

 /*--- compute (00|m0)^2 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+5638, r12vrr_stack+3958, r12vrr_stack+4628, r12vrr_stack+2616, r12vrr_stack+3148, NULL);

 /*--- compute (p0|m0)^1 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+5693, r12vrr_stack+5528, r12vrr_stack+5638, NULL, NULL, r12vrr_stack+3958);

 /*--- compute (p0|m0)^0 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+5858, r12vrr_stack+5583, r12vrr_stack+5528, NULL, NULL, r12vrr_stack+3868);

 /*--- compute (d0|m0)^0 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+6023, r12vrr_stack+5858, r12vrr_stack+5693, r12vrr_stack+5583, r12vrr_stack+5528, r12vrr_stack+4003);
 tmp = r12vrr_stack + 6023;
 target_ptr = Libr12->gvrr_classes[2][9];
 for(i=0;i<330;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|p0)^3 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+80, r12vrr_stack+0, r12vrr_stack+12, NULL, NULL, Data->F+4);

 /*--- compute (p0|d0)^3 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+5583, r12vrr_stack+15, r12vrr_stack+34, NULL, NULL, r12vrr_stack+12);

 /*--- compute (d0|d0)^2 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+2544, r12vrr_stack+331, r12vrr_stack+5583, r12vrr_stack+6, r12vrr_stack+15, r12vrr_stack+80);

 /*--- compute (p0|f0)^3 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+5601, r12vrr_stack+126, r12vrr_stack+448, NULL, NULL, r12vrr_stack+34);

 /*--- compute (d0|f0)^2 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+6353, r12vrr_stack+349, r12vrr_stack+5601, r12vrr_stack+21, r12vrr_stack+126, r12vrr_stack+5583);

 /*--- compute (f0|f0)^1 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+6413, r12vrr_stack+379, r12vrr_stack+6353, r12vrr_stack+50, r12vrr_stack+349, r12vrr_stack+2544);

 /*--- compute (p0|g0)^3 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+3868, r12vrr_stack+458, r12vrr_stack+957, NULL, NULL, r12vrr_stack+448);

 /*--- compute (d0|g0)^2 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+6513, r12vrr_stack+473, r12vrr_stack+3868, r12vrr_stack+136, r12vrr_stack+458, r12vrr_stack+5601);

 /*--- compute (f0|g0)^1 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+6603, r12vrr_stack+518, r12vrr_stack+6513, r12vrr_stack+151, r12vrr_stack+473, r12vrr_stack+6353);

 /*--- compute (g0|g0)^0 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+6753, r12vrr_stack+608, r12vrr_stack+6603, r12vrr_stack+241, r12vrr_stack+518, r12vrr_stack+6413);

 /*--- compute (p0|h0)^3 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+6978, r12vrr_stack+972, r12vrr_stack+1963, NULL, NULL, r12vrr_stack+957);

 /*--- compute (d0|h0)^2 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+7041, r12vrr_stack+993, r12vrr_stack+6978, r12vrr_stack+758, r12vrr_stack+972, r12vrr_stack+3868);

 /*--- compute (f0|h0)^1 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+7167, r12vrr_stack+1056, r12vrr_stack+7041, r12vrr_stack+800, r12vrr_stack+993, r12vrr_stack+6513);

 /*--- compute (g0|h0)^0 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+7377, r12vrr_stack+1308, r12vrr_stack+7167, r12vrr_stack+1182, r12vrr_stack+1056, r12vrr_stack+6603);
 tmp = r12vrr_stack + 7377;
 target_ptr = Libr12->gvrr_classes[4][5];
 for(i=0;i<315;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|i0)^3 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+7692, r12vrr_stack+1984, r12vrr_stack+3120, NULL, NULL, r12vrr_stack+1963);

 /*--- compute (d0|i0)^2 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+7776, r12vrr_stack+2012, r12vrr_stack+7692, r12vrr_stack+1574, r12vrr_stack+1984, r12vrr_stack+6978);

 /*--- compute (f0|i0)^1 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+7944, r12vrr_stack+2096, r12vrr_stack+7776, r12vrr_stack+1602, r12vrr_stack+2012, r12vrr_stack+7041);

 /*--- compute (g0|i0)^0 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+8224, r12vrr_stack+2264, r12vrr_stack+7944, r12vrr_stack+1770, r12vrr_stack+2096, r12vrr_stack+7167);
 tmp = r12vrr_stack + 8224;
 target_ptr = Libr12->gvrr_classes[4][6];
 for(i=0;i<420;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|k0)^3 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+1574, r12vrr_stack+3148, r12vrr_stack+4592, NULL, NULL, r12vrr_stack+3120);

 /*--- compute (d0|k0)^2 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+8644, r12vrr_stack+3184, r12vrr_stack+1574, r12vrr_stack+2616, r12vrr_stack+3148, r12vrr_stack+7692);

 /*--- compute (f0|k0)^1 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+8860, r12vrr_stack+3292, r12vrr_stack+8644, r12vrr_stack+2652, r12vrr_stack+3184, r12vrr_stack+7776);

 /*--- compute (g0|k0)^0 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+9220, r12vrr_stack+3508, r12vrr_stack+8860, r12vrr_stack+2868, r12vrr_stack+3292, r12vrr_stack+7944);
 tmp = r12vrr_stack + 9220;
 target_ptr = Libr12->gvrr_classes[4][7];
 for(i=0;i<540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^11 ---*/
 _BUILD_00p0(Data,r12vrr_stack+2616, Data->F+11, Data->F+12, NULL, NULL, NULL);

 /*--- compute (00|d0)^10 ---*/
 _BUILD_00d0(Data,r12vrr_stack+6, r12vrr_stack+1518, r12vrr_stack+2616, Data->F+10, Data->F+11, NULL);

 /*--- compute (00|f0)^9 ---*/
 _BUILD_00f0(Data,r12vrr_stack+21, r12vrr_stack+1521, r12vrr_stack+6, r12vrr_stack+439, r12vrr_stack+1518, NULL);

 /*--- compute (00|g0)^8 ---*/
 _BUILD_00g0(Data,r12vrr_stack+2619, r12vrr_stack+40, r12vrr_stack+21, r12vrr_stack+89, r12vrr_stack+1521, NULL);

 /*--- compute (00|h0)^7 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+758, r12vrr_stack+1527, r12vrr_stack+2619, r12vrr_stack+779, r12vrr_stack+40, NULL);

 /*--- compute (00|i0)^6 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+779, r12vrr_stack+4543, r12vrr_stack+758, r12vrr_stack+3084, r12vrr_stack+1527, NULL);

 /*--- compute (00|k0)^5 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+807, r12vrr_stack+4564, r12vrr_stack+779, r12vrr_stack+3099, r12vrr_stack+4543, NULL);

 /*--- compute (00|l0)^4 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+2634, r12vrr_stack+4592, r12vrr_stack+807, r12vrr_stack+3120, r12vrr_stack+4564, NULL);

 /*--- compute (p0|l0)^3 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+9760, r12vrr_stack+4628, r12vrr_stack+2634, NULL, NULL, r12vrr_stack+4592);

 /*--- compute (d0|l0)^2 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+9895, r12vrr_stack+4673, r12vrr_stack+9760, r12vrr_stack+3958, r12vrr_stack+4628, r12vrr_stack+1574);

 /*--- compute (f0|l0)^1 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+10165, r12vrr_stack+4808, r12vrr_stack+9895, r12vrr_stack+4003, r12vrr_stack+4673, r12vrr_stack+8644);

 /*--- compute (g0|l0)^0 ---*/
 am[0] = 4;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+10615, r12vrr_stack+5078, r12vrr_stack+10165, r12vrr_stack+4273, r12vrr_stack+4808, r12vrr_stack+8860);
 tmp = r12vrr_stack + 10615;
 target_ptr = Libr12->gvrr_classes[4][8];
 for(i=0;i<675;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|m0)^3 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+3958, r12vrr_stack+4628, r12vrr_stack+2634, r12vrr_stack+3148, r12vrr_stack+4592, NULL);

 /*--- compute (p0|m0)^2 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+11290, r12vrr_stack+5638, r12vrr_stack+3958, NULL, NULL, r12vrr_stack+4628);

 /*--- compute (d0|m0)^1 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+11455, r12vrr_stack+5693, r12vrr_stack+11290, r12vrr_stack+5528, r12vrr_stack+5638, r12vrr_stack+4673);

 /*--- compute (f0|m0)^0 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+11785, r12vrr_stack+6023, r12vrr_stack+11455, r12vrr_stack+5858, r12vrr_stack+5693, r12vrr_stack+4808);
 tmp = r12vrr_stack + 11785;
 target_ptr = Libr12->gvrr_classes[3][9];
 for(i=0;i<550;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|00)^4 ---*/
 _BUILD_p000(Data,r12vrr_stack+439, Data->F+4, Data->F+5, NULL, NULL, NULL);

 /*--- compute (p0|p0)^4 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+5528, r12vrr_stack+12, r12vrr_stack+31, NULL, NULL, Data->F+5);

 /*--- compute (d0|p0)^3 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+5537, r12vrr_stack+80, r12vrr_stack+5528, r12vrr_stack+0, r12vrr_stack+12, r12vrr_stack+439);

 /*--- compute (p0|d0)^4 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+5555, r12vrr_stack+34, r12vrr_stack+442, NULL, NULL, r12vrr_stack+31);

 /*--- compute (d0|d0)^3 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+4013, r12vrr_stack+5583, r12vrr_stack+5555, r12vrr_stack+15, r12vrr_stack+34, r12vrr_stack+5528);

 /*--- compute (f0|d0)^2 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+136, r12vrr_stack+2544, r12vrr_stack+4013, r12vrr_stack+331, r12vrr_stack+5583, r12vrr_stack+5537);

 /*--- compute (p0|f0)^4 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+2544, r12vrr_stack+448, r12vrr_stack+947, NULL, NULL, r12vrr_stack+442);

 /*--- compute (d0|f0)^3 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+4049, r12vrr_stack+5601, r12vrr_stack+2544, r12vrr_stack+126, r12vrr_stack+448, r12vrr_stack+5555);

 /*--- compute (f0|f0)^2 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+12335, r12vrr_stack+6353, r12vrr_stack+4049, r12vrr_stack+349, r12vrr_stack+5601, r12vrr_stack+4013);

 /*--- compute (g0|f0)^1 ---*/
 _BUILD_g0f0(Data,r12vrr_stack+12435, r12vrr_stack+6413, r12vrr_stack+12335, r12vrr_stack+379, r12vrr_stack+6353, r12vrr_stack+136);

 /*--- compute (p0|g0)^4 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+50, r12vrr_stack+957, r12vrr_stack+1948, NULL, NULL, r12vrr_stack+947);

 /*--- compute (d0|g0)^3 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+6353, r12vrr_stack+3868, r12vrr_stack+50, r12vrr_stack+458, r12vrr_stack+957, r12vrr_stack+2544);

 /*--- compute (f0|g0)^2 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+12585, r12vrr_stack+6513, r12vrr_stack+6353, r12vrr_stack+473, r12vrr_stack+3868, r12vrr_stack+4049);

 /*--- compute (g0|g0)^1 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+12735, r12vrr_stack+6603, r12vrr_stack+12585, r12vrr_stack+518, r12vrr_stack+6513, r12vrr_stack+12335);

 /*--- compute (h0|g0)^0 ---*/
 am[0] = 5;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+12960, r12vrr_stack+6753, r12vrr_stack+12735, r12vrr_stack+608, r12vrr_stack+6603, r12vrr_stack+12435);

 /*--- compute (p0|h0)^4 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+12335, r12vrr_stack+1963, r12vrr_stack+3099, NULL, NULL, r12vrr_stack+1948);

 /*--- compute (d0|h0)^3 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+12398, r12vrr_stack+6978, r12vrr_stack+12335, r12vrr_stack+972, r12vrr_stack+1963, r12vrr_stack+50);

 /*--- compute (f0|h0)^2 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+6443, r12vrr_stack+7041, r12vrr_stack+12398, r12vrr_stack+993, r12vrr_stack+6978, r12vrr_stack+6353);

 /*--- compute (g0|h0)^1 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+13275, r12vrr_stack+7167, r12vrr_stack+6443, r12vrr_stack+1056, r12vrr_stack+7041, r12vrr_stack+12585);

 /*--- compute (h0|h0)^0 ---*/
 am[0] = 5;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+13590, r12vrr_stack+7377, r12vrr_stack+13275, r12vrr_stack+1308, r12vrr_stack+7167, r12vrr_stack+12735);
 tmp = r12vrr_stack + 13590;
 target_ptr = Libr12->gvrr_classes[5][5];
 for(i=0;i<441;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|i0)^4 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+6353, r12vrr_stack+3120, r12vrr_stack+4564, NULL, NULL, r12vrr_stack+3099);

 /*--- compute (d0|i0)^3 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+6978, r12vrr_stack+7692, r12vrr_stack+6353, r12vrr_stack+1984, r12vrr_stack+3120, r12vrr_stack+12335);

 /*--- compute (f0|i0)^2 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+12524, r12vrr_stack+7776, r12vrr_stack+6978, r12vrr_stack+2012, r12vrr_stack+7692, r12vrr_stack+12398);

 /*--- compute (g0|i0)^1 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+14031, r12vrr_stack+7944, r12vrr_stack+12524, r12vrr_stack+2096, r12vrr_stack+7776, r12vrr_stack+6443);

 /*--- compute (h0|i0)^0 ---*/
 am[0] = 5;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+14451, r12vrr_stack+8224, r12vrr_stack+14031, r12vrr_stack+2264, r12vrr_stack+7944, r12vrr_stack+13275);
 tmp = r12vrr_stack + 14451;
 target_ptr = Libr12->gvrr_classes[5][6];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|k0)^4 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+13275, r12vrr_stack+4592, r12vrr_stack+807, NULL, NULL, r12vrr_stack+4564);

 /*--- compute (d0|k0)^3 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+7692, r12vrr_stack+1574, r12vrr_stack+13275, r12vrr_stack+3148, r12vrr_stack+4592, r12vrr_stack+6353);

 /*--- compute (f0|k0)^2 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+6353, r12vrr_stack+8644, r12vrr_stack+7692, r12vrr_stack+3184, r12vrr_stack+1574, r12vrr_stack+6978);

 /*--- compute (g0|k0)^1 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+15039, r12vrr_stack+8860, r12vrr_stack+6353, r12vrr_stack+3292, r12vrr_stack+8644, r12vrr_stack+12524);

 /*--- compute (h0|k0)^0 ---*/
 am[0] = 5;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+15579, r12vrr_stack+9220, r12vrr_stack+15039, r12vrr_stack+3508, r12vrr_stack+8860, r12vrr_stack+14031);
 tmp = r12vrr_stack + 15579;
 target_ptr = Libr12->gvrr_classes[5][7];
 for(i=0;i<756;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^12 ---*/
 _BUILD_00p0(Data,r12vrr_stack+0, Data->F+12, Data->F+13, NULL, NULL, NULL);

 /*--- compute (00|d0)^11 ---*/
 _BUILD_00d0(Data,r12vrr_stack+14031, r12vrr_stack+2616, r12vrr_stack+0, Data->F+11, Data->F+12, NULL);

 /*--- compute (00|f0)^10 ---*/
 _BUILD_00f0(Data,r12vrr_stack+14037, r12vrr_stack+6, r12vrr_stack+14031, r12vrr_stack+1518, r12vrr_stack+2616, NULL);

 /*--- compute (00|g0)^9 ---*/
 _BUILD_00g0(Data,r12vrr_stack+14047, r12vrr_stack+21, r12vrr_stack+14037, r12vrr_stack+1521, r12vrr_stack+6, NULL);

 /*--- compute (00|h0)^8 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+14062, r12vrr_stack+2619, r12vrr_stack+14047, r12vrr_stack+40, r12vrr_stack+21, NULL);

 /*--- compute (00|i0)^7 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+6, r12vrr_stack+758, r12vrr_stack+14062, r12vrr_stack+1527, r12vrr_stack+2619, NULL);

 /*--- compute (00|k0)^6 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+2544, r12vrr_stack+779, r12vrr_stack+6, r12vrr_stack+4543, r12vrr_stack+758, NULL);

 /*--- compute (00|l0)^5 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+3868, r12vrr_stack+807, r12vrr_stack+2544, r12vrr_stack+4564, r12vrr_stack+779, NULL);

 /*--- compute (p0|l0)^4 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+14031, r12vrr_stack+2634, r12vrr_stack+3868, NULL, NULL, r12vrr_stack+807);

 /*--- compute (d0|l0)^3 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+14166, r12vrr_stack+9760, r12vrr_stack+14031, r12vrr_stack+4628, r12vrr_stack+2634, r12vrr_stack+13275);

 /*--- compute (f0|l0)^2 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+8644, r12vrr_stack+9895, r12vrr_stack+14166, r12vrr_stack+4673, r12vrr_stack+9760, r12vrr_stack+7692);

 /*--- compute (g0|l0)^1 ---*/
 am[0] = 4;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+16335, r12vrr_stack+10165, r12vrr_stack+8644, r12vrr_stack+4808, r12vrr_stack+9895, r12vrr_stack+6353);

 /*--- compute (h0|l0)^0 ---*/
 am[0] = 5;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+17010, r12vrr_stack+10615, r12vrr_stack+16335, r12vrr_stack+5078, r12vrr_stack+10165, r12vrr_stack+15039);

 /*--- compute (00|m0)^4 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+15039, r12vrr_stack+2634, r12vrr_stack+3868, r12vrr_stack+4592, r12vrr_stack+807, NULL);

 /*--- compute (p0|m0)^3 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+15094, r12vrr_stack+3958, r12vrr_stack+15039, NULL, NULL, r12vrr_stack+2634);

 /*--- compute (d0|m0)^2 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+16335, r12vrr_stack+11290, r12vrr_stack+15094, r12vrr_stack+5638, r12vrr_stack+3958, r12vrr_stack+9760);

 /*--- compute (f0|m0)^1 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+8644, r12vrr_stack+11455, r12vrr_stack+16335, r12vrr_stack+5693, r12vrr_stack+11290, r12vrr_stack+9895);

 /*--- compute (g0|m0)^0 ---*/
 am[0] = 4;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+17955, r12vrr_stack+11785, r12vrr_stack+8644, r12vrr_stack+6023, r12vrr_stack+11455, r12vrr_stack+10165);

 /*--- compute (00||p0)^0 ---*/
 _R_BUILD_00p0(Data,r12vrr_stack+0, &(Data->ss_r12_ss), NULL, r12vrr_stack+3, Data->F+0, NULL, NULL);

 /*--- compute (00||d0)^0 ---*/
 _R_BUILD_00d0(Data,r12vrr_stack+8644, r12vrr_stack+0, &(Data->ss_r12_ss), r12vrr_stack+95, r12vrr_stack+3, Data->F+0, NULL);

 /*--- compute (00||f0)^0 ---*/
 _R_BUILD_00f0(Data,r12vrr_stack+8650, r12vrr_stack+8644, r12vrr_stack+0, r12vrr_stack+101, r12vrr_stack+95, r12vrr_stack+3, NULL);

 /*--- compute (00||g0)^0 ---*/
 _R_BUILD_00g0(Data,r12vrr_stack+0, r12vrr_stack+8650, r12vrr_stack+8644, r12vrr_stack+111, r12vrr_stack+101, r12vrr_stack+95, NULL);

 /*--- compute (00||h0)^0 ---*/
 _R_BUILD_00h0(Data,r12vrr_stack+15, r12vrr_stack+0, r12vrr_stack+8650, r12vrr_stack+863, r12vrr_stack+111, r12vrr_stack+101, NULL);

 /*--- compute (p0||h0)^0 ---*/
 _R_BUILD_p0h0(Data,r12vrr_stack+8644, r12vrr_stack+15, NULL, r12vrr_stack+884, r12vrr_stack+863, NULL, r12vrr_stack+111);

 /*--- compute (d0||h0)^0 ---*/
 _R_BUILD_d0h0(Data,r12vrr_stack+8707, r12vrr_stack+8644, r12vrr_stack+15, r12vrr_stack+1182, r12vrr_stack+884, r12vrr_stack+863, r12vrr_stack+196);
 tmp = r12vrr_stack + 8707;
 target_ptr = Libr12->rvrr_classes[2][5];
 for(i=0;i<126;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0||h0)^0 ---*/
 _R_BUILD_f0h0(Data,r12vrr_stack+8833, r12vrr_stack+8707, r12vrr_stack+8644, r12vrr_stack+1308, r12vrr_stack+1182, r12vrr_stack+884, r12vrr_stack+241);
 tmp = r12vrr_stack + 8833;
 target_ptr = Libr12->rvrr_classes[3][5];
 for(i=0;i<210;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||i0)^0 ---*/
 _R_BUILD_00i0(Data,r12vrr_stack+1518, r12vrr_stack+15, r12vrr_stack+0, r12vrr_stack+1546, r12vrr_stack+863, r12vrr_stack+111, NULL);

 /*--- compute (p0||i0)^0 ---*/
 _R_BUILD_p0i0(Data,r12vrr_stack+9043, r12vrr_stack+1518, NULL, r12vrr_stack+1686, r12vrr_stack+1546, NULL, r12vrr_stack+863);

 /*--- compute (d0||i0)^0 ---*/
 _R_BUILD_d0i0(Data,r12vrr_stack+36, r12vrr_stack+9043, r12vrr_stack+1518, r12vrr_stack+1770, r12vrr_stack+1686, r12vrr_stack+1546, r12vrr_stack+884);
 tmp = r12vrr_stack + 36;
 target_ptr = Libr12->rvrr_classes[2][6];
 for(i=0;i<168;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0||i0)^0 ---*/
 _R_BUILD_f0i0(Data,r12vrr_stack+11290, r12vrr_stack+36, r12vrr_stack+9043, r12vrr_stack+2264, r12vrr_stack+1770, r12vrr_stack+1686, r12vrr_stack+1182);
 tmp = r12vrr_stack + 11290;
 target_ptr = Libr12->rvrr_classes[3][6];
 for(i=0;i<280;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||k0)^0 ---*/
 am[0] = 0;  am[1] = 7;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+2544, r12vrr_stack+1518, r12vrr_stack+15, r12vrr_stack+2580, r12vrr_stack+1546, r12vrr_stack+863, NULL);

 /*--- compute (p0||k0)^0 ---*/
 am[0] = 1;  am[1] = 7;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+9043, r12vrr_stack+2544, NULL, r12vrr_stack+2760, r12vrr_stack+2580, NULL, r12vrr_stack+1546);

 /*--- compute (d0||k0)^0 ---*/
 am[0] = 2;  am[1] = 7;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+16335, r12vrr_stack+9043, r12vrr_stack+2544, r12vrr_stack+2868, r12vrr_stack+2760, r12vrr_stack+2580, r12vrr_stack+1686);
 tmp = r12vrr_stack + 16335;
 target_ptr = Libr12->rvrr_classes[2][7];
 for(i=0;i<216;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0||k0)^0 ---*/
 am[0] = 3;  am[1] = 7;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+16551, r12vrr_stack+16335, r12vrr_stack+9043, r12vrr_stack+3508, r12vrr_stack+2868, r12vrr_stack+2760, r12vrr_stack+1770);
 tmp = r12vrr_stack + 16551;
 target_ptr = Libr12->rvrr_classes[3][7];
 for(i=0;i<360;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||l0)^0 ---*/
 am[0] = 0;  am[1] = 8;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+3868, r12vrr_stack+2544, r12vrr_stack+1518, r12vrr_stack+3913, r12vrr_stack+2580, r12vrr_stack+1546, NULL);

 /*--- compute (p0||l0)^0 ---*/
 am[0] = 1;  am[1] = 8;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+1518, r12vrr_stack+3868, NULL, r12vrr_stack+4138, r12vrr_stack+3913, NULL, r12vrr_stack+2580);

 /*--- compute (d0||l0)^0 ---*/
 am[0] = 2;  am[1] = 8;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+9760, r12vrr_stack+1518, r12vrr_stack+3868, r12vrr_stack+4273, r12vrr_stack+4138, r12vrr_stack+3913, r12vrr_stack+2760);
 tmp = r12vrr_stack + 9760;
 target_ptr = Libr12->rvrr_classes[2][8];
 for(i=0;i<270;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0||l0)^0 ---*/
 am[0] = 3;  am[1] = 8;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+10030, r12vrr_stack+9760, r12vrr_stack+1518, r12vrr_stack+5078, r12vrr_stack+4273, r12vrr_stack+4138, r12vrr_stack+2868);
 tmp = r12vrr_stack + 10030;
 target_ptr = Libr12->rvrr_classes[3][8];
 for(i=0;i<450;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T2]|h0)^0 ---*/
 _T2_BUILD_d0h0(Data,&(Libr12->ShellQuartet),r12vrr_stack+758, r12vrr_stack+1182, r12vrr_stack+1770, r12vrr_stack+1308, r12vrr_stack+608, r12vrr_stack+241);
 tmp = r12vrr_stack + 758;
 target_ptr = Libr12->t2vrr_classes[2][5];
 for(i=0;i<126;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T2]|i0)^0 ---*/
 _T2_BUILD_d0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+1518, r12vrr_stack+1770, r12vrr_stack+2868, r12vrr_stack+2264, r12vrr_stack+1308, r12vrr_stack+1182);
 tmp = r12vrr_stack + 1518;
 target_ptr = Libr12->t2vrr_classes[2][6];
 for(i=0;i<168;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T2]|k0)^0 ---*/
 am[0] = 2;  am[1] = 7;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+2544, r12vrr_stack+2868, r12vrr_stack+4273, r12vrr_stack+3508, r12vrr_stack+2264, r12vrr_stack+1770);
 tmp = r12vrr_stack + 2544;
 target_ptr = Libr12->t2vrr_classes[2][7];
 for(i=0;i<216;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T2]|l0)^0 ---*/
 am[0] = 2;  am[1] = 8;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+3868, r12vrr_stack+4273, r12vrr_stack+6023, r12vrr_stack+5078, r12vrr_stack+3508, r12vrr_stack+2868);
 tmp = r12vrr_stack + 3868;
 target_ptr = Libr12->t2vrr_classes[2][8];
 for(i=0;i<270;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T2]|h0)^0 ---*/
 _T2_BUILD_f0h0(Data,&(Libr12->ShellQuartet),r12vrr_stack+204, r12vrr_stack+1308, r12vrr_stack+2264, r12vrr_stack+7377, r12vrr_stack+6753, r12vrr_stack+608);
 tmp = r12vrr_stack + 204;
 target_ptr = Libr12->t2vrr_classes[3][5];
 for(i=0;i<210;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T2]|i0)^0 ---*/
 _T2_BUILD_f0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+15039, r12vrr_stack+2264, r12vrr_stack+3508, r12vrr_stack+8224, r12vrr_stack+7377, r12vrr_stack+1308);
 tmp = r12vrr_stack + 15039;
 target_ptr = Libr12->t2vrr_classes[3][6];
 for(i=0;i<280;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T2]|k0)^0 ---*/
 am[0] = 3;  am[1] = 7;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+6353, r12vrr_stack+3508, r12vrr_stack+5078, r12vrr_stack+9220, r12vrr_stack+8224, r12vrr_stack+2264);
 tmp = r12vrr_stack + 6353;
 target_ptr = Libr12->t2vrr_classes[3][7];
 for(i=0;i<360;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T2]|l0)^0 ---*/
 am[0] = 3;  am[1] = 8;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+7692, r12vrr_stack+5078, r12vrr_stack+11785, r12vrr_stack+10615, r12vrr_stack+9220, r12vrr_stack+3508);
 tmp = r12vrr_stack + 7692;
 target_ptr = Libr12->t2vrr_classes[3][8];
 for(i=0;i<450;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T2]|h0)^0 ---*/
 _T2_BUILD_g0h0(Data,&(Libr12->ShellQuartet),r12vrr_stack+13275, r12vrr_stack+7377, r12vrr_stack+8224, r12vrr_stack+13590, r12vrr_stack+12960, r12vrr_stack+6753);
 tmp = r12vrr_stack + 13275;
 target_ptr = Libr12->t2vrr_classes[4][5];
 for(i=0;i<315;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T2]|i0)^0 ---*/
 _T2_BUILD_g0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+14031, r12vrr_stack+8224, r12vrr_stack+9220, r12vrr_stack+14451, r12vrr_stack+13590, r12vrr_stack+7377);
 tmp = r12vrr_stack + 14031;
 target_ptr = Libr12->t2vrr_classes[4][6];
 for(i=0;i<420;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T2]|k0)^0 ---*/
 am[0] = 4;  am[1] = 7;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+6713, r12vrr_stack+9220, r12vrr_stack+10615, r12vrr_stack+15579, r12vrr_stack+14451, r12vrr_stack+8224);
 tmp = r12vrr_stack + 6713;
 target_ptr = Libr12->t2vrr_classes[4][7];
 for(i=0;i<540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T2]|l0)^0 ---*/
 am[0] = 4;  am[1] = 8;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+12335, r12vrr_stack+10615, r12vrr_stack+17955, r12vrr_stack+17010, r12vrr_stack+15579, r12vrr_stack+9220);
 tmp = r12vrr_stack + 12335;
 target_ptr = Libr12->t2vrr_classes[4][8];
 for(i=0;i<675;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T1]|h0)^0 ---*/
 _T1_BUILD_d0h0(Data,&(Libr12->ShellQuartet),r12vrr_stack+9043, r12vrr_stack+1182, r12vrr_stack+1308, r12vrr_stack+1770, r12vrr_stack+1686, r12vrr_stack+884);
 tmp = r12vrr_stack + 9043;
 target_ptr = Libr12->t1vrr_classes[2][5];
 for(i=0;i<126;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T1]|i0)^0 ---*/
 _T1_BUILD_d0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+884, r12vrr_stack+1770, r12vrr_stack+2264, r12vrr_stack+2868, r12vrr_stack+2760, r12vrr_stack+1686);
 tmp = r12vrr_stack + 884;
 target_ptr = Libr12->t1vrr_classes[2][6];
 for(i=0;i<168;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T1]|k0)^0 ---*/
 am[0] = 2;  am[1] = 7;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+15319, r12vrr_stack+2868, r12vrr_stack+3508, r12vrr_stack+4273, r12vrr_stack+4138, r12vrr_stack+2760);
 tmp = r12vrr_stack + 15319;
 target_ptr = Libr12->t1vrr_classes[2][7];
 for(i=0;i<216;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T1]|l0)^0 ---*/
 am[0] = 2;  am[1] = 8;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+4543, r12vrr_stack+4273, r12vrr_stack+5078, r12vrr_stack+6023, r12vrr_stack+5858, r12vrr_stack+4138);
 tmp = r12vrr_stack + 4543;
 target_ptr = Libr12->t1vrr_classes[2][8];
 for(i=0;i<270;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T1]|h0)^0 ---*/
 _T1_BUILD_f0h0(Data,&(Libr12->ShellQuartet),r12vrr_stack+11570, r12vrr_stack+1308, r12vrr_stack+7377, r12vrr_stack+2264, r12vrr_stack+1770, r12vrr_stack+1182);
 tmp = r12vrr_stack + 11570;
 target_ptr = Libr12->t1vrr_classes[3][5];
 for(i=0;i<210;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T1]|i0)^0 ---*/
 _T1_BUILD_f0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+5528, r12vrr_stack+2264, r12vrr_stack+8224, r12vrr_stack+3508, r12vrr_stack+2868, r12vrr_stack+1770);
 tmp = r12vrr_stack + 5528;
 target_ptr = Libr12->t1vrr_classes[3][6];
 for(i=0;i<280;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T1]|k0)^0 ---*/
 am[0] = 3;  am[1] = 7;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+3084, r12vrr_stack+3508, r12vrr_stack+9220, r12vrr_stack+5078, r12vrr_stack+4273, r12vrr_stack+2868);
 tmp = r12vrr_stack + 3084;
 target_ptr = Libr12->t1vrr_classes[3][7];
 for(i=0;i<360;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T1]|l0)^0 ---*/
 am[0] = 3;  am[1] = 8;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+18780, r12vrr_stack+5078, r12vrr_stack+10615, r12vrr_stack+11785, r12vrr_stack+6023, r12vrr_stack+4273);
 tmp = r12vrr_stack + 18780;
 target_ptr = Libr12->t1vrr_classes[3][8];
 for(i=0;i<450;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T1]|h0)^0 ---*/
 _T1_BUILD_g0h0(Data,&(Libr12->ShellQuartet),r12vrr_stack+5808, r12vrr_stack+7377, r12vrr_stack+13590, r12vrr_stack+8224, r12vrr_stack+2264, r12vrr_stack+1308);
 tmp = r12vrr_stack + 5808;
 target_ptr = Libr12->t1vrr_classes[4][5];
 for(i=0;i<315;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T1]|i0)^0 ---*/
 _T1_BUILD_g0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+13590, r12vrr_stack+8224, r12vrr_stack+14451, r12vrr_stack+9220, r12vrr_stack+3508, r12vrr_stack+2264);
 tmp = r12vrr_stack + 13590;
 target_ptr = Libr12->t1vrr_classes[4][6];
 for(i=0;i<420;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T1]|k0)^0 ---*/
 am[0] = 4;  am[1] = 7;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+14451, r12vrr_stack+9220, r12vrr_stack+15579, r12vrr_stack+10615, r12vrr_stack+5078, r12vrr_stack+3508);
 tmp = r12vrr_stack + 14451;
 target_ptr = Libr12->t1vrr_classes[4][7];
 for(i=0;i<540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T1]|l0)^0 ---*/
 am[0] = 4;  am[1] = 8;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+15535, r12vrr_stack+10615, r12vrr_stack+17010, r12vrr_stack+17955, r12vrr_stack+11785, r12vrr_stack+5078);
 tmp = r12vrr_stack + 15535;
 target_ptr = Libr12->t1vrr_classes[4][8];
 for(i=0;i<675;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0||h0)^0 ---*/
 _R_BUILD_g0h0(Data,r12vrr_stack+11780, r12vrr_stack+8833, r12vrr_stack+8707, r12vrr_stack+7377, r12vrr_stack+1308, r12vrr_stack+1182, r12vrr_stack+608);
 tmp = r12vrr_stack + 11780;
 target_ptr = Libr12->rvrr_classes[4][5];
 for(i=0;i<315;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0||i0)^0 ---*/
 _R_BUILD_g0i0(Data,r12vrr_stack+16911, r12vrr_stack+11290, r12vrr_stack+36, r12vrr_stack+8224, r12vrr_stack+2264, r12vrr_stack+1770, r12vrr_stack+1308);
 tmp = r12vrr_stack + 16911;
 target_ptr = Libr12->rvrr_classes[4][6];
 for(i=0;i<420;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0||k0)^0 ---*/
 am[0] = 4;  am[1] = 7;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+1686, r12vrr_stack+16551, r12vrr_stack+16335, r12vrr_stack+9220, r12vrr_stack+3508, r12vrr_stack+2868, r12vrr_stack+2264);
 tmp = r12vrr_stack + 1686;
 target_ptr = Libr12->rvrr_classes[4][7];
 for(i=0;i<540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0||l0)^0 ---*/
 am[0] = 4;  am[1] = 8;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+17331, r12vrr_stack+10030, r12vrr_stack+9760, r12vrr_stack+10615, r12vrr_stack+5078, r12vrr_stack+4273, r12vrr_stack+3508);
 tmp = r12vrr_stack + 17331;
 target_ptr = Libr12->rvrr_classes[4][8];
 for(i=0;i<675;i++)
   target_ptr[i] += tmp[i];


}

