#include <stdio.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/vrr_header.h>
#include "r12_vrr_header.h"

void vrr_grt_order_fdfd(Libr12_t *Libr12, prim_data *Data)
{
 REALTYPE *r12vrr_stack = Libr12->r12vrr_stack;
 REALTYPE *tmp, *target_ptr;
 int i, am[2];

 /*--- compute (p0|00)^2 ---*/
 _BUILD_p000(Data,r12vrr_stack+0, Data->F+2, Data->F+3, NULL, NULL, NULL);

 /*--- compute (00|p0)^2 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3, Data->F+2, Data->F+3, NULL, NULL, NULL);

 /*--- compute (00|p0)^1 ---*/
 _BUILD_00p0(Data,r12vrr_stack+6, Data->F+1, Data->F+2, NULL, NULL, NULL);

 /*--- compute (00|p0)^3 ---*/
 _BUILD_00p0(Data,r12vrr_stack+9, Data->F+3, Data->F+4, NULL, NULL, NULL);

 /*--- compute (p0|p0)^2 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+12, r12vrr_stack+3, r12vrr_stack+9, NULL, NULL, Data->F+3);

 /*--- compute (p0|p0)^1 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+21, r12vrr_stack+6, r12vrr_stack+3, NULL, NULL, Data->F+2);

 /*--- compute (d0|p0)^1 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+30, r12vrr_stack+21, r12vrr_stack+12, r12vrr_stack+6, r12vrr_stack+3, r12vrr_stack+0);

 /*--- compute (00|d0)^2 ---*/
 _BUILD_00d0(Data,r12vrr_stack+48, r12vrr_stack+3, r12vrr_stack+9, Data->F+2, Data->F+3, NULL);

 /*--- compute (00|d0)^1 ---*/
 _BUILD_00d0(Data,r12vrr_stack+54, r12vrr_stack+6, r12vrr_stack+3, Data->F+1, Data->F+2, NULL);

 /*--- compute (p0|d0)^1 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+60, r12vrr_stack+54, r12vrr_stack+48, NULL, NULL, r12vrr_stack+3);

 /*--- compute (00|p0)^0 ---*/
 _BUILD_00p0(Data,r12vrr_stack+78, Data->F+0, Data->F+1, NULL, NULL, NULL);

 /*--- compute (00|d0)^0 ---*/
 _BUILD_00d0(Data,r12vrr_stack+81, r12vrr_stack+78, r12vrr_stack+6, Data->F+0, Data->F+1, NULL);

 /*--- compute (p0|d0)^0 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+87, r12vrr_stack+81, r12vrr_stack+54, NULL, NULL, r12vrr_stack+6);

 /*--- compute (00|p0)^4 ---*/
 _BUILD_00p0(Data,r12vrr_stack+105, Data->F+4, Data->F+5, NULL, NULL, NULL);

 /*--- compute (00|d0)^3 ---*/
 _BUILD_00d0(Data,r12vrr_stack+108, r12vrr_stack+9, r12vrr_stack+105, Data->F+3, Data->F+4, NULL);

 /*--- compute (p0|d0)^2 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+114, r12vrr_stack+48, r12vrr_stack+108, NULL, NULL, r12vrr_stack+9);

 /*--- compute (d0|d0)^1 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+132, r12vrr_stack+60, r12vrr_stack+114, r12vrr_stack+54, r12vrr_stack+48, r12vrr_stack+12);

 /*--- compute (d0|d0)^0 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+168, r12vrr_stack+87, r12vrr_stack+60, r12vrr_stack+81, r12vrr_stack+54, r12vrr_stack+21);

 /*--- compute (f0|d0)^0 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+204, r12vrr_stack+168, r12vrr_stack+132, r12vrr_stack+87, r12vrr_stack+60, r12vrr_stack+30);

 /*--- compute (p0|00)^3 ---*/
 _BUILD_p000(Data,r12vrr_stack+264, Data->F+3, Data->F+4, NULL, NULL, NULL);

 /*--- compute (d0|00)^2 ---*/
 _BUILD_d000(Data,r12vrr_stack+267, r12vrr_stack+0, r12vrr_stack+264, Data->F+2, Data->F+3, NULL);

 /*--- compute (p0|p0)^3 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+273, r12vrr_stack+9, r12vrr_stack+105, NULL, NULL, Data->F+4);

 /*--- compute (d0|p0)^2 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+282, r12vrr_stack+12, r12vrr_stack+273, r12vrr_stack+3, r12vrr_stack+9, r12vrr_stack+264);

 /*--- compute (f0|p0)^1 ---*/
 _BUILD_f0p0(Data,r12vrr_stack+300, r12vrr_stack+30, r12vrr_stack+282, r12vrr_stack+21, r12vrr_stack+12, r12vrr_stack+267);

 /*--- compute (00|p0)^5 ---*/
 _BUILD_00p0(Data,r12vrr_stack+21, Data->F+5, Data->F+6, NULL, NULL, NULL);

 /*--- compute (00|d0)^4 ---*/
 _BUILD_00d0(Data,r12vrr_stack+24, r12vrr_stack+105, r12vrr_stack+21, Data->F+4, Data->F+5, NULL);

 /*--- compute (p0|d0)^3 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+330, r12vrr_stack+108, r12vrr_stack+24, NULL, NULL, r12vrr_stack+105);

 /*--- compute (d0|d0)^2 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+348, r12vrr_stack+114, r12vrr_stack+330, r12vrr_stack+48, r12vrr_stack+108, r12vrr_stack+273);

 /*--- compute (f0|d0)^1 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+384, r12vrr_stack+132, r12vrr_stack+348, r12vrr_stack+60, r12vrr_stack+114, r12vrr_stack+282);

 /*--- compute (g0|d0)^0 ---*/
 _BUILD_g0d0(Data,r12vrr_stack+444, r12vrr_stack+204, r12vrr_stack+384, r12vrr_stack+168, r12vrr_stack+132, r12vrr_stack+300);

 /*--- compute (00|f0)^2 ---*/
 _BUILD_00f0(Data,r12vrr_stack+534, r12vrr_stack+48, r12vrr_stack+108, r12vrr_stack+3, r12vrr_stack+9, NULL);

 /*--- compute (00|f0)^1 ---*/
 _BUILD_00f0(Data,r12vrr_stack+544, r12vrr_stack+54, r12vrr_stack+48, r12vrr_stack+6, r12vrr_stack+3, NULL);

 /*--- compute (00|f0)^3 ---*/
 _BUILD_00f0(Data,r12vrr_stack+554, r12vrr_stack+108, r12vrr_stack+24, r12vrr_stack+9, r12vrr_stack+105, NULL);

 /*--- compute (p0|f0)^2 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+564, r12vrr_stack+534, r12vrr_stack+554, NULL, NULL, r12vrr_stack+108);

 /*--- compute (p0|f0)^1 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+594, r12vrr_stack+544, r12vrr_stack+534, NULL, NULL, r12vrr_stack+48);

 /*--- compute (d0|f0)^1 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+624, r12vrr_stack+594, r12vrr_stack+564, r12vrr_stack+544, r12vrr_stack+534, r12vrr_stack+114);

 /*--- compute (00|f0)^0 ---*/
 _BUILD_00f0(Data,r12vrr_stack+684, r12vrr_stack+81, r12vrr_stack+54, r12vrr_stack+78, r12vrr_stack+6, NULL);

 /*--- compute (p0|f0)^0 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+694, r12vrr_stack+684, r12vrr_stack+544, NULL, NULL, r12vrr_stack+54);

 /*--- compute (d0|f0)^0 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+724, r12vrr_stack+694, r12vrr_stack+594, r12vrr_stack+684, r12vrr_stack+544, r12vrr_stack+60);

 /*--- compute (00|p0)^6 ---*/
 _BUILD_00p0(Data,r12vrr_stack+60, Data->F+6, Data->F+7, NULL, NULL, NULL);

 /*--- compute (00|d0)^5 ---*/
 _BUILD_00d0(Data,r12vrr_stack+3, r12vrr_stack+21, r12vrr_stack+60, Data->F+5, Data->F+6, NULL);

 /*--- compute (00|f0)^4 ---*/
 _BUILD_00f0(Data,r12vrr_stack+63, r12vrr_stack+24, r12vrr_stack+3, r12vrr_stack+105, r12vrr_stack+21, NULL);

 /*--- compute (p0|f0)^3 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+784, r12vrr_stack+554, r12vrr_stack+63, NULL, NULL, r12vrr_stack+24);

 /*--- compute (d0|f0)^2 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+814, r12vrr_stack+564, r12vrr_stack+784, r12vrr_stack+534, r12vrr_stack+554, r12vrr_stack+330);

 /*--- compute (f0|f0)^1 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+874, r12vrr_stack+624, r12vrr_stack+814, r12vrr_stack+594, r12vrr_stack+564, r12vrr_stack+348);

 /*--- compute (f0|f0)^0 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+974, r12vrr_stack+724, r12vrr_stack+624, r12vrr_stack+694, r12vrr_stack+594, r12vrr_stack+132);
 tmp = r12vrr_stack + 974;
 target_ptr = Libr12->gvrr_classes[3][3];
 for(i=0;i<100;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|f0)^0 ---*/
 _BUILD_g0f0(Data,r12vrr_stack+1074, r12vrr_stack+974, r12vrr_stack+874, r12vrr_stack+724, r12vrr_stack+624, r12vrr_stack+384);
 tmp = r12vrr_stack + 1074;
 target_ptr = Libr12->gvrr_classes[4][3];
 for(i=0;i<150;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|g0)^2 ---*/
 _BUILD_00g0(Data,r12vrr_stack+1224, r12vrr_stack+534, r12vrr_stack+554, r12vrr_stack+48, r12vrr_stack+108, NULL);

 /*--- compute (00|g0)^1 ---*/
 _BUILD_00g0(Data,r12vrr_stack+1239, r12vrr_stack+544, r12vrr_stack+534, r12vrr_stack+54, r12vrr_stack+48, NULL);

 /*--- compute (p0|g0)^1 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+1254, r12vrr_stack+1239, r12vrr_stack+1224, NULL, NULL, r12vrr_stack+534);

 /*--- compute (00|g0)^0 ---*/
 _BUILD_00g0(Data,r12vrr_stack+1299, r12vrr_stack+684, r12vrr_stack+544, r12vrr_stack+81, r12vrr_stack+54, NULL);

 /*--- compute (p0|g0)^0 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+1314, r12vrr_stack+1299, r12vrr_stack+1239, NULL, NULL, r12vrr_stack+544);

 /*--- compute (00|g0)^3 ---*/
 _BUILD_00g0(Data,r12vrr_stack+1359, r12vrr_stack+554, r12vrr_stack+63, r12vrr_stack+108, r12vrr_stack+24, NULL);

 /*--- compute (p0|g0)^2 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+1374, r12vrr_stack+1224, r12vrr_stack+1359, NULL, NULL, r12vrr_stack+554);

 /*--- compute (d0|g0)^1 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+1419, r12vrr_stack+1254, r12vrr_stack+1374, r12vrr_stack+1239, r12vrr_stack+1224, r12vrr_stack+564);

 /*--- compute (d0|g0)^0 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+1509, r12vrr_stack+1314, r12vrr_stack+1254, r12vrr_stack+1299, r12vrr_stack+1239, r12vrr_stack+594);

 /*--- compute (f0|g0)^0 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+1599, r12vrr_stack+1509, r12vrr_stack+1419, r12vrr_stack+1314, r12vrr_stack+1254, r12vrr_stack+624);
 tmp = r12vrr_stack + 1599;
 target_ptr = Libr12->gvrr_classes[3][4];
 for(i=0;i<150;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^7 ---*/
 _BUILD_00p0(Data,r12vrr_stack+594, Data->F+7, Data->F+8, NULL, NULL, NULL);

 /*--- compute (00|d0)^6 ---*/
 _BUILD_00d0(Data,r12vrr_stack+597, r12vrr_stack+60, r12vrr_stack+594, Data->F+6, Data->F+7, NULL);

 /*--- compute (00|f0)^5 ---*/
 _BUILD_00f0(Data,r12vrr_stack+603, r12vrr_stack+3, r12vrr_stack+597, r12vrr_stack+21, r12vrr_stack+60, NULL);

 /*--- compute (00|g0)^4 ---*/
 _BUILD_00g0(Data,r12vrr_stack+1749, r12vrr_stack+63, r12vrr_stack+603, r12vrr_stack+24, r12vrr_stack+3, NULL);

 /*--- compute (p0|g0)^3 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+1764, r12vrr_stack+1359, r12vrr_stack+1749, NULL, NULL, r12vrr_stack+63);

 /*--- compute (d0|g0)^2 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+1809, r12vrr_stack+1374, r12vrr_stack+1764, r12vrr_stack+1224, r12vrr_stack+1359, r12vrr_stack+784);

 /*--- compute (f0|g0)^1 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+1899, r12vrr_stack+1419, r12vrr_stack+1809, r12vrr_stack+1254, r12vrr_stack+1374, r12vrr_stack+814);

 /*--- compute (g0|g0)^0 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+2049, r12vrr_stack+1599, r12vrr_stack+1899, r12vrr_stack+1509, r12vrr_stack+1419, r12vrr_stack+874);
 tmp = r12vrr_stack + 2049;
 target_ptr = Libr12->gvrr_classes[4][4];
 for(i=0;i<225;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|h0)^2 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2274, r12vrr_stack+1224, r12vrr_stack+1359, r12vrr_stack+534, r12vrr_stack+554, NULL);

 /*--- compute (00|h0)^1 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2295, r12vrr_stack+1239, r12vrr_stack+1224, r12vrr_stack+544, r12vrr_stack+534, NULL);

 /*--- compute (p0|h0)^1 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2316, r12vrr_stack+2295, r12vrr_stack+2274, NULL, NULL, r12vrr_stack+1224);

 /*--- compute (00|h0)^0 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2379, r12vrr_stack+1299, r12vrr_stack+1239, r12vrr_stack+684, r12vrr_stack+544, NULL);

 /*--- compute (p0|h0)^0 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2400, r12vrr_stack+2379, r12vrr_stack+2295, NULL, NULL, r12vrr_stack+1239);

 /*--- compute (00|h0)^3 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2463, r12vrr_stack+1359, r12vrr_stack+1749, r12vrr_stack+554, r12vrr_stack+63, NULL);

 /*--- compute (p0|h0)^2 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2484, r12vrr_stack+2274, r12vrr_stack+2463, NULL, NULL, r12vrr_stack+1359);

 /*--- compute (d0|h0)^1 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2547, r12vrr_stack+2316, r12vrr_stack+2484, r12vrr_stack+2295, r12vrr_stack+2274, r12vrr_stack+1374);

 /*--- compute (d0|h0)^0 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2673, r12vrr_stack+2400, r12vrr_stack+2316, r12vrr_stack+2379, r12vrr_stack+2295, r12vrr_stack+1254);

 /*--- compute (f0|h0)^0 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2799, r12vrr_stack+2673, r12vrr_stack+2547, r12vrr_stack+2400, r12vrr_stack+2316, r12vrr_stack+1419);
 tmp = r12vrr_stack + 2799;
 target_ptr = Libr12->gvrr_classes[3][5];
 for(i=0;i<210;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^8 ---*/
 _BUILD_00p0(Data,r12vrr_stack+1254, Data->F+8, Data->F+9, NULL, NULL, NULL);

 /*--- compute (00|d0)^7 ---*/
 _BUILD_00d0(Data,r12vrr_stack+1257, r12vrr_stack+594, r12vrr_stack+1254, Data->F+7, Data->F+8, NULL);

 /*--- compute (00|f0)^6 ---*/
 _BUILD_00f0(Data,r12vrr_stack+1263, r12vrr_stack+597, r12vrr_stack+1257, r12vrr_stack+60, r12vrr_stack+594, NULL);

 /*--- compute (00|g0)^5 ---*/
 _BUILD_00g0(Data,r12vrr_stack+1273, r12vrr_stack+603, r12vrr_stack+1263, r12vrr_stack+3, r12vrr_stack+597, NULL);

 /*--- compute (00|h0)^4 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+3009, r12vrr_stack+1749, r12vrr_stack+1273, r12vrr_stack+63, r12vrr_stack+603, NULL);

 /*--- compute (p0|h0)^3 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+3030, r12vrr_stack+2463, r12vrr_stack+3009, NULL, NULL, r12vrr_stack+1749);

 /*--- compute (d0|h0)^2 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+3093, r12vrr_stack+2484, r12vrr_stack+3030, r12vrr_stack+2274, r12vrr_stack+2463, r12vrr_stack+1764);

 /*--- compute (f0|h0)^1 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+3219, r12vrr_stack+2547, r12vrr_stack+3093, r12vrr_stack+2316, r12vrr_stack+2484, r12vrr_stack+1809);

 /*--- compute (g0|h0)^0 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+3429, r12vrr_stack+2799, r12vrr_stack+3219, r12vrr_stack+2673, r12vrr_stack+2547, r12vrr_stack+1899);
 tmp = r12vrr_stack + 3429;
 target_ptr = Libr12->gvrr_classes[4][5];
 for(i=0;i<315;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|i0)^2 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+3744, r12vrr_stack+2274, r12vrr_stack+2463, r12vrr_stack+1224, r12vrr_stack+1359, NULL);

 /*--- compute (00|i0)^1 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+3772, r12vrr_stack+2295, r12vrr_stack+2274, r12vrr_stack+1239, r12vrr_stack+1224, NULL);

 /*--- compute (p0|i0)^1 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+3800, r12vrr_stack+3772, r12vrr_stack+3744, NULL, NULL, r12vrr_stack+2274);

 /*--- compute (00|i0)^0 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+3884, r12vrr_stack+2379, r12vrr_stack+2295, r12vrr_stack+1299, r12vrr_stack+1239, NULL);

 /*--- compute (p0|i0)^0 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+3912, r12vrr_stack+3884, r12vrr_stack+3772, NULL, NULL, r12vrr_stack+2295);

 /*--- compute (00|i0)^3 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2274, r12vrr_stack+2463, r12vrr_stack+3009, r12vrr_stack+1359, r12vrr_stack+1749, NULL);

 /*--- compute (p0|i0)^2 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+3996, r12vrr_stack+3744, r12vrr_stack+2274, NULL, NULL, r12vrr_stack+2463);

 /*--- compute (d0|i0)^1 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+4080, r12vrr_stack+3800, r12vrr_stack+3996, r12vrr_stack+3772, r12vrr_stack+3744, r12vrr_stack+2484);

 /*--- compute (d0|i0)^0 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+4248, r12vrr_stack+3912, r12vrr_stack+3800, r12vrr_stack+3884, r12vrr_stack+3772, r12vrr_stack+2316);

 /*--- compute (f0|i0)^0 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+4416, r12vrr_stack+4248, r12vrr_stack+4080, r12vrr_stack+3912, r12vrr_stack+3800, r12vrr_stack+2547);
 tmp = r12vrr_stack + 4416;
 target_ptr = Libr12->gvrr_classes[3][6];
 for(i=0;i<280;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|00)^4 ---*/
 _BUILD_p000(Data,r12vrr_stack+3772, Data->F+4, Data->F+5, NULL, NULL, NULL);

 /*--- compute (d0|00)^3 ---*/
 _BUILD_d000(Data,r12vrr_stack+3775, r12vrr_stack+264, r12vrr_stack+3772, Data->F+3, Data->F+4, NULL);

 /*--- compute (f0|00)^2 ---*/
 _BUILD_f000(Data,r12vrr_stack+3781, r12vrr_stack+267, r12vrr_stack+3775, r12vrr_stack+0, r12vrr_stack+264, NULL);

 /*--- compute (p0|p0)^4 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+3791, r12vrr_stack+105, r12vrr_stack+21, NULL, NULL, Data->F+5);

 /*--- compute (d0|p0)^3 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+3884, r12vrr_stack+273, r12vrr_stack+3791, r12vrr_stack+9, r12vrr_stack+105, r12vrr_stack+3772);

 /*--- compute (f0|p0)^2 ---*/
 _BUILD_f0p0(Data,r12vrr_stack+1224, r12vrr_stack+282, r12vrr_stack+3884, r12vrr_stack+12, r12vrr_stack+273, r12vrr_stack+3775);

 /*--- compute (g0|p0)^1 ---*/
 _BUILD_g0p0(Data,r12vrr_stack+3902, r12vrr_stack+300, r12vrr_stack+1224, r12vrr_stack+30, r12vrr_stack+282, r12vrr_stack+3781);

 /*--- compute (p0|d0)^4 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+30, r12vrr_stack+24, r12vrr_stack+3, NULL, NULL, r12vrr_stack+21);

 /*--- compute (d0|d0)^3 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+3947, r12vrr_stack+330, r12vrr_stack+30, r12vrr_stack+108, r12vrr_stack+24, r12vrr_stack+3791);

 /*--- compute (f0|d0)^2 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+2302, r12vrr_stack+348, r12vrr_stack+3947, r12vrr_stack+114, r12vrr_stack+330, r12vrr_stack+3884);

 /*--- compute (g0|d0)^1 ---*/
 _BUILD_g0d0(Data,r12vrr_stack+4696, r12vrr_stack+384, r12vrr_stack+2302, r12vrr_stack+132, r12vrr_stack+348, r12vrr_stack+1224);

 /*--- compute (h0|d0)^0 ---*/
 am[0] = 5;  am[1] = 2;
 vrr_build_xxxx(am,Data,r12vrr_stack+4786, r12vrr_stack+444, r12vrr_stack+4696, r12vrr_stack+204, r12vrr_stack+384, r12vrr_stack+3902);

 /*--- compute (p0|f0)^4 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+108, r12vrr_stack+63, r12vrr_stack+603, NULL, NULL, r12vrr_stack+3);

 /*--- compute (d0|f0)^3 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+4912, r12vrr_stack+784, r12vrr_stack+108, r12vrr_stack+554, r12vrr_stack+63, r12vrr_stack+30);

 /*--- compute (f0|f0)^2 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+4972, r12vrr_stack+814, r12vrr_stack+4912, r12vrr_stack+564, r12vrr_stack+784, r12vrr_stack+3947);

 /*--- compute (g0|f0)^1 ---*/
 _BUILD_g0f0(Data,r12vrr_stack+5072, r12vrr_stack+874, r12vrr_stack+4972, r12vrr_stack+624, r12vrr_stack+814, r12vrr_stack+2302);

 /*--- compute (h0|f0)^0 ---*/
 am[0] = 5;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+5222, r12vrr_stack+1074, r12vrr_stack+5072, r12vrr_stack+974, r12vrr_stack+874, r12vrr_stack+4696);
 tmp = r12vrr_stack + 5222;
 target_ptr = Libr12->gvrr_classes[5][3];
 for(i=0;i<210;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|g0)^4 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+534, r12vrr_stack+1749, r12vrr_stack+1273, NULL, NULL, r12vrr_stack+603);

 /*--- compute (d0|g0)^3 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+5432, r12vrr_stack+1764, r12vrr_stack+534, r12vrr_stack+1359, r12vrr_stack+1749, r12vrr_stack+108);

 /*--- compute (f0|g0)^2 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+5522, r12vrr_stack+1809, r12vrr_stack+5432, r12vrr_stack+1374, r12vrr_stack+1764, r12vrr_stack+4912);

 /*--- compute (g0|g0)^1 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+5672, r12vrr_stack+1899, r12vrr_stack+5522, r12vrr_stack+1419, r12vrr_stack+1809, r12vrr_stack+4972);

 /*--- compute (h0|g0)^0 ---*/
 am[0] = 5;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+5897, r12vrr_stack+2049, r12vrr_stack+5672, r12vrr_stack+1599, r12vrr_stack+1899, r12vrr_stack+5072);
 tmp = r12vrr_stack + 5897;
 target_ptr = Libr12->gvrr_classes[5][4];
 for(i=0;i<315;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^9 ---*/
 _BUILD_00p0(Data,r12vrr_stack+0, Data->F+9, Data->F+10, NULL, NULL, NULL);

 /*--- compute (00|d0)^8 ---*/
 _BUILD_00d0(Data,r12vrr_stack+1359, r12vrr_stack+1254, r12vrr_stack+0, Data->F+8, Data->F+9, NULL);

 /*--- compute (00|f0)^7 ---*/
 _BUILD_00f0(Data,r12vrr_stack+1365, r12vrr_stack+1257, r12vrr_stack+1359, r12vrr_stack+594, r12vrr_stack+1254, NULL);

 /*--- compute (00|g0)^6 ---*/
 _BUILD_00g0(Data,r12vrr_stack+1375, r12vrr_stack+1263, r12vrr_stack+1365, r12vrr_stack+597, r12vrr_stack+1257, NULL);

 /*--- compute (00|h0)^5 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1390, r12vrr_stack+1273, r12vrr_stack+1375, r12vrr_stack+603, r12vrr_stack+1263, NULL);

 /*--- compute (p0|h0)^4 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1411, r12vrr_stack+3009, r12vrr_stack+1390, NULL, NULL, r12vrr_stack+1273);

 /*--- compute (d0|h0)^3 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+6212, r12vrr_stack+3030, r12vrr_stack+1411, r12vrr_stack+2463, r12vrr_stack+3009, r12vrr_stack+534);

 /*--- compute (f0|h0)^2 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+6338, r12vrr_stack+3093, r12vrr_stack+6212, r12vrr_stack+2484, r12vrr_stack+3030, r12vrr_stack+5432);

 /*--- compute (g0|h0)^1 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+6548, r12vrr_stack+3219, r12vrr_stack+6338, r12vrr_stack+2547, r12vrr_stack+3093, r12vrr_stack+5522);

 /*--- compute (h0|h0)^0 ---*/
 am[0] = 5;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+6863, r12vrr_stack+3429, r12vrr_stack+6548, r12vrr_stack+2799, r12vrr_stack+3219, r12vrr_stack+5672);
 tmp = r12vrr_stack + 6863;
 target_ptr = Libr12->gvrr_classes[5][5];
 for(i=0;i<441;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|i0)^4 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2463, r12vrr_stack+3009, r12vrr_stack+1390, r12vrr_stack+1749, r12vrr_stack+1273, NULL);

 /*--- compute (p0|i0)^3 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2491, r12vrr_stack+2274, r12vrr_stack+2463, NULL, NULL, r12vrr_stack+3009);

 /*--- compute (d0|i0)^2 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+7304, r12vrr_stack+3996, r12vrr_stack+2491, r12vrr_stack+3744, r12vrr_stack+2274, r12vrr_stack+3030);

 /*--- compute (f0|i0)^1 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+7472, r12vrr_stack+4080, r12vrr_stack+7304, r12vrr_stack+3800, r12vrr_stack+3996, r12vrr_stack+3093);

 /*--- compute (g0|i0)^0 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+7752, r12vrr_stack+4416, r12vrr_stack+7472, r12vrr_stack+4248, r12vrr_stack+4080, r12vrr_stack+3219);
 tmp = r12vrr_stack + 7752;
 target_ptr = Libr12->gvrr_classes[4][6];
 for(i=0;i<420;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|00)^5 ---*/
 _BUILD_p000(Data,r12vrr_stack+3800, Data->F+5, Data->F+6, NULL, NULL, NULL);

 /*--- compute (d0|00)^4 ---*/
 _BUILD_d000(Data,r12vrr_stack+3803, r12vrr_stack+3772, r12vrr_stack+3800, Data->F+4, Data->F+5, NULL);

 /*--- compute (f0|00)^3 ---*/
 _BUILD_f000(Data,r12vrr_stack+3809, r12vrr_stack+3775, r12vrr_stack+3803, r12vrr_stack+264, r12vrr_stack+3772, NULL);

 /*--- compute (g0|00)^2 ---*/
 _BUILD_g000(Data,r12vrr_stack+3819, r12vrr_stack+3781, r12vrr_stack+3809, r12vrr_stack+267, r12vrr_stack+3775, NULL);

 /*--- compute (p0|p0)^5 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+264, r12vrr_stack+21, r12vrr_stack+60, NULL, NULL, Data->F+6);

 /*--- compute (d0|p0)^4 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+579, r12vrr_stack+3791, r12vrr_stack+264, r12vrr_stack+105, r12vrr_stack+21, r12vrr_stack+3800);

 /*--- compute (f0|p0)^3 ---*/
 _BUILD_f0p0(Data,r12vrr_stack+138, r12vrr_stack+3884, r12vrr_stack+579, r12vrr_stack+273, r12vrr_stack+3791, r12vrr_stack+3803);

 /*--- compute (g0|p0)^2 ---*/
 _BUILD_g0p0(Data,r12vrr_stack+3834, r12vrr_stack+1224, r12vrr_stack+138, r12vrr_stack+282, r12vrr_stack+3884, r12vrr_stack+3809);

 /*--- compute (h0|p0)^1 ---*/
 am[0] = 5;  am[1] = 1;
 vrr_build_xxxx(am,Data,r12vrr_stack+3744, r12vrr_stack+3902, r12vrr_stack+3834, r12vrr_stack+300, r12vrr_stack+1224, r12vrr_stack+3819);

 /*--- compute (p0|d0)^5 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+1224, r12vrr_stack+3, r12vrr_stack+597, NULL, NULL, r12vrr_stack+60);

 /*--- compute (d0|d0)^4 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+273, r12vrr_stack+30, r12vrr_stack+1224, r12vrr_stack+24, r12vrr_stack+3, r12vrr_stack+264);

 /*--- compute (f0|d0)^3 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+3879, r12vrr_stack+3947, r12vrr_stack+273, r12vrr_stack+330, r12vrr_stack+30, r12vrr_stack+579);

 /*--- compute (g0|d0)^2 ---*/
 _BUILD_g0d0(Data,r12vrr_stack+2575, r12vrr_stack+2302, r12vrr_stack+3879, r12vrr_stack+348, r12vrr_stack+3947, r12vrr_stack+138);

 /*--- compute (h0|d0)^1 ---*/
 am[0] = 5;  am[1] = 2;
 vrr_build_xxxx(am,Data,r12vrr_stack+8172, r12vrr_stack+4696, r12vrr_stack+2575, r12vrr_stack+384, r12vrr_stack+2302, r12vrr_stack+3834);

 /*--- compute (i0|d0)^0 ---*/
 am[0] = 6;  am[1] = 2;
 vrr_build_xxxx(am,Data,r12vrr_stack+8298, r12vrr_stack+4786, r12vrr_stack+8172, r12vrr_stack+444, r12vrr_stack+4696, r12vrr_stack+3744);

 /*--- compute (p0|f0)^5 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+138, r12vrr_stack+603, r12vrr_stack+1263, NULL, NULL, r12vrr_stack+597);

 /*--- compute (d0|f0)^4 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+3, r12vrr_stack+108, r12vrr_stack+138, r12vrr_stack+63, r12vrr_stack+603, r12vrr_stack+1224);

 /*--- compute (f0|f0)^3 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+3744, r12vrr_stack+4912, r12vrr_stack+3, r12vrr_stack+784, r12vrr_stack+108, r12vrr_stack+273);

 /*--- compute (g0|f0)^2 ---*/
 _BUILD_g0f0(Data,r12vrr_stack+264, r12vrr_stack+4972, r12vrr_stack+3744, r12vrr_stack+814, r12vrr_stack+4912, r12vrr_stack+3879);

 /*--- compute (h0|f0)^1 ---*/
 am[0] = 5;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+8466, r12vrr_stack+5072, r12vrr_stack+264, r12vrr_stack+874, r12vrr_stack+4972, r12vrr_stack+2575);

 /*--- compute (i0|f0)^0 ---*/
 am[0] = 6;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+8676, r12vrr_stack+5222, r12vrr_stack+8466, r12vrr_stack+1074, r12vrr_stack+5072, r12vrr_stack+8172);
 tmp = r12vrr_stack + 8676;
 target_ptr = Libr12->gvrr_classes[6][3];
 for(i=0;i<280;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|g0)^5 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+8956, r12vrr_stack+1273, r12vrr_stack+1375, NULL, NULL, r12vrr_stack+1263);

 /*--- compute (d0|g0)^4 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+4696, r12vrr_stack+534, r12vrr_stack+8956, r12vrr_stack+1749, r12vrr_stack+1273, r12vrr_stack+138);

 /*--- compute (f0|g0)^3 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+4912, r12vrr_stack+5432, r12vrr_stack+4696, r12vrr_stack+1764, r12vrr_stack+534, r12vrr_stack+3);

 /*--- compute (g0|g0)^2 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+9001, r12vrr_stack+5522, r12vrr_stack+4912, r12vrr_stack+1809, r12vrr_stack+5432, r12vrr_stack+3744);

 /*--- compute (h0|g0)^1 ---*/
 am[0] = 5;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+9226, r12vrr_stack+5672, r12vrr_stack+9001, r12vrr_stack+1899, r12vrr_stack+5522, r12vrr_stack+264);

 /*--- compute (i0|g0)^0 ---*/
 am[0] = 6;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+9541, r12vrr_stack+5897, r12vrr_stack+9226, r12vrr_stack+2049, r12vrr_stack+5672, r12vrr_stack+8466);
 tmp = r12vrr_stack + 9541;
 target_ptr = Libr12->gvrr_classes[6][4];
 for(i=0;i<420;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^10 ---*/
 _BUILD_00p0(Data,r12vrr_stack+8466, Data->F+10, Data->F+11, NULL, NULL, NULL);

 /*--- compute (00|d0)^9 ---*/
 _BUILD_00d0(Data,r12vrr_stack+8469, r12vrr_stack+0, r12vrr_stack+8466, Data->F+9, Data->F+10, NULL);

 /*--- compute (00|f0)^8 ---*/
 _BUILD_00f0(Data,r12vrr_stack+8475, r12vrr_stack+1359, r12vrr_stack+8469, r12vrr_stack+1254, r12vrr_stack+0, NULL);

 /*--- compute (00|g0)^7 ---*/
 _BUILD_00g0(Data,r12vrr_stack+0, r12vrr_stack+1365, r12vrr_stack+8475, r12vrr_stack+1257, r12vrr_stack+1359, NULL);

 /*--- compute (00|h0)^6 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+15, r12vrr_stack+1375, r12vrr_stack+0, r12vrr_stack+1263, r12vrr_stack+1365, NULL);

 /*--- compute (p0|h0)^5 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+105, r12vrr_stack+1390, r12vrr_stack+15, NULL, NULL, r12vrr_stack+1375);

 /*--- compute (d0|h0)^4 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+8172, r12vrr_stack+1411, r12vrr_stack+105, r12vrr_stack+3009, r12vrr_stack+1390, r12vrr_stack+8956);

 /*--- compute (f0|h0)^3 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+8466, r12vrr_stack+6212, r12vrr_stack+8172, r12vrr_stack+3030, r12vrr_stack+1411, r12vrr_stack+4696);

 /*--- compute (g0|h0)^2 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+5432, r12vrr_stack+6338, r12vrr_stack+8466, r12vrr_stack+3093, r12vrr_stack+6212, r12vrr_stack+4912);

 /*--- compute (h0|h0)^1 ---*/
 am[0] = 5;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+9961, r12vrr_stack+6548, r12vrr_stack+5432, r12vrr_stack+3219, r12vrr_stack+6338, r12vrr_stack+9001);

 /*--- compute (i0|h0)^0 ---*/
 am[0] = 6;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+10402, r12vrr_stack+6863, r12vrr_stack+9961, r12vrr_stack+3429, r12vrr_stack+6548, r12vrr_stack+9226);

 /*--- compute (00|i0)^5 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+9961, r12vrr_stack+1390, r12vrr_stack+15, r12vrr_stack+1273, r12vrr_stack+1375, NULL);

 /*--- compute (p0|i0)^4 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+9989, r12vrr_stack+2463, r12vrr_stack+9961, NULL, NULL, r12vrr_stack+1390);

 /*--- compute (d0|i0)^3 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+10073, r12vrr_stack+2491, r12vrr_stack+9989, r12vrr_stack+2274, r12vrr_stack+2463, r12vrr_stack+1411);

 /*--- compute (f0|i0)^2 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+5432, r12vrr_stack+7304, r12vrr_stack+10073, r12vrr_stack+3996, r12vrr_stack+2491, r12vrr_stack+6212);

 /*--- compute (g0|i0)^1 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+3009, r12vrr_stack+7472, r12vrr_stack+5432, r12vrr_stack+4080, r12vrr_stack+7304, r12vrr_stack+6338);

 /*--- compute (h0|i0)^0 ---*/
 am[0] = 5;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+10990, r12vrr_stack+7752, r12vrr_stack+3009, r12vrr_stack+4416, r12vrr_stack+7472, r12vrr_stack+6548);

 /*--- compute (00||p0)^0 ---*/
 _R_BUILD_00p0(Data,r12vrr_stack+3009, &(Data->ss_r12_ss), NULL, r12vrr_stack+78, Data->F+0, NULL, NULL);

 /*--- compute (00||d0)^0 ---*/
 _R_BUILD_00d0(Data,r12vrr_stack+3012, r12vrr_stack+3009, &(Data->ss_r12_ss), r12vrr_stack+81, r12vrr_stack+78, Data->F+0, NULL);

 /*--- compute (00||f0)^0 ---*/
 _R_BUILD_00f0(Data,r12vrr_stack+3018, r12vrr_stack+3012, r12vrr_stack+3009, r12vrr_stack+684, r12vrr_stack+81, r12vrr_stack+78, NULL);

 /*--- compute (p0||f0)^0 ---*/
 _R_BUILD_p0f0(Data,r12vrr_stack+3028, r12vrr_stack+3018, NULL, r12vrr_stack+694, r12vrr_stack+684, NULL, r12vrr_stack+81);

 /*--- compute (d0||f0)^0 ---*/
 _R_BUILD_d0f0(Data,r12vrr_stack+3058, r12vrr_stack+3028, r12vrr_stack+3018, r12vrr_stack+724, r12vrr_stack+694, r12vrr_stack+684, r12vrr_stack+87);

 /*--- compute (f0||f0)^0 ---*/
 _R_BUILD_f0f0(Data,r12vrr_stack+3118, r12vrr_stack+3058, r12vrr_stack+3028, r12vrr_stack+974, r12vrr_stack+724, r12vrr_stack+694, r12vrr_stack+168);
 tmp = r12vrr_stack + 3118;
 target_ptr = Libr12->rvrr_classes[3][3];
 for(i=0;i<100;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0||f0)^0 ---*/
 _R_BUILD_g0f0(Data,r12vrr_stack+1359, r12vrr_stack+3118, r12vrr_stack+3058, r12vrr_stack+1074, r12vrr_stack+974, r12vrr_stack+724, r12vrr_stack+204);
 tmp = r12vrr_stack + 1359;
 target_ptr = Libr12->rvrr_classes[4][3];
 for(i=0;i<150;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||g0)^0 ---*/
 _R_BUILD_00g0(Data,r12vrr_stack+3028, r12vrr_stack+3018, r12vrr_stack+3012, r12vrr_stack+1299, r12vrr_stack+684, r12vrr_stack+81, NULL);

 /*--- compute (p0||g0)^0 ---*/
 _R_BUILD_p0g0(Data,r12vrr_stack+3043, r12vrr_stack+3028, NULL, r12vrr_stack+1314, r12vrr_stack+1299, NULL, r12vrr_stack+684);

 /*--- compute (d0||g0)^0 ---*/
 _R_BUILD_d0g0(Data,r12vrr_stack+4696, r12vrr_stack+3043, r12vrr_stack+3028, r12vrr_stack+1509, r12vrr_stack+1314, r12vrr_stack+1299, r12vrr_stack+694);

 /*--- compute (f0||g0)^0 ---*/
 _R_BUILD_f0g0(Data,r12vrr_stack+534, r12vrr_stack+4696, r12vrr_stack+3043, r12vrr_stack+1599, r12vrr_stack+1509, r12vrr_stack+1314, r12vrr_stack+724);
 tmp = r12vrr_stack + 534;
 target_ptr = Libr12->rvrr_classes[3][4];
 for(i=0;i<150;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0||g0)^0 ---*/
 _R_BUILD_g0g0(Data,r12vrr_stack+7304, r12vrr_stack+534, r12vrr_stack+4696, r12vrr_stack+2049, r12vrr_stack+1599, r12vrr_stack+1509, r12vrr_stack+974);
 tmp = r12vrr_stack + 7304;
 target_ptr = Libr12->rvrr_classes[4][4];
 for(i=0;i<225;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||h0)^0 ---*/
 _R_BUILD_00h0(Data,r12vrr_stack+4696, r12vrr_stack+3028, r12vrr_stack+3018, r12vrr_stack+2379, r12vrr_stack+1299, r12vrr_stack+684, NULL);

 /*--- compute (p0||h0)^0 ---*/
 _R_BUILD_p0h0(Data,r12vrr_stack+4717, r12vrr_stack+4696, NULL, r12vrr_stack+2400, r12vrr_stack+2379, NULL, r12vrr_stack+1299);

 /*--- compute (d0||h0)^0 ---*/
 _R_BUILD_d0h0(Data,r12vrr_stack+8172, r12vrr_stack+4717, r12vrr_stack+4696, r12vrr_stack+2673, r12vrr_stack+2400, r12vrr_stack+2379, r12vrr_stack+1314);

 /*--- compute (f0||h0)^0 ---*/
 _R_BUILD_f0h0(Data,r12vrr_stack+2463, r12vrr_stack+8172, r12vrr_stack+4717, r12vrr_stack+2799, r12vrr_stack+2673, r12vrr_stack+2400, r12vrr_stack+1509);
 tmp = r12vrr_stack + 2463;
 target_ptr = Libr12->rvrr_classes[3][5];
 for(i=0;i<210;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0||h0)^0 ---*/
 _R_BUILD_g0h0(Data,r12vrr_stack+5432, r12vrr_stack+2463, r12vrr_stack+8172, r12vrr_stack+3429, r12vrr_stack+2799, r12vrr_stack+2673, r12vrr_stack+1599);
 tmp = r12vrr_stack + 5432;
 target_ptr = Libr12->rvrr_classes[4][5];
 for(i=0;i<315;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T2]|f0)^0 ---*/
 _T2_BUILD_f0f0(Data,&(Libr12->ShellQuartet),r12vrr_stack+8172, r12vrr_stack+974, r12vrr_stack+1599, r12vrr_stack+1074, r12vrr_stack+444, r12vrr_stack+204);
 tmp = r12vrr_stack + 8172;
 target_ptr = Libr12->t2vrr_classes[3][3];
 for(i=0;i<100;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T2]|g0)^0 ---*/
 _T2_BUILD_f0g0(Data,&(Libr12->ShellQuartet),r12vrr_stack+5747, r12vrr_stack+1599, r12vrr_stack+2799, r12vrr_stack+2049, r12vrr_stack+1074, r12vrr_stack+974);
 tmp = r12vrr_stack + 5747;
 target_ptr = Libr12->t2vrr_classes[3][4];
 for(i=0;i<150;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T2]|h0)^0 ---*/
 _T2_BUILD_f0h0(Data,&(Libr12->ShellQuartet),r12vrr_stack+8466, r12vrr_stack+2799, r12vrr_stack+4416, r12vrr_stack+3429, r12vrr_stack+2049, r12vrr_stack+1599);
 tmp = r12vrr_stack + 8466;
 target_ptr = Libr12->t2vrr_classes[3][5];
 for(i=0;i<210;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T2]|f0)^0 ---*/
 _T2_BUILD_g0f0(Data,&(Libr12->ShellQuartet),r12vrr_stack+3218, r12vrr_stack+1074, r12vrr_stack+2049, r12vrr_stack+5222, r12vrr_stack+4786, r12vrr_stack+444);
 tmp = r12vrr_stack + 3218;
 target_ptr = Libr12->t2vrr_classes[4][3];
 for(i=0;i<150;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T2]|g0)^0 ---*/
 _T2_BUILD_g0g0(Data,&(Libr12->ShellQuartet),r12vrr_stack+6212, r12vrr_stack+2049, r12vrr_stack+3429, r12vrr_stack+5897, r12vrr_stack+5222, r12vrr_stack+1074);
 tmp = r12vrr_stack + 6212;
 target_ptr = Libr12->t2vrr_classes[4][4];
 for(i=0;i<225;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T2]|h0)^0 ---*/
 _T2_BUILD_g0h0(Data,&(Libr12->ShellQuartet),r12vrr_stack+6437, r12vrr_stack+3429, r12vrr_stack+7752, r12vrr_stack+6863, r12vrr_stack+5897, r12vrr_stack+2049);
 tmp = r12vrr_stack + 6437;
 target_ptr = Libr12->t2vrr_classes[4][5];
 for(i=0;i<315;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T2]|f0)^0 ---*/
 _T2_BUILD_h0f0(Data,&(Libr12->ShellQuartet),r12vrr_stack+7529, r12vrr_stack+5222, r12vrr_stack+5897, r12vrr_stack+8676, r12vrr_stack+8298, r12vrr_stack+4786);
 tmp = r12vrr_stack + 7529;
 target_ptr = Libr12->t2vrr_classes[5][3];
 for(i=0;i<210;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T2]|g0)^0 ---*/
 _T2_BUILD_h0g0(Data,&(Libr12->ShellQuartet),r12vrr_stack+4696, r12vrr_stack+5897, r12vrr_stack+6863, r12vrr_stack+9541, r12vrr_stack+8676, r12vrr_stack+5222);
 tmp = r12vrr_stack + 4696;
 target_ptr = Libr12->t2vrr_classes[5][4];
 for(i=0;i<315;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T2]|h0)^0 ---*/
 _T2_BUILD_h0h0(Data,&(Libr12->ShellQuartet),r12vrr_stack+9961, r12vrr_stack+6863, r12vrr_stack+10990, r12vrr_stack+10402, r12vrr_stack+9541, r12vrr_stack+5897);
 tmp = r12vrr_stack + 9961;
 target_ptr = Libr12->t2vrr_classes[5][5];
 for(i=0;i<441;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T1]|f0)^0 ---*/
 _T1_BUILD_f0f0(Data,&(Libr12->ShellQuartet),r12vrr_stack+8272, r12vrr_stack+974, r12vrr_stack+1074, r12vrr_stack+1599, r12vrr_stack+1509, r12vrr_stack+724);
 tmp = r12vrr_stack + 8272;
 target_ptr = Libr12->t1vrr_classes[3][3];
 for(i=0;i<100;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T1]|g0)^0 ---*/
 _T1_BUILD_f0g0(Data,&(Libr12->ShellQuartet),r12vrr_stack+5011, r12vrr_stack+1599, r12vrr_stack+2049, r12vrr_stack+2799, r12vrr_stack+2673, r12vrr_stack+1509);
 tmp = r12vrr_stack + 5011;
 target_ptr = Libr12->t1vrr_classes[3][4];
 for(i=0;i<150;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T1]|h0)^0 ---*/
 _T1_BUILD_f0h0(Data,&(Libr12->ShellQuartet),r12vrr_stack+684, r12vrr_stack+2799, r12vrr_stack+3429, r12vrr_stack+4416, r12vrr_stack+4248, r12vrr_stack+2673);
 tmp = r12vrr_stack + 684;
 target_ptr = Libr12->t1vrr_classes[3][5];
 for(i=0;i<210;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T1]|f0)^0 ---*/
 _T1_BUILD_g0f0(Data,&(Libr12->ShellQuartet),r12vrr_stack+2274, r12vrr_stack+1074, r12vrr_stack+5222, r12vrr_stack+2049, r12vrr_stack+1599, r12vrr_stack+974);
 tmp = r12vrr_stack + 2274;
 target_ptr = Libr12->t1vrr_classes[4][3];
 for(i=0;i<150;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T1]|g0)^0 ---*/
 _T1_BUILD_g0g0(Data,&(Libr12->ShellQuartet),r12vrr_stack+8956, r12vrr_stack+2049, r12vrr_stack+5897, r12vrr_stack+3429, r12vrr_stack+2799, r12vrr_stack+1599);
 tmp = r12vrr_stack + 8956;
 target_ptr = Libr12->t1vrr_classes[4][4];
 for(i=0;i<225;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T1]|h0)^0 ---*/
 _T1_BUILD_g0h0(Data,&(Libr12->ShellQuartet),r12vrr_stack+9181, r12vrr_stack+3429, r12vrr_stack+6863, r12vrr_stack+7752, r12vrr_stack+4416, r12vrr_stack+2799);
 tmp = r12vrr_stack + 9181;
 target_ptr = Libr12->t1vrr_classes[4][5];
 for(i=0;i<315;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T1]|f0)^0 ---*/
 _T1_BUILD_h0f0(Data,&(Libr12->ShellQuartet),r12vrr_stack+0, r12vrr_stack+5222, r12vrr_stack+8676, r12vrr_stack+5897, r12vrr_stack+2049, r12vrr_stack+1074);
 tmp = r12vrr_stack + 0;
 target_ptr = Libr12->t1vrr_classes[5][3];
 for(i=0;i<210;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T1]|g0)^0 ---*/
 _T1_BUILD_h0g0(Data,&(Libr12->ShellQuartet),r12vrr_stack+3744, r12vrr_stack+5897, r12vrr_stack+9541, r12vrr_stack+6863, r12vrr_stack+3429, r12vrr_stack+2049);
 tmp = r12vrr_stack + 3744;
 target_ptr = Libr12->t1vrr_classes[5][4];
 for(i=0;i<315;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T1]|h0)^0 ---*/
 _T1_BUILD_h0h0(Data,&(Libr12->ShellQuartet),r12vrr_stack+9496, r12vrr_stack+6863, r12vrr_stack+10402, r12vrr_stack+10990, r12vrr_stack+7752, r12vrr_stack+3429);
 tmp = r12vrr_stack + 9496;
 target_ptr = Libr12->t1vrr_classes[5][5];
 for(i=0;i<441;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0||f0)^0 ---*/
 _R_BUILD_h0f0(Data,r12vrr_stack+10402, r12vrr_stack+1359, r12vrr_stack+3118, r12vrr_stack+5222, r12vrr_stack+1074, r12vrr_stack+974, r12vrr_stack+444);
 tmp = r12vrr_stack + 10402;
 target_ptr = Libr12->rvrr_classes[5][3];
 for(i=0;i<210;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0||g0)^0 ---*/
 _R_BUILD_h0g0(Data,r12vrr_stack+10612, r12vrr_stack+7304, r12vrr_stack+534, r12vrr_stack+5897, r12vrr_stack+2049, r12vrr_stack+1599, r12vrr_stack+1074);
 tmp = r12vrr_stack + 10612;
 target_ptr = Libr12->rvrr_classes[5][4];
 for(i=0;i<315;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0||h0)^0 ---*/
 _R_BUILD_h0h0(Data,r12vrr_stack+10927, r12vrr_stack+5432, r12vrr_stack+2463, r12vrr_stack+6863, r12vrr_stack+3429, r12vrr_stack+2799, r12vrr_stack+2049);
 tmp = r12vrr_stack + 10927;
 target_ptr = Libr12->rvrr_classes[5][5];
 for(i=0;i<441;i++)
   target_ptr[i] += tmp[i];


}

