#include <stdio.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/vrr_header.h>
#include "r12_vrr_header.h"

void vrr_grt_order_g0dd(Libr12_t *Libr12, prim_data *Data)
{
 REALTYPE *r12vrr_stack = Libr12->r12vrr_stack;
 REALTYPE *tmp, *target_ptr;
 int i, am[2];

 /*--- compute (p0|00)^2 ---*/
 _BUILD_p000(Data,r12vrr_stack+0, Data->F+2, Data->F+3, NULL, NULL, NULL);

 /*--- compute (p0|00)^1 ---*/
 _BUILD_p000(Data,r12vrr_stack+3, Data->F+1, Data->F+2, NULL, NULL, NULL);

 /*--- compute (p0|00)^3 ---*/
 _BUILD_p000(Data,r12vrr_stack+6, Data->F+3, Data->F+4, NULL, NULL, NULL);

 /*--- compute (d0|00)^2 ---*/
 _BUILD_d000(Data,r12vrr_stack+9, r12vrr_stack+0, r12vrr_stack+6, Data->F+2, Data->F+3, NULL);

 /*--- compute (d0|00)^1 ---*/
 _BUILD_d000(Data,r12vrr_stack+15, r12vrr_stack+3, r12vrr_stack+0, Data->F+1, Data->F+2, NULL);

 /*--- compute (f0|00)^1 ---*/
 _BUILD_f000(Data,r12vrr_stack+21, r12vrr_stack+15, r12vrr_stack+9, r12vrr_stack+3, r12vrr_stack+0, NULL);

 /*--- compute (00|p0)^2 ---*/
 _BUILD_00p0(Data,r12vrr_stack+31, Data->F+2, Data->F+3, NULL, NULL, NULL);

 /*--- compute (00|p0)^1 ---*/
 _BUILD_00p0(Data,r12vrr_stack+34, Data->F+1, Data->F+2, NULL, NULL, NULL);

 /*--- compute (00|p0)^3 ---*/
 _BUILD_00p0(Data,r12vrr_stack+37, Data->F+3, Data->F+4, NULL, NULL, NULL);

 /*--- compute (p0|p0)^2 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+40, r12vrr_stack+31, r12vrr_stack+37, NULL, NULL, Data->F+3);

 /*--- compute (p0|p0)^1 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+49, r12vrr_stack+34, r12vrr_stack+31, NULL, NULL, Data->F+2);

 /*--- compute (d0|p0)^1 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+58, r12vrr_stack+49, r12vrr_stack+40, r12vrr_stack+34, r12vrr_stack+31, r12vrr_stack+0);

 /*--- compute (00|p0)^0 ---*/
 _BUILD_00p0(Data,r12vrr_stack+76, Data->F+0, Data->F+1, NULL, NULL, NULL);

 /*--- compute (p0|p0)^0 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+79, r12vrr_stack+76, r12vrr_stack+34, NULL, NULL, Data->F+1);

 /*--- compute (d0|p0)^0 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+88, r12vrr_stack+79, r12vrr_stack+49, r12vrr_stack+76, r12vrr_stack+34, r12vrr_stack+3);

 /*--- compute (00|p0)^4 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3, Data->F+4, Data->F+5, NULL, NULL, NULL);

 /*--- compute (p0|p0)^3 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+106, r12vrr_stack+37, r12vrr_stack+3, NULL, NULL, Data->F+4);

 /*--- compute (d0|p0)^2 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+115, r12vrr_stack+40, r12vrr_stack+106, r12vrr_stack+31, r12vrr_stack+37, r12vrr_stack+6);

 /*--- compute (f0|p0)^1 ---*/
 _BUILD_f0p0(Data,r12vrr_stack+133, r12vrr_stack+58, r12vrr_stack+115, r12vrr_stack+49, r12vrr_stack+40, r12vrr_stack+9);

 /*--- compute (f0|p0)^0 ---*/
 _BUILD_f0p0(Data,r12vrr_stack+163, r12vrr_stack+88, r12vrr_stack+58, r12vrr_stack+79, r12vrr_stack+49, r12vrr_stack+15);

 /*--- compute (g0|p0)^0 ---*/
 _BUILD_g0p0(Data,r12vrr_stack+193, r12vrr_stack+163, r12vrr_stack+133, r12vrr_stack+88, r12vrr_stack+58, r12vrr_stack+21);

 /*--- compute (p0|00)^4 ---*/
 _BUILD_p000(Data,r12vrr_stack+238, Data->F+4, Data->F+5, NULL, NULL, NULL);

 /*--- compute (d0|00)^3 ---*/
 _BUILD_d000(Data,r12vrr_stack+241, r12vrr_stack+6, r12vrr_stack+238, Data->F+3, Data->F+4, NULL);

 /*--- compute (f0|00)^2 ---*/
 _BUILD_f000(Data,r12vrr_stack+247, r12vrr_stack+9, r12vrr_stack+241, r12vrr_stack+0, r12vrr_stack+6, NULL);

 /*--- compute (g0|00)^1 ---*/
 _BUILD_g000(Data,r12vrr_stack+257, r12vrr_stack+21, r12vrr_stack+247, r12vrr_stack+15, r12vrr_stack+9, NULL);

 /*--- compute (00|p0)^5 ---*/
 _BUILD_00p0(Data,r12vrr_stack+0, Data->F+5, Data->F+6, NULL, NULL, NULL);

 /*--- compute (p0|p0)^4 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+6, r12vrr_stack+3, r12vrr_stack+0, NULL, NULL, Data->F+5);

 /*--- compute (d0|p0)^3 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+272, r12vrr_stack+106, r12vrr_stack+6, r12vrr_stack+37, r12vrr_stack+3, r12vrr_stack+238);

 /*--- compute (f0|p0)^2 ---*/
 _BUILD_f0p0(Data,r12vrr_stack+290, r12vrr_stack+115, r12vrr_stack+272, r12vrr_stack+40, r12vrr_stack+106, r12vrr_stack+241);

 /*--- compute (g0|p0)^1 ---*/
 _BUILD_g0p0(Data,r12vrr_stack+320, r12vrr_stack+133, r12vrr_stack+290, r12vrr_stack+58, r12vrr_stack+115, r12vrr_stack+247);

 /*--- compute (h0|p0)^0 ---*/
 am[0] = 5;  am[1] = 1;
 vrr_build_xxxx(am,Data,r12vrr_stack+365, r12vrr_stack+193, r12vrr_stack+320, r12vrr_stack+163, r12vrr_stack+133, r12vrr_stack+257);

 /*--- compute (00|d0)^3 ---*/
 _BUILD_00d0(Data,r12vrr_stack+238, r12vrr_stack+37, r12vrr_stack+3, Data->F+3, Data->F+4, NULL);

 /*--- compute (00|d0)^2 ---*/
 _BUILD_00d0(Data,r12vrr_stack+244, r12vrr_stack+31, r12vrr_stack+37, Data->F+2, Data->F+3, NULL);

 /*--- compute (p0|d0)^2 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+250, r12vrr_stack+244, r12vrr_stack+238, NULL, NULL, r12vrr_stack+37);

 /*--- compute (00|d0)^1 ---*/
 _BUILD_00d0(Data,r12vrr_stack+15, r12vrr_stack+34, r12vrr_stack+31, Data->F+1, Data->F+2, NULL);

 /*--- compute (p0|d0)^1 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+428, r12vrr_stack+15, r12vrr_stack+244, NULL, NULL, r12vrr_stack+31);

 /*--- compute (00|d0)^4 ---*/
 _BUILD_00d0(Data,r12vrr_stack+21, r12vrr_stack+3, r12vrr_stack+0, Data->F+4, Data->F+5, NULL);

 /*--- compute (p0|d0)^3 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+446, r12vrr_stack+238, r12vrr_stack+21, NULL, NULL, r12vrr_stack+3);

 /*--- compute (d0|d0)^2 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+464, r12vrr_stack+250, r12vrr_stack+446, r12vrr_stack+244, r12vrr_stack+238, r12vrr_stack+106);

 /*--- compute (d0|d0)^1 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+500, r12vrr_stack+428, r12vrr_stack+250, r12vrr_stack+15, r12vrr_stack+244, r12vrr_stack+40);

 /*--- compute (f0|d0)^1 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+536, r12vrr_stack+500, r12vrr_stack+464, r12vrr_stack+428, r12vrr_stack+250, r12vrr_stack+115);

 /*--- compute (00|d0)^0 ---*/
 _BUILD_00d0(Data,r12vrr_stack+40, r12vrr_stack+76, r12vrr_stack+34, Data->F+0, Data->F+1, NULL);

 /*--- compute (p0|d0)^0 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+106, r12vrr_stack+40, r12vrr_stack+15, NULL, NULL, r12vrr_stack+34);

 /*--- compute (d0|d0)^0 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+596, r12vrr_stack+106, r12vrr_stack+428, r12vrr_stack+40, r12vrr_stack+15, r12vrr_stack+49);

 /*--- compute (f0|d0)^0 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+632, r12vrr_stack+596, r12vrr_stack+500, r12vrr_stack+106, r12vrr_stack+428, r12vrr_stack+58);

 /*--- compute (00|p0)^6 ---*/
 _BUILD_00p0(Data,r12vrr_stack+46, Data->F+6, Data->F+7, NULL, NULL, NULL);

 /*--- compute (00|d0)^5 ---*/
 _BUILD_00d0(Data,r12vrr_stack+49, r12vrr_stack+0, r12vrr_stack+46, Data->F+5, Data->F+6, NULL);

 /*--- compute (p0|d0)^4 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+55, r12vrr_stack+21, r12vrr_stack+49, NULL, NULL, r12vrr_stack+0);

 /*--- compute (d0|d0)^3 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+692, r12vrr_stack+446, r12vrr_stack+55, r12vrr_stack+238, r12vrr_stack+21, r12vrr_stack+6);

 /*--- compute (f0|d0)^2 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+728, r12vrr_stack+464, r12vrr_stack+692, r12vrr_stack+250, r12vrr_stack+446, r12vrr_stack+272);

 /*--- compute (g0|d0)^1 ---*/
 _BUILD_g0d0(Data,r12vrr_stack+788, r12vrr_stack+536, r12vrr_stack+728, r12vrr_stack+500, r12vrr_stack+464, r12vrr_stack+290);

 /*--- compute (g0|d0)^0 ---*/
 _BUILD_g0d0(Data,r12vrr_stack+878, r12vrr_stack+632, r12vrr_stack+536, r12vrr_stack+596, r12vrr_stack+500, r12vrr_stack+133);
 tmp = r12vrr_stack + 878;
 target_ptr = Libr12->gvrr_classes[4][2];
 for(i=0;i<90;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|d0)^0 ---*/
 am[0] = 5;  am[1] = 2;
 vrr_build_xxxx(am,Data,r12vrr_stack+968, r12vrr_stack+878, r12vrr_stack+788, r12vrr_stack+632, r12vrr_stack+536, r12vrr_stack+320);
 tmp = r12vrr_stack + 968;
 target_ptr = Libr12->gvrr_classes[5][2];
 for(i=0;i<126;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|f0)^2 ---*/
 _BUILD_00f0(Data,r12vrr_stack+124, r12vrr_stack+244, r12vrr_stack+238, r12vrr_stack+31, r12vrr_stack+37, NULL);

 /*--- compute (00|f0)^1 ---*/
 _BUILD_00f0(Data,r12vrr_stack+134, r12vrr_stack+15, r12vrr_stack+244, r12vrr_stack+34, r12vrr_stack+31, NULL);

 /*--- compute (00|f0)^3 ---*/
 _BUILD_00f0(Data,r12vrr_stack+144, r12vrr_stack+238, r12vrr_stack+21, r12vrr_stack+37, r12vrr_stack+3, NULL);

 /*--- compute (p0|f0)^2 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+268, r12vrr_stack+124, r12vrr_stack+144, NULL, NULL, r12vrr_stack+238);

 /*--- compute (p0|f0)^1 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+298, r12vrr_stack+134, r12vrr_stack+124, NULL, NULL, r12vrr_stack+244);

 /*--- compute (d0|f0)^1 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+1094, r12vrr_stack+298, r12vrr_stack+268, r12vrr_stack+134, r12vrr_stack+124, r12vrr_stack+250);

 /*--- compute (00|f0)^0 ---*/
 _BUILD_00f0(Data,r12vrr_stack+250, r12vrr_stack+40, r12vrr_stack+15, r12vrr_stack+76, r12vrr_stack+34, NULL);

 /*--- compute (p0|f0)^0 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+328, r12vrr_stack+250, r12vrr_stack+134, NULL, NULL, r12vrr_stack+15);

 /*--- compute (d0|f0)^0 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+1154, r12vrr_stack+328, r12vrr_stack+298, r12vrr_stack+250, r12vrr_stack+134, r12vrr_stack+428);

 /*--- compute (00|f0)^4 ---*/
 _BUILD_00f0(Data,r12vrr_stack+428, r12vrr_stack+21, r12vrr_stack+49, r12vrr_stack+3, r12vrr_stack+0, NULL);

 /*--- compute (p0|f0)^3 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+1214, r12vrr_stack+144, r12vrr_stack+428, NULL, NULL, r12vrr_stack+21);

 /*--- compute (d0|f0)^2 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+1244, r12vrr_stack+268, r12vrr_stack+1214, r12vrr_stack+124, r12vrr_stack+144, r12vrr_stack+446);

 /*--- compute (f0|f0)^1 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+1304, r12vrr_stack+1094, r12vrr_stack+1244, r12vrr_stack+298, r12vrr_stack+268, r12vrr_stack+464);

 /*--- compute (f0|f0)^0 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+1404, r12vrr_stack+1154, r12vrr_stack+1094, r12vrr_stack+328, r12vrr_stack+298, r12vrr_stack+500);

 /*--- compute (g0|f0)^0 ---*/
 _BUILD_g0f0(Data,r12vrr_stack+1504, r12vrr_stack+1404, r12vrr_stack+1304, r12vrr_stack+1154, r12vrr_stack+1094, r12vrr_stack+536);
 tmp = r12vrr_stack + 1504;
 target_ptr = Libr12->gvrr_classes[4][3];
 for(i=0;i<150;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^7 ---*/
 _BUILD_00p0(Data,r12vrr_stack+73, Data->F+7, Data->F+8, NULL, NULL, NULL);

 /*--- compute (00|d0)^6 ---*/
 _BUILD_00d0(Data,r12vrr_stack+3, r12vrr_stack+46, r12vrr_stack+73, Data->F+6, Data->F+7, NULL);

 /*--- compute (00|f0)^5 ---*/
 _BUILD_00f0(Data,r12vrr_stack+438, r12vrr_stack+49, r12vrr_stack+3, r12vrr_stack+0, r12vrr_stack+46, NULL);

 /*--- compute (p0|f0)^4 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+448, r12vrr_stack+428, r12vrr_stack+438, NULL, NULL, r12vrr_stack+49);

 /*--- compute (d0|f0)^3 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+478, r12vrr_stack+1214, r12vrr_stack+448, r12vrr_stack+144, r12vrr_stack+428, r12vrr_stack+55);

 /*--- compute (f0|f0)^2 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+1654, r12vrr_stack+1244, r12vrr_stack+478, r12vrr_stack+268, r12vrr_stack+1214, r12vrr_stack+692);

 /*--- compute (g0|f0)^1 ---*/
 _BUILD_g0f0(Data,r12vrr_stack+1754, r12vrr_stack+1304, r12vrr_stack+1654, r12vrr_stack+1094, r12vrr_stack+1244, r12vrr_stack+728);

 /*--- compute (h0|f0)^0 ---*/
 am[0] = 5;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+1904, r12vrr_stack+1504, r12vrr_stack+1754, r12vrr_stack+1404, r12vrr_stack+1304, r12vrr_stack+788);
 tmp = r12vrr_stack + 1904;
 target_ptr = Libr12->gvrr_classes[5][3];
 for(i=0;i<210;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|g0)^2 ---*/
 _BUILD_00g0(Data,r12vrr_stack+692, r12vrr_stack+124, r12vrr_stack+144, r12vrr_stack+244, r12vrr_stack+238, NULL);

 /*--- compute (00|g0)^1 ---*/
 _BUILD_00g0(Data,r12vrr_stack+707, r12vrr_stack+134, r12vrr_stack+124, r12vrr_stack+15, r12vrr_stack+244, NULL);

 /*--- compute (00|g0)^3 ---*/
 _BUILD_00g0(Data,r12vrr_stack+722, r12vrr_stack+144, r12vrr_stack+428, r12vrr_stack+238, r12vrr_stack+21, NULL);

 /*--- compute (p0|g0)^2 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+737, r12vrr_stack+692, r12vrr_stack+722, NULL, NULL, r12vrr_stack+144);

 /*--- compute (p0|g0)^1 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+782, r12vrr_stack+707, r12vrr_stack+692, NULL, NULL, r12vrr_stack+124);

 /*--- compute (d0|g0)^1 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+2114, r12vrr_stack+782, r12vrr_stack+737, r12vrr_stack+707, r12vrr_stack+692, r12vrr_stack+268);

 /*--- compute (00|g0)^0 ---*/
 _BUILD_00g0(Data,r12vrr_stack+827, r12vrr_stack+250, r12vrr_stack+134, r12vrr_stack+40, r12vrr_stack+15, NULL);

 /*--- compute (p0|g0)^0 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+538, r12vrr_stack+827, r12vrr_stack+707, NULL, NULL, r12vrr_stack+134);

 /*--- compute (d0|g0)^0 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+2204, r12vrr_stack+538, r12vrr_stack+782, r12vrr_stack+827, r12vrr_stack+707, r12vrr_stack+298);

 /*--- compute (00|g0)^4 ---*/
 _BUILD_00g0(Data,r12vrr_stack+842, r12vrr_stack+428, r12vrr_stack+438, r12vrr_stack+21, r12vrr_stack+49, NULL);

 /*--- compute (p0|g0)^3 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+260, r12vrr_stack+722, r12vrr_stack+842, NULL, NULL, r12vrr_stack+428);

 /*--- compute (d0|g0)^2 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+2294, r12vrr_stack+737, r12vrr_stack+260, r12vrr_stack+692, r12vrr_stack+722, r12vrr_stack+1214);

 /*--- compute (f0|g0)^1 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+2384, r12vrr_stack+2114, r12vrr_stack+2294, r12vrr_stack+782, r12vrr_stack+737, r12vrr_stack+1244);

 /*--- compute (f0|g0)^0 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+2534, r12vrr_stack+2204, r12vrr_stack+2114, r12vrr_stack+538, r12vrr_stack+782, r12vrr_stack+1094);

 /*--- compute (g0|g0)^0 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+2684, r12vrr_stack+2534, r12vrr_stack+2384, r12vrr_stack+2204, r12vrr_stack+2114, r12vrr_stack+1304);
 tmp = r12vrr_stack + 2684;
 target_ptr = Libr12->gvrr_classes[4][4];
 for(i=0;i<225;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^8 ---*/
 _BUILD_00p0(Data,r12vrr_stack+0, Data->F+8, Data->F+9, NULL, NULL, NULL);

 /*--- compute (00|d0)^7 ---*/
 _BUILD_00d0(Data,r12vrr_stack+1094, r12vrr_stack+73, r12vrr_stack+0, Data->F+7, Data->F+8, NULL);

 /*--- compute (00|f0)^6 ---*/
 _BUILD_00f0(Data,r12vrr_stack+1100, r12vrr_stack+3, r12vrr_stack+1094, r12vrr_stack+46, r12vrr_stack+73, NULL);

 /*--- compute (00|g0)^5 ---*/
 _BUILD_00g0(Data,r12vrr_stack+1110, r12vrr_stack+438, r12vrr_stack+1100, r12vrr_stack+49, r12vrr_stack+3, NULL);

 /*--- compute (p0|g0)^4 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+1214, r12vrr_stack+842, r12vrr_stack+1110, NULL, NULL, r12vrr_stack+438);

 /*--- compute (d0|g0)^3 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+1259, r12vrr_stack+260, r12vrr_stack+1214, r12vrr_stack+722, r12vrr_stack+842, r12vrr_stack+448);

 /*--- compute (f0|g0)^2 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+2909, r12vrr_stack+2294, r12vrr_stack+1259, r12vrr_stack+737, r12vrr_stack+260, r12vrr_stack+478);

 /*--- compute (g0|g0)^1 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+3059, r12vrr_stack+2384, r12vrr_stack+2909, r12vrr_stack+2114, r12vrr_stack+2294, r12vrr_stack+1654);

 /*--- compute (h0|g0)^0 ---*/
 am[0] = 5;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+3284, r12vrr_stack+2684, r12vrr_stack+3059, r12vrr_stack+2534, r12vrr_stack+2384, r12vrr_stack+1754);

 /*--- compute (00|h0)^2 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+857, r12vrr_stack+692, r12vrr_stack+722, r12vrr_stack+124, r12vrr_stack+144, NULL);

 /*--- compute (00|h0)^1 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1654, r12vrr_stack+707, r12vrr_stack+692, r12vrr_stack+134, r12vrr_stack+124, NULL);

 /*--- compute (00|h0)^3 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1675, r12vrr_stack+722, r12vrr_stack+842, r12vrr_stack+144, r12vrr_stack+428, NULL);

 /*--- compute (p0|h0)^2 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1696, r12vrr_stack+857, r12vrr_stack+1675, NULL, NULL, r12vrr_stack+722);

 /*--- compute (p0|h0)^1 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1759, r12vrr_stack+1654, r12vrr_stack+857, NULL, NULL, r12vrr_stack+692);

 /*--- compute (d0|h0)^1 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2909, r12vrr_stack+1759, r12vrr_stack+1696, r12vrr_stack+1654, r12vrr_stack+857, r12vrr_stack+737);

 /*--- compute (00|h0)^0 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+722, r12vrr_stack+827, r12vrr_stack+707, r12vrr_stack+250, r12vrr_stack+134, NULL);

 /*--- compute (p0|h0)^0 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1822, r12vrr_stack+722, r12vrr_stack+1654, NULL, NULL, r12vrr_stack+707);

 /*--- compute (d0|h0)^0 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+3035, r12vrr_stack+1822, r12vrr_stack+1759, r12vrr_stack+722, r12vrr_stack+1654, r12vrr_stack+782);

 /*--- compute (00|h0)^4 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1654, r12vrr_stack+842, r12vrr_stack+1110, r12vrr_stack+428, r12vrr_stack+438, NULL);

 /*--- compute (p0|h0)^3 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+428, r12vrr_stack+1675, r12vrr_stack+1654, NULL, NULL, r12vrr_stack+842);

 /*--- compute (d0|h0)^2 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+692, r12vrr_stack+1696, r12vrr_stack+428, r12vrr_stack+857, r12vrr_stack+1675, r12vrr_stack+260);

 /*--- compute (f0|h0)^1 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+3599, r12vrr_stack+2909, r12vrr_stack+692, r12vrr_stack+1759, r12vrr_stack+1696, r12vrr_stack+2294);

 /*--- compute (f0|h0)^0 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+3809, r12vrr_stack+3035, r12vrr_stack+2909, r12vrr_stack+1822, r12vrr_stack+1759, r12vrr_stack+2114);

 /*--- compute (g0|h0)^0 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+4019, r12vrr_stack+3809, r12vrr_stack+3599, r12vrr_stack+3035, r12vrr_stack+2909, r12vrr_stack+2384);

 /*--- compute (00||p0)^0 ---*/
 _R_BUILD_00p0(Data,r12vrr_stack+2909, &(Data->ss_r12_ss), NULL, r12vrr_stack+76, Data->F+0, NULL, NULL);

 /*--- compute (00||d0)^0 ---*/
 _R_BUILD_00d0(Data,r12vrr_stack+2912, r12vrr_stack+2909, &(Data->ss_r12_ss), r12vrr_stack+40, r12vrr_stack+76, Data->F+0, NULL);

 /*--- compute (p0||d0)^0 ---*/
 _R_BUILD_p0d0(Data,r12vrr_stack+2918, r12vrr_stack+2912, NULL, r12vrr_stack+106, r12vrr_stack+40, NULL, r12vrr_stack+76);

 /*--- compute (d0||d0)^0 ---*/
 _R_BUILD_d0d0(Data,r12vrr_stack+842, r12vrr_stack+2918, r12vrr_stack+2912, r12vrr_stack+596, r12vrr_stack+106, r12vrr_stack+40, r12vrr_stack+79);

 /*--- compute (f0||d0)^0 ---*/
 _R_BUILD_f0d0(Data,r12vrr_stack+1094, r12vrr_stack+842, r12vrr_stack+2918, r12vrr_stack+632, r12vrr_stack+596, r12vrr_stack+106, r12vrr_stack+88);

 /*--- compute (00||f0)^0 ---*/
 _R_BUILD_00f0(Data,r12vrr_stack+2918, r12vrr_stack+2912, r12vrr_stack+2909, r12vrr_stack+250, r12vrr_stack+40, r12vrr_stack+76, NULL);

 /*--- compute (p0||f0)^0 ---*/
 _R_BUILD_p0f0(Data,r12vrr_stack+2928, r12vrr_stack+2918, NULL, r12vrr_stack+328, r12vrr_stack+250, NULL, r12vrr_stack+40);

 /*--- compute (d0||f0)^0 ---*/
 _R_BUILD_d0f0(Data,r12vrr_stack+46, r12vrr_stack+2928, r12vrr_stack+2918, r12vrr_stack+1154, r12vrr_stack+328, r12vrr_stack+250, r12vrr_stack+106);

 /*--- compute (f0||f0)^0 ---*/
 _R_BUILD_f0f0(Data,r12vrr_stack+2958, r12vrr_stack+46, r12vrr_stack+2928, r12vrr_stack+1404, r12vrr_stack+1154, r12vrr_stack+328, r12vrr_stack+596);

 /*--- compute (00||g0)^0 ---*/
 _R_BUILD_00g0(Data,r12vrr_stack+2928, r12vrr_stack+2918, r12vrr_stack+2912, r12vrr_stack+827, r12vrr_stack+250, r12vrr_stack+40, NULL);

 /*--- compute (p0||g0)^0 ---*/
 _R_BUILD_p0g0(Data,r12vrr_stack+106, r12vrr_stack+2928, NULL, r12vrr_stack+538, r12vrr_stack+827, NULL, r12vrr_stack+250);

 /*--- compute (d0||g0)^0 ---*/
 _R_BUILD_d0g0(Data,r12vrr_stack+2114, r12vrr_stack+106, r12vrr_stack+2928, r12vrr_stack+2204, r12vrr_stack+538, r12vrr_stack+827, r12vrr_stack+328);

 /*--- compute (f0||g0)^0 ---*/
 _R_BUILD_f0g0(Data,r12vrr_stack+692, r12vrr_stack+2114, r12vrr_stack+106, r12vrr_stack+2534, r12vrr_stack+2204, r12vrr_stack+538, r12vrr_stack+1154);

 /*--- compute (g0|[r12,T2]|d0)^0 ---*/
 _T2_BUILD_g0d0(Data,&(Libr12->ShellQuartet),r12vrr_stack+3058, r12vrr_stack+878, r12vrr_stack+1504, r12vrr_stack+968, r12vrr_stack+365, r12vrr_stack+193);
 tmp = r12vrr_stack + 3058;
 target_ptr = Libr12->t2vrr_classes[4][2];
 for(i=0;i<90;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T2]|f0)^0 ---*/
 _T2_BUILD_g0f0(Data,&(Libr12->ShellQuartet),r12vrr_stack+193, r12vrr_stack+1504, r12vrr_stack+2684, r12vrr_stack+1904, r12vrr_stack+968, r12vrr_stack+878);
 tmp = r12vrr_stack + 193;
 target_ptr = Libr12->t2vrr_classes[4][3];
 for(i=0;i<150;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T2]|g0)^0 ---*/
 _T2_BUILD_g0g0(Data,&(Libr12->ShellQuartet),r12vrr_stack+343, r12vrr_stack+2684, r12vrr_stack+4019, r12vrr_stack+3284, r12vrr_stack+1904, r12vrr_stack+1504);
 tmp = r12vrr_stack + 343;
 target_ptr = Libr12->t2vrr_classes[4][4];
 for(i=0;i<225;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T1]|d0)^0 ---*/
 _T1_BUILD_g0d0(Data,&(Libr12->ShellQuartet),r12vrr_stack+3148, r12vrr_stack+878, r12vrr_stack+968, r12vrr_stack+1504, r12vrr_stack+1404, r12vrr_stack+632);
 tmp = r12vrr_stack + 3148;
 target_ptr = Libr12->t1vrr_classes[4][2];
 for(i=0;i<90;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T1]|f0)^0 ---*/
 _T1_BUILD_g0f0(Data,&(Libr12->ShellQuartet),r12vrr_stack+3599, r12vrr_stack+1504, r12vrr_stack+1904, r12vrr_stack+2684, r12vrr_stack+2534, r12vrr_stack+1404);
 tmp = r12vrr_stack + 3599;
 target_ptr = Libr12->t1vrr_classes[4][3];
 for(i=0;i<150;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T1]|g0)^0 ---*/
 _T1_BUILD_g0g0(Data,&(Libr12->ShellQuartet),r12vrr_stack+2294, r12vrr_stack+2684, r12vrr_stack+3284, r12vrr_stack+4019, r12vrr_stack+3809, r12vrr_stack+2534);
 tmp = r12vrr_stack + 2294;
 target_ptr = Libr12->t1vrr_classes[4][4];
 for(i=0;i<225;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0||d0)^0 ---*/
 _R_BUILD_g0d0(Data,r12vrr_stack+968, r12vrr_stack+1094, r12vrr_stack+842, r12vrr_stack+878, r12vrr_stack+632, r12vrr_stack+596, r12vrr_stack+163);
 tmp = r12vrr_stack + 968;
 target_ptr = Libr12->rvrr_classes[4][2];
 for(i=0;i<90;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0||f0)^0 ---*/
 _R_BUILD_g0f0(Data,r12vrr_stack+3238, r12vrr_stack+2958, r12vrr_stack+46, r12vrr_stack+1504, r12vrr_stack+1404, r12vrr_stack+1154, r12vrr_stack+632);
 tmp = r12vrr_stack + 3238;
 target_ptr = Libr12->rvrr_classes[4][3];
 for(i=0;i<150;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0||g0)^0 ---*/
 _R_BUILD_g0g0(Data,r12vrr_stack+1504, r12vrr_stack+692, r12vrr_stack+2114, r12vrr_stack+2684, r12vrr_stack+2534, r12vrr_stack+2204, r12vrr_stack+1404);
 tmp = r12vrr_stack + 1504;
 target_ptr = Libr12->rvrr_classes[4][4];
 for(i=0;i<225;i++)
   target_ptr[i] += tmp[i];


}

