#include <stdio.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/vrr_header.h>
#include "r12_vrr_header.h"

void vrr_grt_order_gdff(Libr12_t *Libr12, prim_data *Data)
{
 REALTYPE *r12vrr_stack = Libr12->r12vrr_stack;
 REALTYPE *tmp, *target_ptr;
 int i, am[2];

 /*--- compute (p0|00)^3 ---*/
 _BUILD_p000(Data,r12vrr_stack+0, Data->F+3, Data->F+4, NULL, NULL, NULL);

 /*--- compute (p0|00)^2 ---*/
 _BUILD_p000(Data,r12vrr_stack+3, Data->F+2, Data->F+3, NULL, NULL, NULL);

 /*--- compute (d0|00)^2 ---*/
 _BUILD_d000(Data,r12vrr_stack+6, r12vrr_stack+3, r12vrr_stack+0, Data->F+2, Data->F+3, NULL);

 /*--- compute (00|p0)^3 ---*/
 _BUILD_00p0(Data,r12vrr_stack+12, Data->F+3, Data->F+4, NULL, NULL, NULL);

 /*--- compute (00|p0)^2 ---*/
 _BUILD_00p0(Data,r12vrr_stack+15, Data->F+2, Data->F+3, NULL, NULL, NULL);

 /*--- compute (p0|p0)^2 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+18, r12vrr_stack+15, r12vrr_stack+12, NULL, NULL, Data->F+3);

 /*--- compute (00|p0)^1 ---*/
 _BUILD_00p0(Data,r12vrr_stack+27, Data->F+1, Data->F+2, NULL, NULL, NULL);

 /*--- compute (p0|p0)^1 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+30, r12vrr_stack+27, r12vrr_stack+15, NULL, NULL, Data->F+2);

 /*--- compute (00|p0)^4 ---*/
 _BUILD_00p0(Data,r12vrr_stack+39, Data->F+4, Data->F+5, NULL, NULL, NULL);

 /*--- compute (p0|p0)^3 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+42, r12vrr_stack+12, r12vrr_stack+39, NULL, NULL, Data->F+4);

 /*--- compute (d0|p0)^2 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+51, r12vrr_stack+18, r12vrr_stack+42, r12vrr_stack+15, r12vrr_stack+12, r12vrr_stack+0);

 /*--- compute (d0|p0)^1 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+69, r12vrr_stack+30, r12vrr_stack+18, r12vrr_stack+27, r12vrr_stack+15, r12vrr_stack+3);

 /*--- compute (f0|p0)^1 ---*/
 _BUILD_f0p0(Data,r12vrr_stack+87, r12vrr_stack+69, r12vrr_stack+51, r12vrr_stack+30, r12vrr_stack+18, r12vrr_stack+6);

 /*--- compute (00|d0)^2 ---*/
 _BUILD_00d0(Data,r12vrr_stack+117, r12vrr_stack+15, r12vrr_stack+12, Data->F+2, Data->F+3, NULL);

 /*--- compute (00|d0)^1 ---*/
 _BUILD_00d0(Data,r12vrr_stack+123, r12vrr_stack+27, r12vrr_stack+15, Data->F+1, Data->F+2, NULL);

 /*--- compute (00|d0)^3 ---*/
 _BUILD_00d0(Data,r12vrr_stack+129, r12vrr_stack+12, r12vrr_stack+39, Data->F+3, Data->F+4, NULL);

 /*--- compute (p0|d0)^2 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+135, r12vrr_stack+117, r12vrr_stack+129, NULL, NULL, r12vrr_stack+12);

 /*--- compute (p0|d0)^1 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+153, r12vrr_stack+123, r12vrr_stack+117, NULL, NULL, r12vrr_stack+15);

 /*--- compute (d0|d0)^1 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+171, r12vrr_stack+153, r12vrr_stack+135, r12vrr_stack+123, r12vrr_stack+117, r12vrr_stack+18);

 /*--- compute (00|p0)^0 ---*/
 _BUILD_00p0(Data,r12vrr_stack+207, Data->F+0, Data->F+1, NULL, NULL, NULL);

 /*--- compute (00|d0)^0 ---*/
 _BUILD_00d0(Data,r12vrr_stack+210, r12vrr_stack+207, r12vrr_stack+27, Data->F+0, Data->F+1, NULL);

 /*--- compute (p0|d0)^0 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+216, r12vrr_stack+210, r12vrr_stack+123, NULL, NULL, r12vrr_stack+27);

 /*--- compute (d0|d0)^0 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+234, r12vrr_stack+216, r12vrr_stack+153, r12vrr_stack+210, r12vrr_stack+123, r12vrr_stack+30);

 /*--- compute (00|p0)^5 ---*/
 _BUILD_00p0(Data,r12vrr_stack+30, Data->F+5, Data->F+6, NULL, NULL, NULL);

 /*--- compute (00|d0)^4 ---*/
 _BUILD_00d0(Data,r12vrr_stack+33, r12vrr_stack+39, r12vrr_stack+30, Data->F+4, Data->F+5, NULL);

 /*--- compute (p0|d0)^3 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+270, r12vrr_stack+129, r12vrr_stack+33, NULL, NULL, r12vrr_stack+39);

 /*--- compute (d0|d0)^2 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+288, r12vrr_stack+135, r12vrr_stack+270, r12vrr_stack+117, r12vrr_stack+129, r12vrr_stack+42);

 /*--- compute (f0|d0)^1 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+324, r12vrr_stack+171, r12vrr_stack+288, r12vrr_stack+153, r12vrr_stack+135, r12vrr_stack+51);

 /*--- compute (f0|d0)^0 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+384, r12vrr_stack+234, r12vrr_stack+171, r12vrr_stack+216, r12vrr_stack+153, r12vrr_stack+69);

 /*--- compute (g0|d0)^0 ---*/
 _BUILD_g0d0(Data,r12vrr_stack+444, r12vrr_stack+384, r12vrr_stack+324, r12vrr_stack+234, r12vrr_stack+171, r12vrr_stack+87);

 /*--- compute (p0|00)^4 ---*/
 _BUILD_p000(Data,r12vrr_stack+534, Data->F+4, Data->F+5, NULL, NULL, NULL);

 /*--- compute (d0|00)^3 ---*/
 _BUILD_d000(Data,r12vrr_stack+537, r12vrr_stack+0, r12vrr_stack+534, Data->F+3, Data->F+4, NULL);

 /*--- compute (f0|00)^2 ---*/
 _BUILD_f000(Data,r12vrr_stack+543, r12vrr_stack+6, r12vrr_stack+537, r12vrr_stack+3, r12vrr_stack+0, NULL);

 /*--- compute (p0|p0)^4 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+553, r12vrr_stack+39, r12vrr_stack+30, NULL, NULL, Data->F+5);

 /*--- compute (d0|p0)^3 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+562, r12vrr_stack+42, r12vrr_stack+553, r12vrr_stack+12, r12vrr_stack+39, r12vrr_stack+534);

 /*--- compute (f0|p0)^2 ---*/
 _BUILD_f0p0(Data,r12vrr_stack+580, r12vrr_stack+51, r12vrr_stack+562, r12vrr_stack+18, r12vrr_stack+42, r12vrr_stack+537);

 /*--- compute (g0|p0)^1 ---*/
 _BUILD_g0p0(Data,r12vrr_stack+610, r12vrr_stack+87, r12vrr_stack+580, r12vrr_stack+69, r12vrr_stack+51, r12vrr_stack+543);

 /*--- compute (00|p0)^6 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3, Data->F+6, Data->F+7, NULL, NULL, NULL);

 /*--- compute (00|d0)^5 ---*/
 _BUILD_00d0(Data,r12vrr_stack+69, r12vrr_stack+30, r12vrr_stack+3, Data->F+5, Data->F+6, NULL);

 /*--- compute (p0|d0)^4 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+655, r12vrr_stack+33, r12vrr_stack+69, NULL, NULL, r12vrr_stack+30);

 /*--- compute (d0|d0)^3 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+673, r12vrr_stack+270, r12vrr_stack+655, r12vrr_stack+129, r12vrr_stack+33, r12vrr_stack+553);

 /*--- compute (f0|d0)^2 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+709, r12vrr_stack+288, r12vrr_stack+673, r12vrr_stack+135, r12vrr_stack+270, r12vrr_stack+562);

 /*--- compute (g0|d0)^1 ---*/
 _BUILD_g0d0(Data,r12vrr_stack+769, r12vrr_stack+324, r12vrr_stack+709, r12vrr_stack+171, r12vrr_stack+288, r12vrr_stack+580);

 /*--- compute (h0|d0)^0 ---*/
 am[0] = 5;  am[1] = 2;
 vrr_build_xxxx(am,Data,r12vrr_stack+859, r12vrr_stack+444, r12vrr_stack+769, r12vrr_stack+384, r12vrr_stack+324, r12vrr_stack+610);

 /*--- compute (00|f0)^3 ---*/
 _BUILD_00f0(Data,r12vrr_stack+75, r12vrr_stack+129, r12vrr_stack+33, r12vrr_stack+12, r12vrr_stack+39, NULL);

 /*--- compute (00|f0)^2 ---*/
 _BUILD_00f0(Data,r12vrr_stack+985, r12vrr_stack+117, r12vrr_stack+129, r12vrr_stack+15, r12vrr_stack+12, NULL);

 /*--- compute (p0|f0)^2 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+995, r12vrr_stack+985, r12vrr_stack+75, NULL, NULL, r12vrr_stack+129);

 /*--- compute (00|f0)^1 ---*/
 _BUILD_00f0(Data,r12vrr_stack+1025, r12vrr_stack+123, r12vrr_stack+117, r12vrr_stack+27, r12vrr_stack+15, NULL);

 /*--- compute (p0|f0)^1 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+1035, r12vrr_stack+1025, r12vrr_stack+985, NULL, NULL, r12vrr_stack+117);

 /*--- compute (00|f0)^4 ---*/
 _BUILD_00f0(Data,r12vrr_stack+12, r12vrr_stack+33, r12vrr_stack+69, r12vrr_stack+39, r12vrr_stack+30, NULL);

 /*--- compute (p0|f0)^3 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+1065, r12vrr_stack+75, r12vrr_stack+12, NULL, NULL, r12vrr_stack+33);

 /*--- compute (d0|f0)^2 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+1095, r12vrr_stack+995, r12vrr_stack+1065, r12vrr_stack+985, r12vrr_stack+75, r12vrr_stack+270);

 /*--- compute (d0|f0)^1 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+1155, r12vrr_stack+1035, r12vrr_stack+995, r12vrr_stack+1025, r12vrr_stack+985, r12vrr_stack+135);

 /*--- compute (f0|f0)^1 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+1215, r12vrr_stack+1155, r12vrr_stack+1095, r12vrr_stack+1035, r12vrr_stack+995, r12vrr_stack+288);

 /*--- compute (00|f0)^0 ---*/
 _BUILD_00f0(Data,r12vrr_stack+135, r12vrr_stack+210, r12vrr_stack+123, r12vrr_stack+207, r12vrr_stack+27, NULL);

 /*--- compute (p0|f0)^0 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+1315, r12vrr_stack+135, r12vrr_stack+1025, NULL, NULL, r12vrr_stack+123);

 /*--- compute (d0|f0)^0 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+1345, r12vrr_stack+1315, r12vrr_stack+1035, r12vrr_stack+135, r12vrr_stack+1025, r12vrr_stack+153);

 /*--- compute (f0|f0)^0 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+1405, r12vrr_stack+1345, r12vrr_stack+1155, r12vrr_stack+1315, r12vrr_stack+1035, r12vrr_stack+171);

 /*--- compute (00|p0)^7 ---*/
 _BUILD_00p0(Data,r12vrr_stack+145, Data->F+7, Data->F+8, NULL, NULL, NULL);

 /*--- compute (00|d0)^6 ---*/
 _BUILD_00d0(Data,r12vrr_stack+148, r12vrr_stack+3, r12vrr_stack+145, Data->F+6, Data->F+7, NULL);

 /*--- compute (00|f0)^5 ---*/
 _BUILD_00f0(Data,r12vrr_stack+154, r12vrr_stack+69, r12vrr_stack+148, r12vrr_stack+30, r12vrr_stack+3, NULL);

 /*--- compute (p0|f0)^4 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+164, r12vrr_stack+12, r12vrr_stack+154, NULL, NULL, r12vrr_stack+69);

 /*--- compute (d0|f0)^3 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+1505, r12vrr_stack+1065, r12vrr_stack+164, r12vrr_stack+75, r12vrr_stack+12, r12vrr_stack+655);

 /*--- compute (f0|f0)^2 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+1565, r12vrr_stack+1095, r12vrr_stack+1505, r12vrr_stack+995, r12vrr_stack+1065, r12vrr_stack+673);

 /*--- compute (g0|f0)^1 ---*/
 _BUILD_g0f0(Data,r12vrr_stack+1665, r12vrr_stack+1215, r12vrr_stack+1565, r12vrr_stack+1155, r12vrr_stack+1095, r12vrr_stack+709);

 /*--- compute (g0|f0)^0 ---*/
 _BUILD_g0f0(Data,r12vrr_stack+1815, r12vrr_stack+1405, r12vrr_stack+1215, r12vrr_stack+1345, r12vrr_stack+1155, r12vrr_stack+324);
 tmp = r12vrr_stack + 1815;
 target_ptr = Libr12->gvrr_classes[4][3];
 for(i=0;i<150;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|f0)^0 ---*/
 am[0] = 5;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+1965, r12vrr_stack+1815, r12vrr_stack+1665, r12vrr_stack+1405, r12vrr_stack+1215, r12vrr_stack+769);
 tmp = r12vrr_stack + 1965;
 target_ptr = Libr12->gvrr_classes[5][3];
 for(i=0;i<210;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|g0)^2 ---*/
 _BUILD_00g0(Data,r12vrr_stack+2175, r12vrr_stack+985, r12vrr_stack+75, r12vrr_stack+117, r12vrr_stack+129, NULL);

 /*--- compute (00|g0)^1 ---*/
 _BUILD_00g0(Data,r12vrr_stack+2190, r12vrr_stack+1025, r12vrr_stack+985, r12vrr_stack+123, r12vrr_stack+117, NULL);

 /*--- compute (00|g0)^3 ---*/
 _BUILD_00g0(Data,r12vrr_stack+2205, r12vrr_stack+75, r12vrr_stack+12, r12vrr_stack+129, r12vrr_stack+33, NULL);

 /*--- compute (p0|g0)^2 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+2220, r12vrr_stack+2175, r12vrr_stack+2205, NULL, NULL, r12vrr_stack+75);

 /*--- compute (p0|g0)^1 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+2265, r12vrr_stack+2190, r12vrr_stack+2175, NULL, NULL, r12vrr_stack+985);

 /*--- compute (d0|g0)^1 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+2310, r12vrr_stack+2265, r12vrr_stack+2220, r12vrr_stack+2190, r12vrr_stack+2175, r12vrr_stack+995);

 /*--- compute (00|g0)^0 ---*/
 _BUILD_00g0(Data,r12vrr_stack+995, r12vrr_stack+135, r12vrr_stack+1025, r12vrr_stack+210, r12vrr_stack+123, NULL);

 /*--- compute (p0|g0)^0 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+2400, r12vrr_stack+995, r12vrr_stack+2190, NULL, NULL, r12vrr_stack+1025);

 /*--- compute (d0|g0)^0 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+2445, r12vrr_stack+2400, r12vrr_stack+2265, r12vrr_stack+995, r12vrr_stack+2190, r12vrr_stack+1035);

 /*--- compute (00|g0)^4 ---*/
 _BUILD_00g0(Data,r12vrr_stack+1010, r12vrr_stack+12, r12vrr_stack+154, r12vrr_stack+33, r12vrr_stack+69, NULL);

 /*--- compute (p0|g0)^3 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+2535, r12vrr_stack+2205, r12vrr_stack+1010, NULL, NULL, r12vrr_stack+12);

 /*--- compute (d0|g0)^2 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+2580, r12vrr_stack+2220, r12vrr_stack+2535, r12vrr_stack+2175, r12vrr_stack+2205, r12vrr_stack+1065);

 /*--- compute (f0|g0)^1 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+2670, r12vrr_stack+2310, r12vrr_stack+2580, r12vrr_stack+2265, r12vrr_stack+2220, r12vrr_stack+1095);

 /*--- compute (f0|g0)^0 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+2820, r12vrr_stack+2445, r12vrr_stack+2310, r12vrr_stack+2400, r12vrr_stack+2265, r12vrr_stack+1155);

 /*--- compute (g0|g0)^0 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+2970, r12vrr_stack+2820, r12vrr_stack+2670, r12vrr_stack+2445, r12vrr_stack+2310, r12vrr_stack+1215);
 tmp = r12vrr_stack + 2970;
 target_ptr = Libr12->gvrr_classes[4][4];
 for(i=0;i<225;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^8 ---*/
 _BUILD_00p0(Data,r12vrr_stack+1155, Data->F+8, Data->F+9, NULL, NULL, NULL);

 /*--- compute (00|d0)^7 ---*/
 _BUILD_00d0(Data,r12vrr_stack+1158, r12vrr_stack+145, r12vrr_stack+1155, Data->F+7, Data->F+8, NULL);

 /*--- compute (00|f0)^6 ---*/
 _BUILD_00f0(Data,r12vrr_stack+1164, r12vrr_stack+148, r12vrr_stack+1158, r12vrr_stack+3, r12vrr_stack+145, NULL);

 /*--- compute (00|g0)^5 ---*/
 _BUILD_00g0(Data,r12vrr_stack+1174, r12vrr_stack+154, r12vrr_stack+1164, r12vrr_stack+69, r12vrr_stack+148, NULL);

 /*--- compute (p0|g0)^4 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+3195, r12vrr_stack+1010, r12vrr_stack+1174, NULL, NULL, r12vrr_stack+154);

 /*--- compute (d0|g0)^3 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+3240, r12vrr_stack+2535, r12vrr_stack+3195, r12vrr_stack+2205, r12vrr_stack+1010, r12vrr_stack+164);

 /*--- compute (f0|g0)^2 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+3330, r12vrr_stack+2580, r12vrr_stack+3240, r12vrr_stack+2220, r12vrr_stack+2535, r12vrr_stack+1505);

 /*--- compute (g0|g0)^1 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+3480, r12vrr_stack+2670, r12vrr_stack+3330, r12vrr_stack+2310, r12vrr_stack+2580, r12vrr_stack+1565);

 /*--- compute (h0|g0)^0 ---*/
 am[0] = 5;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+3705, r12vrr_stack+2970, r12vrr_stack+3480, r12vrr_stack+2820, r12vrr_stack+2670, r12vrr_stack+1665);
 tmp = r12vrr_stack + 3705;
 target_ptr = Libr12->gvrr_classes[5][4];
 for(i=0;i<315;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|h0)^2 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1189, r12vrr_stack+2175, r12vrr_stack+2205, r12vrr_stack+985, r12vrr_stack+75, NULL);

 /*--- compute (00|h0)^1 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1035, r12vrr_stack+2190, r12vrr_stack+2175, r12vrr_stack+1025, r12vrr_stack+985, NULL);

 /*--- compute (00|h0)^3 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+4020, r12vrr_stack+2205, r12vrr_stack+1010, r12vrr_stack+75, r12vrr_stack+12, NULL);

 /*--- compute (p0|h0)^2 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+4041, r12vrr_stack+1189, r12vrr_stack+4020, NULL, NULL, r12vrr_stack+2205);

 /*--- compute (p0|h0)^1 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+4104, r12vrr_stack+1035, r12vrr_stack+1189, NULL, NULL, r12vrr_stack+2175);

 /*--- compute (d0|h0)^1 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+4167, r12vrr_stack+4104, r12vrr_stack+4041, r12vrr_stack+1035, r12vrr_stack+1189, r12vrr_stack+2220);

 /*--- compute (00|h0)^0 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2220, r12vrr_stack+995, r12vrr_stack+2190, r12vrr_stack+135, r12vrr_stack+1025, NULL);

 /*--- compute (p0|h0)^0 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+4293, r12vrr_stack+2220, r12vrr_stack+1035, NULL, NULL, r12vrr_stack+2190);

 /*--- compute (d0|h0)^0 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+4356, r12vrr_stack+4293, r12vrr_stack+4104, r12vrr_stack+2220, r12vrr_stack+1035, r12vrr_stack+2265);

 /*--- compute (00|h0)^4 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2241, r12vrr_stack+1010, r12vrr_stack+1174, r12vrr_stack+12, r12vrr_stack+154, NULL);

 /*--- compute (p0|h0)^3 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+4482, r12vrr_stack+4020, r12vrr_stack+2241, NULL, NULL, r12vrr_stack+1010);

 /*--- compute (d0|h0)^2 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+4545, r12vrr_stack+4041, r12vrr_stack+4482, r12vrr_stack+1189, r12vrr_stack+4020, r12vrr_stack+2535);

 /*--- compute (f0|h0)^1 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+4671, r12vrr_stack+4167, r12vrr_stack+4545, r12vrr_stack+4104, r12vrr_stack+4041, r12vrr_stack+2580);

 /*--- compute (f0|h0)^0 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+4881, r12vrr_stack+4356, r12vrr_stack+4167, r12vrr_stack+4293, r12vrr_stack+4104, r12vrr_stack+2310);

 /*--- compute (g0|h0)^0 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+5091, r12vrr_stack+4881, r12vrr_stack+4671, r12vrr_stack+4356, r12vrr_stack+4167, r12vrr_stack+2670);
 tmp = r12vrr_stack + 5091;
 target_ptr = Libr12->gvrr_classes[4][5];
 for(i=0;i<315;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^9 ---*/
 _BUILD_00p0(Data,r12vrr_stack+1025, Data->F+9, Data->F+10, NULL, NULL, NULL);

 /*--- compute (00|d0)^8 ---*/
 _BUILD_00d0(Data,r12vrr_stack+1028, r12vrr_stack+1155, r12vrr_stack+1025, Data->F+8, Data->F+9, NULL);

 /*--- compute (00|f0)^7 ---*/
 _BUILD_00f0(Data,r12vrr_stack+985, r12vrr_stack+1158, r12vrr_stack+1028, r12vrr_stack+145, r12vrr_stack+1155, NULL);

 /*--- compute (00|g0)^6 ---*/
 _BUILD_00g0(Data,r12vrr_stack+2262, r12vrr_stack+1164, r12vrr_stack+985, r12vrr_stack+148, r12vrr_stack+1158, NULL);

 /*--- compute (00|h0)^5 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2277, r12vrr_stack+1174, r12vrr_stack+2262, r12vrr_stack+154, r12vrr_stack+1164, NULL);

 /*--- compute (p0|h0)^4 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2298, r12vrr_stack+2241, r12vrr_stack+2277, NULL, NULL, r12vrr_stack+1174);

 /*--- compute (d0|h0)^3 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+5406, r12vrr_stack+4482, r12vrr_stack+2298, r12vrr_stack+4020, r12vrr_stack+2241, r12vrr_stack+3195);

 /*--- compute (f0|h0)^2 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+5532, r12vrr_stack+4545, r12vrr_stack+5406, r12vrr_stack+4041, r12vrr_stack+4482, r12vrr_stack+3240);

 /*--- compute (g0|h0)^1 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+5742, r12vrr_stack+4671, r12vrr_stack+5532, r12vrr_stack+4167, r12vrr_stack+4545, r12vrr_stack+3330);

 /*--- compute (h0|h0)^0 ---*/
 am[0] = 5;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+6057, r12vrr_stack+5091, r12vrr_stack+5742, r12vrr_stack+4881, r12vrr_stack+4671, r12vrr_stack+3480);
 tmp = r12vrr_stack + 6057;
 target_ptr = Libr12->gvrr_classes[5][5];
 for(i=0;i<441;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|i0)^2 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2361, r12vrr_stack+1189, r12vrr_stack+4020, r12vrr_stack+2175, r12vrr_stack+2205, NULL);

 /*--- compute (00|i0)^1 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+6498, r12vrr_stack+1035, r12vrr_stack+1189, r12vrr_stack+2190, r12vrr_stack+2175, NULL);

 /*--- compute (00|i0)^3 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+6526, r12vrr_stack+4020, r12vrr_stack+2241, r12vrr_stack+2205, r12vrr_stack+1010, NULL);

 /*--- compute (p0|i0)^2 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+6554, r12vrr_stack+2361, r12vrr_stack+6526, NULL, NULL, r12vrr_stack+4020);

 /*--- compute (p0|i0)^1 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+6638, r12vrr_stack+6498, r12vrr_stack+2361, NULL, NULL, r12vrr_stack+1189);

 /*--- compute (d0|i0)^1 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+6722, r12vrr_stack+6638, r12vrr_stack+6554, r12vrr_stack+6498, r12vrr_stack+2361, r12vrr_stack+4041);

 /*--- compute (00|i0)^0 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+4041, r12vrr_stack+2220, r12vrr_stack+1035, r12vrr_stack+995, r12vrr_stack+2190, NULL);

 /*--- compute (p0|i0)^0 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+6890, r12vrr_stack+4041, r12vrr_stack+6498, NULL, NULL, r12vrr_stack+1035);

 /*--- compute (d0|i0)^0 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+6974, r12vrr_stack+6890, r12vrr_stack+6638, r12vrr_stack+4041, r12vrr_stack+6498, r12vrr_stack+4104);

 /*--- compute (00|i0)^4 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+4069, r12vrr_stack+2241, r12vrr_stack+2277, r12vrr_stack+1010, r12vrr_stack+1174, NULL);

 /*--- compute (p0|i0)^3 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+7142, r12vrr_stack+6526, r12vrr_stack+4069, NULL, NULL, r12vrr_stack+2241);

 /*--- compute (d0|i0)^2 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+7226, r12vrr_stack+6554, r12vrr_stack+7142, r12vrr_stack+2361, r12vrr_stack+6526, r12vrr_stack+4482);

 /*--- compute (f0|i0)^1 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+7394, r12vrr_stack+6722, r12vrr_stack+7226, r12vrr_stack+6638, r12vrr_stack+6554, r12vrr_stack+4545);

 /*--- compute (f0|i0)^0 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+7674, r12vrr_stack+6974, r12vrr_stack+6722, r12vrr_stack+6890, r12vrr_stack+6638, r12vrr_stack+4167);

 /*--- compute (g0|i0)^0 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+7954, r12vrr_stack+7674, r12vrr_stack+7394, r12vrr_stack+6974, r12vrr_stack+6722, r12vrr_stack+4671);
 tmp = r12vrr_stack + 7954;
 target_ptr = Libr12->gvrr_classes[4][6];
 for(i=0;i<420;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^10 ---*/
 _BUILD_00p0(Data,r12vrr_stack+4097, Data->F+10, Data->F+11, NULL, NULL, NULL);

 /*--- compute (00|d0)^9 ---*/
 _BUILD_00d0(Data,r12vrr_stack+4100, r12vrr_stack+1025, r12vrr_stack+4097, Data->F+9, Data->F+10, NULL);

 /*--- compute (00|f0)^8 ---*/
 _BUILD_00f0(Data,r12vrr_stack+4106, r12vrr_stack+1028, r12vrr_stack+4100, r12vrr_stack+1155, r12vrr_stack+1025, NULL);

 /*--- compute (00|g0)^7 ---*/
 _BUILD_00g0(Data,r12vrr_stack+4116, r12vrr_stack+985, r12vrr_stack+4106, r12vrr_stack+1158, r12vrr_stack+1028, NULL);

 /*--- compute (00|h0)^6 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+4131, r12vrr_stack+2262, r12vrr_stack+4116, r12vrr_stack+1164, r12vrr_stack+985, NULL);

 /*--- compute (00|i0)^5 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+4152, r12vrr_stack+2277, r12vrr_stack+4131, r12vrr_stack+1174, r12vrr_stack+2262, NULL);

 /*--- compute (p0|i0)^4 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+4180, r12vrr_stack+4069, r12vrr_stack+4152, NULL, NULL, r12vrr_stack+2277);

 /*--- compute (d0|i0)^3 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+8374, r12vrr_stack+7142, r12vrr_stack+4180, r12vrr_stack+6526, r12vrr_stack+4069, r12vrr_stack+2298);

 /*--- compute (f0|i0)^2 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+8542, r12vrr_stack+7226, r12vrr_stack+8374, r12vrr_stack+6554, r12vrr_stack+7142, r12vrr_stack+5406);

 /*--- compute (g0|i0)^1 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+8822, r12vrr_stack+7394, r12vrr_stack+8542, r12vrr_stack+6722, r12vrr_stack+7226, r12vrr_stack+5532);

 /*--- compute (h0|i0)^0 ---*/
 am[0] = 5;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+9242, r12vrr_stack+7954, r12vrr_stack+8822, r12vrr_stack+7674, r12vrr_stack+7394, r12vrr_stack+5742);
 tmp = r12vrr_stack + 9242;
 target_ptr = Libr12->gvrr_classes[5][6];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|k0)^2 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+2175, r12vrr_stack+2361, r12vrr_stack+6526, r12vrr_stack+1189, r12vrr_stack+4020, NULL);

 /*--- compute (00|k0)^1 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+9830, r12vrr_stack+6498, r12vrr_stack+2361, r12vrr_stack+1035, r12vrr_stack+1189, NULL);

 /*--- compute (00|k0)^3 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+9866, r12vrr_stack+6526, r12vrr_stack+4069, r12vrr_stack+4020, r12vrr_stack+2241, NULL);

 /*--- compute (p0|k0)^2 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+9902, r12vrr_stack+2175, r12vrr_stack+9866, NULL, NULL, r12vrr_stack+6526);

 /*--- compute (p0|k0)^1 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+10010, r12vrr_stack+9830, r12vrr_stack+2175, NULL, NULL, r12vrr_stack+2361);

 /*--- compute (d0|k0)^1 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+10118, r12vrr_stack+10010, r12vrr_stack+9902, r12vrr_stack+9830, r12vrr_stack+2175, r12vrr_stack+6554);

 /*--- compute (00|k0)^0 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+2361, r12vrr_stack+4041, r12vrr_stack+6498, r12vrr_stack+2220, r12vrr_stack+1035, NULL);

 /*--- compute (p0|k0)^0 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+6526, r12vrr_stack+2361, r12vrr_stack+9830, NULL, NULL, r12vrr_stack+6498);

 /*--- compute (d0|k0)^0 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+10334, r12vrr_stack+6526, r12vrr_stack+10010, r12vrr_stack+2361, r12vrr_stack+9830, r12vrr_stack+6638);

 /*--- compute (00|k0)^4 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+9830, r12vrr_stack+4069, r12vrr_stack+4152, r12vrr_stack+2241, r12vrr_stack+2277, NULL);

 /*--- compute (p0|k0)^3 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+10550, r12vrr_stack+9866, r12vrr_stack+9830, NULL, NULL, r12vrr_stack+4069);

 /*--- compute (d0|k0)^2 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+10658, r12vrr_stack+9902, r12vrr_stack+10550, r12vrr_stack+2175, r12vrr_stack+9866, r12vrr_stack+7142);

 /*--- compute (f0|k0)^1 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+10874, r12vrr_stack+10118, r12vrr_stack+10658, r12vrr_stack+10010, r12vrr_stack+9902, r12vrr_stack+7226);

 /*--- compute (f0|k0)^0 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+11234, r12vrr_stack+10334, r12vrr_stack+10118, r12vrr_stack+6526, r12vrr_stack+10010, r12vrr_stack+6722);

 /*--- compute (g0|k0)^0 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+11594, r12vrr_stack+11234, r12vrr_stack+10874, r12vrr_stack+10334, r12vrr_stack+10118, r12vrr_stack+7394);
 tmp = r12vrr_stack + 11594;
 target_ptr = Libr12->gvrr_classes[4][7];
 for(i=0;i<540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|00)^5 ---*/
 _BUILD_p000(Data,r12vrr_stack+1155, Data->F+5, Data->F+6, NULL, NULL, NULL);

 /*--- compute (d0|00)^4 ---*/
 _BUILD_d000(Data,r12vrr_stack+10334, r12vrr_stack+534, r12vrr_stack+1155, Data->F+4, Data->F+5, NULL);

 /*--- compute (f0|00)^3 ---*/
 _BUILD_f000(Data,r12vrr_stack+10340, r12vrr_stack+537, r12vrr_stack+10334, r12vrr_stack+0, r12vrr_stack+534, NULL);

 /*--- compute (g0|00)^2 ---*/
 _BUILD_g000(Data,r12vrr_stack+10350, r12vrr_stack+543, r12vrr_stack+10340, r12vrr_stack+6, r12vrr_stack+537, NULL);

 /*--- compute (p0|p0)^5 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+10365, r12vrr_stack+30, r12vrr_stack+3, NULL, NULL, Data->F+6);

 /*--- compute (d0|p0)^4 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+117, r12vrr_stack+553, r12vrr_stack+10365, r12vrr_stack+39, r12vrr_stack+30, r12vrr_stack+1155);

 /*--- compute (f0|p0)^3 ---*/
 _BUILD_f0p0(Data,r12vrr_stack+10374, r12vrr_stack+562, r12vrr_stack+117, r12vrr_stack+42, r12vrr_stack+553, r12vrr_stack+10334);

 /*--- compute (g0|p0)^2 ---*/
 _BUILD_g0p0(Data,r12vrr_stack+2175, r12vrr_stack+580, r12vrr_stack+10374, r12vrr_stack+51, r12vrr_stack+562, r12vrr_stack+10340);

 /*--- compute (h0|p0)^1 ---*/
 am[0] = 5;  am[1] = 1;
 vrr_build_xxxx(am,Data,r12vrr_stack+10404, r12vrr_stack+610, r12vrr_stack+2175, r12vrr_stack+87, r12vrr_stack+580, r12vrr_stack+10350);

 /*--- compute (p0|d0)^5 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+39, r12vrr_stack+69, r12vrr_stack+148, NULL, NULL, r12vrr_stack+3);

 /*--- compute (d0|d0)^4 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+10467, r12vrr_stack+655, r12vrr_stack+39, r12vrr_stack+33, r12vrr_stack+69, r12vrr_stack+10365);

 /*--- compute (f0|d0)^3 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+10010, r12vrr_stack+673, r12vrr_stack+10467, r12vrr_stack+270, r12vrr_stack+655, r12vrr_stack+117);

 /*--- compute (g0|d0)^2 ---*/
 _BUILD_g0d0(Data,r12vrr_stack+6498, r12vrr_stack+709, r12vrr_stack+10010, r12vrr_stack+288, r12vrr_stack+673, r12vrr_stack+10374);

 /*--- compute (h0|d0)^1 ---*/
 am[0] = 5;  am[1] = 2;
 vrr_build_xxxx(am,Data,r12vrr_stack+6588, r12vrr_stack+769, r12vrr_stack+6498, r12vrr_stack+324, r12vrr_stack+709, r12vrr_stack+2175);

 /*--- compute (i0|d0)^0 ---*/
 am[0] = 6;  am[1] = 2;
 vrr_build_xxxx(am,Data,r12vrr_stack+6714, r12vrr_stack+859, r12vrr_stack+6588, r12vrr_stack+444, r12vrr_stack+769, r12vrr_stack+10404);

 /*--- compute (p0|f0)^5 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+270, r12vrr_stack+154, r12vrr_stack+1164, NULL, NULL, r12vrr_stack+148);

 /*--- compute (d0|f0)^4 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+300, r12vrr_stack+164, r12vrr_stack+270, r12vrr_stack+12, r12vrr_stack+154, r12vrr_stack+39);

 /*--- compute (f0|f0)^3 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+12134, r12vrr_stack+1505, r12vrr_stack+300, r12vrr_stack+1065, r12vrr_stack+164, r12vrr_stack+10467);

 /*--- compute (g0|f0)^2 ---*/
 _BUILD_g0f0(Data,r12vrr_stack+12234, r12vrr_stack+1565, r12vrr_stack+12134, r12vrr_stack+1095, r12vrr_stack+1505, r12vrr_stack+10010);

 /*--- compute (h0|f0)^1 ---*/
 am[0] = 5;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+12384, r12vrr_stack+1665, r12vrr_stack+12234, r12vrr_stack+1215, r12vrr_stack+1565, r12vrr_stack+6498);

 /*--- compute (i0|f0)^0 ---*/
 am[0] = 6;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+12594, r12vrr_stack+1965, r12vrr_stack+12384, r12vrr_stack+1815, r12vrr_stack+1665, r12vrr_stack+6588);
 tmp = r12vrr_stack + 12594;
 target_ptr = Libr12->gvrr_classes[6][3];
 for(i=0;i<280;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|g0)^5 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+10503, r12vrr_stack+1174, r12vrr_stack+2262, NULL, NULL, r12vrr_stack+1164);

 /*--- compute (d0|g0)^4 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+1189, r12vrr_stack+3195, r12vrr_stack+10503, r12vrr_stack+1010, r12vrr_stack+1174, r12vrr_stack+270);

 /*--- compute (f0|g0)^3 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+12874, r12vrr_stack+3240, r12vrr_stack+1189, r12vrr_stack+2535, r12vrr_stack+3195, r12vrr_stack+300);

 /*--- compute (g0|g0)^2 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+13024, r12vrr_stack+3330, r12vrr_stack+12874, r12vrr_stack+2580, r12vrr_stack+3240, r12vrr_stack+12134);

 /*--- compute (h0|g0)^1 ---*/
 am[0] = 5;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+13249, r12vrr_stack+3480, r12vrr_stack+13024, r12vrr_stack+2670, r12vrr_stack+3330, r12vrr_stack+12234);

 /*--- compute (i0|g0)^0 ---*/
 am[0] = 6;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+13564, r12vrr_stack+3705, r12vrr_stack+13249, r12vrr_stack+2970, r12vrr_stack+3480, r12vrr_stack+12384);
 tmp = r12vrr_stack + 13564;
 target_ptr = Libr12->gvrr_classes[6][4];
 for(i=0;i<420;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|h0)^5 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2535, r12vrr_stack+2277, r12vrr_stack+4131, NULL, NULL, r12vrr_stack+2262);

 /*--- compute (d0|h0)^4 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2598, r12vrr_stack+2298, r12vrr_stack+2535, r12vrr_stack+2241, r12vrr_stack+2277, r12vrr_stack+10503);

 /*--- compute (f0|h0)^3 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+13984, r12vrr_stack+5406, r12vrr_stack+2598, r12vrr_stack+4482, r12vrr_stack+2298, r12vrr_stack+1189);

 /*--- compute (g0|h0)^2 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+14194, r12vrr_stack+5532, r12vrr_stack+13984, r12vrr_stack+4545, r12vrr_stack+5406, r12vrr_stack+12874);

 /*--- compute (h0|h0)^1 ---*/
 am[0] = 5;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+14509, r12vrr_stack+5742, r12vrr_stack+14194, r12vrr_stack+4671, r12vrr_stack+5532, r12vrr_stack+13024);

 /*--- compute (i0|h0)^0 ---*/
 am[0] = 6;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+14950, r12vrr_stack+6057, r12vrr_stack+14509, r12vrr_stack+5091, r12vrr_stack+5742, r12vrr_stack+13249);
 tmp = r12vrr_stack + 14950;
 target_ptr = Libr12->gvrr_classes[6][5];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^11 ---*/
 _BUILD_00p0(Data,r12vrr_stack+0, Data->F+11, Data->F+12, NULL, NULL, NULL);

 /*--- compute (00|d0)^10 ---*/
 _BUILD_00d0(Data,r12vrr_stack+33, r12vrr_stack+4097, r12vrr_stack+0, Data->F+10, Data->F+11, NULL);

 /*--- compute (00|f0)^9 ---*/
 _BUILD_00f0(Data,r12vrr_stack+4482, r12vrr_stack+4100, r12vrr_stack+33, r12vrr_stack+1025, r12vrr_stack+4097, NULL);

 /*--- compute (00|g0)^8 ---*/
 _BUILD_00g0(Data,r12vrr_stack+4492, r12vrr_stack+4106, r12vrr_stack+4482, r12vrr_stack+1028, r12vrr_stack+4100, NULL);

 /*--- compute (00|h0)^7 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2241, r12vrr_stack+4116, r12vrr_stack+4492, r12vrr_stack+985, r12vrr_stack+4106, NULL);

 /*--- compute (00|i0)^6 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+4507, r12vrr_stack+4131, r12vrr_stack+2241, r12vrr_stack+2262, r12vrr_stack+4116, NULL);

 /*--- compute (p0|i0)^5 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+4535, r12vrr_stack+4152, r12vrr_stack+4507, NULL, NULL, r12vrr_stack+4131);

 /*--- compute (d0|i0)^4 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+4619, r12vrr_stack+4180, r12vrr_stack+4535, r12vrr_stack+4069, r12vrr_stack+4152, r12vrr_stack+2535);

 /*--- compute (f0|i0)^3 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+15538, r12vrr_stack+8374, r12vrr_stack+4619, r12vrr_stack+7142, r12vrr_stack+4180, r12vrr_stack+2598);

 /*--- compute (g0|i0)^2 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+15818, r12vrr_stack+8542, r12vrr_stack+15538, r12vrr_stack+7226, r12vrr_stack+8374, r12vrr_stack+13984);

 /*--- compute (h0|i0)^1 ---*/
 am[0] = 5;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+16238, r12vrr_stack+8822, r12vrr_stack+15818, r12vrr_stack+7394, r12vrr_stack+8542, r12vrr_stack+14194);

 /*--- compute (i0|i0)^0 ---*/
 am[0] = 6;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+16826, r12vrr_stack+9242, r12vrr_stack+16238, r12vrr_stack+7954, r12vrr_stack+8822, r12vrr_stack+14509);
 tmp = r12vrr_stack + 16826;
 target_ptr = Libr12->gvrr_classes[6][6];
 for(i=0;i<784;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|k0)^5 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+1279, r12vrr_stack+4152, r12vrr_stack+4507, r12vrr_stack+2277, r12vrr_stack+4131, NULL);

 /*--- compute (p0|k0)^4 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+7142, r12vrr_stack+9830, r12vrr_stack+1279, NULL, NULL, r12vrr_stack+4152);

 /*--- compute (d0|k0)^3 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+7250, r12vrr_stack+10550, r12vrr_stack+7142, r12vrr_stack+9866, r12vrr_stack+9830, r12vrr_stack+4180);

 /*--- compute (f0|k0)^2 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+17610, r12vrr_stack+10658, r12vrr_stack+7250, r12vrr_stack+9902, r12vrr_stack+10550, r12vrr_stack+8374);

 /*--- compute (g0|k0)^1 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+17970, r12vrr_stack+10874, r12vrr_stack+17610, r12vrr_stack+10118, r12vrr_stack+10658, r12vrr_stack+8542);

 /*--- compute (h0|k0)^0 ---*/
 am[0] = 5;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+18510, r12vrr_stack+11594, r12vrr_stack+17970, r12vrr_stack+11234, r12vrr_stack+10874, r12vrr_stack+8822);
 tmp = r12vrr_stack + 18510;
 target_ptr = Libr12->gvrr_classes[5][7];
 for(i=0;i<756;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|00)^6 ---*/
 _BUILD_p000(Data,r12vrr_stack+9866, Data->F+6, Data->F+7, NULL, NULL, NULL);

 /*--- compute (d0|00)^5 ---*/
 _BUILD_d000(Data,r12vrr_stack+9869, r12vrr_stack+1155, r12vrr_stack+9866, Data->F+5, Data->F+6, NULL);

 /*--- compute (f0|00)^4 ---*/
 _BUILD_f000(Data,r12vrr_stack+9875, r12vrr_stack+10334, r12vrr_stack+9869, r12vrr_stack+534, r12vrr_stack+1155, NULL);

 /*--- compute (g0|00)^3 ---*/
 _BUILD_g000(Data,r12vrr_stack+9885, r12vrr_stack+10340, r12vrr_stack+9875, r12vrr_stack+537, r12vrr_stack+10334, NULL);

 /*--- compute (h0|00)^2 ---*/
 am[0] = 5;  am[1] = 0;
 vrr_build_xxxx(am,Data,r12vrr_stack+4020, r12vrr_stack+10350, r12vrr_stack+9885, r12vrr_stack+543, r12vrr_stack+10340, NULL);

 /*--- compute (p0|p0)^6 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+534, r12vrr_stack+3, r12vrr_stack+145, NULL, NULL, Data->F+7);

 /*--- compute (d0|p0)^5 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+9900, r12vrr_stack+10365, r12vrr_stack+534, r12vrr_stack+30, r12vrr_stack+3, r12vrr_stack+9866);

 /*--- compute (f0|p0)^4 ---*/
 _BUILD_f0p0(Data,r12vrr_stack+3, r12vrr_stack+117, r12vrr_stack+9900, r12vrr_stack+553, r12vrr_stack+10365, r12vrr_stack+9869);

 /*--- compute (g0|p0)^3 ---*/
 _BUILD_g0p0(Data,r12vrr_stack+9918, r12vrr_stack+10374, r12vrr_stack+3, r12vrr_stack+562, r12vrr_stack+117, r12vrr_stack+9875);

 /*--- compute (h0|p0)^2 ---*/
 am[0] = 5;  am[1] = 1;
 vrr_build_xxxx(am,Data,r12vrr_stack+7466, r12vrr_stack+2175, r12vrr_stack+9918, r12vrr_stack+580, r12vrr_stack+10374, r12vrr_stack+9885);

 /*--- compute (i0|p0)^1 ---*/
 am[0] = 6;  am[1] = 1;
 vrr_build_xxxx(am,Data,r12vrr_stack+7529, r12vrr_stack+10404, r12vrr_stack+7466, r12vrr_stack+610, r12vrr_stack+2175, r12vrr_stack+4020);

 /*--- compute (p0|d0)^6 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+4020, r12vrr_stack+148, r12vrr_stack+1158, NULL, NULL, r12vrr_stack+145);

 /*--- compute (d0|d0)^5 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+2175, r12vrr_stack+39, r12vrr_stack+4020, r12vrr_stack+69, r12vrr_stack+148, r12vrr_stack+534);

 /*--- compute (f0|d0)^4 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+534, r12vrr_stack+10467, r12vrr_stack+2175, r12vrr_stack+655, r12vrr_stack+39, r12vrr_stack+9900);

 /*--- compute (g0|d0)^3 ---*/
 _BUILD_g0d0(Data,r12vrr_stack+39, r12vrr_stack+10010, r12vrr_stack+534, r12vrr_stack+673, r12vrr_stack+10467, r12vrr_stack+3);

 /*--- compute (h0|d0)^2 ---*/
 am[0] = 5;  am[1] = 2;
 vrr_build_xxxx(am,Data,r12vrr_stack+1010, r12vrr_stack+6498, r12vrr_stack+39, r12vrr_stack+709, r12vrr_stack+10010, r12vrr_stack+9918);

 /*--- compute (i0|d0)^1 ---*/
 am[0] = 6;  am[1] = 2;
 vrr_build_xxxx(am,Data,r12vrr_stack+594, r12vrr_stack+6588, r12vrr_stack+1010, r12vrr_stack+769, r12vrr_stack+6498, r12vrr_stack+7466);

 /*--- compute (k0|d0)^0 ---*/
 am[0] = 7;  am[1] = 2;
 vrr_build_xxxx(am,Data,r12vrr_stack+9866, r12vrr_stack+6714, r12vrr_stack+594, r12vrr_stack+859, r12vrr_stack+6588, r12vrr_stack+7529);

 /*--- compute (p0|f0)^6 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+3, r12vrr_stack+1164, r12vrr_stack+985, NULL, NULL, r12vrr_stack+1158);

 /*--- compute (d0|f0)^5 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+7466, r12vrr_stack+270, r12vrr_stack+3, r12vrr_stack+154, r12vrr_stack+1164, r12vrr_stack+4020);

 /*--- compute (f0|f0)^4 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+7526, r12vrr_stack+300, r12vrr_stack+7466, r12vrr_stack+164, r12vrr_stack+270, r12vrr_stack+2175);

 /*--- compute (g0|f0)^3 ---*/
 _BUILD_g0f0(Data,r12vrr_stack+6498, r12vrr_stack+12134, r12vrr_stack+7526, r12vrr_stack+1505, r12vrr_stack+300, r12vrr_stack+534);

 /*--- compute (h0|f0)^2 ---*/
 am[0] = 5;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+10082, r12vrr_stack+12234, r12vrr_stack+6498, r12vrr_stack+1565, r12vrr_stack+12134, r12vrr_stack+39);

 /*--- compute (i0|f0)^1 ---*/
 am[0] = 6;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+19266, r12vrr_stack+12384, r12vrr_stack+10082, r12vrr_stack+1665, r12vrr_stack+12234, r12vrr_stack+1010);

 /*--- compute (k0|f0)^0 ---*/
 am[0] = 7;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+19546, r12vrr_stack+12594, r12vrr_stack+19266, r12vrr_stack+1965, r12vrr_stack+12384, r12vrr_stack+594);
 tmp = r12vrr_stack + 19546;
 target_ptr = Libr12->gvrr_classes[7][3];
 for(i=0;i<360;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|g0)^6 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+2175, r12vrr_stack+2262, r12vrr_stack+4116, NULL, NULL, r12vrr_stack+985);

 /*--- compute (d0|g0)^5 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+1010, r12vrr_stack+10503, r12vrr_stack+2175, r12vrr_stack+1174, r12vrr_stack+2262, r12vrr_stack+3);

 /*--- compute (f0|g0)^4 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+12134, r12vrr_stack+1189, r12vrr_stack+1010, r12vrr_stack+3195, r12vrr_stack+10503, r12vrr_stack+7466);

 /*--- compute (g0|g0)^3 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+12284, r12vrr_stack+12874, r12vrr_stack+12134, r12vrr_stack+3240, r12vrr_stack+1189, r12vrr_stack+7526);

 /*--- compute (h0|g0)^2 ---*/
 am[0] = 5;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+534, r12vrr_stack+13024, r12vrr_stack+12284, r12vrr_stack+3330, r12vrr_stack+12874, r12vrr_stack+6498);

 /*--- compute (i0|g0)^1 ---*/
 am[0] = 6;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+19906, r12vrr_stack+13249, r12vrr_stack+534, r12vrr_stack+3480, r12vrr_stack+13024, r12vrr_stack+10082);

 /*--- compute (k0|g0)^0 ---*/
 am[0] = 7;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+20326, r12vrr_stack+13564, r12vrr_stack+19906, r12vrr_stack+3705, r12vrr_stack+13249, r12vrr_stack+19266);
 tmp = r12vrr_stack + 20326;
 target_ptr = Libr12->gvrr_classes[7][4];
 for(i=0;i<540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|h0)^6 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+19266, r12vrr_stack+4131, r12vrr_stack+2241, NULL, NULL, r12vrr_stack+4116);

 /*--- compute (d0|h0)^5 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+19329, r12vrr_stack+2535, r12vrr_stack+19266, r12vrr_stack+2277, r12vrr_stack+4131, r12vrr_stack+2175);

 /*--- compute (f0|h0)^4 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+10082, r12vrr_stack+2598, r12vrr_stack+19329, r12vrr_stack+2298, r12vrr_stack+2535, r12vrr_stack+1010);

 /*--- compute (g0|h0)^3 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+12874, r12vrr_stack+13984, r12vrr_stack+10082, r12vrr_stack+5406, r12vrr_stack+2598, r12vrr_stack+12134);

 /*--- compute (h0|h0)^2 ---*/
 am[0] = 5;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+3195, r12vrr_stack+14194, r12vrr_stack+12874, r12vrr_stack+5532, r12vrr_stack+13984, r12vrr_stack+12284);

 /*--- compute (i0|h0)^1 ---*/
 am[0] = 6;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+20866, r12vrr_stack+14509, r12vrr_stack+3195, r12vrr_stack+5742, r12vrr_stack+14194, r12vrr_stack+534);

 /*--- compute (k0|h0)^0 ---*/
 am[0] = 7;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+21454, r12vrr_stack+14950, r12vrr_stack+20866, r12vrr_stack+6057, r12vrr_stack+14509, r12vrr_stack+19906);
 tmp = r12vrr_stack + 21454;
 target_ptr = Libr12->gvrr_classes[7][5];
 for(i=0;i<756;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^12 ---*/
 _BUILD_00p0(Data,r12vrr_stack+19906, Data->F+12, Data->F+13, NULL, NULL, NULL);

 /*--- compute (00|d0)^11 ---*/
 _BUILD_00d0(Data,r12vrr_stack+19909, r12vrr_stack+0, r12vrr_stack+19906, Data->F+11, Data->F+12, NULL);

 /*--- compute (00|f0)^10 ---*/
 _BUILD_00f0(Data,r12vrr_stack+985, r12vrr_stack+33, r12vrr_stack+19909, r12vrr_stack+4097, r12vrr_stack+0, NULL);

 /*--- compute (00|g0)^9 ---*/
 _BUILD_00g0(Data,r12vrr_stack+0, r12vrr_stack+4482, r12vrr_stack+985, r12vrr_stack+4100, r12vrr_stack+33, NULL);

 /*--- compute (00|h0)^8 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+4020, r12vrr_stack+4492, r12vrr_stack+0, r12vrr_stack+4106, r12vrr_stack+4482, NULL);

 /*--- compute (00|i0)^7 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+0, r12vrr_stack+2241, r12vrr_stack+4020, r12vrr_stack+4116, r12vrr_stack+4492, NULL);

 /*--- compute (p0|i0)^6 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+28, r12vrr_stack+4507, r12vrr_stack+0, NULL, NULL, r12vrr_stack+2241);

 /*--- compute (d0|i0)^5 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+19906, r12vrr_stack+4535, r12vrr_stack+28, r12vrr_stack+4152, r12vrr_stack+4507, r12vrr_stack+19266);

 /*--- compute (f0|i0)^4 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+534, r12vrr_stack+4619, r12vrr_stack+19906, r12vrr_stack+4180, r12vrr_stack+4535, r12vrr_stack+19329);

 /*--- compute (g0|i0)^3 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+19906, r12vrr_stack+15538, r12vrr_stack+534, r12vrr_stack+8374, r12vrr_stack+4619, r12vrr_stack+10082);

 /*--- compute (h0|i0)^2 ---*/
 am[0] = 5;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+13984, r12vrr_stack+15818, r12vrr_stack+19906, r12vrr_stack+8542, r12vrr_stack+15538, r12vrr_stack+12874);

 /*--- compute (i0|i0)^1 ---*/
 am[0] = 6;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+22210, r12vrr_stack+16238, r12vrr_stack+13984, r12vrr_stack+8822, r12vrr_stack+15818, r12vrr_stack+3195);

 /*--- compute (k0|i0)^0 ---*/
 am[0] = 7;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+22994, r12vrr_stack+16826, r12vrr_stack+22210, r12vrr_stack+9242, r12vrr_stack+16238, r12vrr_stack+20866);

 /*--- compute (00|k0)^6 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+20866, r12vrr_stack+4507, r12vrr_stack+0, r12vrr_stack+4131, r12vrr_stack+2241, NULL);

 /*--- compute (p0|k0)^5 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+2241, r12vrr_stack+1279, r12vrr_stack+20866, NULL, NULL, r12vrr_stack+4507);

 /*--- compute (d0|k0)^4 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+6498, r12vrr_stack+7142, r12vrr_stack+2241, r12vrr_stack+9830, r12vrr_stack+1279, r12vrr_stack+4535);

 /*--- compute (f0|k0)^3 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+20866, r12vrr_stack+7250, r12vrr_stack+6498, r12vrr_stack+10550, r12vrr_stack+7142, r12vrr_stack+4619);

 /*--- compute (g0|k0)^2 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+22210, r12vrr_stack+17610, r12vrr_stack+20866, r12vrr_stack+10658, r12vrr_stack+7250, r12vrr_stack+15538);

 /*--- compute (h0|k0)^1 ---*/
 am[0] = 5;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+13984, r12vrr_stack+17970, r12vrr_stack+22210, r12vrr_stack+10874, r12vrr_stack+17610, r12vrr_stack+15818);

 /*--- compute (i0|k0)^0 ---*/
 am[0] = 6;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+10082, r12vrr_stack+18510, r12vrr_stack+13984, r12vrr_stack+11594, r12vrr_stack+17970, r12vrr_stack+16238);

 /*--- compute (00||p0)^0 ---*/
 _R_BUILD_00p0(Data,r12vrr_stack+13984, &(Data->ss_r12_ss), NULL, r12vrr_stack+207, Data->F+0, NULL, NULL);

 /*--- compute (00||d0)^0 ---*/
 _R_BUILD_00d0(Data,r12vrr_stack+13987, r12vrr_stack+13984, &(Data->ss_r12_ss), r12vrr_stack+210, r12vrr_stack+207, Data->F+0, NULL);

 /*--- compute (00||f0)^0 ---*/
 _R_BUILD_00f0(Data,r12vrr_stack+985, r12vrr_stack+13987, r12vrr_stack+13984, r12vrr_stack+135, r12vrr_stack+210, r12vrr_stack+207, NULL);

 /*--- compute (p0||f0)^0 ---*/
 _R_BUILD_p0f0(Data,r12vrr_stack+13993, r12vrr_stack+985, NULL, r12vrr_stack+1315, r12vrr_stack+135, NULL, r12vrr_stack+210);

 /*--- compute (d0||f0)^0 ---*/
 _R_BUILD_d0f0(Data,r12vrr_stack+14023, r12vrr_stack+13993, r12vrr_stack+985, r12vrr_stack+1345, r12vrr_stack+1315, r12vrr_stack+135, r12vrr_stack+216);

 /*--- compute (f0||f0)^0 ---*/
 _R_BUILD_f0f0(Data,r12vrr_stack+14083, r12vrr_stack+14023, r12vrr_stack+13993, r12vrr_stack+1405, r12vrr_stack+1345, r12vrr_stack+1315, r12vrr_stack+234);

 /*--- compute (g0||f0)^0 ---*/
 _R_BUILD_g0f0(Data,r12vrr_stack+216, r12vrr_stack+14083, r12vrr_stack+14023, r12vrr_stack+1815, r12vrr_stack+1405, r12vrr_stack+1345, r12vrr_stack+384);
 tmp = r12vrr_stack + 216;
 target_ptr = Libr12->rvrr_classes[4][3];
 for(i=0;i<150;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0||f0)^0 ---*/
 _R_BUILD_h0f0(Data,r12vrr_stack+14183, r12vrr_stack+216, r12vrr_stack+14083, r12vrr_stack+1965, r12vrr_stack+1815, r12vrr_stack+1405, r12vrr_stack+444);
 tmp = r12vrr_stack + 14183;
 target_ptr = Libr12->rvrr_classes[5][3];
 for(i=0;i<210;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||g0)^0 ---*/
 _R_BUILD_00g0(Data,r12vrr_stack+13993, r12vrr_stack+985, r12vrr_stack+13987, r12vrr_stack+995, r12vrr_stack+135, r12vrr_stack+210, NULL);

 /*--- compute (p0||g0)^0 ---*/
 _R_BUILD_p0g0(Data,r12vrr_stack+2175, r12vrr_stack+13993, NULL, r12vrr_stack+2400, r12vrr_stack+995, NULL, r12vrr_stack+135);

 /*--- compute (d0||g0)^0 ---*/
 _R_BUILD_d0g0(Data,r12vrr_stack+14008, r12vrr_stack+2175, r12vrr_stack+13993, r12vrr_stack+2445, r12vrr_stack+2400, r12vrr_stack+995, r12vrr_stack+1315);

 /*--- compute (f0||g0)^0 ---*/
 _R_BUILD_f0g0(Data,r12vrr_stack+14393, r12vrr_stack+14008, r12vrr_stack+2175, r12vrr_stack+2820, r12vrr_stack+2445, r12vrr_stack+2400, r12vrr_stack+1345);

 /*--- compute (g0||g0)^0 ---*/
 _R_BUILD_g0g0(Data,r12vrr_stack+14543, r12vrr_stack+14393, r12vrr_stack+14008, r12vrr_stack+2970, r12vrr_stack+2820, r12vrr_stack+2445, r12vrr_stack+1405);
 tmp = r12vrr_stack + 14543;
 target_ptr = Libr12->rvrr_classes[4][4];
 for(i=0;i<225;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0||g0)^0 ---*/
 _R_BUILD_h0g0(Data,r12vrr_stack+17610, r12vrr_stack+14543, r12vrr_stack+14393, r12vrr_stack+3705, r12vrr_stack+2970, r12vrr_stack+2820, r12vrr_stack+1815);
 tmp = r12vrr_stack + 17610;
 target_ptr = Libr12->rvrr_classes[5][4];
 for(i=0;i<315;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||h0)^0 ---*/
 _R_BUILD_00h0(Data,r12vrr_stack+4020, r12vrr_stack+13993, r12vrr_stack+985, r12vrr_stack+2220, r12vrr_stack+995, r12vrr_stack+135, NULL);

 /*--- compute (p0||h0)^0 ---*/
 _R_BUILD_p0h0(Data,r12vrr_stack+14393, r12vrr_stack+4020, NULL, r12vrr_stack+4293, r12vrr_stack+2220, NULL, r12vrr_stack+995);

 /*--- compute (d0||h0)^0 ---*/
 _R_BUILD_d0h0(Data,r12vrr_stack+14008, r12vrr_stack+14393, r12vrr_stack+4020, r12vrr_stack+4356, r12vrr_stack+4293, r12vrr_stack+2220, r12vrr_stack+2400);

 /*--- compute (f0||h0)^0 ---*/
 _R_BUILD_f0h0(Data,r12vrr_stack+17925, r12vrr_stack+14008, r12vrr_stack+14393, r12vrr_stack+4881, r12vrr_stack+4356, r12vrr_stack+4293, r12vrr_stack+2445);

 /*--- compute (g0||h0)^0 ---*/
 _R_BUILD_g0h0(Data,r12vrr_stack+18135, r12vrr_stack+17925, r12vrr_stack+14008, r12vrr_stack+5091, r12vrr_stack+4881, r12vrr_stack+4356, r12vrr_stack+2820);
 tmp = r12vrr_stack + 18135;
 target_ptr = Libr12->rvrr_classes[4][5];
 for(i=0;i<315;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0||h0)^0 ---*/
 _R_BUILD_h0h0(Data,r12vrr_stack+22210, r12vrr_stack+18135, r12vrr_stack+17925, r12vrr_stack+6057, r12vrr_stack+5091, r12vrr_stack+4881, r12vrr_stack+2970);
 tmp = r12vrr_stack + 22210;
 target_ptr = Libr12->rvrr_classes[5][5];
 for(i=0;i<441;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||i0)^0 ---*/
 _R_BUILD_00i0(Data,r12vrr_stack+17925, r12vrr_stack+4020, r12vrr_stack+13993, r12vrr_stack+4041, r12vrr_stack+2220, r12vrr_stack+995, NULL);

 /*--- compute (p0||i0)^0 ---*/
 _R_BUILD_p0i0(Data,r12vrr_stack+17953, r12vrr_stack+17925, NULL, r12vrr_stack+6890, r12vrr_stack+4041, NULL, r12vrr_stack+2220);

 /*--- compute (d0||i0)^0 ---*/
 _R_BUILD_d0i0(Data,r12vrr_stack+985, r12vrr_stack+17953, r12vrr_stack+17925, r12vrr_stack+6974, r12vrr_stack+6890, r12vrr_stack+4041, r12vrr_stack+4293);

 /*--- compute (f0||i0)^0 ---*/
 _R_BUILD_f0i0(Data,r12vrr_stack+19266, r12vrr_stack+985, r12vrr_stack+17953, r12vrr_stack+7674, r12vrr_stack+6974, r12vrr_stack+6890, r12vrr_stack+4356);

 /*--- compute (g0||i0)^0 ---*/
 _R_BUILD_g0i0(Data,r12vrr_stack+19906, r12vrr_stack+19266, r12vrr_stack+985, r12vrr_stack+7954, r12vrr_stack+7674, r12vrr_stack+6974, r12vrr_stack+4881);
 tmp = r12vrr_stack + 19906;
 target_ptr = Libr12->rvrr_classes[4][6];
 for(i=0;i<420;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0||i0)^0 ---*/
 _R_BUILD_h0i0(Data,r12vrr_stack+20866, r12vrr_stack+19906, r12vrr_stack+19266, r12vrr_stack+9242, r12vrr_stack+7954, r12vrr_stack+7674, r12vrr_stack+5091);
 tmp = r12vrr_stack + 20866;
 target_ptr = Libr12->rvrr_classes[5][6];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T2]|f0)^0 ---*/
 _T2_BUILD_g0f0(Data,&(Libr12->ShellQuartet),r12vrr_stack+14393, r12vrr_stack+1815, r12vrr_stack+2970, r12vrr_stack+1965, r12vrr_stack+859, r12vrr_stack+444);
 tmp = r12vrr_stack + 14393;
 target_ptr = Libr12->t2vrr_classes[4][3];
 for(i=0;i<150;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T2]|g0)^0 ---*/
 _T2_BUILD_g0g0(Data,&(Libr12->ShellQuartet),r12vrr_stack+19266, r12vrr_stack+2970, r12vrr_stack+5091, r12vrr_stack+3705, r12vrr_stack+1965, r12vrr_stack+1815);
 tmp = r12vrr_stack + 19266;
 target_ptr = Libr12->t2vrr_classes[4][4];
 for(i=0;i<225;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T2]|h0)^0 ---*/
 _T2_BUILD_g0h0(Data,&(Libr12->ShellQuartet),r12vrr_stack+985, r12vrr_stack+5091, r12vrr_stack+7954, r12vrr_stack+6057, r12vrr_stack+3705, r12vrr_stack+2970);
 tmp = r12vrr_stack + 985;
 target_ptr = Libr12->t2vrr_classes[4][5];
 for(i=0;i<315;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T2]|i0)^0 ---*/
 _T2_BUILD_g0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+4020, r12vrr_stack+7954, r12vrr_stack+11594, r12vrr_stack+9242, r12vrr_stack+6057, r12vrr_stack+5091);
 tmp = r12vrr_stack + 4020;
 target_ptr = Libr12->t2vrr_classes[4][6];
 for(i=0;i<420;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T2]|f0)^0 ---*/
 _T2_BUILD_h0f0(Data,&(Libr12->ShellQuartet),r12vrr_stack+17925, r12vrr_stack+1965, r12vrr_stack+3705, r12vrr_stack+12594, r12vrr_stack+6714, r12vrr_stack+859);
 tmp = r12vrr_stack + 17925;
 target_ptr = Libr12->t2vrr_classes[5][3];
 for(i=0;i<210;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T2]|g0)^0 ---*/
 _T2_BUILD_h0g0(Data,&(Libr12->ShellQuartet),r12vrr_stack+4440, r12vrr_stack+3705, r12vrr_stack+6057, r12vrr_stack+13564, r12vrr_stack+12594, r12vrr_stack+1965);
 tmp = r12vrr_stack + 4440;
 target_ptr = Libr12->t2vrr_classes[5][4];
 for(i=0;i<315;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T2]|h0)^0 ---*/
 _T2_BUILD_h0h0(Data,&(Libr12->ShellQuartet),r12vrr_stack+2175, r12vrr_stack+6057, r12vrr_stack+9242, r12vrr_stack+14950, r12vrr_stack+13564, r12vrr_stack+3705);
 tmp = r12vrr_stack + 2175;
 target_ptr = Libr12->t2vrr_classes[5][5];
 for(i=0;i<441;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T2]|i0)^0 ---*/
 _T2_BUILD_h0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+15538, r12vrr_stack+9242, r12vrr_stack+18510, r12vrr_stack+16826, r12vrr_stack+14950, r12vrr_stack+6057);
 tmp = r12vrr_stack + 15538;
 target_ptr = Libr12->t2vrr_classes[5][6];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T2]|f0)^0 ---*/
 _T2_BUILD_i0f0(Data,&(Libr12->ShellQuartet),r12vrr_stack+366, r12vrr_stack+12594, r12vrr_stack+13564, r12vrr_stack+19546, r12vrr_stack+9866, r12vrr_stack+6714);
 tmp = r12vrr_stack + 366;
 target_ptr = Libr12->t2vrr_classes[6][3];
 for(i=0;i<280;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T2]|g0)^0 ---*/
 _T2_BUILD_i0g0(Data,&(Libr12->ShellQuartet),r12vrr_stack+16126, r12vrr_stack+13564, r12vrr_stack+14950, r12vrr_stack+20326, r12vrr_stack+19546, r12vrr_stack+12594);
 tmp = r12vrr_stack + 16126;
 target_ptr = Libr12->t2vrr_classes[6][4];
 for(i=0;i<420;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T2]|h0)^0 ---*/
 _T2_BUILD_i0h0(Data,&(Libr12->ShellQuartet),r12vrr_stack+6498, r12vrr_stack+14950, r12vrr_stack+16826, r12vrr_stack+21454, r12vrr_stack+20326, r12vrr_stack+13564);
 tmp = r12vrr_stack + 6498;
 target_ptr = Libr12->t2vrr_classes[6][5];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T2]|i0)^0 ---*/
 _T2_BUILD_i0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+8374, r12vrr_stack+16826, r12vrr_stack+10082, r12vrr_stack+22994, r12vrr_stack+21454, r12vrr_stack+14950);
 tmp = r12vrr_stack + 8374;
 target_ptr = Libr12->t2vrr_classes[6][6];
 for(i=0;i<784;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T1]|f0)^0 ---*/
 _T1_BUILD_g0f0(Data,&(Libr12->ShellQuartet),r12vrr_stack+2616, r12vrr_stack+1815, r12vrr_stack+1965, r12vrr_stack+2970, r12vrr_stack+2820, r12vrr_stack+1405);
 tmp = r12vrr_stack + 2616;
 target_ptr = Libr12->t1vrr_classes[4][3];
 for(i=0;i<150;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T1]|g0)^0 ---*/
 _T1_BUILD_g0g0(Data,&(Libr12->ShellQuartet),r12vrr_stack+1300, r12vrr_stack+2970, r12vrr_stack+3705, r12vrr_stack+5091, r12vrr_stack+4881, r12vrr_stack+2820);
 tmp = r12vrr_stack + 1300;
 target_ptr = Libr12->t1vrr_classes[4][4];
 for(i=0;i<225;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T1]|h0)^0 ---*/
 _T1_BUILD_g0h0(Data,&(Libr12->ShellQuartet),r12vrr_stack+22651, r12vrr_stack+5091, r12vrr_stack+6057, r12vrr_stack+7954, r12vrr_stack+7674, r12vrr_stack+4881);
 tmp = r12vrr_stack + 22651;
 target_ptr = Libr12->t1vrr_classes[4][5];
 for(i=0;i<315;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T1]|i0)^0 ---*/
 _T1_BUILD_g0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+7086, r12vrr_stack+7954, r12vrr_stack+9242, r12vrr_stack+11594, r12vrr_stack+11234, r12vrr_stack+7674);
 tmp = r12vrr_stack + 7086;
 target_ptr = Libr12->t1vrr_classes[4][6];
 for(i=0;i<420;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T1]|f0)^0 ---*/
 _T1_BUILD_h0f0(Data,&(Libr12->ShellQuartet),r12vrr_stack+1525, r12vrr_stack+1965, r12vrr_stack+12594, r12vrr_stack+3705, r12vrr_stack+2970, r12vrr_stack+1815);
 tmp = r12vrr_stack + 1525;
 target_ptr = Libr12->t1vrr_classes[5][3];
 for(i=0;i<210;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T1]|g0)^0 ---*/
 _T1_BUILD_h0g0(Data,&(Libr12->ShellQuartet),r12vrr_stack+4755, r12vrr_stack+3705, r12vrr_stack+13564, r12vrr_stack+6057, r12vrr_stack+5091, r12vrr_stack+2970);
 tmp = r12vrr_stack + 4755;
 target_ptr = Libr12->t1vrr_classes[5][4];
 for(i=0;i<315;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T1]|h0)^0 ---*/
 _T1_BUILD_h0h0(Data,&(Libr12->ShellQuartet),r12vrr_stack+7506, r12vrr_stack+6057, r12vrr_stack+14950, r12vrr_stack+9242, r12vrr_stack+7954, r12vrr_stack+5091);
 tmp = r12vrr_stack + 7506;
 target_ptr = Libr12->t1vrr_classes[5][5];
 for(i=0;i<441;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T1]|i0)^0 ---*/
 _T1_BUILD_h0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+12874, r12vrr_stack+9242, r12vrr_stack+16826, r12vrr_stack+18510, r12vrr_stack+11594, r12vrr_stack+7954);
 tmp = r12vrr_stack + 12874;
 target_ptr = Libr12->t1vrr_classes[5][6];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T1]|f0)^0 ---*/
 _T1_BUILD_i0f0(Data,&(Libr12->ShellQuartet),r12vrr_stack+16546, r12vrr_stack+12594, r12vrr_stack+19546, r12vrr_stack+13564, r12vrr_stack+3705, r12vrr_stack+1965);
 tmp = r12vrr_stack + 16546;
 target_ptr = Libr12->t1vrr_classes[6][3];
 for(i=0;i<280;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T1]|g0)^0 ---*/
 _T1_BUILD_i0g0(Data,&(Libr12->ShellQuartet),r12vrr_stack+3195, r12vrr_stack+13564, r12vrr_stack+20326, r12vrr_stack+14950, r12vrr_stack+6057, r12vrr_stack+3705);
 tmp = r12vrr_stack + 3195;
 target_ptr = Libr12->t1vrr_classes[6][4];
 for(i=0;i<420;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T1]|h0)^0 ---*/
 _T1_BUILD_i0h0(Data,&(Libr12->ShellQuartet),r12vrr_stack+11090, r12vrr_stack+14950, r12vrr_stack+21454, r12vrr_stack+16826, r12vrr_stack+9242, r12vrr_stack+6057);
 tmp = r12vrr_stack + 11090;
 target_ptr = Libr12->t1vrr_classes[6][5];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T1]|i0)^0 ---*/
 _T1_BUILD_i0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+11678, r12vrr_stack+16826, r12vrr_stack+22994, r12vrr_stack+10082, r12vrr_stack+18510, r12vrr_stack+9242);
 tmp = r12vrr_stack + 11678;
 target_ptr = Libr12->t1vrr_classes[6][6];
 for(i=0;i<784;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0||f0)^0 ---*/
 _R_BUILD_i0f0(Data,r12vrr_stack+21454, r12vrr_stack+14183, r12vrr_stack+216, r12vrr_stack+12594, r12vrr_stack+1965, r12vrr_stack+1815, r12vrr_stack+859);
 tmp = r12vrr_stack + 21454;
 target_ptr = Libr12->rvrr_classes[6][3];
 for(i=0;i<280;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0||g0)^0 ---*/
 _R_BUILD_i0g0(Data,r12vrr_stack+21734, r12vrr_stack+17610, r12vrr_stack+14543, r12vrr_stack+13564, r12vrr_stack+3705, r12vrr_stack+2970, r12vrr_stack+1965);
 tmp = r12vrr_stack + 21734;
 target_ptr = Libr12->rvrr_classes[6][4];
 for(i=0;i<420;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0||h0)^0 ---*/
 _R_BUILD_i0h0(Data,r12vrr_stack+18450, r12vrr_stack+22210, r12vrr_stack+18135, r12vrr_stack+14950, r12vrr_stack+6057, r12vrr_stack+5091, r12vrr_stack+3705);
 tmp = r12vrr_stack + 18450;
 target_ptr = Libr12->rvrr_classes[6][5];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0||i0)^0 ---*/
 _R_BUILD_i0i0(Data,r12vrr_stack+14543, r12vrr_stack+20866, r12vrr_stack+19906, r12vrr_stack+16826, r12vrr_stack+9242, r12vrr_stack+7954, r12vrr_stack+6057);
 tmp = r12vrr_stack + 14543;
 target_ptr = Libr12->rvrr_classes[6][6];
 for(i=0;i<784;i++)
   target_ptr[i] += tmp[i];


}

