#include <stdio.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/vrr_header.h>
#include "r12_vrr_header.h"

void vrr_grt_order_h0gp(Libr12_t *Libr12, prim_data *Data)
{
 REALTYPE *r12vrr_stack = Libr12->r12vrr_stack;
 REALTYPE *tmp, *target_ptr;
 int i, am[2];

 /*--- compute (p0|00)^4 ---*/
 _BUILD_p000(Data,r12vrr_stack+0, Data->F+4, Data->F+5, NULL, NULL, NULL);

 /*--- compute (p0|00)^3 ---*/
 _BUILD_p000(Data,r12vrr_stack+3, Data->F+3, Data->F+4, NULL, NULL, NULL);

 /*--- compute (d0|00)^3 ---*/
 _BUILD_d000(Data,r12vrr_stack+6, r12vrr_stack+3, r12vrr_stack+0, Data->F+3, Data->F+4, NULL);

 /*--- compute (00|p0)^4 ---*/
 _BUILD_00p0(Data,r12vrr_stack+12, Data->F+4, Data->F+5, NULL, NULL, NULL);

 /*--- compute (00|p0)^3 ---*/
 _BUILD_00p0(Data,r12vrr_stack+15, Data->F+3, Data->F+4, NULL, NULL, NULL);

 /*--- compute (p0|p0)^3 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+18, r12vrr_stack+15, r12vrr_stack+12, NULL, NULL, Data->F+4);

 /*--- compute (00|p0)^2 ---*/
 _BUILD_00p0(Data,r12vrr_stack+27, Data->F+2, Data->F+3, NULL, NULL, NULL);

 /*--- compute (p0|p0)^2 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+30, r12vrr_stack+27, r12vrr_stack+15, NULL, NULL, Data->F+3);

 /*--- compute (00|p0)^5 ---*/
 _BUILD_00p0(Data,r12vrr_stack+39, Data->F+5, Data->F+6, NULL, NULL, NULL);

 /*--- compute (p0|p0)^4 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+42, r12vrr_stack+12, r12vrr_stack+39, NULL, NULL, Data->F+5);

 /*--- compute (d0|p0)^3 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+51, r12vrr_stack+18, r12vrr_stack+42, r12vrr_stack+15, r12vrr_stack+12, r12vrr_stack+0);

 /*--- compute (d0|p0)^2 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+69, r12vrr_stack+30, r12vrr_stack+18, r12vrr_stack+27, r12vrr_stack+15, r12vrr_stack+3);

 /*--- compute (f0|p0)^2 ---*/
 _BUILD_f0p0(Data,r12vrr_stack+87, r12vrr_stack+69, r12vrr_stack+51, r12vrr_stack+30, r12vrr_stack+18, r12vrr_stack+6);

 /*--- compute (00|d0)^3 ---*/
 _BUILD_00d0(Data,r12vrr_stack+117, r12vrr_stack+15, r12vrr_stack+12, Data->F+3, Data->F+4, NULL);

 /*--- compute (00|d0)^2 ---*/
 _BUILD_00d0(Data,r12vrr_stack+123, r12vrr_stack+27, r12vrr_stack+15, Data->F+2, Data->F+3, NULL);

 /*--- compute (00|d0)^4 ---*/
 _BUILD_00d0(Data,r12vrr_stack+129, r12vrr_stack+12, r12vrr_stack+39, Data->F+4, Data->F+5, NULL);

 /*--- compute (p0|d0)^3 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+135, r12vrr_stack+117, r12vrr_stack+129, NULL, NULL, r12vrr_stack+12);

 /*--- compute (p0|d0)^2 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+153, r12vrr_stack+123, r12vrr_stack+117, NULL, NULL, r12vrr_stack+15);

 /*--- compute (d0|d0)^2 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+171, r12vrr_stack+153, r12vrr_stack+135, r12vrr_stack+123, r12vrr_stack+117, r12vrr_stack+18);

 /*--- compute (00|p0)^1 ---*/
 _BUILD_00p0(Data,r12vrr_stack+207, Data->F+1, Data->F+2, NULL, NULL, NULL);

 /*--- compute (00|d0)^1 ---*/
 _BUILD_00d0(Data,r12vrr_stack+210, r12vrr_stack+207, r12vrr_stack+27, Data->F+1, Data->F+2, NULL);

 /*--- compute (p0|d0)^1 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+216, r12vrr_stack+210, r12vrr_stack+123, NULL, NULL, r12vrr_stack+27);

 /*--- compute (d0|d0)^1 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+234, r12vrr_stack+216, r12vrr_stack+153, r12vrr_stack+210, r12vrr_stack+123, r12vrr_stack+30);

 /*--- compute (00|p0)^6 ---*/
 _BUILD_00p0(Data,r12vrr_stack+30, Data->F+6, Data->F+7, NULL, NULL, NULL);

 /*--- compute (00|d0)^5 ---*/
 _BUILD_00d0(Data,r12vrr_stack+33, r12vrr_stack+39, r12vrr_stack+30, Data->F+5, Data->F+6, NULL);

 /*--- compute (p0|d0)^4 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+270, r12vrr_stack+129, r12vrr_stack+33, NULL, NULL, r12vrr_stack+39);

 /*--- compute (d0|d0)^3 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+288, r12vrr_stack+135, r12vrr_stack+270, r12vrr_stack+117, r12vrr_stack+129, r12vrr_stack+42);

 /*--- compute (f0|d0)^2 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+324, r12vrr_stack+171, r12vrr_stack+288, r12vrr_stack+153, r12vrr_stack+135, r12vrr_stack+51);

 /*--- compute (f0|d0)^1 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+384, r12vrr_stack+234, r12vrr_stack+171, r12vrr_stack+216, r12vrr_stack+153, r12vrr_stack+69);

 /*--- compute (g0|d0)^1 ---*/
 _BUILD_g0d0(Data,r12vrr_stack+444, r12vrr_stack+384, r12vrr_stack+324, r12vrr_stack+234, r12vrr_stack+171, r12vrr_stack+87);

 /*--- compute (00|f0)^3 ---*/
 _BUILD_00f0(Data,r12vrr_stack+534, r12vrr_stack+117, r12vrr_stack+129, r12vrr_stack+15, r12vrr_stack+12, NULL);

 /*--- compute (00|f0)^2 ---*/
 _BUILD_00f0(Data,r12vrr_stack+544, r12vrr_stack+123, r12vrr_stack+117, r12vrr_stack+27, r12vrr_stack+15, NULL);

 /*--- compute (p0|f0)^2 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+554, r12vrr_stack+544, r12vrr_stack+534, NULL, NULL, r12vrr_stack+117);

 /*--- compute (00|f0)^1 ---*/
 _BUILD_00f0(Data,r12vrr_stack+584, r12vrr_stack+210, r12vrr_stack+123, r12vrr_stack+207, r12vrr_stack+27, NULL);

 /*--- compute (p0|f0)^1 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+594, r12vrr_stack+584, r12vrr_stack+544, NULL, NULL, r12vrr_stack+123);

 /*--- compute (00|f0)^4 ---*/
 _BUILD_00f0(Data,r12vrr_stack+624, r12vrr_stack+129, r12vrr_stack+33, r12vrr_stack+12, r12vrr_stack+39, NULL);

 /*--- compute (p0|f0)^3 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+634, r12vrr_stack+534, r12vrr_stack+624, NULL, NULL, r12vrr_stack+129);

 /*--- compute (d0|f0)^2 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+664, r12vrr_stack+554, r12vrr_stack+634, r12vrr_stack+544, r12vrr_stack+534, r12vrr_stack+135);

 /*--- compute (d0|f0)^1 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+724, r12vrr_stack+594, r12vrr_stack+554, r12vrr_stack+584, r12vrr_stack+544, r12vrr_stack+153);

 /*--- compute (f0|f0)^1 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+784, r12vrr_stack+724, r12vrr_stack+664, r12vrr_stack+594, r12vrr_stack+554, r12vrr_stack+171);

 /*--- compute (00|p0)^0 ---*/
 _BUILD_00p0(Data,r12vrr_stack+27, Data->F+0, Data->F+1, NULL, NULL, NULL);

 /*--- compute (00|d0)^0 ---*/
 _BUILD_00d0(Data,r12vrr_stack+153, r12vrr_stack+27, r12vrr_stack+207, Data->F+0, Data->F+1, NULL);

 /*--- compute (00|f0)^0 ---*/
 _BUILD_00f0(Data,r12vrr_stack+159, r12vrr_stack+153, r12vrr_stack+210, r12vrr_stack+27, r12vrr_stack+207, NULL);

 /*--- compute (p0|f0)^0 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+884, r12vrr_stack+159, r12vrr_stack+584, NULL, NULL, r12vrr_stack+210);

 /*--- compute (d0|f0)^0 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+914, r12vrr_stack+884, r12vrr_stack+594, r12vrr_stack+159, r12vrr_stack+584, r12vrr_stack+216);

 /*--- compute (f0|f0)^0 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+974, r12vrr_stack+914, r12vrr_stack+724, r12vrr_stack+884, r12vrr_stack+594, r12vrr_stack+234);

 /*--- compute (00|p0)^7 ---*/
 _BUILD_00p0(Data,r12vrr_stack+207, Data->F+7, Data->F+8, NULL, NULL, NULL);

 /*--- compute (00|d0)^6 ---*/
 _BUILD_00d0(Data,r12vrr_stack+216, r12vrr_stack+30, r12vrr_stack+207, Data->F+6, Data->F+7, NULL);

 /*--- compute (00|f0)^5 ---*/
 _BUILD_00f0(Data,r12vrr_stack+222, r12vrr_stack+33, r12vrr_stack+216, r12vrr_stack+39, r12vrr_stack+30, NULL);

 /*--- compute (p0|f0)^4 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+232, r12vrr_stack+624, r12vrr_stack+222, NULL, NULL, r12vrr_stack+33);

 /*--- compute (d0|f0)^3 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+1074, r12vrr_stack+634, r12vrr_stack+232, r12vrr_stack+534, r12vrr_stack+624, r12vrr_stack+270);

 /*--- compute (f0|f0)^2 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+1134, r12vrr_stack+664, r12vrr_stack+1074, r12vrr_stack+554, r12vrr_stack+634, r12vrr_stack+288);

 /*--- compute (g0|f0)^1 ---*/
 _BUILD_g0f0(Data,r12vrr_stack+1234, r12vrr_stack+784, r12vrr_stack+1134, r12vrr_stack+724, r12vrr_stack+664, r12vrr_stack+324);

 /*--- compute (g0|f0)^0 ---*/
 _BUILD_g0f0(Data,r12vrr_stack+1384, r12vrr_stack+974, r12vrr_stack+784, r12vrr_stack+914, r12vrr_stack+724, r12vrr_stack+384);

 /*--- compute (h0|f0)^0 ---*/
 am[0] = 5;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+1534, r12vrr_stack+1384, r12vrr_stack+1234, r12vrr_stack+974, r12vrr_stack+784, r12vrr_stack+444);

 /*--- compute (p0|00)^5 ---*/
 _BUILD_p000(Data,r12vrr_stack+15, Data->F+5, Data->F+6, NULL, NULL, NULL);

 /*--- compute (d0|00)^4 ---*/
 _BUILD_d000(Data,r12vrr_stack+262, r12vrr_stack+0, r12vrr_stack+15, Data->F+4, Data->F+5, NULL);

 /*--- compute (f0|00)^3 ---*/
 _BUILD_f000(Data,r12vrr_stack+1744, r12vrr_stack+6, r12vrr_stack+262, r12vrr_stack+3, r12vrr_stack+0, NULL);

 /*--- compute (p0|p0)^5 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+0, r12vrr_stack+39, r12vrr_stack+30, NULL, NULL, Data->F+6);

 /*--- compute (d0|p0)^4 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+1754, r12vrr_stack+42, r12vrr_stack+0, r12vrr_stack+12, r12vrr_stack+39, r12vrr_stack+15);

 /*--- compute (f0|p0)^3 ---*/
 _BUILD_f0p0(Data,r12vrr_stack+1772, r12vrr_stack+51, r12vrr_stack+1754, r12vrr_stack+18, r12vrr_stack+42, r12vrr_stack+262);

 /*--- compute (g0|p0)^2 ---*/
 _BUILD_g0p0(Data,r12vrr_stack+1802, r12vrr_stack+87, r12vrr_stack+1772, r12vrr_stack+69, r12vrr_stack+51, r12vrr_stack+1744);

 /*--- compute (p0|d0)^5 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+9, r12vrr_stack+33, r12vrr_stack+216, NULL, NULL, r12vrr_stack+30);

 /*--- compute (d0|d0)^4 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+39, r12vrr_stack+270, r12vrr_stack+9, r12vrr_stack+129, r12vrr_stack+33, r12vrr_stack+0);

 /*--- compute (f0|d0)^3 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+1847, r12vrr_stack+288, r12vrr_stack+39, r12vrr_stack+135, r12vrr_stack+270, r12vrr_stack+1754);

 /*--- compute (g0|d0)^2 ---*/
 _BUILD_g0d0(Data,r12vrr_stack+1907, r12vrr_stack+324, r12vrr_stack+1847, r12vrr_stack+171, r12vrr_stack+288, r12vrr_stack+1772);

 /*--- compute (h0|d0)^1 ---*/
 am[0] = 5;  am[1] = 2;
 vrr_build_xxxx(am,Data,r12vrr_stack+1997, r12vrr_stack+444, r12vrr_stack+1907, r12vrr_stack+384, r12vrr_stack+324, r12vrr_stack+1802);

 /*--- compute (00|p0)^8 ---*/
 _BUILD_00p0(Data,r12vrr_stack+135, Data->F+8, Data->F+9, NULL, NULL, NULL);

 /*--- compute (00|d0)^7 ---*/
 _BUILD_00d0(Data,r12vrr_stack+138, r12vrr_stack+207, r12vrr_stack+135, Data->F+7, Data->F+8, NULL);

 /*--- compute (00|f0)^6 ---*/
 _BUILD_00f0(Data,r12vrr_stack+1744, r12vrr_stack+216, r12vrr_stack+138, r12vrr_stack+30, r12vrr_stack+207, NULL);

 /*--- compute (p0|f0)^5 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+1754, r12vrr_stack+222, r12vrr_stack+1744, NULL, NULL, r12vrr_stack+216);

 /*--- compute (d0|f0)^4 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+1784, r12vrr_stack+232, r12vrr_stack+1754, r12vrr_stack+624, r12vrr_stack+222, r12vrr_stack+9);

 /*--- compute (f0|f0)^3 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+262, r12vrr_stack+1074, r12vrr_stack+1784, r12vrr_stack+634, r12vrr_stack+232, r12vrr_stack+39);

 /*--- compute (g0|f0)^2 ---*/
 _BUILD_g0f0(Data,r12vrr_stack+362, r12vrr_stack+1134, r12vrr_stack+262, r12vrr_stack+664, r12vrr_stack+1074, r12vrr_stack+1847);

 /*--- compute (h0|f0)^1 ---*/
 am[0] = 5;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+2123, r12vrr_stack+1234, r12vrr_stack+362, r12vrr_stack+784, r12vrr_stack+1134, r12vrr_stack+1907);

 /*--- compute (i0|f0)^0 ---*/
 am[0] = 6;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+2333, r12vrr_stack+1534, r12vrr_stack+2123, r12vrr_stack+1384, r12vrr_stack+1234, r12vrr_stack+1997);

 /*--- compute (00|g0)^3 ---*/
 _BUILD_00g0(Data,r12vrr_stack+39, r12vrr_stack+534, r12vrr_stack+624, r12vrr_stack+117, r12vrr_stack+129, NULL);

 /*--- compute (00|g0)^2 ---*/
 _BUILD_00g0(Data,r12vrr_stack+54, r12vrr_stack+544, r12vrr_stack+534, r12vrr_stack+123, r12vrr_stack+117, NULL);

 /*--- compute (00|g0)^4 ---*/
 _BUILD_00g0(Data,r12vrr_stack+69, r12vrr_stack+624, r12vrr_stack+222, r12vrr_stack+129, r12vrr_stack+33, NULL);

 /*--- compute (p0|g0)^3 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+1844, r12vrr_stack+39, r12vrr_stack+69, NULL, NULL, r12vrr_stack+624);

 /*--- compute (p0|g0)^2 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+1889, r12vrr_stack+54, r12vrr_stack+39, NULL, NULL, r12vrr_stack+534);

 /*--- compute (d0|g0)^2 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+1934, r12vrr_stack+1889, r12vrr_stack+1844, r12vrr_stack+54, r12vrr_stack+39, r12vrr_stack+634);

 /*--- compute (00|g0)^1 ---*/
 _BUILD_00g0(Data,r12vrr_stack+634, r12vrr_stack+584, r12vrr_stack+544, r12vrr_stack+210, r12vrr_stack+123, NULL);

 /*--- compute (p0|g0)^1 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+84, r12vrr_stack+634, r12vrr_stack+54, NULL, NULL, r12vrr_stack+544);

 /*--- compute (d0|g0)^1 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+2024, r12vrr_stack+84, r12vrr_stack+1889, r12vrr_stack+634, r12vrr_stack+54, r12vrr_stack+554);

 /*--- compute (00|g0)^5 ---*/
 _BUILD_00g0(Data,r12vrr_stack+649, r12vrr_stack+222, r12vrr_stack+1744, r12vrr_stack+33, r12vrr_stack+216, NULL);

 /*--- compute (p0|g0)^4 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+2613, r12vrr_stack+69, r12vrr_stack+649, NULL, NULL, r12vrr_stack+222);

 /*--- compute (d0|g0)^3 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+2658, r12vrr_stack+1844, r12vrr_stack+2613, r12vrr_stack+39, r12vrr_stack+69, r12vrr_stack+232);

 /*--- compute (f0|g0)^2 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+2748, r12vrr_stack+1934, r12vrr_stack+2658, r12vrr_stack+1889, r12vrr_stack+1844, r12vrr_stack+1074);

 /*--- compute (f0|g0)^1 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+2898, r12vrr_stack+2024, r12vrr_stack+1934, r12vrr_stack+84, r12vrr_stack+1889, r12vrr_stack+664);

 /*--- compute (g0|g0)^1 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+3048, r12vrr_stack+2898, r12vrr_stack+2748, r12vrr_stack+2024, r12vrr_stack+1934, r12vrr_stack+1134);

 /*--- compute (00|g0)^0 ---*/
 _BUILD_00g0(Data,r12vrr_stack+664, r12vrr_stack+159, r12vrr_stack+584, r12vrr_stack+153, r12vrr_stack+210, NULL);

 /*--- compute (p0|g0)^0 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+679, r12vrr_stack+664, r12vrr_stack+634, NULL, NULL, r12vrr_stack+584);

 /*--- compute (d0|g0)^0 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+1074, r12vrr_stack+679, r12vrr_stack+84, r12vrr_stack+664, r12vrr_stack+634, r12vrr_stack+594);

 /*--- compute (f0|g0)^0 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+3273, r12vrr_stack+1074, r12vrr_stack+2024, r12vrr_stack+679, r12vrr_stack+84, r12vrr_stack+724);

 /*--- compute (g0|g0)^0 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+3423, r12vrr_stack+3273, r12vrr_stack+2898, r12vrr_stack+1074, r12vrr_stack+2024, r12vrr_stack+784);

 /*--- compute (00|p0)^9 ---*/
 _BUILD_00p0(Data,r12vrr_stack+724, Data->F+9, Data->F+10, NULL, NULL, NULL);

 /*--- compute (00|d0)^8 ---*/
 _BUILD_00d0(Data,r12vrr_stack+210, r12vrr_stack+135, r12vrr_stack+724, Data->F+8, Data->F+9, NULL);

 /*--- compute (00|f0)^7 ---*/
 _BUILD_00f0(Data,r12vrr_stack+727, r12vrr_stack+138, r12vrr_stack+210, r12vrr_stack+207, r12vrr_stack+135, NULL);

 /*--- compute (00|g0)^6 ---*/
 _BUILD_00g0(Data,r12vrr_stack+737, r12vrr_stack+1744, r12vrr_stack+727, r12vrr_stack+216, r12vrr_stack+138, NULL);

 /*--- compute (p0|g0)^5 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+752, r12vrr_stack+649, r12vrr_stack+737, NULL, NULL, r12vrr_stack+1744);

 /*--- compute (d0|g0)^4 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+3648, r12vrr_stack+2613, r12vrr_stack+752, r12vrr_stack+69, r12vrr_stack+649, r12vrr_stack+1754);

 /*--- compute (f0|g0)^3 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+3738, r12vrr_stack+2658, r12vrr_stack+3648, r12vrr_stack+1844, r12vrr_stack+2613, r12vrr_stack+1784);

 /*--- compute (g0|g0)^2 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+3888, r12vrr_stack+2748, r12vrr_stack+3738, r12vrr_stack+1934, r12vrr_stack+2658, r12vrr_stack+262);

 /*--- compute (h0|g0)^1 ---*/
 am[0] = 5;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+4113, r12vrr_stack+3048, r12vrr_stack+3888, r12vrr_stack+2898, r12vrr_stack+2748, r12vrr_stack+362);

 /*--- compute (h0|g0)^0 ---*/
 am[0] = 5;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+4428, r12vrr_stack+3423, r12vrr_stack+3048, r12vrr_stack+3273, r12vrr_stack+2898, r12vrr_stack+1234);
 tmp = r12vrr_stack + 4428;
 target_ptr = Libr12->gvrr_classes[5][4];
 for(i=0;i<315;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|g0)^0 ---*/
 am[0] = 6;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+4743, r12vrr_stack+4428, r12vrr_stack+4113, r12vrr_stack+3423, r12vrr_stack+3048, r12vrr_stack+2123);
 tmp = r12vrr_stack + 4743;
 target_ptr = Libr12->gvrr_classes[6][4];
 for(i=0;i<420;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|h0)^3 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1754, r12vrr_stack+39, r12vrr_stack+69, r12vrr_stack+534, r12vrr_stack+624, NULL);

 /*--- compute (00|h0)^2 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1775, r12vrr_stack+54, r12vrr_stack+39, r12vrr_stack+544, r12vrr_stack+534, NULL);

 /*--- compute (p0|h0)^2 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+797, r12vrr_stack+1775, r12vrr_stack+1754, NULL, NULL, r12vrr_stack+39);

 /*--- compute (00|h0)^1 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1796, r12vrr_stack+634, r12vrr_stack+54, r12vrr_stack+584, r12vrr_stack+544, NULL);

 /*--- compute (p0|h0)^1 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1164, r12vrr_stack+1796, r12vrr_stack+1775, NULL, NULL, r12vrr_stack+54);

 /*--- compute (00|h0)^4 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1817, r12vrr_stack+69, r12vrr_stack+649, r12vrr_stack+624, r12vrr_stack+222, NULL);

 /*--- compute (p0|h0)^3 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1227, r12vrr_stack+1754, r12vrr_stack+1817, NULL, NULL, r12vrr_stack+69);

 /*--- compute (d0|h0)^2 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+232, r12vrr_stack+797, r12vrr_stack+1227, r12vrr_stack+1775, r12vrr_stack+1754, r12vrr_stack+1844);

 /*--- compute (d0|h0)^1 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+358, r12vrr_stack+1164, r12vrr_stack+797, r12vrr_stack+1796, r12vrr_stack+1775, r12vrr_stack+1889);

 /*--- compute (f0|h0)^1 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2114, r12vrr_stack+358, r12vrr_stack+232, r12vrr_stack+1164, r12vrr_stack+797, r12vrr_stack+1934);

 /*--- compute (00|h0)^0 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1838, r12vrr_stack+664, r12vrr_stack+634, r12vrr_stack+159, r12vrr_stack+584, NULL);

 /*--- compute (p0|h0)^0 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1859, r12vrr_stack+1838, r12vrr_stack+1796, NULL, NULL, r12vrr_stack+634);

 /*--- compute (d0|h0)^0 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+484, r12vrr_stack+1859, r12vrr_stack+1164, r12vrr_stack+1838, r12vrr_stack+1796, r12vrr_stack+84);

 /*--- compute (f0|h0)^0 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+5163, r12vrr_stack+484, r12vrr_stack+358, r12vrr_stack+1859, r12vrr_stack+1164, r12vrr_stack+2024);

 /*--- compute (00|h0)^5 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+84, r12vrr_stack+649, r12vrr_stack+737, r12vrr_stack+222, r12vrr_stack+1744, NULL);

 /*--- compute (p0|h0)^4 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1922, r12vrr_stack+1817, r12vrr_stack+84, NULL, NULL, r12vrr_stack+649);

 /*--- compute (d0|h0)^3 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1985, r12vrr_stack+1227, r12vrr_stack+1922, r12vrr_stack+1754, r12vrr_stack+1817, r12vrr_stack+2613);

 /*--- compute (f0|h0)^2 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+5373, r12vrr_stack+232, r12vrr_stack+1985, r12vrr_stack+797, r12vrr_stack+1227, r12vrr_stack+2658);

 /*--- compute (g0|h0)^1 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+5583, r12vrr_stack+2114, r12vrr_stack+5373, r12vrr_stack+358, r12vrr_stack+232, r12vrr_stack+2748);

 /*--- compute (g0|h0)^0 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+5898, r12vrr_stack+5163, r12vrr_stack+2114, r12vrr_stack+484, r12vrr_stack+358, r12vrr_stack+2898);

 /*--- compute (h0|h0)^0 ---*/
 am[0] = 5;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+6213, r12vrr_stack+5898, r12vrr_stack+5583, r12vrr_stack+5163, r12vrr_stack+2114, r12vrr_stack+3048);
 tmp = r12vrr_stack + 6213;
 target_ptr = Libr12->gvrr_classes[5][5];
 for(i=0;i<441;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^10 ---*/
 _BUILD_00p0(Data,r12vrr_stack+2111, Data->F+10, Data->F+11, NULL, NULL, NULL);

 /*--- compute (00|d0)^9 ---*/
 _BUILD_00d0(Data,r12vrr_stack+2613, r12vrr_stack+724, r12vrr_stack+2111, Data->F+9, Data->F+10, NULL);

 /*--- compute (00|f0)^8 ---*/
 _BUILD_00f0(Data,r12vrr_stack+2619, r12vrr_stack+210, r12vrr_stack+2613, r12vrr_stack+135, r12vrr_stack+724, NULL);

 /*--- compute (00|g0)^7 ---*/
 _BUILD_00g0(Data,r12vrr_stack+2629, r12vrr_stack+727, r12vrr_stack+2619, r12vrr_stack+138, r12vrr_stack+210, NULL);

 /*--- compute (00|h0)^6 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2644, r12vrr_stack+737, r12vrr_stack+2629, r12vrr_stack+1744, r12vrr_stack+727, NULL);

 /*--- compute (p0|h0)^5 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+169, r12vrr_stack+84, r12vrr_stack+2644, NULL, NULL, r12vrr_stack+737);

 /*--- compute (d0|h0)^4 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2665, r12vrr_stack+1922, r12vrr_stack+169, r12vrr_stack+1817, r12vrr_stack+84, r12vrr_stack+752);

 /*--- compute (f0|h0)^3 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2791, r12vrr_stack+1985, r12vrr_stack+2665, r12vrr_stack+1227, r12vrr_stack+1922, r12vrr_stack+3648);

 /*--- compute (g0|h0)^2 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+6654, r12vrr_stack+5373, r12vrr_stack+2791, r12vrr_stack+232, r12vrr_stack+1985, r12vrr_stack+3738);

 /*--- compute (h0|h0)^1 ---*/
 am[0] = 5;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2665, r12vrr_stack+5583, r12vrr_stack+6654, r12vrr_stack+2114, r12vrr_stack+5373, r12vrr_stack+3888);

 /*--- compute (i0|h0)^0 ---*/
 am[0] = 6;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+6654, r12vrr_stack+6213, r12vrr_stack+2665, r12vrr_stack+5898, r12vrr_stack+5583, r12vrr_stack+4113);

 /*--- compute (00|i0)^3 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2665, r12vrr_stack+1754, r12vrr_stack+1817, r12vrr_stack+39, r12vrr_stack+69, NULL);

 /*--- compute (00|i0)^2 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2693, r12vrr_stack+1775, r12vrr_stack+1754, r12vrr_stack+54, r12vrr_stack+39, NULL);

 /*--- compute (p0|i0)^2 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2721, r12vrr_stack+2693, r12vrr_stack+2665, NULL, NULL, r12vrr_stack+1754);

 /*--- compute (00|i0)^1 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2805, r12vrr_stack+1796, r12vrr_stack+1775, r12vrr_stack+634, r12vrr_stack+54, NULL);

 /*--- compute (p0|i0)^1 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2833, r12vrr_stack+2805, r12vrr_stack+2693, NULL, NULL, r12vrr_stack+1775);

 /*--- compute (00|i0)^4 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2917, r12vrr_stack+1817, r12vrr_stack+84, r12vrr_stack+69, r12vrr_stack+649, NULL);

 /*--- compute (p0|i0)^3 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2945, r12vrr_stack+2665, r12vrr_stack+2917, NULL, NULL, r12vrr_stack+1817);

 /*--- compute (d0|i0)^2 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+3029, r12vrr_stack+2721, r12vrr_stack+2945, r12vrr_stack+2693, r12vrr_stack+2665, r12vrr_stack+1227);

 /*--- compute (d0|i0)^1 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+7242, r12vrr_stack+2833, r12vrr_stack+2721, r12vrr_stack+2805, r12vrr_stack+2693, r12vrr_stack+797);

 /*--- compute (f0|i0)^1 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+7410, r12vrr_stack+7242, r12vrr_stack+3029, r12vrr_stack+2833, r12vrr_stack+2721, r12vrr_stack+232);

 /*--- compute (00|i0)^0 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2693, r12vrr_stack+1838, r12vrr_stack+1796, r12vrr_stack+664, r12vrr_stack+634, NULL);

 /*--- compute (p0|i0)^0 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1227, r12vrr_stack+2693, r12vrr_stack+2805, NULL, NULL, r12vrr_stack+1796);

 /*--- compute (d0|i0)^0 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+7690, r12vrr_stack+1227, r12vrr_stack+2833, r12vrr_stack+2693, r12vrr_stack+2805, r12vrr_stack+1164);

 /*--- compute (f0|i0)^0 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+3648, r12vrr_stack+7690, r12vrr_stack+7242, r12vrr_stack+1227, r12vrr_stack+2833, r12vrr_stack+358);

 /*--- compute (00|i0)^5 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2693, r12vrr_stack+84, r12vrr_stack+2644, r12vrr_stack+649, r12vrr_stack+737, NULL);

 /*--- compute (p0|i0)^4 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1164, r12vrr_stack+2917, r12vrr_stack+2693, NULL, NULL, r12vrr_stack+84);

 /*--- compute (d0|i0)^3 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+3928, r12vrr_stack+2945, r12vrr_stack+1164, r12vrr_stack+2665, r12vrr_stack+2917, r12vrr_stack+1922);

 /*--- compute (f0|i0)^2 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+4096, r12vrr_stack+3029, r12vrr_stack+3928, r12vrr_stack+2721, r12vrr_stack+2945, r12vrr_stack+1985);

 /*--- compute (g0|i0)^1 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+7858, r12vrr_stack+7410, r12vrr_stack+4096, r12vrr_stack+7242, r12vrr_stack+3029, r12vrr_stack+5373);

 /*--- compute (g0|i0)^0 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+3928, r12vrr_stack+3648, r12vrr_stack+7410, r12vrr_stack+7690, r12vrr_stack+7242, r12vrr_stack+2114);

 /*--- compute (h0|i0)^0 ---*/
 am[0] = 5;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+8278, r12vrr_stack+3928, r12vrr_stack+7858, r12vrr_stack+3648, r12vrr_stack+7410, r12vrr_stack+5583);

 /*--- compute (00||p0)^0 ---*/
 _R_BUILD_00p0(Data,r12vrr_stack+3648, &(Data->ss_r12_ss), NULL, r12vrr_stack+27, Data->F+0, NULL, NULL);

 /*--- compute (00||d0)^0 ---*/
 _R_BUILD_00d0(Data,r12vrr_stack+3651, r12vrr_stack+3648, &(Data->ss_r12_ss), r12vrr_stack+153, r12vrr_stack+27, Data->F+0, NULL);

 /*--- compute (00||f0)^0 ---*/
 _R_BUILD_00f0(Data,r12vrr_stack+3657, r12vrr_stack+3651, r12vrr_stack+3648, r12vrr_stack+159, r12vrr_stack+153, r12vrr_stack+27, NULL);

 /*--- compute (00||g0)^0 ---*/
 _R_BUILD_00g0(Data,r12vrr_stack+3667, r12vrr_stack+3657, r12vrr_stack+3651, r12vrr_stack+664, r12vrr_stack+159, r12vrr_stack+153, NULL);

 /*--- compute (p0||g0)^0 ---*/
 _R_BUILD_p0g0(Data,r12vrr_stack+3682, r12vrr_stack+3667, NULL, r12vrr_stack+679, r12vrr_stack+664, NULL, r12vrr_stack+159);

 /*--- compute (d0||g0)^0 ---*/
 _R_BUILD_d0g0(Data,r12vrr_stack+3727, r12vrr_stack+3682, r12vrr_stack+3667, r12vrr_stack+1074, r12vrr_stack+679, r12vrr_stack+664, r12vrr_stack+884);

 /*--- compute (f0||g0)^0 ---*/
 _R_BUILD_f0g0(Data,r12vrr_stack+7242, r12vrr_stack+3727, r12vrr_stack+3682, r12vrr_stack+3273, r12vrr_stack+1074, r12vrr_stack+679, r12vrr_stack+914);

 /*--- compute (g0||g0)^0 ---*/
 _R_BUILD_g0g0(Data,r12vrr_stack+7392, r12vrr_stack+7242, r12vrr_stack+3727, r12vrr_stack+3423, r12vrr_stack+3273, r12vrr_stack+1074, r12vrr_stack+974);

 /*--- compute (00||h0)^0 ---*/
 _R_BUILD_00h0(Data,r12vrr_stack+3682, r12vrr_stack+3667, r12vrr_stack+3657, r12vrr_stack+1838, r12vrr_stack+664, r12vrr_stack+159, NULL);

 /*--- compute (p0||h0)^0 ---*/
 _R_BUILD_p0h0(Data,r12vrr_stack+3703, r12vrr_stack+3682, NULL, r12vrr_stack+1859, r12vrr_stack+1838, NULL, r12vrr_stack+664);

 /*--- compute (d0||h0)^0 ---*/
 _R_BUILD_d0h0(Data,r12vrr_stack+3766, r12vrr_stack+3703, r12vrr_stack+3682, r12vrr_stack+484, r12vrr_stack+1859, r12vrr_stack+1838, r12vrr_stack+679);

 /*--- compute (f0||h0)^0 ---*/
 _R_BUILD_f0h0(Data,r12vrr_stack+7617, r12vrr_stack+3766, r12vrr_stack+3703, r12vrr_stack+5163, r12vrr_stack+484, r12vrr_stack+1859, r12vrr_stack+1074);

 /*--- compute (g0||h0)^0 ---*/
 _R_BUILD_g0h0(Data,r12vrr_stack+7827, r12vrr_stack+7617, r12vrr_stack+3766, r12vrr_stack+5898, r12vrr_stack+5163, r12vrr_stack+484, r12vrr_stack+3273);

 /*--- compute (h0|[r12,T2]|g0)^0 ---*/
 _T2_BUILD_h0g0(Data,&(Libr12->ShellQuartet),r12vrr_stack+5373, r12vrr_stack+4428, r12vrr_stack+6213, r12vrr_stack+4743, r12vrr_stack+2333, r12vrr_stack+1534);
 tmp = r12vrr_stack + 5373;
 target_ptr = Libr12->t2vrr_classes[5][4];
 for(i=0;i<315;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T2]|h0)^0 ---*/
 _T2_BUILD_h0h0(Data,&(Libr12->ShellQuartet),r12vrr_stack+1534, r12vrr_stack+6213, r12vrr_stack+8278, r12vrr_stack+6654, r12vrr_stack+4743, r12vrr_stack+4428);
 tmp = r12vrr_stack + 1534;
 target_ptr = Libr12->t2vrr_classes[5][5];
 for(i=0;i<441;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T1]|g0)^0 ---*/
 _T1_BUILD_h0g0(Data,&(Libr12->ShellQuartet),r12vrr_stack+1975, r12vrr_stack+4428, r12vrr_stack+4743, r12vrr_stack+6213, r12vrr_stack+5898, r12vrr_stack+3423);
 tmp = r12vrr_stack + 1975;
 target_ptr = Libr12->t1vrr_classes[5][4];
 for(i=0;i<315;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T1]|h0)^0 ---*/
 _T1_BUILD_h0h0(Data,&(Libr12->ShellQuartet),r12vrr_stack+2290, r12vrr_stack+6213, r12vrr_stack+6654, r12vrr_stack+8278, r12vrr_stack+3928, r12vrr_stack+5898);
 tmp = r12vrr_stack + 2290;
 target_ptr = Libr12->t1vrr_classes[5][5];
 for(i=0;i<441;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0||g0)^0 ---*/
 _R_BUILD_h0g0(Data,r12vrr_stack+6654, r12vrr_stack+7392, r12vrr_stack+7242, r12vrr_stack+4428, r12vrr_stack+3423, r12vrr_stack+3273, r12vrr_stack+1384);
 tmp = r12vrr_stack + 6654;
 target_ptr = Libr12->rvrr_classes[5][4];
 for(i=0;i<315;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0||h0)^0 ---*/
 _R_BUILD_h0h0(Data,r12vrr_stack+6969, r12vrr_stack+7827, r12vrr_stack+7617, r12vrr_stack+6213, r12vrr_stack+5898, r12vrr_stack+5163, r12vrr_stack+3423);
 tmp = r12vrr_stack + 6969;
 target_ptr = Libr12->rvrr_classes[5][5];
 for(i=0;i<441;i++)
   target_ptr[i] += tmp[i];


}

