#include <stdio.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/vrr_header.h>
#include "r12_vrr_header.h"

void vrr_grt_order_h0hh(Libr12_t *Libr12, prim_data *Data)
{
 REALTYPE *r12vrr_stack = Libr12->r12vrr_stack;
 REALTYPE *tmp, *target_ptr;
 int i, am[2];

 /*--- compute (p0|00)^4 ---*/
 _BUILD_p000(Data,r12vrr_stack+0, Data->F+4, Data->F+5, NULL, NULL, NULL);

 /*--- compute (00|p0)^4 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3, Data->F+4, Data->F+5, NULL, NULL, NULL);

 /*--- compute (00|p0)^3 ---*/
 _BUILD_00p0(Data,r12vrr_stack+6, Data->F+3, Data->F+4, NULL, NULL, NULL);

 /*--- compute (00|p0)^5 ---*/
 _BUILD_00p0(Data,r12vrr_stack+9, Data->F+5, Data->F+6, NULL, NULL, NULL);

 /*--- compute (p0|p0)^4 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+12, r12vrr_stack+3, r12vrr_stack+9, NULL, NULL, Data->F+5);

 /*--- compute (p0|p0)^3 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+21, r12vrr_stack+6, r12vrr_stack+3, NULL, NULL, Data->F+4);

 /*--- compute (d0|p0)^3 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+30, r12vrr_stack+21, r12vrr_stack+12, r12vrr_stack+6, r12vrr_stack+3, r12vrr_stack+0);

 /*--- compute (00|d0)^4 ---*/
 _BUILD_00d0(Data,r12vrr_stack+48, r12vrr_stack+3, r12vrr_stack+9, Data->F+4, Data->F+5, NULL);

 /*--- compute (00|d0)^3 ---*/
 _BUILD_00d0(Data,r12vrr_stack+54, r12vrr_stack+6, r12vrr_stack+3, Data->F+3, Data->F+4, NULL);

 /*--- compute (p0|d0)^3 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+60, r12vrr_stack+54, r12vrr_stack+48, NULL, NULL, r12vrr_stack+3);

 /*--- compute (00|p0)^2 ---*/
 _BUILD_00p0(Data,r12vrr_stack+78, Data->F+2, Data->F+3, NULL, NULL, NULL);

 /*--- compute (00|d0)^2 ---*/
 _BUILD_00d0(Data,r12vrr_stack+81, r12vrr_stack+78, r12vrr_stack+6, Data->F+2, Data->F+3, NULL);

 /*--- compute (p0|d0)^2 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+87, r12vrr_stack+81, r12vrr_stack+54, NULL, NULL, r12vrr_stack+6);

 /*--- compute (00|p0)^6 ---*/
 _BUILD_00p0(Data,r12vrr_stack+105, Data->F+6, Data->F+7, NULL, NULL, NULL);

 /*--- compute (00|d0)^5 ---*/
 _BUILD_00d0(Data,r12vrr_stack+108, r12vrr_stack+9, r12vrr_stack+105, Data->F+5, Data->F+6, NULL);

 /*--- compute (p0|d0)^4 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+114, r12vrr_stack+48, r12vrr_stack+108, NULL, NULL, r12vrr_stack+9);

 /*--- compute (d0|d0)^3 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+132, r12vrr_stack+60, r12vrr_stack+114, r12vrr_stack+54, r12vrr_stack+48, r12vrr_stack+12);

 /*--- compute (d0|d0)^2 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+168, r12vrr_stack+87, r12vrr_stack+60, r12vrr_stack+81, r12vrr_stack+54, r12vrr_stack+21);

 /*--- compute (f0|d0)^2 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+204, r12vrr_stack+168, r12vrr_stack+132, r12vrr_stack+87, r12vrr_stack+60, r12vrr_stack+30);

 /*--- compute (00|f0)^3 ---*/
 _BUILD_00f0(Data,r12vrr_stack+264, r12vrr_stack+54, r12vrr_stack+48, r12vrr_stack+6, r12vrr_stack+3, NULL);

 /*--- compute (00|f0)^2 ---*/
 _BUILD_00f0(Data,r12vrr_stack+274, r12vrr_stack+81, r12vrr_stack+54, r12vrr_stack+78, r12vrr_stack+6, NULL);

 /*--- compute (00|f0)^4 ---*/
 _BUILD_00f0(Data,r12vrr_stack+284, r12vrr_stack+48, r12vrr_stack+108, r12vrr_stack+3, r12vrr_stack+9, NULL);

 /*--- compute (p0|f0)^3 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+294, r12vrr_stack+264, r12vrr_stack+284, NULL, NULL, r12vrr_stack+48);

 /*--- compute (p0|f0)^2 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+324, r12vrr_stack+274, r12vrr_stack+264, NULL, NULL, r12vrr_stack+54);

 /*--- compute (d0|f0)^2 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+354, r12vrr_stack+324, r12vrr_stack+294, r12vrr_stack+274, r12vrr_stack+264, r12vrr_stack+60);

 /*--- compute (00|p0)^1 ---*/
 _BUILD_00p0(Data,r12vrr_stack+6, Data->F+1, Data->F+2, NULL, NULL, NULL);

 /*--- compute (00|d0)^1 ---*/
 _BUILD_00d0(Data,r12vrr_stack+414, r12vrr_stack+6, r12vrr_stack+78, Data->F+1, Data->F+2, NULL);

 /*--- compute (00|f0)^1 ---*/
 _BUILD_00f0(Data,r12vrr_stack+420, r12vrr_stack+414, r12vrr_stack+81, r12vrr_stack+6, r12vrr_stack+78, NULL);

 /*--- compute (p0|f0)^1 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+430, r12vrr_stack+420, r12vrr_stack+274, NULL, NULL, r12vrr_stack+81);

 /*--- compute (d0|f0)^1 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+460, r12vrr_stack+430, r12vrr_stack+324, r12vrr_stack+420, r12vrr_stack+274, r12vrr_stack+87);

 /*--- compute (00|p0)^7 ---*/
 _BUILD_00p0(Data,r12vrr_stack+78, Data->F+7, Data->F+8, NULL, NULL, NULL);

 /*--- compute (00|d0)^6 ---*/
 _BUILD_00d0(Data,r12vrr_stack+87, r12vrr_stack+105, r12vrr_stack+78, Data->F+6, Data->F+7, NULL);

 /*--- compute (00|f0)^5 ---*/
 _BUILD_00f0(Data,r12vrr_stack+93, r12vrr_stack+108, r12vrr_stack+87, r12vrr_stack+9, r12vrr_stack+105, NULL);

 /*--- compute (p0|f0)^4 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+520, r12vrr_stack+284, r12vrr_stack+93, NULL, NULL, r12vrr_stack+108);

 /*--- compute (d0|f0)^3 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+550, r12vrr_stack+294, r12vrr_stack+520, r12vrr_stack+264, r12vrr_stack+284, r12vrr_stack+114);

 /*--- compute (f0|f0)^2 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+610, r12vrr_stack+354, r12vrr_stack+550, r12vrr_stack+324, r12vrr_stack+294, r12vrr_stack+132);

 /*--- compute (f0|f0)^1 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+710, r12vrr_stack+460, r12vrr_stack+354, r12vrr_stack+430, r12vrr_stack+324, r12vrr_stack+168);

 /*--- compute (g0|f0)^1 ---*/
 _BUILD_g0f0(Data,r12vrr_stack+810, r12vrr_stack+710, r12vrr_stack+610, r12vrr_stack+460, r12vrr_stack+354, r12vrr_stack+204);

 /*--- compute (00|g0)^3 ---*/
 _BUILD_00g0(Data,r12vrr_stack+960, r12vrr_stack+264, r12vrr_stack+284, r12vrr_stack+54, r12vrr_stack+48, NULL);

 /*--- compute (00|g0)^2 ---*/
 _BUILD_00g0(Data,r12vrr_stack+975, r12vrr_stack+274, r12vrr_stack+264, r12vrr_stack+81, r12vrr_stack+54, NULL);

 /*--- compute (p0|g0)^2 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+990, r12vrr_stack+975, r12vrr_stack+960, NULL, NULL, r12vrr_stack+264);

 /*--- compute (00|g0)^1 ---*/
 _BUILD_00g0(Data,r12vrr_stack+1035, r12vrr_stack+420, r12vrr_stack+274, r12vrr_stack+414, r12vrr_stack+81, NULL);

 /*--- compute (p0|g0)^1 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+1050, r12vrr_stack+1035, r12vrr_stack+975, NULL, NULL, r12vrr_stack+274);

 /*--- compute (00|g0)^4 ---*/
 _BUILD_00g0(Data,r12vrr_stack+1095, r12vrr_stack+284, r12vrr_stack+93, r12vrr_stack+48, r12vrr_stack+108, NULL);

 /*--- compute (p0|g0)^3 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+1110, r12vrr_stack+960, r12vrr_stack+1095, NULL, NULL, r12vrr_stack+284);

 /*--- compute (d0|g0)^2 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+1155, r12vrr_stack+990, r12vrr_stack+1110, r12vrr_stack+975, r12vrr_stack+960, r12vrr_stack+294);

 /*--- compute (d0|g0)^1 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+1245, r12vrr_stack+1050, r12vrr_stack+990, r12vrr_stack+1035, r12vrr_stack+975, r12vrr_stack+324);

 /*--- compute (f0|g0)^1 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+1335, r12vrr_stack+1245, r12vrr_stack+1155, r12vrr_stack+1050, r12vrr_stack+990, r12vrr_stack+354);

 /*--- compute (00|p0)^0 ---*/
 _BUILD_00p0(Data,r12vrr_stack+324, Data->F+0, Data->F+1, NULL, NULL, NULL);

 /*--- compute (00|d0)^0 ---*/
 _BUILD_00d0(Data,r12vrr_stack+81, r12vrr_stack+324, r12vrr_stack+6, Data->F+0, Data->F+1, NULL);

 /*--- compute (00|f0)^0 ---*/
 _BUILD_00f0(Data,r12vrr_stack+327, r12vrr_stack+81, r12vrr_stack+414, r12vrr_stack+324, r12vrr_stack+6, NULL);

 /*--- compute (00|g0)^0 ---*/
 _BUILD_00g0(Data,r12vrr_stack+337, r12vrr_stack+327, r12vrr_stack+420, r12vrr_stack+81, r12vrr_stack+414, NULL);

 /*--- compute (p0|g0)^0 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+1485, r12vrr_stack+337, r12vrr_stack+1035, NULL, NULL, r12vrr_stack+420);

 /*--- compute (d0|g0)^0 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+1530, r12vrr_stack+1485, r12vrr_stack+1050, r12vrr_stack+337, r12vrr_stack+1035, r12vrr_stack+430);

 /*--- compute (f0|g0)^0 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+1620, r12vrr_stack+1530, r12vrr_stack+1245, r12vrr_stack+1485, r12vrr_stack+1050, r12vrr_stack+460);

 /*--- compute (00|p0)^8 ---*/
 _BUILD_00p0(Data,r12vrr_stack+6, Data->F+8, Data->F+9, NULL, NULL, NULL);

 /*--- compute (00|d0)^7 ---*/
 _BUILD_00d0(Data,r12vrr_stack+414, r12vrr_stack+78, r12vrr_stack+6, Data->F+7, Data->F+8, NULL);

 /*--- compute (00|f0)^6 ---*/
 _BUILD_00f0(Data,r12vrr_stack+430, r12vrr_stack+87, r12vrr_stack+414, r12vrr_stack+105, r12vrr_stack+78, NULL);

 /*--- compute (00|g0)^5 ---*/
 _BUILD_00g0(Data,r12vrr_stack+440, r12vrr_stack+93, r12vrr_stack+430, r12vrr_stack+108, r12vrr_stack+87, NULL);

 /*--- compute (p0|g0)^4 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+455, r12vrr_stack+1095, r12vrr_stack+440, NULL, NULL, r12vrr_stack+93);

 /*--- compute (d0|g0)^3 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+1770, r12vrr_stack+1110, r12vrr_stack+455, r12vrr_stack+960, r12vrr_stack+1095, r12vrr_stack+520);

 /*--- compute (f0|g0)^2 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+1860, r12vrr_stack+1155, r12vrr_stack+1770, r12vrr_stack+990, r12vrr_stack+1110, r12vrr_stack+550);

 /*--- compute (g0|g0)^1 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+2010, r12vrr_stack+1335, r12vrr_stack+1860, r12vrr_stack+1245, r12vrr_stack+1155, r12vrr_stack+610);

 /*--- compute (g0|g0)^0 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+2235, r12vrr_stack+1620, r12vrr_stack+1335, r12vrr_stack+1530, r12vrr_stack+1245, r12vrr_stack+710);

 /*--- compute (h0|g0)^0 ---*/
 am[0] = 5;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+2460, r12vrr_stack+2235, r12vrr_stack+2010, r12vrr_stack+1620, r12vrr_stack+1335, r12vrr_stack+810);

 /*--- compute (p0|00)^5 ---*/
 _BUILD_p000(Data,r12vrr_stack+500, Data->F+5, Data->F+6, NULL, NULL, NULL);

 /*--- compute (d0|00)^4 ---*/
 _BUILD_d000(Data,r12vrr_stack+54, r12vrr_stack+0, r12vrr_stack+500, Data->F+4, Data->F+5, NULL);

 /*--- compute (p0|p0)^5 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+503, r12vrr_stack+9, r12vrr_stack+105, NULL, NULL, Data->F+6);

 /*--- compute (d0|p0)^4 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+2775, r12vrr_stack+12, r12vrr_stack+503, r12vrr_stack+3, r12vrr_stack+9, r12vrr_stack+500);

 /*--- compute (f0|p0)^3 ---*/
 _BUILD_f0p0(Data,r12vrr_stack+2793, r12vrr_stack+30, r12vrr_stack+2775, r12vrr_stack+21, r12vrr_stack+12, r12vrr_stack+54);

 /*--- compute (p0|d0)^5 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+9, r12vrr_stack+108, r12vrr_stack+87, NULL, NULL, r12vrr_stack+105);

 /*--- compute (d0|d0)^4 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+2823, r12vrr_stack+114, r12vrr_stack+9, r12vrr_stack+48, r12vrr_stack+108, r12vrr_stack+503);

 /*--- compute (f0|d0)^3 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+2859, r12vrr_stack+132, r12vrr_stack+2823, r12vrr_stack+60, r12vrr_stack+114, r12vrr_stack+2775);

 /*--- compute (g0|d0)^2 ---*/
 _BUILD_g0d0(Data,r12vrr_stack+2919, r12vrr_stack+204, r12vrr_stack+2859, r12vrr_stack+168, r12vrr_stack+132, r12vrr_stack+2793);

 /*--- compute (p0|f0)^5 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+2775, r12vrr_stack+93, r12vrr_stack+430, NULL, NULL, r12vrr_stack+87);

 /*--- compute (d0|f0)^4 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+103, r12vrr_stack+520, r12vrr_stack+2775, r12vrr_stack+284, r12vrr_stack+93, r12vrr_stack+9);

 /*--- compute (f0|f0)^3 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+163, r12vrr_stack+550, r12vrr_stack+103, r12vrr_stack+294, r12vrr_stack+520, r12vrr_stack+2823);

 /*--- compute (g0|f0)^2 ---*/
 _BUILD_g0f0(Data,r12vrr_stack+3009, r12vrr_stack+610, r12vrr_stack+163, r12vrr_stack+354, r12vrr_stack+550, r12vrr_stack+2859);

 /*--- compute (h0|f0)^1 ---*/
 am[0] = 5;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+3159, r12vrr_stack+810, r12vrr_stack+3009, r12vrr_stack+710, r12vrr_stack+610, r12vrr_stack+2919);

 /*--- compute (00|p0)^9 ---*/
 _BUILD_00p0(Data,r12vrr_stack+294, Data->F+9, Data->F+10, NULL, NULL, NULL);

 /*--- compute (00|d0)^8 ---*/
 _BUILD_00d0(Data,r12vrr_stack+0, r12vrr_stack+6, r12vrr_stack+294, Data->F+8, Data->F+9, NULL);

 /*--- compute (00|f0)^7 ---*/
 _BUILD_00f0(Data,r12vrr_stack+297, r12vrr_stack+414, r12vrr_stack+0, r12vrr_stack+78, r12vrr_stack+6, NULL);

 /*--- compute (00|g0)^6 ---*/
 _BUILD_00g0(Data,r12vrr_stack+307, r12vrr_stack+430, r12vrr_stack+297, r12vrr_stack+87, r12vrr_stack+414, NULL);

 /*--- compute (p0|g0)^5 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+9, r12vrr_stack+440, r12vrr_stack+307, NULL, NULL, r12vrr_stack+430);

 /*--- compute (d0|g0)^4 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+2805, r12vrr_stack+455, r12vrr_stack+9, r12vrr_stack+1095, r12vrr_stack+440, r12vrr_stack+2775);

 /*--- compute (f0|g0)^3 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+500, r12vrr_stack+1770, r12vrr_stack+2805, r12vrr_stack+1110, r12vrr_stack+455, r12vrr_stack+103);

 /*--- compute (g0|g0)^2 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+650, r12vrr_stack+1860, r12vrr_stack+500, r12vrr_stack+1155, r12vrr_stack+1770, r12vrr_stack+163);

 /*--- compute (h0|g0)^1 ---*/
 am[0] = 5;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+3369, r12vrr_stack+2010, r12vrr_stack+650, r12vrr_stack+1335, r12vrr_stack+1860, r12vrr_stack+3009);

 /*--- compute (i0|g0)^0 ---*/
 am[0] = 6;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+3684, r12vrr_stack+2460, r12vrr_stack+3369, r12vrr_stack+2235, r12vrr_stack+2010, r12vrr_stack+3159);

 /*--- compute (00|h0)^3 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+103, r12vrr_stack+960, r12vrr_stack+1095, r12vrr_stack+264, r12vrr_stack+284, NULL);

 /*--- compute (00|h0)^2 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+124, r12vrr_stack+975, r12vrr_stack+960, r12vrr_stack+274, r12vrr_stack+264, NULL);

 /*--- compute (00|h0)^4 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+145, r12vrr_stack+1095, r12vrr_stack+440, r12vrr_stack+284, r12vrr_stack+93, NULL);

 /*--- compute (p0|h0)^3 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+166, r12vrr_stack+103, r12vrr_stack+145, NULL, NULL, r12vrr_stack+1095);

 /*--- compute (p0|h0)^2 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2895, r12vrr_stack+124, r12vrr_stack+103, NULL, NULL, r12vrr_stack+960);

 /*--- compute (d0|h0)^2 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2958, r12vrr_stack+2895, r12vrr_stack+166, r12vrr_stack+124, r12vrr_stack+103, r12vrr_stack+1110);

 /*--- compute (00|h0)^1 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1110, r12vrr_stack+1035, r12vrr_stack+975, r12vrr_stack+420, r12vrr_stack+274, NULL);

 /*--- compute (p0|h0)^1 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+229, r12vrr_stack+1110, r12vrr_stack+124, NULL, NULL, r12vrr_stack+975);

 /*--- compute (d0|h0)^1 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+3084, r12vrr_stack+229, r12vrr_stack+2895, r12vrr_stack+1110, r12vrr_stack+124, r12vrr_stack+990);

 /*--- compute (00|h0)^5 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+990, r12vrr_stack+440, r12vrr_stack+307, r12vrr_stack+93, r12vrr_stack+430, NULL);

 /*--- compute (p0|h0)^4 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+3210, r12vrr_stack+145, r12vrr_stack+990, NULL, NULL, r12vrr_stack+440);

 /*--- compute (d0|h0)^3 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+4104, r12vrr_stack+166, r12vrr_stack+3210, r12vrr_stack+103, r12vrr_stack+145, r12vrr_stack+455);

 /*--- compute (f0|h0)^2 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+4230, r12vrr_stack+2958, r12vrr_stack+4104, r12vrr_stack+2895, r12vrr_stack+166, r12vrr_stack+1770);

 /*--- compute (f0|h0)^1 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+4440, r12vrr_stack+3084, r12vrr_stack+2958, r12vrr_stack+229, r12vrr_stack+2895, r12vrr_stack+1155);

 /*--- compute (g0|h0)^1 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+4650, r12vrr_stack+4440, r12vrr_stack+4230, r12vrr_stack+3084, r12vrr_stack+2958, r12vrr_stack+1860);

 /*--- compute (00|h0)^0 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1770, r12vrr_stack+337, r12vrr_stack+1035, r12vrr_stack+327, r12vrr_stack+420, NULL);

 /*--- compute (p0|h0)^0 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1791, r12vrr_stack+1770, r12vrr_stack+1110, NULL, NULL, r12vrr_stack+1035);

 /*--- compute (d0|h0)^0 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1854, r12vrr_stack+1791, r12vrr_stack+229, r12vrr_stack+1770, r12vrr_stack+1110, r12vrr_stack+1050);

 /*--- compute (f0|h0)^0 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+4965, r12vrr_stack+1854, r12vrr_stack+3084, r12vrr_stack+1791, r12vrr_stack+229, r12vrr_stack+1245);

 /*--- compute (g0|h0)^0 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+5175, r12vrr_stack+4965, r12vrr_stack+4440, r12vrr_stack+1854, r12vrr_stack+3084, r12vrr_stack+1335);

 /*--- compute (00|p0)^10 ---*/
 _BUILD_00p0(Data,r12vrr_stack+1050, Data->F+10, Data->F+11, NULL, NULL, NULL);

 /*--- compute (00|d0)^9 ---*/
 _BUILD_00d0(Data,r12vrr_stack+1053, r12vrr_stack+294, r12vrr_stack+1050, Data->F+9, Data->F+10, NULL);

 /*--- compute (00|f0)^8 ---*/
 _BUILD_00f0(Data,r12vrr_stack+420, r12vrr_stack+0, r12vrr_stack+1053, r12vrr_stack+6, r12vrr_stack+294, NULL);

 /*--- compute (00|g0)^7 ---*/
 _BUILD_00g0(Data,r12vrr_stack+1059, r12vrr_stack+297, r12vrr_stack+420, r12vrr_stack+414, r12vrr_stack+0, NULL);

 /*--- compute (00|h0)^6 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1074, r12vrr_stack+307, r12vrr_stack+1059, r12vrr_stack+430, r12vrr_stack+297, NULL);

 /*--- compute (p0|h0)^5 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1131, r12vrr_stack+990, r12vrr_stack+1074, NULL, NULL, r12vrr_stack+307);

 /*--- compute (d0|h0)^4 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1194, r12vrr_stack+3210, r12vrr_stack+1131, r12vrr_stack+145, r12vrr_stack+990, r12vrr_stack+9);

 /*--- compute (f0|h0)^3 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+5490, r12vrr_stack+4104, r12vrr_stack+1194, r12vrr_stack+166, r12vrr_stack+3210, r12vrr_stack+2805);

 /*--- compute (g0|h0)^2 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+5700, r12vrr_stack+4230, r12vrr_stack+5490, r12vrr_stack+2958, r12vrr_stack+4104, r12vrr_stack+500);

 /*--- compute (h0|h0)^1 ---*/
 am[0] = 5;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+6015, r12vrr_stack+4650, r12vrr_stack+5700, r12vrr_stack+4440, r12vrr_stack+4230, r12vrr_stack+650);

 /*--- compute (h0|h0)^0 ---*/
 am[0] = 5;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+455, r12vrr_stack+5175, r12vrr_stack+4650, r12vrr_stack+4965, r12vrr_stack+4440, r12vrr_stack+2010);
 tmp = r12vrr_stack + 455;
 target_ptr = Libr12->gvrr_classes[5][5];
 for(i=0;i<441;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|h0)^0 ---*/
 am[0] = 6;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+6456, r12vrr_stack+455, r12vrr_stack+6015, r12vrr_stack+5175, r12vrr_stack+4650, r12vrr_stack+3369);
 tmp = r12vrr_stack + 6456;
 target_ptr = Libr12->gvrr_classes[6][5];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|i0)^3 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+6, r12vrr_stack+103, r12vrr_stack+145, r12vrr_stack+960, r12vrr_stack+1095, NULL);

 /*--- compute (00|i0)^2 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+34, r12vrr_stack+124, r12vrr_stack+103, r12vrr_stack+975, r12vrr_stack+960, NULL);

 /*--- compute (p0|i0)^2 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1980, r12vrr_stack+34, r12vrr_stack+6, NULL, NULL, r12vrr_stack+103);

 /*--- compute (00|i0)^1 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2064, r12vrr_stack+1110, r12vrr_stack+124, r12vrr_stack+1035, r12vrr_stack+975, NULL);

 /*--- compute (p0|i0)^1 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2092, r12vrr_stack+2064, r12vrr_stack+34, NULL, NULL, r12vrr_stack+124);

 /*--- compute (00|i0)^4 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2176, r12vrr_stack+145, r12vrr_stack+990, r12vrr_stack+1095, r12vrr_stack+440, NULL);

 /*--- compute (p0|i0)^3 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+896, r12vrr_stack+6, r12vrr_stack+2176, NULL, NULL, r12vrr_stack+145);

 /*--- compute (d0|i0)^2 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+3273, r12vrr_stack+1980, r12vrr_stack+896, r12vrr_stack+34, r12vrr_stack+6, r12vrr_stack+166);

 /*--- compute (d0|i0)^1 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+3441, r12vrr_stack+2092, r12vrr_stack+1980, r12vrr_stack+2064, r12vrr_stack+34, r12vrr_stack+2895);

 /*--- compute (f0|i0)^1 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+7044, r12vrr_stack+3441, r12vrr_stack+3273, r12vrr_stack+2092, r12vrr_stack+1980, r12vrr_stack+2958);

 /*--- compute (00|i0)^0 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+166, r12vrr_stack+1770, r12vrr_stack+1110, r12vrr_stack+337, r12vrr_stack+1035, NULL);

 /*--- compute (p0|i0)^0 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1320, r12vrr_stack+166, r12vrr_stack+2064, NULL, NULL, r12vrr_stack+1110);

 /*--- compute (d0|i0)^0 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2775, r12vrr_stack+1320, r12vrr_stack+2092, r12vrr_stack+166, r12vrr_stack+2064, r12vrr_stack+229);

 /*--- compute (f0|i0)^0 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+7324, r12vrr_stack+2775, r12vrr_stack+3441, r12vrr_stack+1320, r12vrr_stack+2092, r12vrr_stack+3084);

 /*--- compute (00|i0)^5 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+194, r12vrr_stack+990, r12vrr_stack+1074, r12vrr_stack+440, r12vrr_stack+307, NULL);

 /*--- compute (p0|i0)^4 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2943, r12vrr_stack+2176, r12vrr_stack+194, NULL, NULL, r12vrr_stack+990);

 /*--- compute (d0|i0)^3 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+3027, r12vrr_stack+896, r12vrr_stack+2943, r12vrr_stack+6, r12vrr_stack+2176, r12vrr_stack+3210);

 /*--- compute (f0|i0)^2 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+7604, r12vrr_stack+3273, r12vrr_stack+3027, r12vrr_stack+1980, r12vrr_stack+896, r12vrr_stack+4104);

 /*--- compute (g0|i0)^1 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+7884, r12vrr_stack+7044, r12vrr_stack+7604, r12vrr_stack+3441, r12vrr_stack+3273, r12vrr_stack+4230);

 /*--- compute (g0|i0)^0 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+8304, r12vrr_stack+7324, r12vrr_stack+7044, r12vrr_stack+2775, r12vrr_stack+3441, r12vrr_stack+4440);

 /*--- compute (h0|i0)^0 ---*/
 am[0] = 5;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+8724, r12vrr_stack+8304, r12vrr_stack+7884, r12vrr_stack+7324, r12vrr_stack+7044, r12vrr_stack+4650);
 tmp = r12vrr_stack + 8724;
 target_ptr = Libr12->gvrr_classes[5][6];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^11 ---*/
 _BUILD_00p0(Data,r12vrr_stack+4104, Data->F+11, Data->F+12, NULL, NULL, NULL);

 /*--- compute (00|d0)^10 ---*/
 _BUILD_00d0(Data,r12vrr_stack+4107, r12vrr_stack+1050, r12vrr_stack+4104, Data->F+10, Data->F+11, NULL);

 /*--- compute (00|f0)^9 ---*/
 _BUILD_00f0(Data,r12vrr_stack+980, r12vrr_stack+1053, r12vrr_stack+4107, r12vrr_stack+294, r12vrr_stack+1050, NULL);

 /*--- compute (00|g0)^8 ---*/
 _BUILD_00g0(Data,r12vrr_stack+1095, r12vrr_stack+420, r12vrr_stack+980, r12vrr_stack+0, r12vrr_stack+1053, NULL);

 /*--- compute (00|h0)^7 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+4113, r12vrr_stack+1059, r12vrr_stack+1095, r12vrr_stack+297, r12vrr_stack+420, NULL);

 /*--- compute (00|i0)^6 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+4134, r12vrr_stack+1074, r12vrr_stack+4113, r12vrr_stack+307, r12vrr_stack+1059, NULL);

 /*--- compute (p0|i0)^5 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+4162, r12vrr_stack+194, r12vrr_stack+4134, NULL, NULL, r12vrr_stack+1074);

 /*--- compute (d0|i0)^4 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+4246, r12vrr_stack+2943, r12vrr_stack+4162, r12vrr_stack+2176, r12vrr_stack+194, r12vrr_stack+1131);

 /*--- compute (f0|i0)^3 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+4414, r12vrr_stack+3027, r12vrr_stack+4246, r12vrr_stack+896, r12vrr_stack+2943, r12vrr_stack+1194);

 /*--- compute (g0|i0)^2 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+9312, r12vrr_stack+7604, r12vrr_stack+4414, r12vrr_stack+3273, r12vrr_stack+3027, r12vrr_stack+5490);

 /*--- compute (h0|i0)^1 ---*/
 am[0] = 5;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+9732, r12vrr_stack+7884, r12vrr_stack+9312, r12vrr_stack+7044, r12vrr_stack+7604, r12vrr_stack+5700);

 /*--- compute (i0|i0)^0 ---*/
 am[0] = 6;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+10320, r12vrr_stack+8724, r12vrr_stack+9732, r12vrr_stack+8304, r12vrr_stack+7884, r12vrr_stack+6015);
 tmp = r12vrr_stack + 10320;
 target_ptr = Libr12->gvrr_classes[6][6];
 for(i=0;i<784;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|k0)^3 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+5490, r12vrr_stack+6, r12vrr_stack+2176, r12vrr_stack+103, r12vrr_stack+145, NULL);

 /*--- compute (00|k0)^2 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+5526, r12vrr_stack+34, r12vrr_stack+6, r12vrr_stack+124, r12vrr_stack+103, NULL);

 /*--- compute (p0|k0)^2 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+5562, r12vrr_stack+5526, r12vrr_stack+5490, NULL, NULL, r12vrr_stack+6);

 /*--- compute (00|k0)^1 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+5670, r12vrr_stack+2064, r12vrr_stack+34, r12vrr_stack+1110, r12vrr_stack+124, NULL);

 /*--- compute (p0|k0)^1 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+5706, r12vrr_stack+5670, r12vrr_stack+5526, NULL, NULL, r12vrr_stack+34);

 /*--- compute (00|k0)^4 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+5814, r12vrr_stack+2176, r12vrr_stack+194, r12vrr_stack+145, r12vrr_stack+990, NULL);

 /*--- compute (p0|k0)^3 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+5850, r12vrr_stack+5490, r12vrr_stack+5814, NULL, NULL, r12vrr_stack+2176);

 /*--- compute (d0|k0)^2 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+5958, r12vrr_stack+5562, r12vrr_stack+5850, r12vrr_stack+5526, r12vrr_stack+5490, r12vrr_stack+896);

 /*--- compute (d0|k0)^1 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+6174, r12vrr_stack+5706, r12vrr_stack+5562, r12vrr_stack+5670, r12vrr_stack+5526, r12vrr_stack+1980);

 /*--- compute (f0|k0)^1 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+11104, r12vrr_stack+6174, r12vrr_stack+5958, r12vrr_stack+5706, r12vrr_stack+5562, r12vrr_stack+3273);

 /*--- compute (00|k0)^0 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+1980, r12vrr_stack+166, r12vrr_stack+2064, r12vrr_stack+1770, r12vrr_stack+1110, NULL);

 /*--- compute (p0|k0)^0 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+1110, r12vrr_stack+1980, r12vrr_stack+5670, NULL, NULL, r12vrr_stack+2064);

 /*--- compute (d0|k0)^0 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+4694, r12vrr_stack+1110, r12vrr_stack+5706, r12vrr_stack+1980, r12vrr_stack+5670, r12vrr_stack+2092);

 /*--- compute (f0|k0)^0 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+11464, r12vrr_stack+4694, r12vrr_stack+6174, r12vrr_stack+1110, r12vrr_stack+5706, r12vrr_stack+3441);

 /*--- compute (00|k0)^5 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+2092, r12vrr_stack+194, r12vrr_stack+4134, r12vrr_stack+990, r12vrr_stack+1074, NULL);

 /*--- compute (p0|k0)^4 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+3195, r12vrr_stack+5814, r12vrr_stack+2092, NULL, NULL, r12vrr_stack+194);

 /*--- compute (d0|k0)^3 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+3303, r12vrr_stack+5850, r12vrr_stack+3195, r12vrr_stack+5490, r12vrr_stack+5814, r12vrr_stack+2943);

 /*--- compute (f0|k0)^2 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+11824, r12vrr_stack+5958, r12vrr_stack+3303, r12vrr_stack+5562, r12vrr_stack+5850, r12vrr_stack+3027);

 /*--- compute (g0|k0)^1 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+12184, r12vrr_stack+11104, r12vrr_stack+11824, r12vrr_stack+6174, r12vrr_stack+5958, r12vrr_stack+7604);

 /*--- compute (g0|k0)^0 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+12724, r12vrr_stack+11464, r12vrr_stack+11104, r12vrr_stack+4694, r12vrr_stack+6174, r12vrr_stack+7044);

 /*--- compute (h0|k0)^0 ---*/
 am[0] = 5;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+13264, r12vrr_stack+12724, r12vrr_stack+12184, r12vrr_stack+11464, r12vrr_stack+11104, r12vrr_stack+7884);
 tmp = r12vrr_stack + 13264;
 target_ptr = Libr12->gvrr_classes[5][7];
 for(i=0;i<756;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^12 ---*/
 _BUILD_00p0(Data,r12vrr_stack+7044, Data->F+12, Data->F+13, NULL, NULL, NULL);

 /*--- compute (00|d0)^11 ---*/
 _BUILD_00d0(Data,r12vrr_stack+0, r12vrr_stack+4104, r12vrr_stack+7044, Data->F+11, Data->F+12, NULL);

 /*--- compute (00|f0)^10 ---*/
 _BUILD_00f0(Data,r12vrr_stack+7047, r12vrr_stack+4107, r12vrr_stack+0, r12vrr_stack+1050, r12vrr_stack+4104, NULL);

 /*--- compute (00|g0)^9 ---*/
 _BUILD_00g0(Data,r12vrr_stack+7057, r12vrr_stack+980, r12vrr_stack+7047, r12vrr_stack+1053, r12vrr_stack+4107, NULL);

 /*--- compute (00|h0)^8 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+7072, r12vrr_stack+1095, r12vrr_stack+7057, r12vrr_stack+420, r12vrr_stack+980, NULL);

 /*--- compute (00|i0)^7 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+7093, r12vrr_stack+4113, r12vrr_stack+7072, r12vrr_stack+1059, r12vrr_stack+1095, NULL);

 /*--- compute (00|k0)^6 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+7121, r12vrr_stack+4134, r12vrr_stack+7093, r12vrr_stack+1074, r12vrr_stack+4113, NULL);

 /*--- compute (p0|k0)^5 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+7157, r12vrr_stack+2092, r12vrr_stack+7121, NULL, NULL, r12vrr_stack+4134);

 /*--- compute (d0|k0)^4 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+7604, r12vrr_stack+3195, r12vrr_stack+7157, r12vrr_stack+5814, r12vrr_stack+2092, r12vrr_stack+4162);

 /*--- compute (f0|k0)^3 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+7820, r12vrr_stack+3303, r12vrr_stack+7604, r12vrr_stack+5850, r12vrr_stack+3195, r12vrr_stack+4246);

 /*--- compute (g0|k0)^2 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+14020, r12vrr_stack+11824, r12vrr_stack+7820, r12vrr_stack+5958, r12vrr_stack+3303, r12vrr_stack+4414);

 /*--- compute (h0|k0)^1 ---*/
 am[0] = 5;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+14560, r12vrr_stack+12184, r12vrr_stack+14020, r12vrr_stack+11104, r12vrr_stack+11824, r12vrr_stack+9312);

 /*--- compute (i0|k0)^0 ---*/
 am[0] = 6;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+15316, r12vrr_stack+13264, r12vrr_stack+14560, r12vrr_stack+12724, r12vrr_stack+12184, r12vrr_stack+9732);
 tmp = r12vrr_stack + 15316;
 target_ptr = Libr12->gvrr_classes[6][7];
 for(i=0;i<1008;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|l0)^3 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+9312, r12vrr_stack+5490, r12vrr_stack+5814, r12vrr_stack+6, r12vrr_stack+2176, NULL);

 /*--- compute (00|l0)^2 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+9357, r12vrr_stack+5526, r12vrr_stack+5490, r12vrr_stack+34, r12vrr_stack+6, NULL);

 /*--- compute (p0|l0)^2 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+9402, r12vrr_stack+9357, r12vrr_stack+9312, NULL, NULL, r12vrr_stack+5490);

 /*--- compute (00|l0)^1 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+9537, r12vrr_stack+5670, r12vrr_stack+5526, r12vrr_stack+2064, r12vrr_stack+34, NULL);

 /*--- compute (p0|l0)^1 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+9582, r12vrr_stack+9537, r12vrr_stack+9357, NULL, NULL, r12vrr_stack+5526);

 /*--- compute (00|l0)^4 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+6, r12vrr_stack+5814, r12vrr_stack+2092, r12vrr_stack+2176, r12vrr_stack+194, NULL);

 /*--- compute (p0|l0)^3 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+9717, r12vrr_stack+9312, r12vrr_stack+6, NULL, NULL, r12vrr_stack+5814);

 /*--- compute (d0|l0)^2 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+9852, r12vrr_stack+9402, r12vrr_stack+9717, r12vrr_stack+9357, r12vrr_stack+9312, r12vrr_stack+5850);

 /*--- compute (d0|l0)^1 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+4162, r12vrr_stack+9582, r12vrr_stack+9402, r12vrr_stack+9537, r12vrr_stack+9357, r12vrr_stack+5562);

 /*--- compute (f0|l0)^1 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+16324, r12vrr_stack+4162, r12vrr_stack+9852, r12vrr_stack+9582, r12vrr_stack+9402, r12vrr_stack+5958);

 /*--- compute (00|l0)^0 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+5562, r12vrr_stack+1980, r12vrr_stack+5670, r12vrr_stack+166, r12vrr_stack+2064, NULL);

 /*--- compute (p0|l0)^0 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+5850, r12vrr_stack+5562, r12vrr_stack+9537, NULL, NULL, r12vrr_stack+5670);

 /*--- compute (d0|l0)^0 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+16774, r12vrr_stack+5850, r12vrr_stack+9582, r12vrr_stack+5562, r12vrr_stack+9537, r12vrr_stack+5706);

 /*--- compute (f0|l0)^0 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+17044, r12vrr_stack+16774, r12vrr_stack+4162, r12vrr_stack+5850, r12vrr_stack+9582, r12vrr_stack+6174);

 /*--- compute (00|l0)^5 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+5706, r12vrr_stack+2092, r12vrr_stack+7121, r12vrr_stack+194, r12vrr_stack+4134, NULL);

 /*--- compute (p0|l0)^4 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+5985, r12vrr_stack+6, r12vrr_stack+5706, NULL, NULL, r12vrr_stack+2092);

 /*--- compute (d0|l0)^3 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+6120, r12vrr_stack+9717, r12vrr_stack+5985, r12vrr_stack+9312, r12vrr_stack+6, r12vrr_stack+3195);

 /*--- compute (f0|l0)^2 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+17494, r12vrr_stack+9852, r12vrr_stack+6120, r12vrr_stack+9402, r12vrr_stack+9717, r12vrr_stack+3303);

 /*--- compute (g0|l0)^1 ---*/
 am[0] = 4;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+2943, r12vrr_stack+16324, r12vrr_stack+17494, r12vrr_stack+4162, r12vrr_stack+9852, r12vrr_stack+11824);

 /*--- compute (g0|l0)^0 ---*/
 am[0] = 4;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+17944, r12vrr_stack+17044, r12vrr_stack+16324, r12vrr_stack+16774, r12vrr_stack+4162, r12vrr_stack+11104);

 /*--- compute (h0|l0)^0 ---*/
 am[0] = 5;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+18619, r12vrr_stack+17944, r12vrr_stack+2943, r12vrr_stack+17044, r12vrr_stack+16324, r12vrr_stack+12184);
 tmp = r12vrr_stack + 18619;
 target_ptr = Libr12->gvrr_classes[5][8];
 for(i=0;i<945;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^13 ---*/
 _BUILD_00p0(Data,r12vrr_stack+11104, Data->F+13, Data->F+14, NULL, NULL, NULL);

 /*--- compute (00|d0)^12 ---*/
 _BUILD_00d0(Data,r12vrr_stack+11107, r12vrr_stack+7044, r12vrr_stack+11104, Data->F+12, Data->F+13, NULL);

 /*--- compute (00|f0)^11 ---*/
 _BUILD_00f0(Data,r12vrr_stack+11113, r12vrr_stack+0, r12vrr_stack+11107, r12vrr_stack+4104, r12vrr_stack+7044, NULL);

 /*--- compute (00|g0)^10 ---*/
 _BUILD_00g0(Data,r12vrr_stack+11123, r12vrr_stack+7047, r12vrr_stack+11113, r12vrr_stack+4107, r12vrr_stack+0, NULL);

 /*--- compute (00|h0)^9 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+11138, r12vrr_stack+7057, r12vrr_stack+11123, r12vrr_stack+980, r12vrr_stack+7047, NULL);

 /*--- compute (00|i0)^8 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+11159, r12vrr_stack+7072, r12vrr_stack+11138, r12vrr_stack+1095, r12vrr_stack+7057, NULL);

 /*--- compute (00|k0)^7 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+11187, r12vrr_stack+7093, r12vrr_stack+11159, r12vrr_stack+4113, r12vrr_stack+7072, NULL);

 /*--- compute (00|l0)^6 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+11223, r12vrr_stack+7121, r12vrr_stack+11187, r12vrr_stack+4134, r12vrr_stack+7093, NULL);

 /*--- compute (p0|l0)^5 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+11268, r12vrr_stack+5706, r12vrr_stack+11223, NULL, NULL, r12vrr_stack+7121);

 /*--- compute (d0|l0)^4 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+11824, r12vrr_stack+5985, r12vrr_stack+11268, r12vrr_stack+6, r12vrr_stack+5706, r12vrr_stack+7157);

 /*--- compute (f0|l0)^3 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+12094, r12vrr_stack+6120, r12vrr_stack+11824, r12vrr_stack+9717, r12vrr_stack+5985, r12vrr_stack+7604);

 /*--- compute (g0|l0)^2 ---*/
 am[0] = 4;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+19564, r12vrr_stack+17494, r12vrr_stack+12094, r12vrr_stack+9852, r12vrr_stack+6120, r12vrr_stack+7820);

 /*--- compute (h0|l0)^1 ---*/
 am[0] = 5;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+20239, r12vrr_stack+2943, r12vrr_stack+19564, r12vrr_stack+16324, r12vrr_stack+17494, r12vrr_stack+14020);

 /*--- compute (i0|l0)^0 ---*/
 am[0] = 6;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+21184, r12vrr_stack+18619, r12vrr_stack+20239, r12vrr_stack+17944, r12vrr_stack+2943, r12vrr_stack+14560);
 tmp = r12vrr_stack + 21184;
 target_ptr = Libr12->gvrr_classes[6][8];
 for(i=0;i<1260;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|m0)^3 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+4910, r12vrr_stack+9312, r12vrr_stack+6, r12vrr_stack+5490, r12vrr_stack+5814, NULL);

 /*--- compute (00|m0)^2 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+14020, r12vrr_stack+9357, r12vrr_stack+9312, r12vrr_stack+5526, r12vrr_stack+5490, NULL);

 /*--- compute (p0|m0)^2 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+14075, r12vrr_stack+14020, r12vrr_stack+4910, NULL, NULL, r12vrr_stack+9312);

 /*--- compute (00|m0)^1 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+14240, r12vrr_stack+9537, r12vrr_stack+9357, r12vrr_stack+5670, r12vrr_stack+5526, NULL);

 /*--- compute (p0|m0)^1 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+14295, r12vrr_stack+14240, r12vrr_stack+14020, NULL, NULL, r12vrr_stack+9357);

 /*--- compute (00|m0)^4 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+5490, r12vrr_stack+6, r12vrr_stack+5706, r12vrr_stack+5814, r12vrr_stack+2092, NULL);

 /*--- compute (p0|m0)^3 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+14460, r12vrr_stack+4910, r12vrr_stack+5490, NULL, NULL, r12vrr_stack+6);

 /*--- compute (d0|m0)^2 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+14625, r12vrr_stack+14075, r12vrr_stack+14460, r12vrr_stack+14020, r12vrr_stack+4910, r12vrr_stack+9717);

 /*--- compute (d0|m0)^1 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+14955, r12vrr_stack+14295, r12vrr_stack+14075, r12vrr_stack+14240, r12vrr_stack+14020, r12vrr_stack+9402);

 /*--- compute (f0|m0)^1 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+7604, r12vrr_stack+14955, r12vrr_stack+14625, r12vrr_stack+14295, r12vrr_stack+14075, r12vrr_stack+9852);

 /*--- compute (00|m0)^0 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+9402, r12vrr_stack+5562, r12vrr_stack+9537, r12vrr_stack+1980, r12vrr_stack+5670, NULL);

 /*--- compute (p0|m0)^0 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+9717, r12vrr_stack+9402, r12vrr_stack+14240, NULL, NULL, r12vrr_stack+9537);

 /*--- compute (d0|m0)^0 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+9882, r12vrr_stack+9717, r12vrr_stack+14295, r12vrr_stack+9402, r12vrr_stack+14240, r12vrr_stack+9582);

 /*--- compute (f0|m0)^0 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+22444, r12vrr_stack+9882, r12vrr_stack+14955, r12vrr_stack+9717, r12vrr_stack+14295, r12vrr_stack+4162);

 /*--- compute (00|m0)^5 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+9582, r12vrr_stack+5706, r12vrr_stack+11223, r12vrr_stack+2092, r12vrr_stack+7121, NULL);

 /*--- compute (p0|m0)^4 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+7157, r12vrr_stack+5490, r12vrr_stack+9582, NULL, NULL, r12vrr_stack+5706);

 /*--- compute (d0|m0)^3 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+4104, r12vrr_stack+14460, r12vrr_stack+7157, r12vrr_stack+4910, r12vrr_stack+5490, r12vrr_stack+5985);

 /*--- compute (f0|m0)^2 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+22994, r12vrr_stack+14625, r12vrr_stack+4104, r12vrr_stack+14075, r12vrr_stack+14460, r12vrr_stack+6120);

 /*--- compute (g0|m0)^1 ---*/
 am[0] = 4;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+23544, r12vrr_stack+7604, r12vrr_stack+22994, r12vrr_stack+14955, r12vrr_stack+14625, r12vrr_stack+17494);

 /*--- compute (g0|m0)^0 ---*/
 am[0] = 4;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+24369, r12vrr_stack+22444, r12vrr_stack+7604, r12vrr_stack+9882, r12vrr_stack+14955, r12vrr_stack+16324);

 /*--- compute (h0|m0)^0 ---*/
 am[0] = 5;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+25194, r12vrr_stack+24369, r12vrr_stack+23544, r12vrr_stack+22444, r12vrr_stack+7604, r12vrr_stack+2943);
 tmp = r12vrr_stack + 25194;
 target_ptr = Libr12->gvrr_classes[5][9];
 for(i=0;i<1155;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^14 ---*/
 _BUILD_00p0(Data,r12vrr_stack+2943, Data->F+14, Data->F+15, NULL, NULL, NULL);

 /*--- compute (00|d0)^13 ---*/
 _BUILD_00d0(Data,r12vrr_stack+2946, r12vrr_stack+11104, r12vrr_stack+2943, Data->F+13, Data->F+14, NULL);

 /*--- compute (00|f0)^12 ---*/
 _BUILD_00f0(Data,r12vrr_stack+2952, r12vrr_stack+11107, r12vrr_stack+2946, r12vrr_stack+7044, r12vrr_stack+11104, NULL);

 /*--- compute (00|g0)^11 ---*/
 _BUILD_00g0(Data,r12vrr_stack+2962, r12vrr_stack+11113, r12vrr_stack+2952, r12vrr_stack+0, r12vrr_stack+11107, NULL);

 /*--- compute (00|h0)^10 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2977, r12vrr_stack+11123, r12vrr_stack+2962, r12vrr_stack+7047, r12vrr_stack+11113, NULL);

 /*--- compute (00|i0)^9 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2998, r12vrr_stack+11138, r12vrr_stack+2977, r12vrr_stack+7057, r12vrr_stack+11123, NULL);

 /*--- compute (00|k0)^8 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+3026, r12vrr_stack+11159, r12vrr_stack+2998, r12vrr_stack+7072, r12vrr_stack+11138, NULL);

 /*--- compute (00|l0)^7 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+7044, r12vrr_stack+11187, r12vrr_stack+3026, r12vrr_stack+7093, r12vrr_stack+11159, NULL);

 /*--- compute (00|m0)^6 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+3062, r12vrr_stack+11223, r12vrr_stack+7044, r12vrr_stack+7121, r12vrr_stack+11187, NULL);

 /*--- compute (p0|m0)^5 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+3117, r12vrr_stack+9582, r12vrr_stack+3062, NULL, NULL, r12vrr_stack+11223);

 /*--- compute (d0|m0)^4 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+3282, r12vrr_stack+7157, r12vrr_stack+3117, r12vrr_stack+5490, r12vrr_stack+9582, r12vrr_stack+11268);

 /*--- compute (f0|m0)^3 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+26349, r12vrr_stack+4104, r12vrr_stack+3282, r12vrr_stack+14460, r12vrr_stack+7157, r12vrr_stack+11824);

 /*--- compute (g0|m0)^2 ---*/
 am[0] = 4;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+26899, r12vrr_stack+22994, r12vrr_stack+26349, r12vrr_stack+14625, r12vrr_stack+4104, r12vrr_stack+12094);

 /*--- compute (h0|m0)^1 ---*/
 am[0] = 5;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+27724, r12vrr_stack+23544, r12vrr_stack+26899, r12vrr_stack+7604, r12vrr_stack+22994, r12vrr_stack+19564);

 /*--- compute (i0|m0)^0 ---*/
 am[0] = 6;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+28879, r12vrr_stack+25194, r12vrr_stack+27724, r12vrr_stack+24369, r12vrr_stack+23544, r12vrr_stack+20239);
 tmp = r12vrr_stack + 28879;
 target_ptr = Libr12->gvrr_classes[6][9];
 for(i=0;i<1540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|n0)^3 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+19564, r12vrr_stack+4910, r12vrr_stack+5490, r12vrr_stack+9312, r12vrr_stack+6, NULL);

 /*--- compute (00|n0)^2 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+19630, r12vrr_stack+14020, r12vrr_stack+4910, r12vrr_stack+9357, r12vrr_stack+9312, NULL);

 /*--- compute (p0|n0)^2 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+19696, r12vrr_stack+19630, r12vrr_stack+19564, NULL, NULL, r12vrr_stack+4910);

 /*--- compute (00|n0)^1 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+19894, r12vrr_stack+14240, r12vrr_stack+14020, r12vrr_stack+9537, r12vrr_stack+9357, NULL);

 /*--- compute (p0|n0)^1 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+19960, r12vrr_stack+19894, r12vrr_stack+19630, NULL, NULL, r12vrr_stack+14020);

 /*--- compute (00|n0)^4 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+9312, r12vrr_stack+5490, r12vrr_stack+9582, r12vrr_stack+6, r12vrr_stack+5706, NULL);

 /*--- compute (p0|n0)^3 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+20158, r12vrr_stack+19564, r12vrr_stack+9312, NULL, NULL, r12vrr_stack+5490);

 /*--- compute (d0|n0)^2 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+20356, r12vrr_stack+19696, r12vrr_stack+20158, r12vrr_stack+19630, r12vrr_stack+19564, r12vrr_stack+14460);

 /*--- compute (d0|n0)^1 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+20752, r12vrr_stack+19960, r12vrr_stack+19696, r12vrr_stack+19894, r12vrr_stack+19630, r12vrr_stack+14075);

 /*--- compute (f0|n0)^1 ---*/
 am[0] = 3;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+11824, r12vrr_stack+20752, r12vrr_stack+20356, r12vrr_stack+19960, r12vrr_stack+19696, r12vrr_stack+14625);

 /*--- compute (00|n0)^0 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+14075, r12vrr_stack+9402, r12vrr_stack+14240, r12vrr_stack+5562, r12vrr_stack+9537, NULL);

 /*--- compute (p0|n0)^0 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+14460, r12vrr_stack+14075, r12vrr_stack+19894, NULL, NULL, r12vrr_stack+14240);

 /*--- compute (d0|n0)^0 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+16324, r12vrr_stack+14460, r12vrr_stack+19960, r12vrr_stack+14075, r12vrr_stack+19894, r12vrr_stack+14295);

 /*--- compute (f0|n0)^0 ---*/
 am[0] = 3;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+30419, r12vrr_stack+16324, r12vrr_stack+20752, r12vrr_stack+14460, r12vrr_stack+19960, r12vrr_stack+14955);

 /*--- compute (00|n0)^5 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+14295, r12vrr_stack+9582, r12vrr_stack+3062, r12vrr_stack+5706, r12vrr_stack+11223, NULL);

 /*--- compute (p0|n0)^4 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+14658, r12vrr_stack+9312, r12vrr_stack+14295, NULL, NULL, r12vrr_stack+9582);

 /*--- compute (d0|n0)^3 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+14856, r12vrr_stack+20158, r12vrr_stack+14658, r12vrr_stack+19564, r12vrr_stack+9312, r12vrr_stack+7157);

 /*--- compute (f0|n0)^2 ---*/
 am[0] = 3;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+31079, r12vrr_stack+20356, r12vrr_stack+14856, r12vrr_stack+19696, r12vrr_stack+20158, r12vrr_stack+4104);

 /*--- compute (g0|n0)^1 ---*/
 am[0] = 4;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+31739, r12vrr_stack+11824, r12vrr_stack+31079, r12vrr_stack+20752, r12vrr_stack+20356, r12vrr_stack+22994);

 /*--- compute (g0|n0)^0 ---*/
 am[0] = 4;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+32729, r12vrr_stack+30419, r12vrr_stack+11824, r12vrr_stack+16324, r12vrr_stack+20752, r12vrr_stack+7604);

 /*--- compute (h0|n0)^0 ---*/
 am[0] = 5;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+33719, r12vrr_stack+32729, r12vrr_stack+31739, r12vrr_stack+30419, r12vrr_stack+11824, r12vrr_stack+23544);
 tmp = r12vrr_stack + 33719;
 target_ptr = Libr12->gvrr_classes[5][10];
 for(i=0;i<1386;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^15 ---*/
 _BUILD_00p0(Data,r12vrr_stack+7604, Data->F+15, Data->F+16, NULL, NULL, NULL);

 /*--- compute (00|d0)^14 ---*/
 _BUILD_00d0(Data,r12vrr_stack+7607, r12vrr_stack+2943, r12vrr_stack+7604, Data->F+14, Data->F+15, NULL);

 /*--- compute (00|f0)^13 ---*/
 _BUILD_00f0(Data,r12vrr_stack+7613, r12vrr_stack+2946, r12vrr_stack+7607, r12vrr_stack+11104, r12vrr_stack+2943, NULL);

 /*--- compute (00|g0)^12 ---*/
 _BUILD_00g0(Data,r12vrr_stack+7623, r12vrr_stack+2952, r12vrr_stack+7613, r12vrr_stack+11107, r12vrr_stack+2946, NULL);

 /*--- compute (00|h0)^11 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+7638, r12vrr_stack+2962, r12vrr_stack+7623, r12vrr_stack+11113, r12vrr_stack+2952, NULL);

 /*--- compute (00|i0)^10 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+7604, r12vrr_stack+2977, r12vrr_stack+7638, r12vrr_stack+11123, r12vrr_stack+2962, NULL);

 /*--- compute (00|k0)^9 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+21148, r12vrr_stack+2998, r12vrr_stack+7604, r12vrr_stack+11138, r12vrr_stack+2977, NULL);

 /*--- compute (00|l0)^8 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+7604, r12vrr_stack+3026, r12vrr_stack+21148, r12vrr_stack+11159, r12vrr_stack+2998, NULL);

 /*--- compute (00|m0)^7 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+7649, r12vrr_stack+7044, r12vrr_stack+7604, r12vrr_stack+11187, r12vrr_stack+3026, NULL);

 /*--- compute (00|n0)^6 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+7704, r12vrr_stack+3062, r12vrr_stack+7649, r12vrr_stack+11223, r12vrr_stack+7044, NULL);

 /*--- compute (p0|n0)^5 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+7044, r12vrr_stack+14295, r12vrr_stack+7704, NULL, NULL, r12vrr_stack+3062);

 /*--- compute (d0|n0)^4 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+7770, r12vrr_stack+14658, r12vrr_stack+7044, r12vrr_stack+9312, r12vrr_stack+14295, r12vrr_stack+3117);

 /*--- compute (f0|n0)^3 ---*/
 am[0] = 3;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+22994, r12vrr_stack+14856, r12vrr_stack+7770, r12vrr_stack+20158, r12vrr_stack+14658, r12vrr_stack+3282);

 /*--- compute (g0|n0)^2 ---*/
 am[0] = 4;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+35105, r12vrr_stack+31079, r12vrr_stack+22994, r12vrr_stack+20356, r12vrr_stack+14856, r12vrr_stack+26349);

 /*--- compute (h0|n0)^1 ---*/
 am[0] = 5;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+36095, r12vrr_stack+31739, r12vrr_stack+35105, r12vrr_stack+11824, r12vrr_stack+31079, r12vrr_stack+26899);

 /*--- compute (i0|n0)^0 ---*/
 am[0] = 6;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+37481, r12vrr_stack+33719, r12vrr_stack+36095, r12vrr_stack+32729, r12vrr_stack+31739, r12vrr_stack+27724);

 /*--- compute (00|o0)^3 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+35105, r12vrr_stack+19564, r12vrr_stack+9312, r12vrr_stack+4910, r12vrr_stack+5490, NULL);

 /*--- compute (00|o0)^2 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+35183, r12vrr_stack+19630, r12vrr_stack+19564, r12vrr_stack+14020, r12vrr_stack+4910, NULL);

 /*--- compute (p0|o0)^2 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+35261, r12vrr_stack+35183, r12vrr_stack+35105, NULL, NULL, r12vrr_stack+19564);

 /*--- compute (00|o0)^1 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+35495, r12vrr_stack+19894, r12vrr_stack+19630, r12vrr_stack+14240, r12vrr_stack+14020, NULL);

 /*--- compute (p0|o0)^1 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+35573, r12vrr_stack+35495, r12vrr_stack+35183, NULL, NULL, r12vrr_stack+19630);

 /*--- compute (00|o0)^4 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+19564, r12vrr_stack+9312, r12vrr_stack+14295, r12vrr_stack+5490, r12vrr_stack+9582, NULL);

 /*--- compute (p0|o0)^3 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+35807, r12vrr_stack+35105, r12vrr_stack+19564, NULL, NULL, r12vrr_stack+9312);

 /*--- compute (d0|o0)^2 ---*/
 am[0] = 2;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+36041, r12vrr_stack+35261, r12vrr_stack+35807, r12vrr_stack+35183, r12vrr_stack+35105, r12vrr_stack+20158);

 /*--- compute (d0|o0)^1 ---*/
 am[0] = 2;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+36509, r12vrr_stack+35573, r12vrr_stack+35261, r12vrr_stack+35495, r12vrr_stack+35183, r12vrr_stack+19696);

 /*--- compute (f0|o0)^1 ---*/
 am[0] = 3;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+26349, r12vrr_stack+36509, r12vrr_stack+36041, r12vrr_stack+35573, r12vrr_stack+35261, r12vrr_stack+20356);

 /*--- compute (00|o0)^0 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+35183, r12vrr_stack+14075, r12vrr_stack+19894, r12vrr_stack+9402, r12vrr_stack+14240, NULL);

 /*--- compute (p0|o0)^0 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+20158, r12vrr_stack+35183, r12vrr_stack+35495, NULL, NULL, r12vrr_stack+19894);

 /*--- compute (d0|o0)^0 ---*/
 am[0] = 2;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+36977, r12vrr_stack+20158, r12vrr_stack+35573, r12vrr_stack+35183, r12vrr_stack+35495, r12vrr_stack+19960);

 /*--- compute (f0|o0)^0 ---*/
 am[0] = 3;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+27129, r12vrr_stack+36977, r12vrr_stack+36509, r12vrr_stack+20158, r12vrr_stack+35573, r12vrr_stack+20752);

 /*--- compute (00|o0)^5 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+35183, r12vrr_stack+14295, r12vrr_stack+7704, r12vrr_stack+9582, r12vrr_stack+3062, NULL);

 /*--- compute (p0|o0)^4 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+35495, r12vrr_stack+19564, r12vrr_stack+35183, NULL, NULL, r12vrr_stack+14295);

 /*--- compute (d0|o0)^3 ---*/
 am[0] = 2;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+19642, r12vrr_stack+35807, r12vrr_stack+35495, r12vrr_stack+35105, r12vrr_stack+19564, r12vrr_stack+14658);

 /*--- compute (f0|o0)^2 ---*/
 am[0] = 3;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+20110, r12vrr_stack+36041, r12vrr_stack+19642, r12vrr_stack+35261, r12vrr_stack+35807, r12vrr_stack+14856);

 /*--- compute (g0|o0)^1 ---*/
 am[0] = 4;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+22994, r12vrr_stack+26349, r12vrr_stack+20110, r12vrr_stack+36509, r12vrr_stack+36041, r12vrr_stack+31079);

 /*--- compute (g0|o0)^0 ---*/
 am[0] = 4;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+19564, r12vrr_stack+27129, r12vrr_stack+26349, r12vrr_stack+36977, r12vrr_stack+36509, r12vrr_stack+11824);

 /*--- compute (h0|o0)^0 ---*/
 am[0] = 5;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+35105, r12vrr_stack+19564, r12vrr_stack+22994, r12vrr_stack+27129, r12vrr_stack+26349, r12vrr_stack+31739);

 /*--- compute (00||p0)^0 ---*/
 _R_BUILD_00p0(Data,r12vrr_stack+26349, &(Data->ss_r12_ss), NULL, r12vrr_stack+324, Data->F+0, NULL, NULL);

 /*--- compute (00||d0)^0 ---*/
 _R_BUILD_00d0(Data,r12vrr_stack+26352, r12vrr_stack+26349, &(Data->ss_r12_ss), r12vrr_stack+81, r12vrr_stack+324, Data->F+0, NULL);

 /*--- compute (00||f0)^0 ---*/
 _R_BUILD_00f0(Data,r12vrr_stack+26358, r12vrr_stack+26352, r12vrr_stack+26349, r12vrr_stack+327, r12vrr_stack+81, r12vrr_stack+324, NULL);

 /*--- compute (00||g0)^0 ---*/
 _R_BUILD_00g0(Data,r12vrr_stack+26368, r12vrr_stack+26358, r12vrr_stack+26352, r12vrr_stack+337, r12vrr_stack+327, r12vrr_stack+81, NULL);

 /*--- compute (00||h0)^0 ---*/
 _R_BUILD_00h0(Data,r12vrr_stack+26383, r12vrr_stack+26368, r12vrr_stack+26358, r12vrr_stack+1770, r12vrr_stack+337, r12vrr_stack+327, NULL);

 /*--- compute (p0||h0)^0 ---*/
 _R_BUILD_p0h0(Data,r12vrr_stack+26404, r12vrr_stack+26383, NULL, r12vrr_stack+1791, r12vrr_stack+1770, NULL, r12vrr_stack+337);

 /*--- compute (d0||h0)^0 ---*/
 _R_BUILD_d0h0(Data,r12vrr_stack+26467, r12vrr_stack+26404, r12vrr_stack+26383, r12vrr_stack+1854, r12vrr_stack+1791, r12vrr_stack+1770, r12vrr_stack+1485);

 /*--- compute (f0||h0)^0 ---*/
 _R_BUILD_f0h0(Data,r12vrr_stack+26593, r12vrr_stack+26467, r12vrr_stack+26404, r12vrr_stack+4965, r12vrr_stack+1854, r12vrr_stack+1791, r12vrr_stack+1530);

 /*--- compute (g0||h0)^0 ---*/
 _R_BUILD_g0h0(Data,r12vrr_stack+26803, r12vrr_stack+26593, r12vrr_stack+26467, r12vrr_stack+5175, r12vrr_stack+4965, r12vrr_stack+1854, r12vrr_stack+1620);

 /*--- compute (00||i0)^0 ---*/
 _R_BUILD_00i0(Data,r12vrr_stack+26404, r12vrr_stack+26383, r12vrr_stack+26368, r12vrr_stack+166, r12vrr_stack+1770, r12vrr_stack+337, NULL);

 /*--- compute (p0||i0)^0 ---*/
 _R_BUILD_p0i0(Data,r12vrr_stack+26432, r12vrr_stack+26404, NULL, r12vrr_stack+1320, r12vrr_stack+166, NULL, r12vrr_stack+1770);

 /*--- compute (d0||i0)^0 ---*/
 _R_BUILD_d0i0(Data,r12vrr_stack+27118, r12vrr_stack+26432, r12vrr_stack+26404, r12vrr_stack+2775, r12vrr_stack+1320, r12vrr_stack+166, r12vrr_stack+1791);

 /*--- compute (f0||i0)^0 ---*/
 _R_BUILD_f0i0(Data,r12vrr_stack+7044, r12vrr_stack+27118, r12vrr_stack+26432, r12vrr_stack+7324, r12vrr_stack+2775, r12vrr_stack+1320, r12vrr_stack+1854);

 /*--- compute (g0||i0)^0 ---*/
 _R_BUILD_g0i0(Data,r12vrr_stack+27286, r12vrr_stack+7044, r12vrr_stack+27118, r12vrr_stack+8304, r12vrr_stack+7324, r12vrr_stack+2775, r12vrr_stack+4965);

 /*--- compute (00||k0)^0 ---*/
 am[0] = 0;  am[1] = 7;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+27118, r12vrr_stack+26404, r12vrr_stack+26383, r12vrr_stack+1980, r12vrr_stack+166, r12vrr_stack+1770, NULL);

 /*--- compute (p0||k0)^0 ---*/
 am[0] = 1;  am[1] = 7;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+10212, r12vrr_stack+27118, NULL, r12vrr_stack+1110, r12vrr_stack+1980, NULL, r12vrr_stack+166);

 /*--- compute (d0||k0)^0 ---*/
 am[0] = 2;  am[1] = 7;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+27706, r12vrr_stack+10212, r12vrr_stack+27118, r12vrr_stack+4694, r12vrr_stack+1110, r12vrr_stack+1980, r12vrr_stack+1320);

 /*--- compute (f0||k0)^0 ---*/
 am[0] = 3;  am[1] = 7;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+11104, r12vrr_stack+27706, r12vrr_stack+10212, r12vrr_stack+11464, r12vrr_stack+4694, r12vrr_stack+1110, r12vrr_stack+2775);

 /*--- compute (g0||k0)^0 ---*/
 am[0] = 4;  am[1] = 7;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+2775, r12vrr_stack+11104, r12vrr_stack+27706, r12vrr_stack+12724, r12vrr_stack+11464, r12vrr_stack+4694, r12vrr_stack+7324);

 /*--- compute (00||l0)^0 ---*/
 am[0] = 0;  am[1] = 8;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+27706, r12vrr_stack+27118, r12vrr_stack+26404, r12vrr_stack+5562, r12vrr_stack+1980, r12vrr_stack+166, NULL);

 /*--- compute (p0||l0)^0 ---*/
 am[0] = 1;  am[1] = 8;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+27751, r12vrr_stack+27706, NULL, r12vrr_stack+5850, r12vrr_stack+5562, NULL, r12vrr_stack+1980);

 /*--- compute (d0||l0)^0 ---*/
 am[0] = 2;  am[1] = 8;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+27886, r12vrr_stack+27751, r12vrr_stack+27706, r12vrr_stack+16774, r12vrr_stack+5850, r12vrr_stack+5562, r12vrr_stack+1110);

 /*--- compute (f0||l0)^0 ---*/
 am[0] = 3;  am[1] = 8;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+20734, r12vrr_stack+27886, r12vrr_stack+27751, r12vrr_stack+17044, r12vrr_stack+16774, r12vrr_stack+5850, r12vrr_stack+4694);

 /*--- compute (g0||l0)^0 ---*/
 am[0] = 4;  am[1] = 8;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+28156, r12vrr_stack+20734, r12vrr_stack+27886, r12vrr_stack+17944, r12vrr_stack+17044, r12vrr_stack+16774, r12vrr_stack+11464);

 /*--- compute (00||m0)^0 ---*/
 am[0] = 0;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+14020, r12vrr_stack+27706, r12vrr_stack+27118, r12vrr_stack+9402, r12vrr_stack+5562, r12vrr_stack+1980, NULL);

 /*--- compute (p0||m0)^0 ---*/
 am[0] = 1;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+27118, r12vrr_stack+14020, NULL, r12vrr_stack+9717, r12vrr_stack+9402, NULL, r12vrr_stack+5562);

 /*--- compute (d0||m0)^0 ---*/
 am[0] = 2;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+27751, r12vrr_stack+27118, r12vrr_stack+14020, r12vrr_stack+9882, r12vrr_stack+9717, r12vrr_stack+9402, r12vrr_stack+5850);

 /*--- compute (f0||m0)^0 ---*/
 am[0] = 3;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+22994, r12vrr_stack+27751, r12vrr_stack+27118, r12vrr_stack+22444, r12vrr_stack+9882, r12vrr_stack+9717, r12vrr_stack+16774);

 /*--- compute (g0||m0)^0 ---*/
 am[0] = 4;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+23544, r12vrr_stack+22994, r12vrr_stack+27751, r12vrr_stack+24369, r12vrr_stack+22444, r12vrr_stack+9882, r12vrr_stack+17044);

 /*--- compute (00||n0)^0 ---*/
 am[0] = 0;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+27751, r12vrr_stack+14020, r12vrr_stack+27706, r12vrr_stack+14075, r12vrr_stack+9402, r12vrr_stack+5562, NULL);

 /*--- compute (p0||n0)^0 ---*/
 am[0] = 1;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+27817, r12vrr_stack+27751, NULL, r12vrr_stack+14460, r12vrr_stack+14075, NULL, r12vrr_stack+9402);

 /*--- compute (d0||n0)^0 ---*/
 am[0] = 2;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+11824, r12vrr_stack+27817, r12vrr_stack+27751, r12vrr_stack+16324, r12vrr_stack+14460, r12vrr_stack+14075, r12vrr_stack+9717);

 /*--- compute (f0||n0)^0 ---*/
 am[0] = 3;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+31079, r12vrr_stack+11824, r12vrr_stack+27817, r12vrr_stack+30419, r12vrr_stack+16324, r12vrr_stack+14460, r12vrr_stack+9882);

 /*--- compute (g0||n0)^0 ---*/
 am[0] = 4;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+31739, r12vrr_stack+31079, r12vrr_stack+11824, r12vrr_stack+32729, r12vrr_stack+30419, r12vrr_stack+16324, r12vrr_stack+22444);

 /*--- compute (h0|[r12,T2]|h0)^0 ---*/
 _T2_BUILD_h0h0(Data,&(Libr12->ShellQuartet),r12vrr_stack+16324, r12vrr_stack+455, r12vrr_stack+8724, r12vrr_stack+6456, r12vrr_stack+3684, r12vrr_stack+2460);
 tmp = r12vrr_stack + 16324;
 target_ptr = Libr12->t2vrr_classes[5][5];
 for(i=0;i<441;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T2]|i0)^0 ---*/
 _T2_BUILD_h0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+11824, r12vrr_stack+8724, r12vrr_stack+13264, r12vrr_stack+10320, r12vrr_stack+6456, r12vrr_stack+455);
 tmp = r12vrr_stack + 11824;
 target_ptr = Libr12->t2vrr_classes[5][6];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T2]|k0)^0 ---*/
 am[0] = 5;  am[1] = 7;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+14020, r12vrr_stack+13264, r12vrr_stack+18619, r12vrr_stack+15316, r12vrr_stack+10320, r12vrr_stack+8724);
 tmp = r12vrr_stack + 14020;
 target_ptr = Libr12->t2vrr_classes[5][7];
 for(i=0;i<756;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T2]|l0)^0 ---*/
 am[0] = 5;  am[1] = 8;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+3315, r12vrr_stack+18619, r12vrr_stack+25194, r12vrr_stack+21184, r12vrr_stack+15316, r12vrr_stack+13264);
 tmp = r12vrr_stack + 3315;
 target_ptr = Libr12->t2vrr_classes[5][8];
 for(i=0;i<945;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T2]|m0)^0 ---*/
 am[0] = 5;  am[1] = 9;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+896, r12vrr_stack+25194, r12vrr_stack+33719, r12vrr_stack+28879, r12vrr_stack+21184, r12vrr_stack+18619);
 tmp = r12vrr_stack + 896;
 target_ptr = Libr12->t2vrr_classes[5][9];
 for(i=0;i<1155;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T2]|n0)^0 ---*/
 am[0] = 5;  am[1] = 10;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+39329, r12vrr_stack+33719, r12vrr_stack+35105, r12vrr_stack+37481, r12vrr_stack+28879, r12vrr_stack+25194);
 tmp = r12vrr_stack + 39329;
 target_ptr = Libr12->t2vrr_classes[5][10];
 for(i=0;i<1386;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T1]|h0)^0 ---*/
 _T1_BUILD_h0h0(Data,&(Libr12->ShellQuartet),r12vrr_stack+27706, r12vrr_stack+455, r12vrr_stack+6456, r12vrr_stack+8724, r12vrr_stack+8304, r12vrr_stack+5175);
 tmp = r12vrr_stack + 27706;
 target_ptr = Libr12->t1vrr_classes[5][5];
 for(i=0;i<441;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T1]|i0)^0 ---*/
 _T1_BUILD_h0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+4260, r12vrr_stack+8724, r12vrr_stack+10320, r12vrr_stack+13264, r12vrr_stack+12724, r12vrr_stack+8304);
 tmp = r12vrr_stack + 4260;
 target_ptr = Libr12->t1vrr_classes[5][6];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T1]|k0)^0 ---*/
 am[0] = 5;  am[1] = 7;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+9312, r12vrr_stack+13264, r12vrr_stack+15316, r12vrr_stack+18619, r12vrr_stack+17944, r12vrr_stack+12724);
 tmp = r12vrr_stack + 9312;
 target_ptr = Libr12->t1vrr_classes[5][7];
 for(i=0;i<756;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T1]|l0)^0 ---*/
 am[0] = 5;  am[1] = 8;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+14776, r12vrr_stack+18619, r12vrr_stack+21184, r12vrr_stack+25194, r12vrr_stack+24369, r12vrr_stack+17944);
 tmp = r12vrr_stack + 14776;
 target_ptr = Libr12->t1vrr_classes[5][8];
 for(i=0;i<945;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T1]|m0)^0 ---*/
 am[0] = 5;  am[1] = 9;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+21184, r12vrr_stack+25194, r12vrr_stack+28879, r12vrr_stack+33719, r12vrr_stack+32729, r12vrr_stack+24369);
 tmp = r12vrr_stack + 21184;
 target_ptr = Libr12->t1vrr_classes[5][9];
 for(i=0;i<1155;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T1]|n0)^0 ---*/
 am[0] = 5;  am[1] = 10;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+28831, r12vrr_stack+33719, r12vrr_stack+37481, r12vrr_stack+35105, r12vrr_stack+19564, r12vrr_stack+32729);
 tmp = r12vrr_stack + 28831;
 target_ptr = Libr12->t1vrr_classes[5][10];
 for(i=0;i<1386;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0||h0)^0 ---*/
 _R_BUILD_h0h0(Data,r12vrr_stack+19564, r12vrr_stack+26803, r12vrr_stack+26593, r12vrr_stack+455, r12vrr_stack+5175, r12vrr_stack+4965, r12vrr_stack+2235);
 tmp = r12vrr_stack + 19564;
 target_ptr = Libr12->rvrr_classes[5][5];
 for(i=0;i<441;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0||i0)^0 ---*/
 _R_BUILD_h0i0(Data,r12vrr_stack+20005, r12vrr_stack+27286, r12vrr_stack+7044, r12vrr_stack+8724, r12vrr_stack+8304, r12vrr_stack+7324, r12vrr_stack+5175);
 tmp = r12vrr_stack + 20005;
 target_ptr = Libr12->rvrr_classes[5][6];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0||k0)^0 ---*/
 am[0] = 5;  am[1] = 7;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+35105, r12vrr_stack+2775, r12vrr_stack+11104, r12vrr_stack+13264, r12vrr_stack+12724, r12vrr_stack+11464, r12vrr_stack+8304);
 tmp = r12vrr_stack + 35105;
 target_ptr = Libr12->rvrr_classes[5][7];
 for(i=0;i<756;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0||l0)^0 ---*/
 am[0] = 5;  am[1] = 8;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+35861, r12vrr_stack+28156, r12vrr_stack+20734, r12vrr_stack+18619, r12vrr_stack+17944, r12vrr_stack+17044, r12vrr_stack+12724);
 tmp = r12vrr_stack + 35861;
 target_ptr = Libr12->rvrr_classes[5][8];
 for(i=0;i<945;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0||m0)^0 ---*/
 am[0] = 5;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+36806, r12vrr_stack+23544, r12vrr_stack+22994, r12vrr_stack+25194, r12vrr_stack+24369, r12vrr_stack+22444, r12vrr_stack+17944);
 tmp = r12vrr_stack + 36806;
 target_ptr = Libr12->rvrr_classes[5][9];
 for(i=0;i<1155;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0||n0)^0 ---*/
 am[0] = 5;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+25194, r12vrr_stack+31739, r12vrr_stack+31079, r12vrr_stack+33719, r12vrr_stack+32729, r12vrr_stack+30419, r12vrr_stack+24369);
 tmp = r12vrr_stack + 25194;
 target_ptr = Libr12->rvrr_classes[5][10];
 for(i=0;i<1386;i++)
   target_ptr[i] += tmp[i];


}

