#include <stdio.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/vrr_header.h>
#include "r12_vrr_header.h"

void vrr_grt_order_hpff(Libr12_t *Libr12, prim_data *Data)
{
 REALTYPE *r12vrr_stack = Libr12->r12vrr_stack;
 REALTYPE *tmp, *target_ptr;
 int i, am[2];

 /*--- compute (p0|00)^3 ---*/
 _BUILD_p000(Data,r12vrr_stack+0, Data->F+3, Data->F+4, NULL, NULL, NULL);

 /*--- compute (p0|00)^2 ---*/
 _BUILD_p000(Data,r12vrr_stack+3, Data->F+2, Data->F+3, NULL, NULL, NULL);

 /*--- compute (p0|00)^4 ---*/
 _BUILD_p000(Data,r12vrr_stack+6, Data->F+4, Data->F+5, NULL, NULL, NULL);

 /*--- compute (d0|00)^3 ---*/
 _BUILD_d000(Data,r12vrr_stack+9, r12vrr_stack+0, r12vrr_stack+6, Data->F+3, Data->F+4, NULL);

 /*--- compute (d0|00)^2 ---*/
 _BUILD_d000(Data,r12vrr_stack+15, r12vrr_stack+3, r12vrr_stack+0, Data->F+2, Data->F+3, NULL);

 /*--- compute (f0|00)^2 ---*/
 _BUILD_f000(Data,r12vrr_stack+21, r12vrr_stack+15, r12vrr_stack+9, r12vrr_stack+3, r12vrr_stack+0, NULL);

 /*--- compute (00|p0)^3 ---*/
 _BUILD_00p0(Data,r12vrr_stack+31, Data->F+3, Data->F+4, NULL, NULL, NULL);

 /*--- compute (00|p0)^2 ---*/
 _BUILD_00p0(Data,r12vrr_stack+34, Data->F+2, Data->F+3, NULL, NULL, NULL);

 /*--- compute (00|p0)^4 ---*/
 _BUILD_00p0(Data,r12vrr_stack+37, Data->F+4, Data->F+5, NULL, NULL, NULL);

 /*--- compute (p0|p0)^3 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+40, r12vrr_stack+31, r12vrr_stack+37, NULL, NULL, Data->F+4);

 /*--- compute (p0|p0)^2 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+49, r12vrr_stack+34, r12vrr_stack+31, NULL, NULL, Data->F+3);

 /*--- compute (d0|p0)^2 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+58, r12vrr_stack+49, r12vrr_stack+40, r12vrr_stack+34, r12vrr_stack+31, r12vrr_stack+0);

 /*--- compute (00|p0)^1 ---*/
 _BUILD_00p0(Data,r12vrr_stack+76, Data->F+1, Data->F+2, NULL, NULL, NULL);

 /*--- compute (p0|p0)^1 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+79, r12vrr_stack+76, r12vrr_stack+34, NULL, NULL, Data->F+2);

 /*--- compute (d0|p0)^1 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+88, r12vrr_stack+79, r12vrr_stack+49, r12vrr_stack+76, r12vrr_stack+34, r12vrr_stack+3);

 /*--- compute (00|p0)^5 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3, Data->F+5, Data->F+6, NULL, NULL, NULL);

 /*--- compute (p0|p0)^4 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+106, r12vrr_stack+37, r12vrr_stack+3, NULL, NULL, Data->F+5);

 /*--- compute (d0|p0)^3 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+115, r12vrr_stack+40, r12vrr_stack+106, r12vrr_stack+31, r12vrr_stack+37, r12vrr_stack+6);

 /*--- compute (f0|p0)^2 ---*/
 _BUILD_f0p0(Data,r12vrr_stack+133, r12vrr_stack+58, r12vrr_stack+115, r12vrr_stack+49, r12vrr_stack+40, r12vrr_stack+9);

 /*--- compute (f0|p0)^1 ---*/
 _BUILD_f0p0(Data,r12vrr_stack+163, r12vrr_stack+88, r12vrr_stack+58, r12vrr_stack+79, r12vrr_stack+49, r12vrr_stack+15);

 /*--- compute (g0|p0)^1 ---*/
 _BUILD_g0p0(Data,r12vrr_stack+193, r12vrr_stack+163, r12vrr_stack+133, r12vrr_stack+88, r12vrr_stack+58, r12vrr_stack+21);

 /*--- compute (00|d0)^3 ---*/
 _BUILD_00d0(Data,r12vrr_stack+238, r12vrr_stack+31, r12vrr_stack+37, Data->F+3, Data->F+4, NULL);

 /*--- compute (00|d0)^2 ---*/
 _BUILD_00d0(Data,r12vrr_stack+244, r12vrr_stack+34, r12vrr_stack+31, Data->F+2, Data->F+3, NULL);

 /*--- compute (p0|d0)^2 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+250, r12vrr_stack+244, r12vrr_stack+238, NULL, NULL, r12vrr_stack+31);

 /*--- compute (00|d0)^1 ---*/
 _BUILD_00d0(Data,r12vrr_stack+268, r12vrr_stack+76, r12vrr_stack+34, Data->F+1, Data->F+2, NULL);

 /*--- compute (p0|d0)^1 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+274, r12vrr_stack+268, r12vrr_stack+244, NULL, NULL, r12vrr_stack+34);

 /*--- compute (00|d0)^4 ---*/
 _BUILD_00d0(Data,r12vrr_stack+292, r12vrr_stack+37, r12vrr_stack+3, Data->F+4, Data->F+5, NULL);

 /*--- compute (p0|d0)^3 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+298, r12vrr_stack+238, r12vrr_stack+292, NULL, NULL, r12vrr_stack+37);

 /*--- compute (d0|d0)^2 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+316, r12vrr_stack+250, r12vrr_stack+298, r12vrr_stack+244, r12vrr_stack+238, r12vrr_stack+40);

 /*--- compute (d0|d0)^1 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+352, r12vrr_stack+274, r12vrr_stack+250, r12vrr_stack+268, r12vrr_stack+244, r12vrr_stack+49);

 /*--- compute (f0|d0)^1 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+388, r12vrr_stack+352, r12vrr_stack+316, r12vrr_stack+274, r12vrr_stack+250, r12vrr_stack+58);

 /*--- compute (00|p0)^0 ---*/
 _BUILD_00p0(Data,r12vrr_stack+49, Data->F+0, Data->F+1, NULL, NULL, NULL);

 /*--- compute (00|d0)^0 ---*/
 _BUILD_00d0(Data,r12vrr_stack+52, r12vrr_stack+49, r12vrr_stack+76, Data->F+0, Data->F+1, NULL);

 /*--- compute (p0|d0)^0 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+448, r12vrr_stack+52, r12vrr_stack+268, NULL, NULL, r12vrr_stack+76);

 /*--- compute (d0|d0)^0 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+466, r12vrr_stack+448, r12vrr_stack+274, r12vrr_stack+52, r12vrr_stack+268, r12vrr_stack+79);

 /*--- compute (f0|d0)^0 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+502, r12vrr_stack+466, r12vrr_stack+352, r12vrr_stack+448, r12vrr_stack+274, r12vrr_stack+88);

 /*--- compute (00|p0)^6 ---*/
 _BUILD_00p0(Data,r12vrr_stack+79, Data->F+6, Data->F+7, NULL, NULL, NULL);

 /*--- compute (00|d0)^5 ---*/
 _BUILD_00d0(Data,r12vrr_stack+82, r12vrr_stack+3, r12vrr_stack+79, Data->F+5, Data->F+6, NULL);

 /*--- compute (p0|d0)^4 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+88, r12vrr_stack+292, r12vrr_stack+82, NULL, NULL, r12vrr_stack+3);

 /*--- compute (d0|d0)^3 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+562, r12vrr_stack+298, r12vrr_stack+88, r12vrr_stack+238, r12vrr_stack+292, r12vrr_stack+106);

 /*--- compute (f0|d0)^2 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+598, r12vrr_stack+316, r12vrr_stack+562, r12vrr_stack+250, r12vrr_stack+298, r12vrr_stack+115);

 /*--- compute (g0|d0)^1 ---*/
 _BUILD_g0d0(Data,r12vrr_stack+658, r12vrr_stack+388, r12vrr_stack+598, r12vrr_stack+352, r12vrr_stack+316, r12vrr_stack+133);

 /*--- compute (g0|d0)^0 ---*/
 _BUILD_g0d0(Data,r12vrr_stack+748, r12vrr_stack+502, r12vrr_stack+388, r12vrr_stack+466, r12vrr_stack+352, r12vrr_stack+163);

 /*--- compute (h0|d0)^0 ---*/
 am[0] = 5;  am[1] = 2;
 vrr_build_xxxx(am,Data,r12vrr_stack+838, r12vrr_stack+748, r12vrr_stack+658, r12vrr_stack+502, r12vrr_stack+388, r12vrr_stack+193);

 /*--- compute (p0|00)^5 ---*/
 _BUILD_p000(Data,r12vrr_stack+964, Data->F+5, Data->F+6, NULL, NULL, NULL);

 /*--- compute (d0|00)^4 ---*/
 _BUILD_d000(Data,r12vrr_stack+967, r12vrr_stack+6, r12vrr_stack+964, Data->F+4, Data->F+5, NULL);

 /*--- compute (f0|00)^3 ---*/
 _BUILD_f000(Data,r12vrr_stack+973, r12vrr_stack+9, r12vrr_stack+967, r12vrr_stack+0, r12vrr_stack+6, NULL);

 /*--- compute (g0|00)^2 ---*/
 _BUILD_g000(Data,r12vrr_stack+983, r12vrr_stack+21, r12vrr_stack+973, r12vrr_stack+15, r12vrr_stack+9, NULL);

 /*--- compute (p0|p0)^5 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+998, r12vrr_stack+3, r12vrr_stack+79, NULL, NULL, Data->F+6);

 /*--- compute (d0|p0)^4 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+1007, r12vrr_stack+106, r12vrr_stack+998, r12vrr_stack+37, r12vrr_stack+3, r12vrr_stack+964);

 /*--- compute (f0|p0)^3 ---*/
 _BUILD_f0p0(Data,r12vrr_stack+1025, r12vrr_stack+115, r12vrr_stack+1007, r12vrr_stack+40, r12vrr_stack+106, r12vrr_stack+967);

 /*--- compute (g0|p0)^2 ---*/
 _BUILD_g0p0(Data,r12vrr_stack+1055, r12vrr_stack+133, r12vrr_stack+1025, r12vrr_stack+58, r12vrr_stack+115, r12vrr_stack+973);

 /*--- compute (h0|p0)^1 ---*/
 am[0] = 5;  am[1] = 1;
 vrr_build_xxxx(am,Data,r12vrr_stack+1100, r12vrr_stack+193, r12vrr_stack+1055, r12vrr_stack+163, r12vrr_stack+133, r12vrr_stack+983);

 /*--- compute (00|p0)^7 ---*/
 _BUILD_00p0(Data,r12vrr_stack+0, Data->F+7, Data->F+8, NULL, NULL, NULL);

 /*--- compute (00|d0)^6 ---*/
 _BUILD_00d0(Data,r12vrr_stack+15, r12vrr_stack+79, r12vrr_stack+0, Data->F+6, Data->F+7, NULL);

 /*--- compute (p0|d0)^5 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+58, r12vrr_stack+82, r12vrr_stack+15, NULL, NULL, r12vrr_stack+79);

 /*--- compute (d0|d0)^4 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+1163, r12vrr_stack+88, r12vrr_stack+58, r12vrr_stack+292, r12vrr_stack+82, r12vrr_stack+998);

 /*--- compute (f0|d0)^3 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+1199, r12vrr_stack+562, r12vrr_stack+1163, r12vrr_stack+298, r12vrr_stack+88, r12vrr_stack+1007);

 /*--- compute (g0|d0)^2 ---*/
 _BUILD_g0d0(Data,r12vrr_stack+1259, r12vrr_stack+598, r12vrr_stack+1199, r12vrr_stack+316, r12vrr_stack+562, r12vrr_stack+1025);

 /*--- compute (h0|d0)^1 ---*/
 am[0] = 5;  am[1] = 2;
 vrr_build_xxxx(am,Data,r12vrr_stack+1349, r12vrr_stack+658, r12vrr_stack+1259, r12vrr_stack+388, r12vrr_stack+598, r12vrr_stack+1055);

 /*--- compute (i0|d0)^0 ---*/
 am[0] = 6;  am[1] = 2;
 vrr_build_xxxx(am,Data,r12vrr_stack+1475, r12vrr_stack+838, r12vrr_stack+1349, r12vrr_stack+748, r12vrr_stack+658, r12vrr_stack+1100);

 /*--- compute (00|f0)^3 ---*/
 _BUILD_00f0(Data,r12vrr_stack+163, r12vrr_stack+238, r12vrr_stack+292, r12vrr_stack+31, r12vrr_stack+37, NULL);

 /*--- compute (00|f0)^2 ---*/
 _BUILD_00f0(Data,r12vrr_stack+173, r12vrr_stack+244, r12vrr_stack+238, r12vrr_stack+34, r12vrr_stack+31, NULL);

 /*--- compute (00|f0)^4 ---*/
 _BUILD_00f0(Data,r12vrr_stack+183, r12vrr_stack+292, r12vrr_stack+82, r12vrr_stack+37, r12vrr_stack+3, NULL);

 /*--- compute (p0|f0)^3 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+1643, r12vrr_stack+163, r12vrr_stack+183, NULL, NULL, r12vrr_stack+292);

 /*--- compute (p0|f0)^2 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+1673, r12vrr_stack+173, r12vrr_stack+163, NULL, NULL, r12vrr_stack+238);

 /*--- compute (d0|f0)^2 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+1703, r12vrr_stack+1673, r12vrr_stack+1643, r12vrr_stack+173, r12vrr_stack+163, r12vrr_stack+298);

 /*--- compute (00|f0)^1 ---*/
 _BUILD_00f0(Data,r12vrr_stack+298, r12vrr_stack+268, r12vrr_stack+244, r12vrr_stack+76, r12vrr_stack+34, NULL);

 /*--- compute (p0|f0)^1 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+1763, r12vrr_stack+298, r12vrr_stack+173, NULL, NULL, r12vrr_stack+244);

 /*--- compute (d0|f0)^1 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+1793, r12vrr_stack+1763, r12vrr_stack+1673, r12vrr_stack+298, r12vrr_stack+173, r12vrr_stack+250);

 /*--- compute (00|f0)^5 ---*/
 _BUILD_00f0(Data,r12vrr_stack+250, r12vrr_stack+82, r12vrr_stack+15, r12vrr_stack+3, r12vrr_stack+79, NULL);

 /*--- compute (p0|f0)^4 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+1853, r12vrr_stack+183, r12vrr_stack+250, NULL, NULL, r12vrr_stack+82);

 /*--- compute (d0|f0)^3 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+1883, r12vrr_stack+1643, r12vrr_stack+1853, r12vrr_stack+163, r12vrr_stack+183, r12vrr_stack+88);

 /*--- compute (f0|f0)^2 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+1943, r12vrr_stack+1703, r12vrr_stack+1883, r12vrr_stack+1673, r12vrr_stack+1643, r12vrr_stack+562);

 /*--- compute (f0|f0)^1 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+2043, r12vrr_stack+1793, r12vrr_stack+1703, r12vrr_stack+1763, r12vrr_stack+1673, r12vrr_stack+316);

 /*--- compute (g0|f0)^1 ---*/
 _BUILD_g0f0(Data,r12vrr_stack+2143, r12vrr_stack+2043, r12vrr_stack+1943, r12vrr_stack+1793, r12vrr_stack+1703, r12vrr_stack+598);

 /*--- compute (00|f0)^0 ---*/
 _BUILD_00f0(Data,r12vrr_stack+308, r12vrr_stack+52, r12vrr_stack+268, r12vrr_stack+49, r12vrr_stack+76, NULL);

 /*--- compute (p0|f0)^0 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+318, r12vrr_stack+308, r12vrr_stack+298, NULL, NULL, r12vrr_stack+268);

 /*--- compute (d0|f0)^0 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+2293, r12vrr_stack+318, r12vrr_stack+1763, r12vrr_stack+308, r12vrr_stack+298, r12vrr_stack+274);

 /*--- compute (f0|f0)^0 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+2353, r12vrr_stack+2293, r12vrr_stack+1793, r12vrr_stack+318, r12vrr_stack+1763, r12vrr_stack+352);

 /*--- compute (g0|f0)^0 ---*/
 _BUILD_g0f0(Data,r12vrr_stack+2453, r12vrr_stack+2353, r12vrr_stack+2043, r12vrr_stack+2293, r12vrr_stack+1793, r12vrr_stack+388);

 /*--- compute (00|p0)^8 ---*/
 _BUILD_00p0(Data,r12vrr_stack+76, Data->F+8, Data->F+9, NULL, NULL, NULL);

 /*--- compute (00|d0)^7 ---*/
 _BUILD_00d0(Data,r12vrr_stack+274, r12vrr_stack+0, r12vrr_stack+76, Data->F+7, Data->F+8, NULL);

 /*--- compute (00|f0)^6 ---*/
 _BUILD_00f0(Data,r12vrr_stack+280, r12vrr_stack+15, r12vrr_stack+274, r12vrr_stack+79, r12vrr_stack+0, NULL);

 /*--- compute (p0|f0)^5 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+348, r12vrr_stack+250, r12vrr_stack+280, NULL, NULL, r12vrr_stack+15);

 /*--- compute (d0|f0)^4 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+378, r12vrr_stack+1853, r12vrr_stack+348, r12vrr_stack+183, r12vrr_stack+250, r12vrr_stack+58);

 /*--- compute (f0|f0)^3 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+2603, r12vrr_stack+1883, r12vrr_stack+378, r12vrr_stack+1643, r12vrr_stack+1853, r12vrr_stack+1163);

 /*--- compute (g0|f0)^2 ---*/
 _BUILD_g0f0(Data,r12vrr_stack+2703, r12vrr_stack+1943, r12vrr_stack+2603, r12vrr_stack+1703, r12vrr_stack+1883, r12vrr_stack+1199);

 /*--- compute (h0|f0)^1 ---*/
 am[0] = 5;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+2853, r12vrr_stack+2143, r12vrr_stack+2703, r12vrr_stack+2043, r12vrr_stack+1943, r12vrr_stack+1259);

 /*--- compute (h0|f0)^0 ---*/
 am[0] = 5;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+3063, r12vrr_stack+2453, r12vrr_stack+2143, r12vrr_stack+2353, r12vrr_stack+2043, r12vrr_stack+658);
 tmp = r12vrr_stack + 3063;
 target_ptr = Libr12->gvrr_classes[5][3];
 for(i=0;i<210;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|f0)^0 ---*/
 am[0] = 6;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+3273, r12vrr_stack+3063, r12vrr_stack+2853, r12vrr_stack+2453, r12vrr_stack+2143, r12vrr_stack+1349);
 tmp = r12vrr_stack + 3273;
 target_ptr = Libr12->gvrr_classes[6][3];
 for(i=0;i<280;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|g0)^3 ---*/
 _BUILD_00g0(Data,r12vrr_stack+31, r12vrr_stack+163, r12vrr_stack+183, r12vrr_stack+238, r12vrr_stack+292, NULL);

 /*--- compute (00|g0)^2 ---*/
 _BUILD_00g0(Data,r12vrr_stack+3553, r12vrr_stack+173, r12vrr_stack+163, r12vrr_stack+244, r12vrr_stack+238, NULL);

 /*--- compute (p0|g0)^2 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+3568, r12vrr_stack+3553, r12vrr_stack+31, NULL, NULL, r12vrr_stack+163);

 /*--- compute (00|g0)^1 ---*/
 _BUILD_00g0(Data,r12vrr_stack+3613, r12vrr_stack+298, r12vrr_stack+173, r12vrr_stack+268, r12vrr_stack+244, NULL);

 /*--- compute (p0|g0)^1 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+3628, r12vrr_stack+3613, r12vrr_stack+3553, NULL, NULL, r12vrr_stack+173);

 /*--- compute (00|g0)^4 ---*/
 _BUILD_00g0(Data,r12vrr_stack+3673, r12vrr_stack+183, r12vrr_stack+250, r12vrr_stack+292, r12vrr_stack+82, NULL);

 /*--- compute (p0|g0)^3 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+3688, r12vrr_stack+31, r12vrr_stack+3673, NULL, NULL, r12vrr_stack+183);

 /*--- compute (d0|g0)^2 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+3733, r12vrr_stack+3568, r12vrr_stack+3688, r12vrr_stack+3553, r12vrr_stack+31, r12vrr_stack+1643);

 /*--- compute (d0|g0)^1 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+3823, r12vrr_stack+3628, r12vrr_stack+3568, r12vrr_stack+3613, r12vrr_stack+3553, r12vrr_stack+1673);

 /*--- compute (f0|g0)^1 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+3913, r12vrr_stack+3823, r12vrr_stack+3733, r12vrr_stack+3628, r12vrr_stack+3568, r12vrr_stack+1703);

 /*--- compute (00|g0)^0 ---*/
 _BUILD_00g0(Data,r12vrr_stack+1643, r12vrr_stack+308, r12vrr_stack+298, r12vrr_stack+52, r12vrr_stack+268, NULL);

 /*--- compute (p0|g0)^0 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+1658, r12vrr_stack+1643, r12vrr_stack+3613, NULL, NULL, r12vrr_stack+298);

 /*--- compute (d0|g0)^0 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+4063, r12vrr_stack+1658, r12vrr_stack+3628, r12vrr_stack+1643, r12vrr_stack+3613, r12vrr_stack+1763);

 /*--- compute (f0|g0)^0 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+4153, r12vrr_stack+4063, r12vrr_stack+3823, r12vrr_stack+1658, r12vrr_stack+3628, r12vrr_stack+1793);

 /*--- compute (00|g0)^5 ---*/
 _BUILD_00g0(Data,r12vrr_stack+1703, r12vrr_stack+250, r12vrr_stack+280, r12vrr_stack+82, r12vrr_stack+15, NULL);

 /*--- compute (p0|g0)^4 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+1718, r12vrr_stack+3673, r12vrr_stack+1703, NULL, NULL, r12vrr_stack+250);

 /*--- compute (d0|g0)^3 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+1763, r12vrr_stack+3688, r12vrr_stack+1718, r12vrr_stack+31, r12vrr_stack+3673, r12vrr_stack+1853);

 /*--- compute (f0|g0)^2 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+4303, r12vrr_stack+3733, r12vrr_stack+1763, r12vrr_stack+3568, r12vrr_stack+3688, r12vrr_stack+1883);

 /*--- compute (g0|g0)^1 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+4453, r12vrr_stack+3913, r12vrr_stack+4303, r12vrr_stack+3823, r12vrr_stack+3733, r12vrr_stack+1943);

 /*--- compute (g0|g0)^0 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+4678, r12vrr_stack+4153, r12vrr_stack+3913, r12vrr_stack+4063, r12vrr_stack+3823, r12vrr_stack+2043);

 /*--- compute (h0|g0)^0 ---*/
 am[0] = 5;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+4903, r12vrr_stack+4678, r12vrr_stack+4453, r12vrr_stack+4153, r12vrr_stack+3913, r12vrr_stack+2143);
 tmp = r12vrr_stack + 4903;
 target_ptr = Libr12->gvrr_classes[5][4];
 for(i=0;i<315;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^9 ---*/
 _BUILD_00p0(Data,r12vrr_stack+46, Data->F+9, Data->F+10, NULL, NULL, NULL);

 /*--- compute (00|d0)^8 ---*/
 _BUILD_00d0(Data,r12vrr_stack+2043, r12vrr_stack+76, r12vrr_stack+46, Data->F+8, Data->F+9, NULL);

 /*--- compute (00|f0)^7 ---*/
 _BUILD_00f0(Data,r12vrr_stack+438, r12vrr_stack+274, r12vrr_stack+2043, r12vrr_stack+0, r12vrr_stack+76, NULL);

 /*--- compute (00|g0)^6 ---*/
 _BUILD_00g0(Data,r12vrr_stack+2049, r12vrr_stack+280, r12vrr_stack+438, r12vrr_stack+15, r12vrr_stack+274, NULL);

 /*--- compute (p0|g0)^5 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+2064, r12vrr_stack+1703, r12vrr_stack+2049, NULL, NULL, r12vrr_stack+280);

 /*--- compute (d0|g0)^4 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+5218, r12vrr_stack+1718, r12vrr_stack+2064, r12vrr_stack+3673, r12vrr_stack+1703, r12vrr_stack+348);

 /*--- compute (f0|g0)^3 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+5308, r12vrr_stack+1763, r12vrr_stack+5218, r12vrr_stack+3688, r12vrr_stack+1718, r12vrr_stack+378);

 /*--- compute (g0|g0)^2 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+5458, r12vrr_stack+4303, r12vrr_stack+5308, r12vrr_stack+3733, r12vrr_stack+1763, r12vrr_stack+2603);

 /*--- compute (h0|g0)^1 ---*/
 am[0] = 5;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+5683, r12vrr_stack+4453, r12vrr_stack+5458, r12vrr_stack+3913, r12vrr_stack+4303, r12vrr_stack+2703);

 /*--- compute (i0|g0)^0 ---*/
 am[0] = 6;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+5998, r12vrr_stack+4903, r12vrr_stack+5683, r12vrr_stack+4678, r12vrr_stack+4453, r12vrr_stack+2853);
 tmp = r12vrr_stack + 5998;
 target_ptr = Libr12->gvrr_classes[6][4];
 for(i=0;i<420;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|h0)^3 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2109, r12vrr_stack+31, r12vrr_stack+3673, r12vrr_stack+163, r12vrr_stack+183, NULL);

 /*--- compute (00|h0)^2 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+6418, r12vrr_stack+3553, r12vrr_stack+31, r12vrr_stack+173, r12vrr_stack+163, NULL);

 /*--- compute (p0|h0)^2 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+6439, r12vrr_stack+6418, r12vrr_stack+2109, NULL, NULL, r12vrr_stack+31);

 /*--- compute (00|h0)^1 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+6502, r12vrr_stack+3613, r12vrr_stack+3553, r12vrr_stack+298, r12vrr_stack+173, NULL);

 /*--- compute (p0|h0)^1 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+6523, r12vrr_stack+6502, r12vrr_stack+6418, NULL, NULL, r12vrr_stack+3553);

 /*--- compute (00|h0)^4 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+6586, r12vrr_stack+3673, r12vrr_stack+1703, r12vrr_stack+183, r12vrr_stack+250, NULL);

 /*--- compute (p0|h0)^3 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+6607, r12vrr_stack+2109, r12vrr_stack+6586, NULL, NULL, r12vrr_stack+3673);

 /*--- compute (d0|h0)^2 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+6670, r12vrr_stack+6439, r12vrr_stack+6607, r12vrr_stack+6418, r12vrr_stack+2109, r12vrr_stack+3688);

 /*--- compute (d0|h0)^1 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+6796, r12vrr_stack+6523, r12vrr_stack+6439, r12vrr_stack+6502, r12vrr_stack+6418, r12vrr_stack+3568);

 /*--- compute (f0|h0)^1 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+6922, r12vrr_stack+6796, r12vrr_stack+6670, r12vrr_stack+6523, r12vrr_stack+6439, r12vrr_stack+3733);

 /*--- compute (00|h0)^0 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+3568, r12vrr_stack+1643, r12vrr_stack+3613, r12vrr_stack+308, r12vrr_stack+298, NULL);

 /*--- compute (p0|h0)^0 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+3688, r12vrr_stack+3568, r12vrr_stack+6502, NULL, NULL, r12vrr_stack+3613);

 /*--- compute (d0|h0)^0 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+7132, r12vrr_stack+3688, r12vrr_stack+6523, r12vrr_stack+3568, r12vrr_stack+6502, r12vrr_stack+3628);

 /*--- compute (f0|h0)^0 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+7258, r12vrr_stack+7132, r12vrr_stack+6796, r12vrr_stack+3688, r12vrr_stack+6523, r12vrr_stack+3823);

 /*--- compute (00|h0)^5 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+3628, r12vrr_stack+1703, r12vrr_stack+2049, r12vrr_stack+250, r12vrr_stack+280, NULL);

 /*--- compute (p0|h0)^4 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+3751, r12vrr_stack+6586, r12vrr_stack+3628, NULL, NULL, r12vrr_stack+1703);

 /*--- compute (d0|h0)^3 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+7468, r12vrr_stack+6607, r12vrr_stack+3751, r12vrr_stack+2109, r12vrr_stack+6586, r12vrr_stack+1718);

 /*--- compute (f0|h0)^2 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+7594, r12vrr_stack+6670, r12vrr_stack+7468, r12vrr_stack+6439, r12vrr_stack+6607, r12vrr_stack+1763);

 /*--- compute (g0|h0)^1 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+7804, r12vrr_stack+6922, r12vrr_stack+7594, r12vrr_stack+6796, r12vrr_stack+6670, r12vrr_stack+4303);

 /*--- compute (g0|h0)^0 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+8119, r12vrr_stack+7258, r12vrr_stack+6922, r12vrr_stack+7132, r12vrr_stack+6796, r12vrr_stack+3913);

 /*--- compute (h0|h0)^0 ---*/
 am[0] = 5;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+8434, r12vrr_stack+8119, r12vrr_stack+7804, r12vrr_stack+7258, r12vrr_stack+6922, r12vrr_stack+4453);
 tmp = r12vrr_stack + 8434;
 target_ptr = Libr12->gvrr_classes[5][5];
 for(i=0;i<441;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^10 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3649, Data->F+10, Data->F+11, NULL, NULL, NULL);

 /*--- compute (00|d0)^9 ---*/
 _BUILD_00d0(Data,r12vrr_stack+3652, r12vrr_stack+46, r12vrr_stack+3649, Data->F+9, Data->F+10, NULL);

 /*--- compute (00|f0)^8 ---*/
 _BUILD_00f0(Data,r12vrr_stack+3658, r12vrr_stack+2043, r12vrr_stack+3652, r12vrr_stack+76, r12vrr_stack+46, NULL);

 /*--- compute (00|g0)^7 ---*/
 _BUILD_00g0(Data,r12vrr_stack+3589, r12vrr_stack+438, r12vrr_stack+3658, r12vrr_stack+274, r12vrr_stack+2043, NULL);

 /*--- compute (00|h0)^6 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+3814, r12vrr_stack+2049, r12vrr_stack+3589, r12vrr_stack+280, r12vrr_stack+438, NULL);

 /*--- compute (p0|h0)^5 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+3835, r12vrr_stack+3628, r12vrr_stack+3814, NULL, NULL, r12vrr_stack+2049);

 /*--- compute (d0|h0)^4 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+8875, r12vrr_stack+3751, r12vrr_stack+3835, r12vrr_stack+6586, r12vrr_stack+3628, r12vrr_stack+2064);

 /*--- compute (f0|h0)^3 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+9001, r12vrr_stack+7468, r12vrr_stack+8875, r12vrr_stack+6607, r12vrr_stack+3751, r12vrr_stack+5218);

 /*--- compute (g0|h0)^2 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+9211, r12vrr_stack+7594, r12vrr_stack+9001, r12vrr_stack+6670, r12vrr_stack+7468, r12vrr_stack+5308);

 /*--- compute (h0|h0)^1 ---*/
 am[0] = 5;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+9526, r12vrr_stack+7804, r12vrr_stack+9211, r12vrr_stack+6922, r12vrr_stack+7594, r12vrr_stack+5458);

 /*--- compute (i0|h0)^0 ---*/
 am[0] = 6;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+9967, r12vrr_stack+8434, r12vrr_stack+9526, r12vrr_stack+8119, r12vrr_stack+7804, r12vrr_stack+5683);
 tmp = r12vrr_stack + 9967;
 target_ptr = Libr12->gvrr_classes[6][5];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|i0)^3 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+3898, r12vrr_stack+2109, r12vrr_stack+6586, r12vrr_stack+31, r12vrr_stack+3673, NULL);

 /*--- compute (00|i0)^2 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+3926, r12vrr_stack+6418, r12vrr_stack+2109, r12vrr_stack+3553, r12vrr_stack+31, NULL);

 /*--- compute (p0|i0)^2 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+3954, r12vrr_stack+3926, r12vrr_stack+3898, NULL, NULL, r12vrr_stack+2109);

 /*--- compute (00|i0)^1 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+163, r12vrr_stack+6502, r12vrr_stack+6418, r12vrr_stack+3613, r12vrr_stack+3553, NULL);

 /*--- compute (p0|i0)^1 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+10555, r12vrr_stack+163, r12vrr_stack+3926, NULL, NULL, r12vrr_stack+6418);

 /*--- compute (00|i0)^4 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+10639, r12vrr_stack+6586, r12vrr_stack+3628, r12vrr_stack+3673, r12vrr_stack+1703, NULL);

 /*--- compute (p0|i0)^3 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+10667, r12vrr_stack+3898, r12vrr_stack+10639, NULL, NULL, r12vrr_stack+6586);

 /*--- compute (d0|i0)^2 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+10751, r12vrr_stack+3954, r12vrr_stack+10667, r12vrr_stack+3926, r12vrr_stack+3898, r12vrr_stack+6607);

 /*--- compute (d0|i0)^1 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+10919, r12vrr_stack+10555, r12vrr_stack+3954, r12vrr_stack+163, r12vrr_stack+3926, r12vrr_stack+6439);

 /*--- compute (f0|i0)^1 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+11087, r12vrr_stack+10919, r12vrr_stack+10751, r12vrr_stack+10555, r12vrr_stack+3954, r12vrr_stack+6670);

 /*--- compute (00|i0)^0 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+6439, r12vrr_stack+3568, r12vrr_stack+6502, r12vrr_stack+1643, r12vrr_stack+3613, NULL);

 /*--- compute (p0|i0)^0 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+6607, r12vrr_stack+6439, r12vrr_stack+163, NULL, NULL, r12vrr_stack+6502);

 /*--- compute (d0|i0)^0 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+11367, r12vrr_stack+6607, r12vrr_stack+10555, r12vrr_stack+6439, r12vrr_stack+163, r12vrr_stack+6523);

 /*--- compute (f0|i0)^0 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+11535, r12vrr_stack+11367, r12vrr_stack+10919, r12vrr_stack+6607, r12vrr_stack+10555, r12vrr_stack+6796);

 /*--- compute (00|i0)^5 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+6523, r12vrr_stack+3628, r12vrr_stack+3814, r12vrr_stack+1703, r12vrr_stack+2049, NULL);

 /*--- compute (p0|i0)^4 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+6691, r12vrr_stack+10639, r12vrr_stack+6523, NULL, NULL, r12vrr_stack+3628);

 /*--- compute (d0|i0)^3 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+11815, r12vrr_stack+10667, r12vrr_stack+6691, r12vrr_stack+3898, r12vrr_stack+10639, r12vrr_stack+3751);

 /*--- compute (f0|i0)^2 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+11983, r12vrr_stack+10751, r12vrr_stack+11815, r12vrr_stack+3954, r12vrr_stack+10667, r12vrr_stack+7468);

 /*--- compute (g0|i0)^1 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+12263, r12vrr_stack+11087, r12vrr_stack+11983, r12vrr_stack+10919, r12vrr_stack+10751, r12vrr_stack+7594);

 /*--- compute (g0|i0)^0 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+12683, r12vrr_stack+11535, r12vrr_stack+11087, r12vrr_stack+11367, r12vrr_stack+10919, r12vrr_stack+6922);

 /*--- compute (h0|i0)^0 ---*/
 am[0] = 5;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+13103, r12vrr_stack+12683, r12vrr_stack+12263, r12vrr_stack+11535, r12vrr_stack+11087, r12vrr_stack+7804);
 tmp = r12vrr_stack + 13103;
 target_ptr = Libr12->gvrr_classes[5][6];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^11 ---*/
 _BUILD_00p0(Data,r12vrr_stack+76, Data->F+11, Data->F+12, NULL, NULL, NULL);

 /*--- compute (00|d0)^10 ---*/
 _BUILD_00d0(Data,r12vrr_stack+6551, r12vrr_stack+3649, r12vrr_stack+76, Data->F+10, Data->F+11, NULL);

 /*--- compute (00|f0)^9 ---*/
 _BUILD_00f0(Data,r12vrr_stack+6557, r12vrr_stack+3652, r12vrr_stack+6551, r12vrr_stack+46, r12vrr_stack+3649, NULL);

 /*--- compute (00|g0)^8 ---*/
 _BUILD_00g0(Data,r12vrr_stack+3553, r12vrr_stack+3658, r12vrr_stack+6557, r12vrr_stack+2043, r12vrr_stack+3652, NULL);

 /*--- compute (00|h0)^7 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+6467, r12vrr_stack+3589, r12vrr_stack+3553, r12vrr_stack+438, r12vrr_stack+3658, NULL);

 /*--- compute (00|i0)^6 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+6775, r12vrr_stack+3814, r12vrr_stack+6467, r12vrr_stack+2049, r12vrr_stack+3589, NULL);

 /*--- compute (p0|i0)^5 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+6803, r12vrr_stack+6523, r12vrr_stack+6775, NULL, NULL, r12vrr_stack+3814);

 /*--- compute (d0|i0)^4 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+6887, r12vrr_stack+6691, r12vrr_stack+6803, r12vrr_stack+10639, r12vrr_stack+6523, r12vrr_stack+3835);

 /*--- compute (f0|i0)^3 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+13691, r12vrr_stack+11815, r12vrr_stack+6887, r12vrr_stack+10667, r12vrr_stack+6691, r12vrr_stack+8875);

 /*--- compute (g0|i0)^2 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+13971, r12vrr_stack+11983, r12vrr_stack+13691, r12vrr_stack+10751, r12vrr_stack+11815, r12vrr_stack+9001);

 /*--- compute (h0|i0)^1 ---*/
 am[0] = 5;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+14391, r12vrr_stack+12263, r12vrr_stack+13971, r12vrr_stack+11087, r12vrr_stack+11983, r12vrr_stack+9211);

 /*--- compute (i0|i0)^0 ---*/
 am[0] = 6;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+14979, r12vrr_stack+13103, r12vrr_stack+14391, r12vrr_stack+12683, r12vrr_stack+12263, r12vrr_stack+9526);
 tmp = r12vrr_stack + 14979;
 target_ptr = Libr12->gvrr_classes[6][6];
 for(i=0;i<784;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|k0)^3 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+7055, r12vrr_stack+3898, r12vrr_stack+10639, r12vrr_stack+2109, r12vrr_stack+6586, NULL);

 /*--- compute (00|k0)^2 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+7091, r12vrr_stack+3926, r12vrr_stack+3898, r12vrr_stack+6418, r12vrr_stack+2109, NULL);

 /*--- compute (p0|k0)^2 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+15763, r12vrr_stack+7091, r12vrr_stack+7055, NULL, NULL, r12vrr_stack+3898);

 /*--- compute (00|k0)^1 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+15871, r12vrr_stack+163, r12vrr_stack+3926, r12vrr_stack+6502, r12vrr_stack+6418, NULL);

 /*--- compute (p0|k0)^1 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+15907, r12vrr_stack+15871, r12vrr_stack+7091, NULL, NULL, r12vrr_stack+3926);

 /*--- compute (00|k0)^4 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+3898, r12vrr_stack+10639, r12vrr_stack+6523, r12vrr_stack+6586, r12vrr_stack+3628, NULL);

 /*--- compute (p0|k0)^3 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+16015, r12vrr_stack+7055, r12vrr_stack+3898, NULL, NULL, r12vrr_stack+10639);

 /*--- compute (d0|k0)^2 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+16123, r12vrr_stack+15763, r12vrr_stack+16015, r12vrr_stack+7091, r12vrr_stack+7055, r12vrr_stack+10667);

 /*--- compute (d0|k0)^1 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+16339, r12vrr_stack+15907, r12vrr_stack+15763, r12vrr_stack+15871, r12vrr_stack+7091, r12vrr_stack+3954);

 /*--- compute (f0|k0)^1 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+16555, r12vrr_stack+16339, r12vrr_stack+16123, r12vrr_stack+15907, r12vrr_stack+15763, r12vrr_stack+10751);

 /*--- compute (00|k0)^0 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+7091, r12vrr_stack+6439, r12vrr_stack+163, r12vrr_stack+3568, r12vrr_stack+6502, NULL);

 /*--- compute (p0|k0)^0 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+10639, r12vrr_stack+7091, r12vrr_stack+15871, NULL, NULL, r12vrr_stack+163);

 /*--- compute (d0|k0)^0 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+16915, r12vrr_stack+10639, r12vrr_stack+15907, r12vrr_stack+7091, r12vrr_stack+15871, r12vrr_stack+10555);

 /*--- compute (f0|k0)^0 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+17131, r12vrr_stack+16915, r12vrr_stack+16339, r12vrr_stack+10639, r12vrr_stack+15907, r12vrr_stack+10919);

 /*--- compute (00|k0)^5 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+10555, r12vrr_stack+6523, r12vrr_stack+6775, r12vrr_stack+3628, r12vrr_stack+3814, NULL);

 /*--- compute (p0|k0)^4 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+10591, r12vrr_stack+3898, r12vrr_stack+10555, NULL, NULL, r12vrr_stack+6523);

 /*--- compute (d0|k0)^3 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+10699, r12vrr_stack+16015, r12vrr_stack+10591, r12vrr_stack+7055, r12vrr_stack+3898, r12vrr_stack+6691);

 /*--- compute (f0|k0)^2 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+17491, r12vrr_stack+16123, r12vrr_stack+10699, r12vrr_stack+15763, r12vrr_stack+16015, r12vrr_stack+11815);

 /*--- compute (g0|k0)^1 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+17851, r12vrr_stack+16555, r12vrr_stack+17491, r12vrr_stack+16339, r12vrr_stack+16123, r12vrr_stack+11983);

 /*--- compute (g0|k0)^0 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+18391, r12vrr_stack+17131, r12vrr_stack+16555, r12vrr_stack+16915, r12vrr_stack+16339, r12vrr_stack+11087);

 /*--- compute (h0|k0)^0 ---*/
 am[0] = 5;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+18931, r12vrr_stack+18391, r12vrr_stack+17851, r12vrr_stack+17131, r12vrr_stack+16555, r12vrr_stack+12263);
 tmp = r12vrr_stack + 18931;
 target_ptr = Libr12->gvrr_classes[5][7];
 for(i=0;i<756;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|00)^6 ---*/
 _BUILD_p000(Data,r12vrr_stack+16339, Data->F+6, Data->F+7, NULL, NULL, NULL);

 /*--- compute (d0|00)^5 ---*/
 _BUILD_d000(Data,r12vrr_stack+2043, r12vrr_stack+964, r12vrr_stack+16339, Data->F+5, Data->F+6, NULL);

 /*--- compute (f0|00)^4 ---*/
 _BUILD_f000(Data,r12vrr_stack+16342, r12vrr_stack+967, r12vrr_stack+2043, r12vrr_stack+6, r12vrr_stack+964, NULL);

 /*--- compute (g0|00)^3 ---*/
 _BUILD_g000(Data,r12vrr_stack+16352, r12vrr_stack+973, r12vrr_stack+16342, r12vrr_stack+9, r12vrr_stack+967, NULL);

 /*--- compute (h0|00)^2 ---*/
 am[0] = 5;  am[1] = 0;
 vrr_build_xxxx(am,Data,r12vrr_stack+6418, r12vrr_stack+983, r12vrr_stack+16352, r12vrr_stack+21, r12vrr_stack+973, NULL);

 /*--- compute (p0|p0)^6 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+6, r12vrr_stack+79, r12vrr_stack+0, NULL, NULL, Data->F+7);

 /*--- compute (d0|p0)^5 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+290, r12vrr_stack+998, r12vrr_stack+6, r12vrr_stack+3, r12vrr_stack+79, r12vrr_stack+16339);

 /*--- compute (f0|p0)^4 ---*/
 _BUILD_f0p0(Data,r12vrr_stack+163, r12vrr_stack+1007, r12vrr_stack+290, r12vrr_stack+106, r12vrr_stack+998, r12vrr_stack+2043);

 /*--- compute (g0|p0)^3 ---*/
 _BUILD_g0p0(Data,r12vrr_stack+16367, r12vrr_stack+1025, r12vrr_stack+163, r12vrr_stack+115, r12vrr_stack+1007, r12vrr_stack+16342);

 /*--- compute (h0|p0)^2 ---*/
 am[0] = 5;  am[1] = 1;
 vrr_build_xxxx(am,Data,r12vrr_stack+16412, r12vrr_stack+1055, r12vrr_stack+16367, r12vrr_stack+133, r12vrr_stack+1025, r12vrr_stack+16352);

 /*--- compute (i0|p0)^1 ---*/
 am[0] = 6;  am[1] = 1;
 vrr_build_xxxx(am,Data,r12vrr_stack+964, r12vrr_stack+1100, r12vrr_stack+16412, r12vrr_stack+193, r12vrr_stack+1055, r12vrr_stack+6418);

 /*--- compute (p0|d0)^6 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+6418, r12vrr_stack+15, r12vrr_stack+274, NULL, NULL, r12vrr_stack+0);

 /*--- compute (d0|d0)^5 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+193, r12vrr_stack+58, r12vrr_stack+6418, r12vrr_stack+82, r12vrr_stack+15, r12vrr_stack+6);

 /*--- compute (f0|d0)^4 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+1048, r12vrr_stack+1163, r12vrr_stack+193, r12vrr_stack+88, r12vrr_stack+58, r12vrr_stack+290);

 /*--- compute (g0|d0)^3 ---*/
 _BUILD_g0d0(Data,r12vrr_stack+16915, r12vrr_stack+1199, r12vrr_stack+1048, r12vrr_stack+562, r12vrr_stack+1163, r12vrr_stack+163);

 /*--- compute (h0|d0)^2 ---*/
 am[0] = 5;  am[1] = 2;
 vrr_build_xxxx(am,Data,r12vrr_stack+17005, r12vrr_stack+1259, r12vrr_stack+16915, r12vrr_stack+598, r12vrr_stack+1199, r12vrr_stack+16367);

 /*--- compute (i0|d0)^1 ---*/
 am[0] = 6;  am[1] = 2;
 vrr_build_xxxx(am,Data,r12vrr_stack+17131, r12vrr_stack+1349, r12vrr_stack+17005, r12vrr_stack+658, r12vrr_stack+1259, r12vrr_stack+16412);

 /*--- compute (k0|d0)^0 ---*/
 am[0] = 7;  am[1] = 2;
 vrr_build_xxxx(am,Data,r12vrr_stack+16339, r12vrr_stack+1475, r12vrr_stack+17131, r12vrr_stack+838, r12vrr_stack+1349, r12vrr_stack+964);

 /*--- compute (p0|f0)^6 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+964, r12vrr_stack+280, r12vrr_stack+438, NULL, NULL, r12vrr_stack+274);

 /*--- compute (d0|f0)^5 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+562, r12vrr_stack+348, r12vrr_stack+964, r12vrr_stack+250, r12vrr_stack+280, r12vrr_stack+6418);

 /*--- compute (f0|f0)^4 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+622, r12vrr_stack+378, r12vrr_stack+562, r12vrr_stack+1853, r12vrr_stack+348, r12vrr_stack+193);

 /*--- compute (g0|f0)^3 ---*/
 _BUILD_g0f0(Data,r12vrr_stack+79, r12vrr_stack+2603, r12vrr_stack+622, r12vrr_stack+1883, r12vrr_stack+378, r12vrr_stack+1048);

 /*--- compute (h0|f0)^2 ---*/
 am[0] = 5;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+994, r12vrr_stack+2703, r12vrr_stack+79, r12vrr_stack+1943, r12vrr_stack+2603, r12vrr_stack+16915);

 /*--- compute (i0|f0)^1 ---*/
 am[0] = 6;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+10915, r12vrr_stack+2853, r12vrr_stack+994, r12vrr_stack+2143, r12vrr_stack+2703, r12vrr_stack+17005);

 /*--- compute (k0|f0)^0 ---*/
 am[0] = 7;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+19687, r12vrr_stack+3273, r12vrr_stack+10915, r12vrr_stack+3063, r12vrr_stack+2853, r12vrr_stack+17131);
 tmp = r12vrr_stack + 19687;
 target_ptr = Libr12->gvrr_classes[7][3];
 for(i=0;i<360;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|g0)^6 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+16915, r12vrr_stack+2049, r12vrr_stack+3589, NULL, NULL, r12vrr_stack+438);

 /*--- compute (d0|g0)^5 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+16960, r12vrr_stack+2064, r12vrr_stack+16915, r12vrr_stack+1703, r12vrr_stack+2049, r12vrr_stack+964);

 /*--- compute (f0|g0)^4 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+17050, r12vrr_stack+5218, r12vrr_stack+16960, r12vrr_stack+1718, r12vrr_stack+2064, r12vrr_stack+562);

 /*--- compute (g0|g0)^3 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+17200, r12vrr_stack+5308, r12vrr_stack+17050, r12vrr_stack+1763, r12vrr_stack+5218, r12vrr_stack+622);

 /*--- compute (h0|g0)^2 ---*/
 am[0] = 5;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+1703, r12vrr_stack+5458, r12vrr_stack+17200, r12vrr_stack+4303, r12vrr_stack+5308, r12vrr_stack+79);

 /*--- compute (i0|g0)^1 ---*/
 am[0] = 6;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+2603, r12vrr_stack+5683, r12vrr_stack+1703, r12vrr_stack+4453, r12vrr_stack+5458, r12vrr_stack+994);

 /*--- compute (k0|g0)^0 ---*/
 am[0] = 7;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+20047, r12vrr_stack+5998, r12vrr_stack+2603, r12vrr_stack+4903, r12vrr_stack+5683, r12vrr_stack+10915);
 tmp = r12vrr_stack + 20047;
 target_ptr = Libr12->gvrr_classes[7][4];
 for(i=0;i<540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|h0)^6 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+10915, r12vrr_stack+3814, r12vrr_stack+6467, NULL, NULL, r12vrr_stack+3589);

 /*--- compute (d0|h0)^5 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+10978, r12vrr_stack+3835, r12vrr_stack+10915, r12vrr_stack+3628, r12vrr_stack+3814, r12vrr_stack+16915);

 /*--- compute (f0|h0)^4 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+11104, r12vrr_stack+8875, r12vrr_stack+10978, r12vrr_stack+3751, r12vrr_stack+3835, r12vrr_stack+16960);

 /*--- compute (g0|h0)^3 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+4303, r12vrr_stack+9001, r12vrr_stack+11104, r12vrr_stack+7468, r12vrr_stack+8875, r12vrr_stack+17050);

 /*--- compute (h0|h0)^2 ---*/
 am[0] = 5;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+5218, r12vrr_stack+9211, r12vrr_stack+4303, r12vrr_stack+7594, r12vrr_stack+9001, r12vrr_stack+17200);

 /*--- compute (i0|h0)^1 ---*/
 am[0] = 6;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+20587, r12vrr_stack+9526, r12vrr_stack+5218, r12vrr_stack+7804, r12vrr_stack+9211, r12vrr_stack+1703);

 /*--- compute (k0|h0)^0 ---*/
 am[0] = 7;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+21175, r12vrr_stack+9967, r12vrr_stack+20587, r12vrr_stack+8434, r12vrr_stack+9526, r12vrr_stack+2603);
 tmp = r12vrr_stack + 21175;
 target_ptr = Libr12->gvrr_classes[7][5];
 for(i=0;i<756;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^12 ---*/
 _BUILD_00p0(Data,r12vrr_stack+2603, Data->F+12, Data->F+13, NULL, NULL, NULL);

 /*--- compute (00|d0)^11 ---*/
 _BUILD_00d0(Data,r12vrr_stack+2606, r12vrr_stack+76, r12vrr_stack+2603, Data->F+11, Data->F+12, NULL);

 /*--- compute (00|f0)^10 ---*/
 _BUILD_00f0(Data,r12vrr_stack+2612, r12vrr_stack+6551, r12vrr_stack+2606, r12vrr_stack+3649, r12vrr_stack+76, NULL);

 /*--- compute (00|g0)^9 ---*/
 _BUILD_00g0(Data,r12vrr_stack+2622, r12vrr_stack+6557, r12vrr_stack+2612, r12vrr_stack+3652, r12vrr_stack+6551, NULL);

 /*--- compute (00|h0)^8 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+6418, r12vrr_stack+3553, r12vrr_stack+2622, r12vrr_stack+3658, r12vrr_stack+6557, NULL);

 /*--- compute (00|i0)^7 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+6551, r12vrr_stack+6467, r12vrr_stack+6418, r12vrr_stack+3589, r12vrr_stack+3553, NULL);

 /*--- compute (p0|i0)^6 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+3589, r12vrr_stack+6775, r12vrr_stack+6551, NULL, NULL, r12vrr_stack+6467);

 /*--- compute (d0|i0)^5 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2603, r12vrr_stack+6803, r12vrr_stack+3589, r12vrr_stack+6523, r12vrr_stack+6775, r12vrr_stack+10915);

 /*--- compute (f0|i0)^4 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2771, r12vrr_stack+6887, r12vrr_stack+2603, r12vrr_stack+6691, r12vrr_stack+6803, r12vrr_stack+10978);

 /*--- compute (g0|i0)^3 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1703, r12vrr_stack+13691, r12vrr_stack+2771, r12vrr_stack+11815, r12vrr_stack+6887, r12vrr_stack+11104);

 /*--- compute (h0|i0)^2 ---*/
 am[0] = 5;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+8875, r12vrr_stack+13971, r12vrr_stack+1703, r12vrr_stack+11983, r12vrr_stack+13691, r12vrr_stack+4303);

 /*--- compute (i0|i0)^1 ---*/
 am[0] = 6;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+21931, r12vrr_stack+14391, r12vrr_stack+8875, r12vrr_stack+12263, r12vrr_stack+13971, r12vrr_stack+5218);

 /*--- compute (k0|i0)^0 ---*/
 am[0] = 7;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+8875, r12vrr_stack+14979, r12vrr_stack+21931, r12vrr_stack+13103, r12vrr_stack+14391, r12vrr_stack+20587);

 /*--- compute (00|k0)^6 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+20587, r12vrr_stack+6775, r12vrr_stack+6551, r12vrr_stack+3814, r12vrr_stack+6467, NULL);

 /*--- compute (p0|k0)^5 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+6467, r12vrr_stack+10555, r12vrr_stack+20587, NULL, NULL, r12vrr_stack+6775);

 /*--- compute (d0|k0)^4 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+20587, r12vrr_stack+10591, r12vrr_stack+6467, r12vrr_stack+3898, r12vrr_stack+10555, r12vrr_stack+6803);

 /*--- compute (f0|k0)^3 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+20803, r12vrr_stack+10699, r12vrr_stack+20587, r12vrr_stack+16015, r12vrr_stack+10591, r12vrr_stack+6887);

 /*--- compute (g0|k0)^2 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+21931, r12vrr_stack+17491, r12vrr_stack+20803, r12vrr_stack+16123, r12vrr_stack+10699, r12vrr_stack+13691);

 /*--- compute (h0|k0)^1 ---*/
 am[0] = 5;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+10555, r12vrr_stack+17851, r12vrr_stack+21931, r12vrr_stack+16555, r12vrr_stack+17491, r12vrr_stack+13971);

 /*--- compute (i0|k0)^0 ---*/
 am[0] = 6;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+16555, r12vrr_stack+18931, r12vrr_stack+10555, r12vrr_stack+18391, r12vrr_stack+17851, r12vrr_stack+14391);

 /*--- compute (00||p0)^0 ---*/
 _R_BUILD_00p0(Data,r12vrr_stack+10555, &(Data->ss_r12_ss), NULL, r12vrr_stack+49, Data->F+0, NULL, NULL);

 /*--- compute (00||d0)^0 ---*/
 _R_BUILD_00d0(Data,r12vrr_stack+10558, r12vrr_stack+10555, &(Data->ss_r12_ss), r12vrr_stack+52, r12vrr_stack+49, Data->F+0, NULL);

 /*--- compute (00||f0)^0 ---*/
 _R_BUILD_00f0(Data,r12vrr_stack+10564, r12vrr_stack+10558, r12vrr_stack+10555, r12vrr_stack+308, r12vrr_stack+52, r12vrr_stack+49, NULL);

 /*--- compute (p0||f0)^0 ---*/
 _R_BUILD_p0f0(Data,r12vrr_stack+10574, r12vrr_stack+10564, NULL, r12vrr_stack+318, r12vrr_stack+308, NULL, r12vrr_stack+52);

 /*--- compute (d0||f0)^0 ---*/
 _R_BUILD_d0f0(Data,r12vrr_stack+10604, r12vrr_stack+10574, r12vrr_stack+10564, r12vrr_stack+2293, r12vrr_stack+318, r12vrr_stack+308, r12vrr_stack+448);

 /*--- compute (f0||f0)^0 ---*/
 _R_BUILD_f0f0(Data,r12vrr_stack+10664, r12vrr_stack+10604, r12vrr_stack+10574, r12vrr_stack+2353, r12vrr_stack+2293, r12vrr_stack+318, r12vrr_stack+466);

 /*--- compute (g0||f0)^0 ---*/
 _R_BUILD_g0f0(Data,r12vrr_stack+10764, r12vrr_stack+10664, r12vrr_stack+10604, r12vrr_stack+2453, r12vrr_stack+2353, r12vrr_stack+2293, r12vrr_stack+502);

 /*--- compute (h0||f0)^0 ---*/
 _R_BUILD_h0f0(Data,r12vrr_stack+10914, r12vrr_stack+10764, r12vrr_stack+10664, r12vrr_stack+3063, r12vrr_stack+2453, r12vrr_stack+2353, r12vrr_stack+748);
 tmp = r12vrr_stack + 10914;
 target_ptr = Libr12->rvrr_classes[5][3];
 for(i=0;i<210;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||g0)^0 ---*/
 _R_BUILD_00g0(Data,r12vrr_stack+3553, r12vrr_stack+10564, r12vrr_stack+10558, r12vrr_stack+1643, r12vrr_stack+308, r12vrr_stack+52, NULL);

 /*--- compute (p0||g0)^0 ---*/
 _R_BUILD_p0g0(Data,r12vrr_stack+10574, r12vrr_stack+3553, NULL, r12vrr_stack+1658, r12vrr_stack+1643, NULL, r12vrr_stack+308);

 /*--- compute (d0||g0)^0 ---*/
 _R_BUILD_d0g0(Data,r12vrr_stack+10619, r12vrr_stack+10574, r12vrr_stack+3553, r12vrr_stack+4063, r12vrr_stack+1658, r12vrr_stack+1643, r12vrr_stack+318);

 /*--- compute (f0||g0)^0 ---*/
 _R_BUILD_f0g0(Data,r12vrr_stack+318, r12vrr_stack+10619, r12vrr_stack+10574, r12vrr_stack+4153, r12vrr_stack+4063, r12vrr_stack+1658, r12vrr_stack+2293);

 /*--- compute (g0||g0)^0 ---*/
 _R_BUILD_g0g0(Data,r12vrr_stack+468, r12vrr_stack+318, r12vrr_stack+10619, r12vrr_stack+4678, r12vrr_stack+4153, r12vrr_stack+4063, r12vrr_stack+2353);

 /*--- compute (h0||g0)^0 ---*/
 _R_BUILD_h0g0(Data,r12vrr_stack+17563, r12vrr_stack+468, r12vrr_stack+318, r12vrr_stack+4903, r12vrr_stack+4678, r12vrr_stack+4153, r12vrr_stack+2453);
 tmp = r12vrr_stack + 17563;
 target_ptr = Libr12->rvrr_classes[5][4];
 for(i=0;i<315;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||h0)^0 ---*/
 _R_BUILD_00h0(Data,r12vrr_stack+6418, r12vrr_stack+3553, r12vrr_stack+10564, r12vrr_stack+3568, r12vrr_stack+1643, r12vrr_stack+308, NULL);

 /*--- compute (p0||h0)^0 ---*/
 _R_BUILD_p0h0(Data,r12vrr_stack+693, r12vrr_stack+6418, NULL, r12vrr_stack+3688, r12vrr_stack+3568, NULL, r12vrr_stack+1643);

 /*--- compute (d0||h0)^0 ---*/
 _R_BUILD_d0h0(Data,r12vrr_stack+10555, r12vrr_stack+693, r12vrr_stack+6418, r12vrr_stack+7132, r12vrr_stack+3688, r12vrr_stack+3568, r12vrr_stack+1658);

 /*--- compute (f0||h0)^0 ---*/
 _R_BUILD_f0h0(Data,r12vrr_stack+1658, r12vrr_stack+10555, r12vrr_stack+693, r12vrr_stack+7258, r12vrr_stack+7132, r12vrr_stack+3688, r12vrr_stack+4063);

 /*--- compute (g0||h0)^0 ---*/
 _R_BUILD_g0h0(Data,r12vrr_stack+1868, r12vrr_stack+1658, r12vrr_stack+10555, r12vrr_stack+8119, r12vrr_stack+7258, r12vrr_stack+7132, r12vrr_stack+4153);

 /*--- compute (h0||h0)^0 ---*/
 _R_BUILD_h0h0(Data,r12vrr_stack+6691, r12vrr_stack+1868, r12vrr_stack+1658, r12vrr_stack+8434, r12vrr_stack+8119, r12vrr_stack+7258, r12vrr_stack+4678);
 tmp = r12vrr_stack + 6691;
 target_ptr = Libr12->rvrr_classes[5][5];
 for(i=0;i<441;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||i0)^0 ---*/
 _R_BUILD_00i0(Data,r12vrr_stack+1658, r12vrr_stack+6418, r12vrr_stack+3553, r12vrr_stack+6439, r12vrr_stack+3568, r12vrr_stack+1643, NULL);

 /*--- compute (p0||i0)^0 ---*/
 _R_BUILD_p0i0(Data,r12vrr_stack+9883, r12vrr_stack+1658, NULL, r12vrr_stack+6607, r12vrr_stack+6439, NULL, r12vrr_stack+3568);

 /*--- compute (d0||i0)^0 ---*/
 _R_BUILD_d0i0(Data,r12vrr_stack+1686, r12vrr_stack+9883, r12vrr_stack+1658, r12vrr_stack+11367, r12vrr_stack+6607, r12vrr_stack+6439, r12vrr_stack+3688);

 /*--- compute (f0||i0)^0 ---*/
 _R_BUILD_f0i0(Data,r12vrr_stack+3553, r12vrr_stack+1686, r12vrr_stack+9883, r12vrr_stack+11535, r12vrr_stack+11367, r12vrr_stack+6607, r12vrr_stack+7132);

 /*--- compute (g0||i0)^0 ---*/
 _R_BUILD_g0i0(Data,r12vrr_stack+3833, r12vrr_stack+3553, r12vrr_stack+1686, r12vrr_stack+12683, r12vrr_stack+11535, r12vrr_stack+11367, r12vrr_stack+7258);

 /*--- compute (h0||i0)^0 ---*/
 _R_BUILD_h0i0(Data,r12vrr_stack+20587, r12vrr_stack+3833, r12vrr_stack+3553, r12vrr_stack+13103, r12vrr_stack+12683, r12vrr_stack+11535, r12vrr_stack+8119);
 tmp = r12vrr_stack + 20587;
 target_ptr = Libr12->rvrr_classes[5][6];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T2]|f0)^0 ---*/
 _T2_BUILD_h0f0(Data,&(Libr12->ShellQuartet),r12vrr_stack+3553, r12vrr_stack+3063, r12vrr_stack+4903, r12vrr_stack+3273, r12vrr_stack+1475, r12vrr_stack+838);
 tmp = r12vrr_stack + 3553;
 target_ptr = Libr12->t2vrr_classes[5][3];
 for(i=0;i<210;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T2]|g0)^0 ---*/
 _T2_BUILD_h0g0(Data,&(Libr12->ShellQuartet),r12vrr_stack+7132, r12vrr_stack+4903, r12vrr_stack+8434, r12vrr_stack+5998, r12vrr_stack+3273, r12vrr_stack+3063);
 tmp = r12vrr_stack + 7132;
 target_ptr = Libr12->t2vrr_classes[5][4];
 for(i=0;i<315;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T2]|h0)^0 ---*/
 _T2_BUILD_h0h0(Data,&(Libr12->ShellQuartet),r12vrr_stack+7447, r12vrr_stack+8434, r12vrr_stack+13103, r12vrr_stack+9967, r12vrr_stack+5998, r12vrr_stack+4903);
 tmp = r12vrr_stack + 7447;
 target_ptr = Libr12->t2vrr_classes[5][5];
 for(i=0;i<441;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T2]|i0)^0 ---*/
 _T2_BUILD_h0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+11124, r12vrr_stack+13103, r12vrr_stack+18931, r12vrr_stack+14979, r12vrr_stack+9967, r12vrr_stack+8434);
 tmp = r12vrr_stack + 11124;
 target_ptr = Libr12->t2vrr_classes[5][6];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T2]|f0)^0 ---*/
 _T2_BUILD_i0f0(Data,&(Libr12->ShellQuartet),r12vrr_stack+4253, r12vrr_stack+3273, r12vrr_stack+5998, r12vrr_stack+19687, r12vrr_stack+16339, r12vrr_stack+1475);
 tmp = r12vrr_stack + 4253;
 target_ptr = Libr12->t2vrr_classes[6][3];
 for(i=0;i<280;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T2]|g0)^0 ---*/
 _T2_BUILD_i0g0(Data,&(Libr12->ShellQuartet),r12vrr_stack+11712, r12vrr_stack+5998, r12vrr_stack+9967, r12vrr_stack+20047, r12vrr_stack+19687, r12vrr_stack+3273);
 tmp = r12vrr_stack + 11712;
 target_ptr = Libr12->t2vrr_classes[6][4];
 for(i=0;i<420;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T2]|h0)^0 ---*/
 _T2_BUILD_i0h0(Data,&(Libr12->ShellQuartet),r12vrr_stack+21931, r12vrr_stack+9967, r12vrr_stack+14979, r12vrr_stack+21175, r12vrr_stack+20047, r12vrr_stack+5998);
 tmp = r12vrr_stack + 21931;
 target_ptr = Libr12->t2vrr_classes[6][5];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T2]|i0)^0 ---*/
 _T2_BUILD_i0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+22519, r12vrr_stack+14979, r12vrr_stack+16555, r12vrr_stack+8875, r12vrr_stack+21175, r12vrr_stack+9967);
 tmp = r12vrr_stack + 22519;
 target_ptr = Libr12->t2vrr_classes[6][6];
 for(i=0;i<784;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T1]|f0)^0 ---*/
 _T1_BUILD_h0f0(Data,&(Libr12->ShellQuartet),r12vrr_stack+7888, r12vrr_stack+3063, r12vrr_stack+3273, r12vrr_stack+4903, r12vrr_stack+4678, r12vrr_stack+2453);
 tmp = r12vrr_stack + 7888;
 target_ptr = Libr12->t1vrr_classes[5][3];
 for(i=0;i<210;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T1]|g0)^0 ---*/
 _T1_BUILD_h0g0(Data,&(Libr12->ShellQuartet),r12vrr_stack+12132, r12vrr_stack+4903, r12vrr_stack+5998, r12vrr_stack+8434, r12vrr_stack+8119, r12vrr_stack+4678);
 tmp = r12vrr_stack + 12132;
 target_ptr = Libr12->t1vrr_classes[5][4];
 for(i=0;i<315;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T1]|h0)^0 ---*/
 _T1_BUILD_h0h0(Data,&(Libr12->ShellQuartet),r12vrr_stack+17878, r12vrr_stack+8434, r12vrr_stack+9967, r12vrr_stack+13103, r12vrr_stack+12683, r12vrr_stack+8119);
 tmp = r12vrr_stack + 17878;
 target_ptr = Libr12->t1vrr_classes[5][5];
 for(i=0;i<441;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T1]|i0)^0 ---*/
 _T1_BUILD_h0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+13691, r12vrr_stack+13103, r12vrr_stack+14979, r12vrr_stack+18931, r12vrr_stack+18391, r12vrr_stack+12683);
 tmp = r12vrr_stack + 13691;
 target_ptr = Libr12->t1vrr_classes[5][6];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T1]|f0)^0 ---*/
 _T1_BUILD_i0f0(Data,&(Libr12->ShellQuartet),r12vrr_stack+18319, r12vrr_stack+3273, r12vrr_stack+19687, r12vrr_stack+5998, r12vrr_stack+4903, r12vrr_stack+3063);
 tmp = r12vrr_stack + 18319;
 target_ptr = Libr12->t1vrr_classes[6][3];
 for(i=0;i<280;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T1]|g0)^0 ---*/
 _T1_BUILD_i0g0(Data,&(Libr12->ShellQuartet),r12vrr_stack+14279, r12vrr_stack+5998, r12vrr_stack+20047, r12vrr_stack+9967, r12vrr_stack+8434, r12vrr_stack+4903);
 tmp = r12vrr_stack + 14279;
 target_ptr = Libr12->t1vrr_classes[6][4];
 for(i=0;i<420;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T1]|h0)^0 ---*/
 _T1_BUILD_i0h0(Data,&(Libr12->ShellQuartet),r12vrr_stack+19687, r12vrr_stack+9967, r12vrr_stack+21175, r12vrr_stack+14979, r12vrr_stack+13103, r12vrr_stack+8434);
 tmp = r12vrr_stack + 19687;
 target_ptr = Libr12->t1vrr_classes[6][5];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T1]|i0)^0 ---*/
 _T1_BUILD_i0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+964, r12vrr_stack+14979, r12vrr_stack+8875, r12vrr_stack+16555, r12vrr_stack+18931, r12vrr_stack+13103);
 tmp = r12vrr_stack + 964;
 target_ptr = Libr12->t1vrr_classes[6][6];
 for(i=0;i<784;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0||f0)^0 ---*/
 _R_BUILD_i0f0(Data,r12vrr_stack+14699, r12vrr_stack+10914, r12vrr_stack+10764, r12vrr_stack+3273, r12vrr_stack+3063, r12vrr_stack+2453, r12vrr_stack+838);
 tmp = r12vrr_stack + 14699;
 target_ptr = Libr12->rvrr_classes[6][3];
 for(i=0;i<280;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0||g0)^0 ---*/
 _R_BUILD_i0g0(Data,r12vrr_stack+8875, r12vrr_stack+17563, r12vrr_stack+468, r12vrr_stack+5998, r12vrr_stack+4903, r12vrr_stack+4678, r12vrr_stack+3063);
 tmp = r12vrr_stack + 8875;
 target_ptr = Libr12->rvrr_classes[6][4];
 for(i=0;i<420;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0||h0)^0 ---*/
 _R_BUILD_i0h0(Data,r12vrr_stack+9295, r12vrr_stack+6691, r12vrr_stack+1868, r12vrr_stack+9967, r12vrr_stack+8434, r12vrr_stack+8119, r12vrr_stack+4903);
 tmp = r12vrr_stack + 9295;
 target_ptr = Libr12->rvrr_classes[6][5];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0||i0)^0 ---*/
 _R_BUILD_i0i0(Data,r12vrr_stack+9883, r12vrr_stack+20587, r12vrr_stack+3833, r12vrr_stack+14979, r12vrr_stack+13103, r12vrr_stack+12683, r12vrr_stack+8434);
 tmp = r12vrr_stack + 9883;
 target_ptr = Libr12->rvrr_classes[6][6];
 for(i=0;i<784;i++)
   target_ptr[i] += tmp[i];


}

